package b.d.a.i;

import org.apache.poi.javax.xml.stream.Location;
import org.apache.poi.javax.xml.stream.XMLStreamException;

/* compiled from: StreamExceptionBase */
public class e extends XMLStreamException {
    public final String x;

    public e(String str) {
        super(str);
        this.x = str;
    }

    public String getMessage() {
        String str;
        Location location = getLocation();
        if (location == null) {
            str = null;
        } else {
            str = location.toString();
        }
        if (str == null) {
            return super.getMessage();
        }
        StringBuilder sb = new StringBuilder(str.length() + this.x.length() + 20);
        sb.append(this.x);
        sb.append('\n');
        sb.append(" at ");
        sb.append(str);
        return sb.toString();
    }

    public String toString() {
        return getClass().getName() + ": " + getMessage();
    }

    public e(Throwable th) {
        super(th.getMessage(), th);
        this.x = th.getMessage();
        if (getCause() == null) {
            initCause(th);
        }
    }

    public e(String str, Location location) {
        super(str, location);
        this.x = str;
    }
}
