package f.b.p;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.view.KeyEvent;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.widget.HeaderViewListAdapter;
import android.widget.ListAdapter;
import android.widget.PopupWindow;
import androidx.appcompat.view.menu.ListMenuItemView;
import f.b.o.d.e;
import f.b.o.d.f;
import f.b.o.d.g;
import java.lang.reflect.Method;

/* compiled from: MenuPopupWindow */
public class z extends x implements y {
    public static Method l0;
    public y k0;

    /* compiled from: MenuPopupWindow */
    public static class a extends s {
        public final int P;
        public final int Q;
        public y U;
        public MenuItem V;

        public a(Context context, boolean z) {
            super(context, z);
            if (1 == context.getResources().getConfiguration().getLayoutDirection()) {
                this.P = 21;
                this.Q = 22;
                return;
            }
            this.P = 22;
            this.Q = 21;
        }

        @Override // f.b.p.s
        public boolean onHoverEvent(MotionEvent motionEvent) {
            int i2;
            e eVar;
            int pointToPosition;
            int i3;
            if (this.U != null) {
                ListAdapter adapter = getAdapter();
                if (adapter instanceof HeaderViewListAdapter) {
                    HeaderViewListAdapter headerViewListAdapter = (HeaderViewListAdapter) adapter;
                    i2 = headerViewListAdapter.getHeadersCount();
                    eVar = (e) headerViewListAdapter.getWrappedAdapter();
                } else {
                    i2 = 0;
                    eVar = (e) adapter;
                }
                g gVar = null;
                if (motionEvent.getAction() != 10 && (pointToPosition = pointToPosition((int) motionEvent.getX(), (int) motionEvent.getY())) != -1 && (i3 = pointToPosition - i2) >= 0 && i3 < eVar.getCount()) {
                    gVar = eVar.getItem(i3);
                }
                MenuItem menuItem = this.V;
                if (menuItem != gVar) {
                    f fVar = eVar.x;
                    if (menuItem != null) {
                        this.U.b(fVar, menuItem);
                    }
                    this.V = gVar;
                    if (gVar != null) {
                        this.U.a(fVar, gVar);
                    }
                }
            }
            return super.onHoverEvent(motionEvent);
        }

        public boolean onKeyDown(int i2, KeyEvent keyEvent) {
            ListMenuItemView listMenuItemView = (ListMenuItemView) getSelectedView();
            if (listMenuItemView != null && i2 == this.P) {
                if (listMenuItemView.isEnabled() && listMenuItemView.getItemData().hasSubMenu()) {
                    performItemClick(listMenuItemView, getSelectedItemPosition(), getSelectedItemId());
                }
                return true;
            } else if (listMenuItemView == null || i2 != this.Q) {
                return super.onKeyDown(i2, keyEvent);
            } else {
                setSelection(-1);
                ((e) getAdapter()).x.a(false);
                return true;
            }
        }

        public void setHoverListener(y yVar) {
            this.U = yVar;
        }

        @Override // android.widget.AbsListView, f.b.p.s
        public /* bridge */ /* synthetic */ void setSelector(Drawable drawable) {
            super.setSelector(drawable);
        }
    }

    static {
        try {
            if (Build.VERSION.SDK_INT <= 28) {
                l0 = PopupWindow.class.getDeclaredMethod("setTouchModal", Boolean.TYPE);
            }
        } catch (NoSuchMethodException unused) {
            Log.i("MenuPopupWindow", "Could not find method setTouchModal() on PopupWindow. Oh well.");
        }
    }

    public z(Context context, AttributeSet attributeSet, int i2, int i3) {
        super(context, attributeSet, i2, i3);
    }

    @Override // f.b.p.x
    public s a(Context context, boolean z) {
        a aVar = new a(context, z);
        aVar.setHoverListener(this);
        return aVar;
    }

    @Override // f.b.p.y
    public void b(f fVar, MenuItem menuItem) {
        y yVar = this.k0;
        if (yVar != null) {
            yVar.b(fVar, menuItem);
        }
    }

    @Override // f.b.p.y
    public void a(f fVar, MenuItem menuItem) {
        y yVar = this.k0;
        if (yVar != null) {
            yVar.a(fVar, menuItem);
        }
    }
}
