package f.f.f.j;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.drawable.Drawable;

/* compiled from: WrappedDrawableApi14 */
public class c extends Drawable implements Drawable.Callback, b, a {
    public static final PorterDuff.Mode F = PorterDuff.Mode.SRC_IN;
    public e A;
    public boolean C;
    public Drawable D;
    public int x;
    public PorterDuff.Mode y;
    public boolean z;

    public c(e eVar, Resources resources) {
        Drawable.ConstantState constantState;
        this.A = eVar;
        if (eVar != null && (constantState = eVar.f533b) != null) {
            a(constantState.newDrawable(resources));
        }
    }

    public final boolean a(int[] iArr) {
        if (!b()) {
            return false;
        }
        e eVar = this.A;
        ColorStateList colorStateList = eVar.c;
        PorterDuff.Mode mode = eVar.f534d;
        if (colorStateList == null || mode == null) {
            this.z = false;
            clearColorFilter();
        } else {
            int colorForState = colorStateList.getColorForState(iArr, colorStateList.getDefaultColor());
            if (!(this.z && colorForState == this.x && mode == this.y)) {
                setColorFilter(colorForState, mode);
                this.x = colorForState;
                this.y = mode;
                this.z = true;
                return true;
            }
        }
        return false;
    }

    public boolean b() {
        throw null;
    }

    public void draw(Canvas canvas) {
        this.D.draw(canvas);
    }

    public int getChangingConfigurations() {
        int changingConfigurations = super.getChangingConfigurations();
        e eVar = this.A;
        return changingConfigurations | (eVar != null ? eVar.getChangingConfigurations() : 0) | this.D.getChangingConfigurations();
    }

    public Drawable.ConstantState getConstantState() {
        e eVar = this.A;
        if (eVar == null) {
            return null;
        }
        if (!(eVar.f533b != null)) {
            return null;
        }
        this.A.a = getChangingConfigurations();
        return this.A;
    }

    public Drawable getCurrent() {
        return this.D.getCurrent();
    }

    public int getIntrinsicHeight() {
        return this.D.getIntrinsicHeight();
    }

    public int getIntrinsicWidth() {
        return this.D.getIntrinsicWidth();
    }

    public int getMinimumHeight() {
        return this.D.getMinimumHeight();
    }

    public int getMinimumWidth() {
        return this.D.getMinimumWidth();
    }

    public int getOpacity() {
        return this.D.getOpacity();
    }

    public boolean getPadding(Rect rect) {
        return this.D.getPadding(rect);
    }

    public int[] getState() {
        return this.D.getState();
    }

    public Region getTransparentRegion() {
        return this.D.getTransparentRegion();
    }

    public void invalidateDrawable(Drawable drawable) {
        invalidateSelf();
    }

    public boolean isAutoMirrored() {
        return this.D.isAutoMirrored();
    }

    public boolean isStateful() {
        e eVar;
        ColorStateList colorStateList = (!b() || (eVar = this.A) == null) ? null : eVar.c;
        return (colorStateList != null && colorStateList.isStateful()) || this.D.isStateful();
    }

    public void jumpToCurrentState() {
        this.D.jumpToCurrentState();
    }

    public Drawable mutate() {
        if (!this.C && super.mutate() == this) {
            this.A = new e(this.A);
            Drawable drawable = this.D;
            if (drawable != null) {
                drawable.mutate();
            }
            e eVar = this.A;
            if (eVar != null) {
                Drawable drawable2 = this.D;
                eVar.f533b = drawable2 != null ? drawable2.getConstantState() : null;
            }
            this.C = true;
        }
        return this;
    }

    public void onBoundsChange(Rect rect) {
        Drawable drawable = this.D;
        if (drawable != null) {
            drawable.setBounds(rect);
        }
    }

    public boolean onLevelChange(int i2) {
        return this.D.setLevel(i2);
    }

    public void scheduleDrawable(Drawable drawable, Runnable runnable, long j) {
        scheduleSelf(runnable, j);
    }

    public void setAlpha(int i2) {
        this.D.setAlpha(i2);
    }

    public void setAutoMirrored(boolean z2) {
        this.D.setAutoMirrored(z2);
    }

    public void setChangingConfigurations(int i2) {
        this.D.setChangingConfigurations(i2);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.D.setColorFilter(colorFilter);
    }

    public void setDither(boolean z2) {
        this.D.setDither(z2);
    }

    public void setFilterBitmap(boolean z2) {
        this.D.setFilterBitmap(z2);
    }

    public boolean setState(int[] iArr) {
        return a(iArr) || this.D.setState(iArr);
    }

    public void setTint(int i2) {
        setTintList(ColorStateList.valueOf(i2));
    }

    public void setTintList(ColorStateList colorStateList) {
        throw null;
    }

    public boolean setVisible(boolean z2, boolean z3) {
        return super.setVisible(z2, z3) || this.D.setVisible(z2, z3);
    }

    public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
        unscheduleSelf(runnable);
    }

    public c(Drawable drawable) {
        this.A = new e(this.A);
        a(drawable);
    }

    @Override // f.f.f.j.b
    public final Drawable a() {
        return this.D;
    }

    public final void a(Drawable drawable) {
        Drawable drawable2 = this.D;
        if (drawable2 != null) {
            drawable2.setCallback(null);
        }
        this.D = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            setVisible(drawable.isVisible(), true);
            setState(drawable.getState());
            setLevel(drawable.getLevel());
            setBounds(drawable.getBounds());
            e eVar = this.A;
            if (eVar != null) {
                eVar.f533b = drawable.getConstantState();
            }
        }
        invalidateSelf();
    }
}
