package f.f.f.j;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Outline;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.DrawableContainer;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.util.Log;
import java.lang.reflect.Method;

/* compiled from: WrappedDrawableApi21 */
public class d extends c {
    public static Method G;

    public d(Drawable drawable) {
        super(drawable);
        c();
    }

    @Override // f.f.f.j.c
    public boolean b() {
        if (Build.VERSION.SDK_INT != 21) {
            return false;
        }
        Drawable drawable = this.D;
        if ((drawable instanceof GradientDrawable) || (drawable instanceof DrawableContainer) || (drawable instanceof InsetDrawable) || (drawable instanceof RippleDrawable)) {
            return true;
        }
        return false;
    }

    public final void c() {
        if (G == null) {
            try {
                G = Drawable.class.getDeclaredMethod("isProjected", new Class[0]);
            } catch (Exception e2) {
                Log.w("WrappedDrawableApi21", "Failed to retrieve Drawable#isProjected() method", e2);
            }
        }
    }

    public Rect getDirtyBounds() {
        return this.D.getDirtyBounds();
    }

    public void getOutline(Outline outline) {
        this.D.getOutline(outline);
    }

    public boolean isProjected() {
        Method method;
        Drawable drawable = this.D;
        if (!(drawable == null || (method = G) == null)) {
            try {
                return ((Boolean) method.invoke(drawable, new Object[0])).booleanValue();
            } catch (Exception e2) {
                Log.w("WrappedDrawableApi21", "Error calling Drawable#isProjected() method", e2);
            }
        }
        return false;
    }

    public void setHotspot(float f2, float f3) {
        this.D.setHotspot(f2, f3);
    }

    public void setHotspotBounds(int i2, int i3, int i4, int i5) {
        this.D.setHotspotBounds(i2, i3, i4, i5);
    }

    @Override // f.f.f.j.c
    public boolean setState(int[] iArr) {
        if (!super.setState(iArr)) {
            return false;
        }
        invalidateSelf();
        return true;
    }

    @Override // f.f.f.j.c
    public void setTint(int i2) {
        if (b()) {
            super.setTint(i2);
        } else {
            this.D.setTint(i2);
        }
    }

    @Override // f.f.f.j.c
    public void setTintList(ColorStateList colorStateList) {
        if (b()) {
            this.A.c = colorStateList;
            a(getState());
            return;
        }
        this.D.setTintList(colorStateList);
    }

    public void setTintMode(PorterDuff.Mode mode) {
        if (b()) {
            this.A.f534d = mode;
            a(getState());
            return;
        }
        this.D.setTintMode(mode);
    }

    public d(e eVar, Resources resources) {
        super(eVar, resources);
        c();
    }
}
