package i.a.b.f;

import i.a.b.g.x;
import java.io.IOException;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import org.apache.lucene.codecs.lucene3x.Lucene3xFields;
import org.apache.poi.hpsf.Filetime;

/* compiled from: DataInput */
public abstract class l implements Cloneable {
    public abstract byte readByte();

    public abstract void readBytes(byte[] bArr, int i2, int i3);

    public void readBytes(byte[] bArr, int i2, int i3, boolean z) {
        readBytes(bArr, i2, i3);
    }

    public int readInt() {
        return ((readByte() & 255) << 24) | ((readByte() & 255) << 16) | ((readByte() & 255) << 8) | (readByte() & 255);
    }

    public long readLong() {
        return (((long) readInt()) << 32) | (((long) readInt()) & Filetime.UINT_MASK);
    }

    public short readShort() {
        return (short) (((readByte() & 255) << 8) | (readByte() & 255));
    }

    public String readString() {
        int readVInt = readVInt();
        byte[] bArr = new byte[readVInt];
        readBytes(bArr, 0, readVInt);
        return new String(bArr, 0, readVInt, x.a);
    }

    public Set<String> readStringSet() {
        HashSet hashSet = new HashSet();
        int readInt = readInt();
        for (int i2 = 0; i2 < readInt; i2++) {
            hashSet.add(readString());
        }
        return hashSet;
    }

    public Map<String, String> readStringStringMap() {
        HashMap hashMap = new HashMap();
        int readInt = readInt();
        for (int i2 = 0; i2 < readInt; i2++) {
            hashMap.put(readString(), readString());
        }
        return hashMap;
    }

    public int readVInt() {
        byte readByte = readByte();
        if (readByte >= 0) {
            return readByte;
        }
        byte readByte2 = readByte();
        int i2 = (readByte & Byte.MAX_VALUE) | ((readByte2 & Byte.MAX_VALUE) << 7);
        if (readByte2 >= 0) {
            return i2;
        }
        byte readByte3 = readByte();
        int i3 = i2 | ((readByte3 & Byte.MAX_VALUE) << 14);
        if (readByte3 >= 0) {
            return i3;
        }
        byte readByte4 = readByte();
        int i4 = i3 | ((readByte4 & Byte.MAX_VALUE) << 21);
        if (readByte4 >= 0) {
            return i4;
        }
        byte readByte5 = readByte();
        int i5 = i4 | ((readByte5 & 15) << 28);
        if ((readByte5 & Lucene3xFields.PreTermsEnum.UTF8_NON_BMP_LEAD) == 0) {
            return i5;
        }
        throw new IOException("Invalid vInt detected (too many bits)");
    }

    public long readVLong() {
        byte readByte = readByte();
        if (readByte >= 0) {
            return (long) readByte;
        }
        byte readByte2 = readByte();
        long j = (((long) readByte) & 127) | ((((long) readByte2) & 127) << 7);
        if (readByte2 >= 0) {
            return j;
        }
        byte readByte3 = readByte();
        long j2 = j | ((((long) readByte3) & 127) << 14);
        if (readByte3 >= 0) {
            return j2;
        }
        byte readByte4 = readByte();
        long j3 = j2 | ((((long) readByte4) & 127) << 21);
        if (readByte4 >= 0) {
            return j3;
        }
        byte readByte5 = readByte();
        long j4 = j3 | ((((long) readByte5) & 127) << 28);
        if (readByte5 >= 0) {
            return j4;
        }
        byte readByte6 = readByte();
        long j5 = j4 | ((((long) readByte6) & 127) << 35);
        if (readByte6 >= 0) {
            return j5;
        }
        byte readByte7 = readByte();
        long j6 = j5 | ((((long) readByte7) & 127) << 42);
        if (readByte7 >= 0) {
            return j6;
        }
        byte readByte8 = readByte();
        long j7 = j6 | ((((long) readByte8) & 127) << 49);
        if (readByte8 >= 0) {
            return j7;
        }
        byte readByte9 = readByte();
        long j8 = j7 | ((127 & ((long) readByte9)) << 56);
        if (readByte9 >= 0) {
            return j8;
        }
        throw new IOException("Invalid vLong detected (negative values disallowed)");
    }

    @Override // java.lang.Object
    public l clone() {
        try {
            return (l) super.clone();
        } catch (CloneNotSupportedException unused) {
            throw new Error("This cannot happen: Failing to clone DataInput");
        }
    }
}
