package i.a.b.g;

import i.a.b.g.i0.a;
import java.util.Collections;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.ServiceConfigurationError;
import java.util.Set;

/* compiled from: NamedSPILoader */
public final class i0<S extends a> implements Iterable<S> {
    public volatile Map<String, S> x = Collections.emptyMap();
    public final Class<S> y;

    /* compiled from: NamedSPILoader */
    public interface a {
        String getName();
    }

    public i0(Class<S> cls) {
        ClassLoader contextClassLoader = Thread.currentThread().getContextClassLoader();
        this.y = cls;
        ClassLoader classLoader = cls.getClassLoader();
        if (classLoader != null && !t0.a(classLoader, contextClassLoader)) {
            a(classLoader);
        }
        a(contextClassLoader);
    }

    public static void b(String str) {
        if (str.length() < 128) {
            int length = str.length();
            for (int i2 = 0; i2 < length; i2++) {
                char charAt = str.charAt(i2);
                if (!(('a' <= charAt && charAt <= 'z') || ('A' <= charAt && charAt <= 'Z') || ('0' <= charAt && charAt <= '9'))) {
                    throw new IllegalArgumentException(b.b.a.a.a.b("Illegal service name: '", str, "' must be simple ascii alphanumeric."));
                }
            }
            return;
        }
        throw new IllegalArgumentException(b.b.a.a.a.b("Illegal service name: '", str, "' is too long (must be < 128 chars)."));
    }

    public synchronized void a(ClassLoader classLoader) {
        LinkedHashMap linkedHashMap = new LinkedHashMap(this.x);
        t0 t0Var = new t0(this.y, classLoader);
        while (t0Var.hasNext()) {
            Class next = t0Var.next();
            try {
                a aVar = (a) next.newInstance();
                String name = aVar.getName();
                if (!linkedHashMap.containsKey(name)) {
                    b(name);
                    linkedHashMap.put(name, aVar);
                }
            } catch (Exception e2) {
                throw new ServiceConfigurationError("Cannot instantiate SPI class: " + next.getName(), e2);
            }
        }
        this.x = Collections.unmodifiableMap(linkedHashMap);
    }

    @Override // java.lang.Iterable
    public Iterator<S> iterator() {
        return this.x.values().iterator();
    }

    public S a(String str) {
        S s = this.x.get(str);
        if (s != null) {
            return s;
        }
        StringBuilder b2 = b.b.a.a.a.b("A SPI class of type ");
        b2.append(this.y.getName());
        b2.append(" with name '");
        b2.append(str);
        b2.append("' does not exist. ");
        b2.append("You need to add the corresponding JAR file supporting this SPI to your classpath.");
        b2.append("The current classpath supports the following names: ");
        b2.append(a());
        throw new IllegalArgumentException(b2.toString());
    }

    public Set<String> a() {
        return this.x.keySet();
    }
}
