package i.a.b.g;

import java.io.Closeable;
import java.lang.ref.WeakReference;
import java.util.Iterator;
import java.util.Map;
import java.util.WeakHashMap;
import java.util.concurrent.atomic.AtomicInteger;

/* compiled from: CloseableThreadLocal */
public class p<T> implements Closeable {
    public ThreadLocal<WeakReference<T>> x = new ThreadLocal<>();
    public Map<Thread, T> y = new WeakHashMap();
    public final AtomicInteger z = new AtomicInteger(20);

    public T a() {
        WeakReference<T> weakReference = this.x.get();
        if (weakReference == null) {
            T b2 = b();
            if (b2 == null) {
                return null;
            }
            a(b2);
            return b2;
        }
        if (this.z.getAndDecrement() == 0) {
            c();
        }
        return weakReference.get();
    }

    public T b() {
        return null;
    }

    public final void c() {
        synchronized (this.y) {
            int i2 = 0;
            Iterator<Thread> it = this.y.keySet().iterator();
            while (it.hasNext()) {
                if (!it.next().isAlive()) {
                    it.remove();
                } else {
                    i2++;
                }
            }
            int i3 = (i2 + 1) * 20;
            if (i3 <= 0) {
                i3 = 1000000;
            }
            this.z.set(i3);
        }
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        this.y = null;
        ThreadLocal<WeakReference<T>> threadLocal = this.x;
        if (threadLocal != null) {
            threadLocal.remove();
        }
        this.x = null;
    }

    public void a(T t) {
        this.x.set(new WeakReference<>(t));
        synchronized (this.y) {
            this.y.put(Thread.currentThread(), t);
            if (this.z.getAndDecrement() == 0) {
                c();
            }
        }
    }
}
