package i.c.a.i;

import i.c.a.f;
import org.apache.poi.ss.formula.ptg.StringPtg;
import org.apache.poi.util.LittleEndianCP950Reader;
import org.apache.xmlbeans.impl.common.NameUtil;

/* compiled from: SqlUtils */
public class d {
    static {
        "0123456789ABCDEF".toCharArray();
    }

    public static StringBuilder a(StringBuilder sb, String str, f fVar) {
        if (str != null) {
            sb.append(str);
            sb.append(NameUtil.PERIOD);
        }
        sb.append(StringPtg.FORMULA_DELIMITER);
        sb.append(fVar.f1696e);
        sb.append(StringPtg.FORMULA_DELIMITER);
        return sb;
    }

    public static StringBuilder a(StringBuilder sb, String str, String[] strArr) {
        for (int i2 = 0; i2 < strArr.length; i2++) {
            String str2 = strArr[i2];
            sb.append(str);
            sb.append(".\"");
            sb.append(str2);
            sb.append(StringPtg.FORMULA_DELIMITER);
            sb.append("=?");
            if (i2 < strArr.length - 1) {
                sb.append(',');
            }
        }
        return sb;
    }

    public static String a(String str, String str2, String[] strArr) {
        StringBuilder sb = new StringBuilder(str);
        sb.append(StringPtg.FORMULA_DELIMITER);
        sb.append(str2);
        sb.append(StringPtg.FORMULA_DELIMITER);
        sb.append(" (");
        int length = strArr.length;
        for (int i2 = 0; i2 < length; i2++) {
            sb.append(StringPtg.FORMULA_DELIMITER);
            sb.append(strArr[i2]);
            sb.append(StringPtg.FORMULA_DELIMITER);
            if (i2 < length - 1) {
                sb.append(',');
            }
        }
        sb.append(") VALUES (");
        int length2 = strArr.length;
        for (int i3 = 0; i3 < length2; i3++) {
            if (i3 < length2 - 1) {
                sb.append("?,");
            } else {
                sb.append(LittleEndianCP950Reader.UNMAPPABLE);
            }
        }
        sb.append(')');
        return sb.toString();
    }

    public static String a(String str, String str2, String[] strArr, boolean z) {
        if (str2 == null || str2.length() < 0) {
            throw new i.c.a.d("Table alias required");
        }
        StringBuilder sb = new StringBuilder(z ? "SELECT DISTINCT " : "SELECT ");
        int length = strArr.length;
        for (int i2 = 0; i2 < length; i2++) {
            String str3 = strArr[i2];
            sb.append(str2);
            sb.append(".\"");
            sb.append(str3);
            sb.append(StringPtg.FORMULA_DELIMITER);
            if (i2 < length - 1) {
                sb.append(',');
            }
        }
        sb.append(" FROM ");
        sb.append(StringPtg.FORMULA_DELIMITER);
        sb.append(str);
        sb.append(StringPtg.FORMULA_DELIMITER);
        sb.append(' ');
        sb.append(str2);
        sb.append(' ');
        return sb.toString();
    }

    public static String a(String str, String[] strArr) {
        String str2 = StringPtg.FORMULA_DELIMITER + str + StringPtg.FORMULA_DELIMITER;
        StringBuilder sb = new StringBuilder("DELETE FROM ");
        sb.append(str2);
        if (strArr != null && strArr.length > 0) {
            sb.append(" WHERE ");
            a(sb, str2, strArr);
        }
        return sb.toString();
    }

    public static String a(String str, String[] strArr, String[] strArr2) {
        String str2 = StringPtg.FORMULA_DELIMITER + str + StringPtg.FORMULA_DELIMITER;
        StringBuilder sb = new StringBuilder("UPDATE ");
        sb.append(str2);
        sb.append(" SET ");
        for (int i2 = 0; i2 < strArr.length; i2++) {
            String str3 = strArr[i2];
            sb.append(StringPtg.FORMULA_DELIMITER);
            sb.append(str3);
            sb.append(StringPtg.FORMULA_DELIMITER);
            sb.append("=?");
            if (i2 < strArr.length - 1) {
                sb.append(',');
            }
        }
        sb.append(" WHERE ");
        a(sb, str2, strArr2);
        return sb.toString();
    }
}
