package io.flutter.embedding.android;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.util.Log;
import android.view.View;
import android.view.Window;
import f.j.f;
import f.j.h;
import f.j.i;
import g.a.a.a.e;
import g.a.a.a.g;
import g.a.a.a.k;
import g.a.a.b.a;
import g.a.a.b.b;
import g.a.a.b.c;
import g.a.a.b.d;
import g.a.a.b.g.b.b;
import g.a.b.a.j;
import g.a.b.a.m;
import g.a.b.a.n;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import org.apache.poi.openxml4j.opc.internal.ZipHelper;
import org.apache.xmlbeans.impl.common.ConcurrentReaderHashMap;
import org.apache.xmlbeans.impl.jam.xml.JamXmlElements;

public class FlutterActivity extends Activity implements e.b, h {
    public e x;
    public i y = new i(this);

    @Override // f.j.h, g.a.a.a.e.b
    public f a() {
        return this.y;
    }

    @Override // g.a.a.a.e.b
    public a a(Context context) {
        return null;
    }

    @Override // g.a.a.a.e.b
    public void a(a aVar) {
    }

    @Override // g.a.a.a.e.b
    public Context b() {
        return this;
    }

    @Override // g.a.a.a.e.b
    public void b(a aVar) {
    }

    @Override // g.a.a.a.e.b
    public void c() {
    }

    @Override // g.a.a.a.e.b
    public void d() {
        reportFullyDrawn();
    }

    @Override // g.a.a.a.e.b
    public String e() {
        return getIntent().getStringExtra("cached_engine_id");
    }

    @Override // g.a.a.a.e.b
    public String f() {
        if (getIntent().hasExtra("initial_route")) {
            return getIntent().getStringExtra("initial_route");
        }
        try {
            Bundle bundle = getPackageManager().getActivityInfo(getComponentName(), 128).metaData;
            String string = bundle != null ? bundle.getString("io.flutter.InitialRoute") : null;
            if (string != null) {
                return string;
            }
            return ZipHelper.FORWARD_SLASH;
        } catch (PackageManager.NameNotFoundException unused) {
            return ZipHelper.FORWARD_SLASH;
        }
    }

    @Override // g.a.a.a.e.b
    public String h() {
        String dataString;
        if (((getApplicationInfo().flags & 2) != 0) && "android.intent.action.RUN".equals(getIntent().getAction()) && (dataString = getIntent().getDataString()) != null) {
            return dataString;
        }
        if (g.a.a.b.f.a.f684i == null) {
            g.a.a.b.f.a.f684i = new g.a.a.b.f.a();
        }
        return g.a.a.b.f.a.f684i.f685b;
    }

    @Override // g.a.a.a.e.b
    public d i() {
        Intent intent = getIntent();
        ArrayList arrayList = new ArrayList();
        if (intent.getBooleanExtra("trace-startup", false)) {
            arrayList.add("--trace-startup");
        }
        if (intent.getBooleanExtra("start-paused", false)) {
            arrayList.add("--start-paused");
        }
        int intExtra = intent.getIntExtra("observatory-port", 0);
        if (intExtra > 0) {
            StringBuilder b2 = b.b.a.a.a.b("--observatory-port=");
            b2.append(Integer.toString(intExtra));
            arrayList.add(b2.toString());
        }
        if (intent.getBooleanExtra("disable-service-auth-codes", false)) {
            arrayList.add("--disable-service-auth-codes");
        }
        if (intent.getBooleanExtra("use-test-fonts", false)) {
            arrayList.add("--use-test-fonts");
        }
        if (intent.getBooleanExtra("enable-dart-profiling", false)) {
            arrayList.add("--enable-dart-profiling");
        }
        if (intent.getBooleanExtra("enable-software-rendering", false)) {
            arrayList.add("--enable-software-rendering");
        }
        if (intent.getBooleanExtra("skia-deterministic-rendering", false)) {
            arrayList.add("--skia-deterministic-rendering");
        }
        if (intent.getBooleanExtra("trace-skia", false)) {
            arrayList.add("--trace-skia");
        }
        if (intent.getBooleanExtra("dump-skp-on-shader-compilation", false)) {
            arrayList.add("--dump-skp-on-shader-compilation");
        }
        if (intent.getBooleanExtra("cache-sksl", false)) {
            arrayList.add("--cache-sksl");
        }
        if (intent.getBooleanExtra("verbose-logging", false)) {
            arrayList.add("--verbose-logging");
        }
        if (intent.hasExtra("dart-flags")) {
            StringBuilder b3 = b.b.a.a.a.b("--dart-flags=");
            b3.append(intent.getStringExtra("dart-flags"));
            arrayList.add(b3.toString());
        }
        return new d(arrayList);
    }

    @Override // g.a.a.a.e.b
    public k.d j() {
        return q() == g.opaque ? k.d.surface : k.d.texture;
    }

    @Override // g.a.a.a.e.b
    public String k() {
        try {
            Bundle bundle = getPackageManager().getActivityInfo(getComponentName(), 128).metaData;
            String string = bundle != null ? bundle.getString("io.flutter.Entrypoint") : null;
            if (string != null) {
                return string;
            }
            return "main";
        } catch (PackageManager.NameNotFoundException unused) {
            return "main";
        }
    }

    @Override // g.a.a.a.e.b
    public boolean l() {
        return true;
    }

    @Override // g.a.a.a.e.b
    public boolean m() {
        boolean booleanExtra = getIntent().getBooleanExtra("destroy_engine_with_activity", false);
        return (e() != null || this.x.f649f) ? booleanExtra : getIntent().getBooleanExtra("destroy_engine_with_activity", true);
    }

    @Override // g.a.a.a.e.b
    public Activity n() {
        return this;
    }

    @Override // g.a.a.a.e.b
    public k.e o() {
        return q() == g.opaque ? k.e.opaque : k.e.transparent;
    }

    public void onActivityResult(int i2, int i3, Intent intent) {
        e eVar = this.x;
        eVar.a();
        if (eVar.f646b != null) {
            StringBuilder a = b.b.a.a.a.a("Forwarding onActivityResult() to FlutterEngine:\nrequestCode: ", i2, "\nresultCode: ", i3, "\ndata: ");
            a.append(intent);
            a.toString();
            c cVar = eVar.f646b.f652d;
            if (cVar.c()) {
                Iterator<j> it = cVar.f662f.c.iterator();
                while (true) {
                    boolean z = false;
                    while (true) {
                        if (!it.hasNext()) {
                            return;
                        }
                        if (it.next().a(i2, i3, intent) || z) {
                            z = true;
                        }
                    }
                }
            } else {
                Log.e("FlutterEnginePluginRegistry", "Attempted to notify ActivityAware plugins of onActivityResult, but no Activity was attached.");
            }
        } else {
            Log.w("FlutterActivityAndFragmentDelegate", "onActivityResult() invoked before FlutterFragment was attached to an Activity.");
        }
    }

    public void onBackPressed() {
        e eVar = this.x;
        eVar.a();
        a aVar = eVar.f646b;
        if (aVar != null) {
            aVar.f657i.a.a("popRoute", null);
        } else {
            Log.w("FlutterActivityAndFragmentDelegate", "Invoked onBackPressed() before FlutterFragment was attached to an Activity.");
        }
    }

    public void onCreate(Bundle bundle) {
        int i2;
        try {
            ActivityInfo activityInfo = getPackageManager().getActivityInfo(getComponentName(), 128);
            if (!(activityInfo.metaData == null || (i2 = activityInfo.metaData.getInt("io.flutter.embedding.android.NormalTheme", -1)) == -1)) {
                setTheme(i2);
            }
        } catch (PackageManager.NameNotFoundException unused) {
            Log.e("FlutterActivity", "Could not read meta-data for FlutterActivity. Using the launch theme as normal theme.");
        }
        super.onCreate(bundle);
        this.y.a(f.a.ON_CREATE);
        e eVar = new e(this);
        this.x = eVar;
        eVar.a();
        if (eVar.f646b == null) {
            String e2 = eVar.a.e();
            if (e2 != null) {
                if (b.f658b == null) {
                    b.f658b = new b();
                }
                a aVar = b.f658b.a.get(e2);
                eVar.f646b = aVar;
                eVar.f649f = true;
                if (aVar == null) {
                    throw new IllegalStateException(b.b.a.a.a.b("The requested cached FlutterEngine did not exist in the FlutterEngineCache: '", e2, "'"));
                }
            } else {
                e.b bVar = eVar.a;
                a a = bVar.a(bVar.b());
                eVar.f646b = a;
                if (a != null) {
                    eVar.f649f = true;
                } else {
                    Context b2 = eVar.a.b();
                    d i3 = eVar.a.i();
                    eVar.f646b = new a(b2, (String[]) i3.a.toArray(new String[i3.a.size()]));
                    eVar.f649f = false;
                }
            }
        }
        e.b bVar2 = eVar.a;
        eVar.f648e = bVar2.a(bVar2.n(), eVar.f646b);
        if (eVar.a.l()) {
            c cVar = eVar.f646b.f652d;
            Activity n = eVar.a.n();
            f a2 = eVar.a.a();
            if (cVar != null) {
                StringBuilder sb = new StringBuilder();
                sb.append("Attaching to an Activity: ");
                sb.append(n);
                sb.append(".");
                sb.append(cVar.f663g ? " This is after a config change." : "");
                sb.toString();
                cVar.b();
                cVar.f661e = n;
                cVar.f662f = new c.C0035c(n, a2);
                a aVar2 = cVar.f659b;
                g.a.b.c.h hVar = aVar2.m;
                g.a.a.b.h.a aVar3 = aVar2.f651b;
                g.a.a.b.e.a aVar4 = aVar2.c;
                if (hVar.f771b == null) {
                    hVar.f771b = n;
                    hVar.f772d = aVar3;
                    g.a.a.b.i.h hVar2 = new g.a.a.b.i.h(aVar4);
                    hVar.f774f = hVar2;
                    hVar2.f721b = hVar.j;
                    for (g.a.a.b.g.b.a aVar5 : cVar.f660d.values()) {
                        if (cVar.f663g) {
                            aVar5.b(cVar.f662f);
                        } else {
                            aVar5.a(cVar.f662f);
                        }
                    }
                    cVar.f663g = false;
                } else {
                    throw new AssertionError("A PlatformViewsController can only be attached to a single output target.\nattach was called while the PlatformViewsController was already attached.");
                }
            } else {
                throw null;
            }
        }
        eVar.a.a(eVar.f646b);
        e eVar2 = this.x;
        eVar2.a();
        if (eVar2.a.l()) {
            c cVar2 = eVar2.f646b.f652d;
            if (cVar2.c()) {
                for (b.a aVar6 : cVar2.f662f.f669f) {
                    aVar6.a(bundle);
                }
            } else {
                Log.e("FlutterEnginePluginRegistry", "Attempted to notify ActivityAware plugins of onRestoreInstanceState, but no Activity was attached.");
            }
        }
        if (q() == g.transparent) {
            getWindow().setBackgroundDrawable(new ColorDrawable(0));
            getWindow().setFlags(512, 512);
        }
        e eVar3 = this.x;
        eVar3.a();
        k kVar = new k(eVar3.a.n(), eVar3.a.j(), eVar3.a.o());
        eVar3.f647d = kVar;
        kVar.A.add(eVar3.f650g);
        g.a.a.a.h hVar3 = new g.a.a.a.h(eVar3.a.b());
        eVar3.c = hVar3;
        hVar3.setId(View.generateViewId());
        eVar3.c.a(eVar3.f647d, eVar3.a.p());
        setContentView(eVar3.c);
        Window window = getWindow();
        window.addFlags(Integer.MIN_VALUE);
        window.setStatusBarColor(ConcurrentReaderHashMap.MAXIMUM_CAPACITY);
        window.getDecorView().setSystemUiVisibility(1280);
    }

    public void onDestroy() {
        super.onDestroy();
        e eVar = this.x;
        eVar.a();
        eVar.f647d.A.remove(eVar.f650g);
        e eVar2 = this.x;
        eVar2.a();
        eVar2.a.b(eVar2.f646b);
        if (eVar2.a.l()) {
            if (eVar2.a.n().isChangingConfigurations()) {
                c cVar = eVar2.f646b.f652d;
                if (cVar.c()) {
                    StringBuilder b2 = b.b.a.a.a.b("Detaching from an Activity for config changes: ");
                    b2.append(cVar.f661e);
                    b2.toString();
                    cVar.f663g = true;
                    for (g.a.a.b.g.b.a aVar : cVar.f660d.values()) {
                        aVar.a();
                    }
                    g.a.b.c.h hVar = cVar.f659b.m;
                    hVar.f774f.f721b = null;
                    hVar.f774f = null;
                    hVar.f771b = null;
                    hVar.f772d = null;
                    cVar.f661e = null;
                    cVar.f662f = null;
                } else {
                    Log.e("FlutterEnginePluginRegistry", "Attempted to detach plugins from an Activity when no Activity was attached.");
                }
            } else {
                eVar2.f646b.f652d.a();
            }
        }
        g.a.b.c.c cVar2 = eVar2.f648e;
        if (cVar2 != null) {
            cVar2.f768b.f716b = null;
            eVar2.f648e = null;
        }
        eVar2.f646b.f655g.a.a("AppLifecycleState.detached");
        if (eVar2.a.m()) {
            a aVar2 = eVar2.f646b;
            c cVar3 = aVar2.f652d;
            cVar3.b();
            Iterator it = new HashSet(cVar3.a.keySet()).iterator();
            while (it.hasNext()) {
                Class cls = (Class) it.next();
                g.a.a.b.g.a aVar3 = cVar3.a.get(cls);
                if (aVar3 != null) {
                    String str = "Removing plugin: " + aVar3;
                    if (aVar3 instanceof g.a.a.b.g.b.a) {
                        if (cVar3.c()) {
                            ((g.a.a.b.g.b.a) aVar3).b();
                        }
                        cVar3.f660d.remove(cls);
                    }
                    if (aVar3 instanceof g.a.a.b.g.e.a) {
                        if (cVar3.d()) {
                            ((g.a.a.b.g.e.a) aVar3).a();
                        }
                        cVar3.f664h.remove(cls);
                    }
                    if (aVar3 instanceof g.a.a.b.g.c.a) {
                        cVar3.k.remove(cls);
                    }
                    if (aVar3 instanceof g.a.a.b.g.d.a) {
                        cVar3.l.remove(cls);
                    }
                    aVar3.a(cVar3.c);
                    cVar3.a.remove(cls);
                }
            }
            cVar3.a.clear();
            aVar2.c.a.setPlatformMessageHandler(null);
            aVar2.a.removeEngineLifecycleListener(aVar2.o);
            aVar2.a.detachFromNativeAndReleaseResources();
            if (eVar2.a.e() != null) {
                if (g.a.a.b.b.f658b == null) {
                    g.a.a.b.b.f658b = new g.a.a.b.b();
                }
                g.a.a.b.b.f658b.a.remove(eVar2.a.e());
            }
            eVar2.f646b = null;
        }
        this.y.a(f.a.ON_DESTROY);
    }

    public void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        e eVar = this.x;
        eVar.a();
        a aVar = eVar.f646b;
        if (aVar != null) {
            c cVar = aVar.f652d;
            if (cVar.c()) {
                for (g.a.b.a.k kVar : cVar.f662f.f667d) {
                    kVar.a(intent);
                }
                return;
            }
            Log.e("FlutterEnginePluginRegistry", "Attempted to notify ActivityAware plugins of onNewIntent, but no Activity was attached.");
            return;
        }
        Log.w("FlutterActivityAndFragmentDelegate", "onNewIntent() invoked before FlutterFragment was attached to an Activity.");
    }

    public void onPause() {
        super.onPause();
        e eVar = this.x;
        eVar.a();
        eVar.f646b.f655g.a.a("AppLifecycleState.inactive");
        this.y.a(f.a.ON_PAUSE);
    }

    public void onPostResume() {
        super.onPostResume();
        e eVar = this.x;
        eVar.a();
        if (eVar.f646b != null) {
            g.a.b.c.c cVar = eVar.f648e;
            if (cVar != null) {
                cVar.a();
                return;
            }
            return;
        }
        Log.w("FlutterActivityAndFragmentDelegate", "onPostResume() invoked before FlutterFragment was attached to an Activity.");
    }

    public void onRequestPermissionsResult(int i2, String[] strArr, int[] iArr) {
        e eVar = this.x;
        eVar.a();
        if (eVar.f646b != null) {
            Arrays.toString(strArr);
            Arrays.toString(iArr);
            c cVar = eVar.f646b.f652d;
            if (cVar.c()) {
                Iterator<m> it = cVar.f662f.f666b.iterator();
                while (true) {
                    boolean z = false;
                    while (true) {
                        if (!it.hasNext()) {
                            return;
                        }
                        if (it.next().a(i2, strArr, iArr) || z) {
                            z = true;
                        }
                    }
                }
            } else {
                Log.e("FlutterEnginePluginRegistry", "Attempted to notify ActivityAware plugins of onRequestPermissionsResult, but no Activity was attached.");
            }
        } else {
            Log.w("FlutterActivityAndFragmentDelegate", "onRequestPermissionResult() invoked before FlutterFragment was attached to an Activity.");
        }
    }

    public void onResume() {
        super.onResume();
        this.y.a(f.a.ON_RESUME);
        e eVar = this.x;
        eVar.a();
        eVar.f646b.f655g.a.a("AppLifecycleState.resumed");
    }

    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        e eVar = this.x;
        eVar.a();
        if (eVar.a.l()) {
            c cVar = eVar.f646b.f652d;
            if (cVar.c()) {
                for (b.a aVar : cVar.f662f.f669f) {
                    aVar.b(bundle);
                }
                return;
            }
            Log.e("FlutterEnginePluginRegistry", "Attempted to notify ActivityAware plugins of onSaveInstanceState, but no Activity was attached.");
        }
    }

    public void onStart() {
        super.onStart();
        this.y.a(f.a.ON_START);
        e eVar = this.x;
        eVar.a();
        new Handler().post(new g.a.a.a.f(eVar));
    }

    public void onStop() {
        super.onStop();
        e eVar = this.x;
        eVar.a();
        eVar.f646b.f655g.a.a("AppLifecycleState.paused");
        eVar.f647d.a();
        this.y.a(f.a.ON_STOP);
    }

    public void onTrimMemory(int i2) {
        super.onTrimMemory(i2);
        e eVar = this.x;
        eVar.a();
        a aVar = eVar.f646b;
        if (aVar == null) {
            Log.w("FlutterActivityAndFragmentDelegate", "onTrimMemory() invoked before FlutterFragment was attached to an Activity.");
        } else if (i2 == 10) {
            g.a.a.b.i.j jVar = aVar.l;
            if (jVar != null) {
                HashMap hashMap = new HashMap(1);
                hashMap.put(JamXmlElements.TYPE, "memoryPressure");
                jVar.a.a(hashMap);
                return;
            }
            throw null;
        }
    }

    public void onUserLeaveHint() {
        e eVar = this.x;
        eVar.a();
        a aVar = eVar.f646b;
        if (aVar != null) {
            c cVar = aVar.f652d;
            if (cVar.c()) {
                for (n nVar : cVar.f662f.f668e) {
                    nVar.a();
                }
                return;
            }
            Log.e("FlutterEnginePluginRegistry", "Attempted to notify ActivityAware plugins of onUserLeaveHint, but no Activity was attached.");
            return;
        }
        Log.w("FlutterActivityAndFragmentDelegate", "onUserLeaveHint() invoked before FlutterFragment was attached to an Activity.");
    }

    /* JADX WARNING: Removed duplicated region for block: B:14:0x003d  */
    /* JADX WARNING: Removed duplicated region for block: B:16:? A[RETURN, SYNTHETIC] */
    @Override // g.a.a.a.e.b
    public g.a.a.a.m p() {
        Drawable drawable;
        try {
            Bundle bundle = getPackageManager().getActivityInfo(getComponentName(), 128).metaData;
            int i2 = bundle != null ? bundle.getInt("io.flutter.embedding.android.SplashScreenDrawable") : 0;
            if (i2 != 0) {
                drawable = Build.VERSION.SDK_INT > 21 ? getResources().getDrawable(i2, getTheme()) : getResources().getDrawable(i2);
                if (drawable == null) {
                    return new g.a.a.a.d(drawable);
                }
                return null;
            }
        } catch (PackageManager.NameNotFoundException unused) {
        }
        drawable = null;
        if (drawable == null) {
        }
    }

    public g q() {
        if (getIntent().hasExtra("background_mode")) {
            return g.valueOf(getIntent().getStringExtra("background_mode"));
        }
        return g.opaque;
    }

    @Override // g.a.a.a.e.b
    public g.a.b.c.c a(Activity activity, a aVar) {
        if (activity != null) {
            return new g.a.b.c.c(this, aVar.j);
        }
        return null;
    }
}
