package org.apache.lucene.analysis.br;

import i.a.b.g.b1;
import i.a.b.g.x;
import java.io.IOException;
import java.io.Reader;
import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.analysis.core.LowerCaseFilter;
import org.apache.lucene.analysis.core.StopFilter;
import org.apache.lucene.analysis.standard.StandardFilter;
import org.apache.lucene.analysis.standard.StandardTokenizer;
import org.apache.lucene.analysis.util.CharArraySet;
import org.apache.lucene.analysis.util.StopwordAnalyzerBase;
import org.apache.lucene.analysis.util.WordlistLoader;
import org.apache.poi.ss.usermodel.DataFormatter;

public final class BrazilianAnalyzer extends StopwordAnalyzerBase {

    public static class DefaultSetHolder {
        static {
            try {
                WordlistLoader.a(x.a(BrazilianAnalyzer.class, "stopwords.txt", x.a), DataFormatter.defaultFractionWholePartFormat, new CharArraySet(b1.LUCENE_CURRENT, 16, false));
            } catch (IOException unused) {
                throw new RuntimeException("Unable to load default stopword set");
            }
        }
    }

    @Override // org.apache.lucene.analysis.Analyzer
    public Analyzer.TokenStreamComponents a(String str, Reader reader) {
        StandardTokenizer standardTokenizer = new StandardTokenizer(null, reader);
        return new Analyzer.TokenStreamComponents(standardTokenizer, new BrazilianStemFilter(new StopFilter(null, new StandardFilter(null, new LowerCaseFilter(null, standardTokenizer)), null)));
    }
}
