package org.apache.lucene.analysis.ckb;

import i.a.b.g.b1;
import i.a.b.g.x;
import java.io.IOException;
import java.io.Reader;
import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.analysis.core.LowerCaseFilter;
import org.apache.lucene.analysis.core.StopFilter;
import org.apache.lucene.analysis.standard.StandardFilter;
import org.apache.lucene.analysis.standard.StandardTokenizer;
import org.apache.lucene.analysis.util.StopwordAnalyzerBase;
import org.apache.lucene.analysis.util.WordlistLoader;

public final class SoraniAnalyzer extends StopwordAnalyzerBase {

    public static class DefaultSetHolder {
        static {
            try {
                WordlistLoader.b(x.a(SoraniAnalyzer.class, "stopwords.txt", x.a), b1.LUCENE_CURRENT);
            } catch (IOException unused) {
                throw new RuntimeException("Unable to load default stopword set");
            }
        }
    }

    @Override // org.apache.lucene.analysis.Analyzer
    public Analyzer.TokenStreamComponents a(String str, Reader reader) {
        new StopFilter(null, new LowerCaseFilter(null, new SoraniNormalizationFilter(new StandardFilter(null, new StandardTokenizer(null, reader)))), null);
        throw null;
    }
}
