package org.apache.lucene.analysis.ckb;

import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.KeywordAttribute;
import org.apache.lucene.analysis.util.StemmerUtil;

public final class SoraniStemFilter extends TokenFilter {
    public final SoraniStemmer F;
    public final CharTermAttribute G;
    public final KeywordAttribute H;

    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        if (!this.D.g()) {
            return false;
        }
        if (this.H.c()) {
            return true;
        }
        SoraniStemmer soraniStemmer = this.F;
        char[] f2 = this.G.f();
        int length = this.G.length();
        if (soraniStemmer != null) {
            if (length > 5 && StemmerUtil.a(f2, length, "دا")) {
                length -= 2;
            } else if (length > 4 && StemmerUtil.a(f2, length, "نا")) {
                length--;
            } else if (length > 6 && StemmerUtil.a(f2, length, "ەوە")) {
                length -= 3;
            }
            if (length > 6 && (StemmerUtil.a(f2, length, "مان") || StemmerUtil.a(f2, length, "یان") || StemmerUtil.a(f2, length, "تان"))) {
                length -= 3;
            }
            if (length <= 6 || !StemmerUtil.a(f2, length, "ێکی")) {
                if (length <= 7 || !StemmerUtil.a(f2, length, "یەکی")) {
                    if (length <= 5 || !StemmerUtil.a(f2, length, "ێک")) {
                        if ((length <= 6 || !StemmerUtil.a(f2, length, "یەک")) && (length <= 6 || !StemmerUtil.a(f2, length, "ەکە"))) {
                            if (length <= 5 || !StemmerUtil.a(f2, length, "کە")) {
                                if (length <= 7 || !StemmerUtil.a(f2, length, "ەکان")) {
                                    if (length <= 6 || !StemmerUtil.a(f2, length, "کان")) {
                                        if (length <= 7 || !StemmerUtil.a(f2, length, "یانی")) {
                                            if ((length <= 6 || !StemmerUtil.a(f2, length, "انی")) && (length <= 6 || !StemmerUtil.a(f2, length, "یان"))) {
                                                if (length <= 5 || !StemmerUtil.a(f2, length, "ان")) {
                                                    if (length <= 7 || !StemmerUtil.a(f2, length, "یانە")) {
                                                        if (length <= 6 || !StemmerUtil.a(f2, length, "انە")) {
                                                            if (length <= 5 || (!StemmerUtil.a(f2, length, "ایە") && !StemmerUtil.a(f2, length, "ەیە"))) {
                                                                if ((length > 4 && StemmerUtil.a(f2, length, "ە")) || (length > 4 && StemmerUtil.a(f2, length, "ی"))) {
                                                                    length--;
                                                                }
                                                                this.G.setLength(length);
                                                                return true;
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                    length -= 2;
                    this.G.setLength(length);
                    return true;
                }
                length -= 4;
                this.G.setLength(length);
                return true;
            }
            length -= 3;
            this.G.setLength(length);
            return true;
        }
        throw null;
    }
}
