package org.apache.lucene.analysis.de;

import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.KeywordAttribute;

public final class GermanStemFilter extends TokenFilter {
    public GermanStemmer F;
    public final CharTermAttribute G;
    public final KeywordAttribute H;

    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        boolean z;
        char c;
        char c2;
        char c3;
        if (!this.D.g()) {
            return false;
        }
        String obj = this.G.toString();
        if (!this.H.c()) {
            GermanStemmer germanStemmer = this.F;
            if (germanStemmer != null) {
                String lowerCase = obj.toLowerCase(GermanStemmer.c);
                int i2 = 0;
                while (true) {
                    if (i2 >= lowerCase.length()) {
                        z = true;
                        break;
                    } else if (!Character.isLetter(lowerCase.charAt(i2))) {
                        z = false;
                        break;
                    } else {
                        i2++;
                    }
                }
                if (z) {
                    StringBuilder sb = germanStemmer.a;
                    sb.delete(0, sb.length());
                    germanStemmer.a.insert(0, lowerCase);
                    StringBuilder sb2 = germanStemmer.a;
                    germanStemmer.f1783b = 0;
                    int i3 = 0;
                    while (true) {
                        c = '$';
                        c2 = 'c';
                        if (i3 >= sb2.length()) {
                            break;
                        }
                        if (i3 > 0 && sb2.charAt(i3) == sb2.charAt(i3 - 1)) {
                            sb2.setCharAt(i3, '*');
                        } else if (sb2.charAt(i3) == 228) {
                            sb2.setCharAt(i3, 'a');
                        } else if (sb2.charAt(i3) == 246) {
                            sb2.setCharAt(i3, 'o');
                        } else if (sb2.charAt(i3) == 252) {
                            sb2.setCharAt(i3, 'u');
                        } else if (sb2.charAt(i3) == 223) {
                            sb2.setCharAt(i3, 's');
                            sb2.insert(i3 + 1, 's');
                            germanStemmer.f1783b++;
                        }
                        if (i3 < sb2.length() - 1) {
                            if (i3 < sb2.length() - 2 && sb2.charAt(i3) == 's') {
                                int i4 = i3 + 1;
                                if (sb2.charAt(i4) == 'c' && sb2.charAt(i3 + 2) == 'h') {
                                    sb2.setCharAt(i3, '$');
                                    sb2.delete(i4, i3 + 3);
                                    germanStemmer.f1783b = 2;
                                }
                            }
                            if (sb2.charAt(i3) == 'c') {
                                int i5 = i3 + 1;
                                if (sb2.charAt(i5) == 'h') {
                                    sb2.setCharAt(i3, 167);
                                    sb2.deleteCharAt(i5);
                                    germanStemmer.f1783b++;
                                }
                            }
                            if (sb2.charAt(i3) == 'e') {
                                int i6 = i3 + 1;
                                c3 = 'i';
                                if (sb2.charAt(i6) == 'i') {
                                    sb2.setCharAt(i3, '%');
                                    sb2.deleteCharAt(i6);
                                    germanStemmer.f1783b++;
                                }
                            } else {
                                c3 = 'i';
                            }
                            if (sb2.charAt(i3) == c3) {
                                int i7 = i3 + 1;
                                if (sb2.charAt(i7) == 'e') {
                                    sb2.setCharAt(i3, '&');
                                    sb2.deleteCharAt(i7);
                                    germanStemmer.f1783b++;
                                }
                            }
                            if (sb2.charAt(i3) == 'i') {
                                int i8 = i3 + 1;
                                if (sb2.charAt(i8) == 'g') {
                                    sb2.setCharAt(i3, '#');
                                    sb2.deleteCharAt(i8);
                                    germanStemmer.f1783b++;
                                }
                            }
                            if (sb2.charAt(i3) == 's') {
                                int i9 = i3 + 1;
                                if (sb2.charAt(i9) == 't') {
                                    sb2.setCharAt(i3, '!');
                                    sb2.deleteCharAt(i9);
                                    germanStemmer.f1783b++;
                                }
                            }
                        }
                        i3++;
                    }
                    germanStemmer.a(germanStemmer.a);
                    StringBuilder sb3 = germanStemmer.a;
                    if (sb3.length() > 5 && sb3.substring(sb3.length() - 5, sb3.length()).equals("erin*")) {
                        sb3.deleteCharAt(sb3.length() - 1);
                        germanStemmer.a(sb3);
                    }
                    if (sb3.length() > 0 && sb3.charAt(sb3.length() - 1) == 'z') {
                        sb3.setCharAt(sb3.length() - 1, 'x');
                    }
                    StringBuilder sb4 = germanStemmer.a;
                    int i10 = 0;
                    while (i10 < sb4.length()) {
                        if (sb4.charAt(i10) == '*') {
                            sb4.setCharAt(i10, sb4.charAt(i10 - 1));
                        } else if (sb4.charAt(i10) == c) {
                            sb4.setCharAt(i10, 's');
                            sb4.insert(i10 + 1, new char[]{'c', 'h'}, 0, 2);
                        } else if (sb4.charAt(i10) == 167) {
                            sb4.setCharAt(i10, c2);
                            sb4.insert(i10 + 1, 'h');
                        } else if (sb4.charAt(i10) == '%') {
                            sb4.setCharAt(i10, 'e');
                            sb4.insert(i10 + 1, 'i');
                        } else if (sb4.charAt(i10) == '&') {
                            sb4.setCharAt(i10, 'i');
                            sb4.insert(i10 + 1, 'e');
                        } else if (sb4.charAt(i10) == '#') {
                            sb4.setCharAt(i10, 'i');
                            sb4.insert(i10 + 1, 'g');
                        } else if (sb4.charAt(i10) == '!') {
                            sb4.setCharAt(i10, 's');
                            sb4.insert(i10 + 1, 't');
                        }
                        i10++;
                        c2 = 'c';
                        c = '$';
                    }
                    StringBuilder sb5 = germanStemmer.a;
                    if (sb5.length() > 4) {
                        int i11 = 0;
                        while (true) {
                            if (i11 >= sb5.length() - 3) {
                                break;
                            } else if (sb5.substring(i11, i11 + 4).equals("gege")) {
                                sb5.delete(i11, i11 + 2);
                                break;
                            } else {
                                i11++;
                            }
                        }
                    }
                    lowerCase = germanStemmer.a.toString();
                }
                if (lowerCase != null && !lowerCase.equals(obj)) {
                    this.G.g().append(lowerCase);
                }
            } else {
                throw null;
            }
        }
        return true;
    }
}
