package org.apache.lucene.analysis.el;

import i.a.b.g.b1;
import java.io.IOException;
import java.io.Reader;
import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.analysis.standard.StandardTokenizer;
import org.apache.lucene.analysis.util.StopwordAnalyzerBase;
import org.apache.poi.ss.usermodel.DataFormatter;

public final class GreekAnalyzer extends StopwordAnalyzerBase {

    public static class DefaultSetHolder {
        static {
            try {
                StopwordAnalyzerBase.a(false, GreekAnalyzer.class, "stopwords.txt", DataFormatter.defaultFractionWholePartFormat);
            } catch (IOException unused) {
                throw new RuntimeException("Unable to load default stopword set");
            }
        }
    }

    @Override // org.apache.lucene.analysis.Analyzer
    public Analyzer.TokenStreamComponents a(String str, Reader reader) {
        new GreekLowerCaseFilter(null, new StandardTokenizer(null, reader));
        b1 b1Var = b1.LUCENE_31;
        throw null;
    }
}
