package org.apache.lucene.analysis.ga;

import i.a.b.g.b1;
import java.io.IOException;
import java.io.Reader;
import java.util.Arrays;
import java.util.Collection;
import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.analysis.core.StopFilter;
import org.apache.lucene.analysis.standard.StandardFilter;
import org.apache.lucene.analysis.standard.StandardTokenizer;
import org.apache.lucene.analysis.util.CharArraySet;
import org.apache.lucene.analysis.util.StopwordAnalyzerBase;
import org.apache.poi.ss.usermodel.DataFormatter;

public final class IrishAnalyzer extends StopwordAnalyzerBase {
    public static final CharArraySet C = CharArraySet.a(new CharArraySet(b1.LUCENE_CURRENT, (Collection<?>) Arrays.asList("d", "m", "b"), true));
    public static final CharArraySet D = CharArraySet.a(new CharArraySet(b1.LUCENE_CURRENT, (Collection<?>) Arrays.asList("h", "n", "t"), true));

    public static class DefaultSetHolder {
        static {
            try {
                StopwordAnalyzerBase.a(false, IrishAnalyzer.class, "stopwords.txt", DataFormatter.defaultFractionWholePartFormat);
            } catch (IOException unused) {
                throw new RuntimeException("Unable to load default stopword set");
            }
        }
    }

    @Override // org.apache.lucene.analysis.Analyzer
    public Analyzer.TokenStreamComponents a(String str, Reader reader) {
        new StopFilter(null, new StandardFilter(null, new StandardTokenizer(null, reader)), D);
        b1 b1Var = b1.LUCENE_44;
        throw null;
    }
}
