package org.apache.lucene.analysis.hunspell;

import i.a.b.g.h;
import java.util.List;
import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.hunspell.HunspellStemmer;

public final class HunspellStemFilter extends TokenFilter {
    public List<HunspellStemmer.Stem> F;
    public h.b G;

    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        List<HunspellStemmer.Stem> list = this.F;
        if (list != null && !list.isEmpty()) {
            this.F.remove(0);
            a(this.G);
            throw null;
        } else if (!this.D.g()) {
            return false;
        } else {
            throw null;
        }
    }

    @Override // org.apache.lucene.analysis.TokenStream, org.apache.lucene.analysis.TokenFilter
    public void h() {
        super.h();
        this.F = null;
    }
}
