package org.apache.lucene.analysis.miscellaneous;

import org.apache.lucene.analysis.TokenStream;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.util.CharArraySet;

public final class SetKeywordMarkerFilter extends KeywordMarkerFilter {
    public final CharTermAttribute G = ((CharTermAttribute) a(CharTermAttribute.class));
    public final CharArraySet H;

    public SetKeywordMarkerFilter(TokenStream tokenStream, CharArraySet charArraySet) {
        super(tokenStream);
        this.H = charArraySet;
    }

    @Override // org.apache.lucene.analysis.miscellaneous.KeywordMarkerFilter
    public boolean i() {
        return this.H.a(this.G.f(), 0, this.G.length());
    }
}
