package org.apache.lucene.analysis.standard;

import java.io.Reader;
import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.analysis.core.LowerCaseFilter;
import org.apache.lucene.analysis.core.StopAnalyzer;
import org.apache.lucene.analysis.core.StopFilter;
import org.apache.lucene.analysis.util.CharArraySet;
import org.apache.lucene.analysis.util.StopwordAnalyzerBase;

public final class ClassicAnalyzer extends StopwordAnalyzerBase {
    public int C;

    static {
        CharArraySet charArraySet = StopAnalyzer.C;
    }

    @Override // org.apache.lucene.analysis.Analyzer
    public Analyzer.TokenStreamComponents a(String str, Reader reader) {
        final ClassicTokenizer classicTokenizer = new ClassicTokenizer(null, reader);
        classicTokenizer.J = 0;
        return new Analyzer.TokenStreamComponents(new StopFilter(null, new LowerCaseFilter(null, new ClassicFilter(classicTokenizer)), null), classicTokenizer) {
            /* class org.apache.lucene.analysis.standard.ClassicAnalyzer.AnonymousClass1 */

            @Override // org.apache.lucene.analysis.Analyzer.TokenStreamComponents
            public void a(Reader reader) {
                classicTokenizer.J = ClassicAnalyzer.this.C;
                super.a(reader);
            }
        };
    }
}
