package org.apache.lucene.analysis.standard;

import java.io.Reader;
import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.analysis.core.LowerCaseFilter;
import org.apache.lucene.analysis.core.StopAnalyzer;
import org.apache.lucene.analysis.core.StopFilter;
import org.apache.lucene.analysis.util.CharArraySet;
import org.apache.lucene.analysis.util.StopwordAnalyzerBase;

public final class UAX29URLEmailAnalyzer extends StopwordAnalyzerBase {
    public int C;

    static {
        CharArraySet charArraySet = StopAnalyzer.C;
    }

    @Override // org.apache.lucene.analysis.Analyzer
    public Analyzer.TokenStreamComponents a(String str, Reader reader) {
        final UAX29URLEmailTokenizer uAX29URLEmailTokenizer = new UAX29URLEmailTokenizer(null, reader);
        uAX29URLEmailTokenizer.J = 0;
        return new Analyzer.TokenStreamComponents(new StopFilter(null, new LowerCaseFilter(null, new StandardFilter(null, uAX29URLEmailTokenizer)), null), uAX29URLEmailTokenizer) {
            /* class org.apache.lucene.analysis.standard.UAX29URLEmailAnalyzer.AnonymousClass1 */

            @Override // org.apache.lucene.analysis.Analyzer.TokenStreamComponents
            public void a(Reader reader) {
                uAX29URLEmailTokenizer.J = UAX29URLEmailAnalyzer.this.C;
                super.a(reader);
            }
        };
    }
}
