package org.apache.lucene.analysis.standard;

import i.a.b.g.b1;
import java.io.Reader;
import org.apache.lucene.analysis.Tokenizer;
import org.apache.lucene.analysis.standard.std31.UAX29URLEmailTokenizerImpl31;
import org.apache.lucene.analysis.standard.std34.UAX29URLEmailTokenizerImpl34;
import org.apache.lucene.analysis.standard.std36.UAX29URLEmailTokenizerImpl36;
import org.apache.lucene.analysis.standard.std40.UAX29URLEmailTokenizerImpl40;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.OffsetAttribute;
import org.apache.lucene.analysis.tokenattributes.PositionIncrementAttribute;
import org.apache.lucene.analysis.tokenattributes.TypeAttribute;

public final class UAX29URLEmailTokenizer extends Tokenizer {
    public static final String[] Q;
    public final StandardTokenizerInterface H;
    public int I;
    public int J = 255;
    public final CharTermAttribute K = ((CharTermAttribute) a(CharTermAttribute.class));
    public final OffsetAttribute M = ((OffsetAttribute) a(OffsetAttribute.class));
    public final PositionIncrementAttribute O = ((PositionIncrementAttribute) a(PositionIncrementAttribute.class));
    public final TypeAttribute P = ((TypeAttribute) a(TypeAttribute.class));

    static {
        String[] strArr = StandardTokenizer.Q;
        Q = new String[]{strArr[0], strArr[6], strArr[9], strArr[10], strArr[11], strArr[12], strArr[13], "<URL>", "<EMAIL>"};
    }

    public UAX29URLEmailTokenizer(b1 b1Var, Reader reader) {
        super(reader);
        this.H = a(b1Var);
    }

    public final StandardTokenizerInterface a(b1 b1Var) {
        if (b1Var.a(b1.LUCENE_47)) {
            return new UAX29URLEmailTokenizerImpl(this.D);
        }
        if (b1Var.a(b1.LUCENE_40)) {
            return new UAX29URLEmailTokenizerImpl40(this.D);
        }
        if (b1Var.a(b1.LUCENE_36)) {
            return new UAX29URLEmailTokenizerImpl36(this.D);
        }
        if (b1Var.a(b1.LUCENE_34)) {
            return new UAX29URLEmailTokenizerImpl34(this.D);
        }
        return new UAX29URLEmailTokenizerImpl31(this.D);
    }

    @Override // org.apache.lucene.analysis.Tokenizer, org.apache.lucene.analysis.TokenStream, java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        super.close();
        this.H.a(this.D);
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public final void f() {
        super.f();
        int a = a(this.H.c() + this.H.b());
        this.M.a(a, a);
        PositionIncrementAttribute positionIncrementAttribute = this.O;
        positionIncrementAttribute.b(positionIncrementAttribute.a() + this.I);
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public final boolean g() {
        b();
        this.I = 0;
        while (true) {
            int a = this.H.a();
            if (a == -1) {
                return false;
            }
            if (this.H.c() <= this.J) {
                this.O.b(this.I + 1);
                this.H.a(this.K);
                int b2 = this.H.b();
                this.M.a(a(b2), a(this.K.length() + b2));
                this.P.setType(Q[a]);
                return true;
            }
            this.I++;
        }
    }

    @Override // org.apache.lucene.analysis.Tokenizer, org.apache.lucene.analysis.TokenStream
    public void h() {
        super.h();
        this.H.a(this.D);
        this.I = 0;
    }
}
