package org.apache.lucene.analysis.tokenattributes;

import b.b.a.a.a;
import i.a.b.g.a1;
import i.a.b.g.c;
import i.a.b.g.e;
import i.a.b.g.f;
import i.a.b.g.g;
import i.a.b.g.l;
import java.nio.CharBuffer;

public class CharTermAttributeImpl extends e implements CharTermAttribute, TermToBytesRefAttribute, Cloneable {
    public char[] x = new char[c.a(10, 2)];
    public int y = 0;
    public l z = new l(10);

    @Override // org.apache.lucene.analysis.tokenattributes.CharTermAttribute
    public final void a(char[] cArr, int i2, int i3) {
        if (this.x.length < i3) {
            this.x = new char[c.a(i3, 2)];
        }
        System.arraycopy(cArr, i2, this.x, 0, i3);
        this.y = i3;
    }

    public final char charAt(int i2) {
        if (i2 < this.y) {
            return this.x[i2];
        }
        throw new IndexOutOfBoundsException();
    }

    @Override // org.apache.lucene.analysis.tokenattributes.CharTermAttribute
    public final char[] d(int i2) {
        if (this.x.length < i2) {
            char[] cArr = new char[c.a(i2, 2)];
            char[] cArr2 = this.x;
            System.arraycopy(cArr2, 0, cArr, 0, cArr2.length);
            this.x = cArr;
        }
        return this.x;
    }

    @Override // org.apache.lucene.analysis.tokenattributes.TermToBytesRefAttribute
    public int e() {
        return a1.a(this.x, 0, this.y, this.z);
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof CharTermAttributeImpl)) {
            return false;
        }
        CharTermAttributeImpl charTermAttributeImpl = (CharTermAttributeImpl) obj;
        if (this.y != charTermAttributeImpl.y) {
            return false;
        }
        for (int i2 = 0; i2 < this.y; i2++) {
            if (this.x[i2] != charTermAttributeImpl.x[i2]) {
                return false;
            }
        }
        return true;
    }

    @Override // org.apache.lucene.analysis.tokenattributes.CharTermAttribute
    public final char[] f() {
        return this.x;
    }

    @Override // org.apache.lucene.analysis.tokenattributes.CharTermAttribute
    public final CharTermAttribute g() {
        this.y = 0;
        return this;
    }

    public int hashCode() {
        int i2 = this.y;
        return c.a(this.x, 0, i2) + (i2 * 31);
    }

    @Override // org.apache.lucene.analysis.tokenattributes.TermToBytesRefAttribute
    public l k() {
        return this.z;
    }

    public final int length() {
        return this.y;
    }

    @Override // i.a.b.g.e
    public void m() {
        this.y = 0;
    }

    public final CharTermAttribute n() {
        d(this.y + 4);
        char[] cArr = this.x;
        int i2 = this.y;
        int i3 = i2 + 1;
        this.y = i3;
        cArr[i2] = 'n';
        int i4 = i3 + 1;
        this.y = i4;
        cArr[i3] = 'u';
        int i5 = i4 + 1;
        this.y = i5;
        cArr[i4] = 'l';
        this.y = i5 + 1;
        cArr[i5] = 'l';
        return this;
    }

    @Override // org.apache.lucene.analysis.tokenattributes.CharTermAttribute
    public final CharTermAttribute setLength(int i2) {
        if (i2 <= this.x.length) {
            this.y = i2;
            return this;
        }
        throw new IllegalArgumentException(a.a(a.a("length ", i2, " exceeds the size of the termBuffer ("), this.x.length, ")"));
    }

    public final CharSequence subSequence(int i2, int i3) {
        int i4 = this.y;
        if (i2 <= i4 && i3 <= i4) {
            return new String(this.x, i2, i3 - i2);
        }
        throw new IndexOutOfBoundsException();
    }

    public String toString() {
        return new String(this.x, 0, this.y);
    }

    @Override // java.lang.Object, i.a.b.g.e, i.a.b.g.e
    public CharTermAttributeImpl clone() {
        CharTermAttributeImpl charTermAttributeImpl = (CharTermAttributeImpl) super.clone();
        int i2 = this.y;
        char[] cArr = new char[i2];
        charTermAttributeImpl.x = cArr;
        System.arraycopy(this.x, 0, cArr, 0, i2);
        charTermAttributeImpl.z = l.d(this.z);
        return charTermAttributeImpl;
    }

    @Override // java.lang.Appendable
    public final CharTermAttribute append(CharSequence charSequence) {
        if (charSequence == null) {
            n();
            return this;
        }
        append(charSequence, 0, charSequence.length());
        return this;
    }

    @Override // org.apache.lucene.analysis.tokenattributes.CharTermAttribute
    public final CharTermAttribute a(StringBuilder sb) {
        if (sb == null) {
            n();
            return this;
        }
        int length = sb.length();
        sb.getChars(0, length, d(this.y + length), this.y);
        this.y += length;
        return this;
    }

    @Override // org.apache.lucene.analysis.tokenattributes.CharTermAttribute, java.lang.Appendable
    public final CharTermAttribute append(CharSequence charSequence, int i2, int i3) {
        if (charSequence == null) {
            charSequence = "null";
        }
        int i4 = i3 - i2;
        int length = charSequence.length();
        if (i4 < 0 || i2 > length || i3 > length) {
            throw new IndexOutOfBoundsException();
        } else if (i4 == 0) {
            return this;
        } else {
            d(this.y + i4);
            if (i4 > 4) {
                if (charSequence instanceof String) {
                    ((String) charSequence).getChars(i2, i3, this.x, this.y);
                } else if (charSequence instanceof StringBuilder) {
                    ((StringBuilder) charSequence).getChars(i2, i3, this.x, this.y);
                } else if (charSequence instanceof CharTermAttribute) {
                    System.arraycopy(((CharTermAttribute) charSequence).f(), i2, this.x, this.y, i4);
                } else {
                    if (charSequence instanceof CharBuffer) {
                        CharBuffer charBuffer = (CharBuffer) charSequence;
                        if (charBuffer.hasArray()) {
                            System.arraycopy(charBuffer.array(), charBuffer.position() + charBuffer.arrayOffset() + i2, this.x, this.y, i4);
                        }
                    }
                    if (charSequence instanceof StringBuffer) {
                        ((StringBuffer) charSequence).getChars(i2, i3, this.x, this.y);
                    } else {
                        while (i2 < i3) {
                            char[] cArr = this.x;
                            int i5 = this.y;
                            this.y = i5 + 1;
                            cArr[i5] = charSequence.charAt(i2);
                            i2++;
                        }
                        return this;
                    }
                }
                this.y += i4;
                return this;
            }
            while (i2 < i3) {
                char[] cArr2 = this.x;
                int i6 = this.y;
                this.y = i6 + 1;
                cArr2[i6] = charSequence.charAt(i2);
                i2++;
            }
            return this;
        }
    }

    @Override // org.apache.lucene.analysis.tokenattributes.CharTermAttribute
    public final CharTermAttribute a(CharTermAttribute charTermAttribute) {
        if (charTermAttribute == null) {
            n();
            return this;
        }
        int length = charTermAttribute.length();
        System.arraycopy(charTermAttribute.f(), 0, d(this.y + length), this.y, length);
        this.y += length;
        return this;
    }

    @Override // i.a.b.g.e
    public void a(f fVar) {
        g gVar = (g) fVar;
        gVar.a(CharTermAttribute.class, "term", toString());
        e();
        gVar.a(TermToBytesRefAttribute.class, "bytes", l.d(this.z));
    }

    @Override // i.a.b.g.e
    public void a(e eVar) {
        ((CharTermAttribute) eVar).a(this.x, 0, this.y);
    }

    @Override // org.apache.lucene.analysis.tokenattributes.CharTermAttribute, java.lang.Appendable
    public final CharTermAttribute append(char c) {
        char[] d2 = d(this.y + 1);
        int i2 = this.y;
        this.y = i2 + 1;
        d2[i2] = c;
        return this;
    }

    @Override // org.apache.lucene.analysis.tokenattributes.CharTermAttribute
    public final CharTermAttribute append(String str) {
        if (str == null) {
            n();
            return this;
        }
        int length = str.length();
        str.getChars(0, length, d(this.y + length), this.y);
        this.y += length;
        return this;
    }
}
