package org.apache.lucene.analysis.tr;

import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.TokenStream;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;

public final class TurkishLowerCaseFilter extends TokenFilter {
    public final CharTermAttribute F = ((CharTermAttribute) a(CharTermAttribute.class));

    public TurkishLowerCaseFilter(TokenStream tokenStream) {
        super(tokenStream);
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public final boolean g() {
        if (!this.D.g()) {
            return false;
        }
        char[] f2 = this.F.f();
        int length = this.F.length();
        int i2 = 0;
        boolean z = false;
        while (true) {
            boolean z2 = true;
            if (i2 < length) {
                int codePointAt = Character.codePointAt(f2, i2, length);
                z = codePointAt == 73 || (z && Character.getType(codePointAt) == 6);
                if (z) {
                    if (codePointAt == 73) {
                        int i3 = i2 + 1;
                        int i4 = i3;
                        while (true) {
                            if (i4 >= length) {
                                break;
                            }
                            int codePointAt2 = Character.codePointAt(f2, i4, length);
                            if (Character.getType(codePointAt2) != 6) {
                                break;
                            } else if (codePointAt2 == 775) {
                                break;
                            } else {
                                i4 += Character.charCount(codePointAt2);
                            }
                        }
                        z2 = false;
                        if (z2) {
                            f2[i2] = 'i';
                        } else {
                            f2[i2] = 305;
                            z = false;
                        }
                        i2 = i3;
                    } else if (codePointAt == 775) {
                        if (i2 < length) {
                            System.arraycopy(f2, i2 + 1, f2, i2, (length - i2) - 1);
                        }
                        length--;
                    }
                }
                i2 += Character.toChars(Character.toLowerCase(codePointAt), f2, i2);
            } else {
                this.F.setLength(length);
                return true;
            }
        }
    }
}
