package org.apache.lucene.analysis.util;

import b.b.a.a.a;
import java.text.BreakIterator;
import java.text.CharacterIterator;
import java.util.Locale;

public abstract class CharArrayIterator implements CharacterIterator {
    public static final boolean D;
    public int A;
    public int C;
    public char[] x;
    public int y;
    public int z;

    static {
        boolean z2;
        try {
            BreakIterator sentenceInstance = BreakIterator.getSentenceInstance(Locale.US);
            sentenceInstance.setText("󠁓");
            sentenceInstance.next();
            z2 = false;
        } catch (Exception unused) {
            z2 = true;
        }
        D = z2;
    }

    public abstract char a(char c);

    public char current() {
        int i2 = this.z;
        if (i2 == this.C) {
            return 65535;
        }
        return a(this.x[i2]);
    }

    public char first() {
        this.z = this.y;
        return current();
    }

    public int getBeginIndex() {
        return 0;
    }

    public int getEndIndex() {
        return this.A;
    }

    public int getIndex() {
        return this.z - this.y;
    }

    public char last() {
        int i2 = this.C;
        if (i2 != this.y) {
            i2--;
        }
        this.z = i2;
        return current();
    }

    public char next() {
        int i2 = this.z + 1;
        this.z = i2;
        int i3 = this.C;
        if (i2 < i3) {
            return current();
        }
        this.z = i3;
        return 65535;
    }

    public char previous() {
        int i2 = this.z - 1;
        this.z = i2;
        int i3 = this.y;
        if (i2 >= i3) {
            return current();
        }
        this.z = i3;
        return 65535;
    }

    public char setIndex(int i2) {
        if (i2 < 0 || i2 > this.A) {
            throw new IllegalArgumentException(a.c("Illegal Position: ", i2));
        }
        this.z = this.y + i2;
        return current();
    }

    @Override // java.lang.Object
    public CharArrayIterator clone() {
        try {
            return (CharArrayIterator) super.clone();
        } catch (CloneNotSupportedException e2) {
            throw new RuntimeException(e2);
        }
    }
}
