package org.apache.lucene.analysis.util;

public class OpenStringBuilder implements Appendable, CharSequence {
    public char[] x = new char[32];
    public int y;

    public void a(char c) {
        char[] cArr = this.x;
        int i2 = this.y;
        this.y = i2 + 1;
        cArr[i2] = c;
    }

    @Override // java.lang.Appendable
    public Appendable append(CharSequence charSequence) {
        append(charSequence, 0, charSequence.length());
        return this;
    }

    public void b(int i2) {
        char[] cArr = new char[Math.max(this.x.length << 1, i2)];
        System.arraycopy(this.x, 0, cArr, 0, this.y);
        this.x = cArr;
    }

    public char charAt(int i2) {
        return this.x[i2];
    }

    public int length() {
        return this.y;
    }

    public CharSequence subSequence(int i2, int i3) {
        throw new UnsupportedOperationException();
    }

    public String toString() {
        return new String(this.x, 0, this.y);
    }

    public void a(int i2) {
        int i3 = this.y;
        if (i3 + i2 > this.x.length) {
            b(i3 + i2);
        }
    }

    @Override // java.lang.Appendable
    public Appendable append(CharSequence charSequence, int i2, int i3) {
        a(i3 - i2);
        while (i2 < i3) {
            a(charSequence.charAt(i2));
            i2++;
        }
        return this;
    }

    @Override // java.lang.Appendable
    public Appendable append(char c) {
        int i2 = this.y;
        if (i2 >= this.x.length) {
            b(i2 + 1);
        }
        char[] cArr = this.x;
        int i3 = this.y;
        this.y = i3 + 1;
        cArr[i3] = c;
        return this;
    }
}
