package org.apache.lucene.codecs;

import b.b.a.a.a;
import i.a.b.c.u2;
import i.a.b.c.w2;
import i.a.b.g.i0;
import java.util.Set;

public abstract class DocValuesFormat implements i0.a {
    public static final i0<DocValuesFormat> loader = new i0<>(DocValuesFormat.class);
    public final String name;

    public DocValuesFormat(String str) {
        i0.b(str);
        this.name = str;
    }

    public static Set<String> availableDocValuesFormats() {
        i0<DocValuesFormat> i0Var = loader;
        if (i0Var != null) {
            return i0Var.a();
        }
        throw new IllegalStateException("You called DocValuesFormat.availableDocValuesFormats() before all formats could be initialized. This likely happens if you call it from a DocValuesFormat's ctor.");
    }

    public static DocValuesFormat forName(String str) {
        i0<DocValuesFormat> i0Var = loader;
        if (i0Var != null) {
            return i0Var.a(str);
        }
        throw new IllegalStateException("You called DocValuesFormat.forName() before all formats could be initialized. This likely happens if you call it from a DocValuesFormat's ctor.");
    }

    public static void reloadDocValuesFormats(ClassLoader classLoader) {
        loader.a(classLoader);
    }

    public abstract DocValuesConsumer fieldsConsumer(w2 w2Var);

    public abstract DocValuesProducer fieldsProducer(u2 u2Var);

    @Override // i.a.b.g.i0.a
    public final String getName() {
        return this.name;
    }

    public String toString() {
        return a.a(a.b("DocValuesFormat(name="), this.name, ")");
    }
}
