package org.apache.lucene.codecs;

import i.a.b.c.b0;
import i.a.b.c.t1;
import i.a.b.c.x1;
import i.a.b.g.l;

public final class MappingMultiDocsAndPositionsEnum extends b0 {
    public b0 current;
    public int currentBase;
    public t1.b currentMap;
    public int doc = -1;
    public t1 mergeState;
    public int numSubs;
    public x1.a[] subs;
    public int upto;

    @Override // i.a.b.e.r
    public int advance(int i2) {
        throw new UnsupportedOperationException();
    }

    @Override // i.a.b.e.r
    public long cost() {
        long j = 0;
        for (x1.a aVar : this.subs) {
            j += aVar.a.cost();
        }
        return j;
    }

    @Override // i.a.b.e.r
    public int docID() {
        return this.doc;
    }

    @Override // i.a.b.c.b0
    public int endOffset() {
        return this.current.endOffset();
    }

    @Override // i.a.b.c.c0
    public int freq() {
        return this.current.freq();
    }

    public int getNumSubs() {
        return this.numSubs;
    }

    @Override // i.a.b.c.b0
    public l getPayload() {
        return this.current.getPayload();
    }

    public x1.a[] getSubs() {
        return this.subs;
    }

    @Override // i.a.b.e.r
    public int nextDoc() {
        while (true) {
            if (this.current == null) {
                int i2 = this.upto;
                if (i2 == this.numSubs - 1) {
                    this.doc = Integer.MAX_VALUE;
                    return Integer.MAX_VALUE;
                }
                int i3 = i2 + 1;
                this.upto = i3;
                x1.a[] aVarArr = this.subs;
                int i4 = aVarArr[i3].f1098b.c;
                this.current = aVarArr[i3].a;
                t1 t1Var = this.mergeState;
                this.currentBase = t1Var.f1045e[i4];
                this.currentMap = t1Var.f1044d[i4];
            }
            int nextDoc = this.current.nextDoc();
            if (nextDoc != Integer.MAX_VALUE) {
                int a = this.currentMap.a(nextDoc);
                if (a != -1) {
                    int i5 = this.currentBase + a;
                    this.doc = i5;
                    return i5;
                }
            } else {
                this.current = null;
            }
        }
    }

    @Override // i.a.b.c.b0
    public int nextPosition() {
        return this.current.nextPosition();
    }

    public MappingMultiDocsAndPositionsEnum reset(x1 x1Var) {
        this.numSubs = x1Var.f1093d;
        this.subs = x1Var.c;
        this.upto = -1;
        this.current = null;
        return this;
    }

    public void setMergeState(t1 t1Var) {
        this.mergeState = t1Var;
    }

    @Override // i.a.b.c.b0
    public int startOffset() {
        return this.current.startOffset();
    }
}
