package org.apache.lucene.codecs.lucene3x;

import i.a.b.c.q2;
import org.apache.lucene.codecs.SegmentInfoFormat;
import org.apache.lucene.codecs.SegmentInfoReader;
import org.apache.lucene.codecs.SegmentInfoWriter;

@Deprecated
public class Lucene3xSegmentInfoFormat extends SegmentInfoFormat {
    public static final String DS_COMPOUND_KEY = (Lucene3xSegmentInfoFormat.class.getSimpleName() + ".dscompound");
    public static final String DS_NAME_KEY = (Lucene3xSegmentInfoFormat.class.getSimpleName() + ".dsname");
    public static final String DS_OFFSET_KEY = (Lucene3xSegmentInfoFormat.class.getSimpleName() + ".dsoffset");
    public static final int FORMAT_3_1 = -11;
    public static final int FORMAT_DIAGNOSTICS = -9;
    public static final int FORMAT_HAS_VECTORS = -10;
    public static final String NORMGEN_KEY = (Lucene3xSegmentInfoFormat.class.getSimpleName() + ".normgen");
    public static final String NORMGEN_PREFIX = (Lucene3xSegmentInfoFormat.class.getSimpleName() + ".normfield");
    public static final String UPGRADED_SI_CODEC_NAME = "Lucene3xSegmentInfo";
    public static final String UPGRADED_SI_EXTENSION = "si";
    public static final int UPGRADED_SI_VERSION_CURRENT = 0;
    public static final int UPGRADED_SI_VERSION_START = 0;
    public final SegmentInfoReader reader = new Lucene3xSegmentInfoReader();

    public static boolean getDocStoreIsCompoundFile(q2 q2Var) {
        String b2 = q2Var.b(DS_COMPOUND_KEY);
        if (b2 == null) {
            return false;
        }
        return Boolean.parseBoolean(b2);
    }

    public static int getDocStoreOffset(q2 q2Var) {
        String b2 = q2Var.b(DS_OFFSET_KEY);
        if (b2 == null) {
            return -1;
        }
        return Integer.parseInt(b2);
    }

    public static String getDocStoreSegment(q2 q2Var) {
        String b2 = q2Var.b(DS_NAME_KEY);
        return b2 == null ? q2Var.a : b2;
    }

    @Override // org.apache.lucene.codecs.SegmentInfoFormat
    public SegmentInfoReader getSegmentInfoReader() {
        return this.reader;
    }

    @Override // org.apache.lucene.codecs.SegmentInfoFormat
    public SegmentInfoWriter getSegmentInfoWriter() {
        throw new UnsupportedOperationException("this codec can only be used for reading");
    }
}
