package org.apache.lucene.codecs.lucene3x;

import i.a.b.f.u;
import java.util.Arrays;
import org.apache.lucene.codecs.MultiLevelSkipListReader;

@Deprecated
public final class Lucene3xSkipListReader extends MultiLevelSkipListReader {
    public boolean currentFieldStoresPayloads;
    public long[] freqPointer;
    public long lastFreqPointer;
    public int lastPayloadLength;
    public long lastProxPointer;
    public int[] payloadLength;
    public long[] proxPointer;

    public Lucene3xSkipListReader(u uVar, int i2, int i3) {
        super(uVar, i2, i3);
        this.freqPointer = new long[i2];
        this.proxPointer = new long[i2];
        this.payloadLength = new int[i2];
    }

    public long getFreqPointer() {
        return this.lastFreqPointer;
    }

    public int getPayloadLength() {
        return this.lastPayloadLength;
    }

    public long getProxPointer() {
        return this.lastProxPointer;
    }

    public void init(long j, long j2, long j3, int i2, boolean z) {
        super.init(j, i2);
        this.currentFieldStoresPayloads = z;
        this.lastFreqPointer = j2;
        this.lastProxPointer = j3;
        Arrays.fill(this.freqPointer, j2);
        Arrays.fill(this.proxPointer, j3);
        Arrays.fill(this.payloadLength, 0);
    }

    @Override // org.apache.lucene.codecs.MultiLevelSkipListReader
    public int readSkipData(int i2, u uVar) {
        int i3;
        if (this.currentFieldStoresPayloads) {
            int readVInt = uVar.readVInt();
            if ((readVInt & 1) != 0) {
                this.payloadLength[i2] = uVar.readVInt();
            }
            i3 = readVInt >>> 1;
        } else {
            i3 = uVar.readVInt();
        }
        long[] jArr = this.freqPointer;
        jArr[i2] = jArr[i2] + ((long) uVar.readVInt());
        long[] jArr2 = this.proxPointer;
        jArr2[i2] = jArr2[i2] + ((long) uVar.readVInt());
        return i3;
    }

    @Override // org.apache.lucene.codecs.MultiLevelSkipListReader
    public void seekChild(int i2) {
        super.seekChild(i2);
        this.freqPointer[i2] = this.lastFreqPointer;
        this.proxPointer[i2] = this.lastProxPointer;
        this.payloadLength[i2] = this.lastPayloadLength;
    }

    @Override // org.apache.lucene.codecs.MultiLevelSkipListReader
    public void setLastSkipData(int i2) {
        super.setLastSkipData(i2);
        this.lastFreqPointer = this.freqPointer[i2];
        this.lastProxPointer = this.proxPointer[i2];
        this.lastPayloadLength = this.payloadLength[i2];
    }
}
