package org.apache.lucene.codecs.lucene3x;

import i.a.b.c.b1;
import i.a.b.c.c1;
import i.a.b.c.i3;
import i.a.b.c.l0;
import i.a.b.f.u;
import java.io.Closeable;

@Deprecated
public final class SegmentTermEnum implements Cloneable, Closeable {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int FORMAT_CURRENT = -4;
    public static final int FORMAT_MINIMUM = -4;
    public static final int FORMAT_VERSION_UTF8_LENGTH_IN_BYTES = -4;
    public l0 fieldInfos;
    public boolean first = true;
    public int format;
    public int indexInterval;
    public long indexPointer = 0;
    public u input;
    public boolean isIndex = false;
    public int maxSkipLevels;
    public int newSuffixStart;
    public long position = -1;
    public TermBuffer prevBuffer = new TermBuffer();
    public TermBuffer scanBuffer = new TermBuffer();
    public long size;
    public int skipInterval;
    public TermBuffer termBuffer = new TermBuffer();
    public TermInfo termInfo = new TermInfo();

    public SegmentTermEnum(u uVar, l0 l0Var, boolean z) {
        this.input = uVar;
        this.fieldInfos = l0Var;
        this.isIndex = z;
        this.maxSkipLevels = 1;
        int readInt = uVar.readInt();
        if (readInt >= 0) {
            this.format = 0;
            this.size = (long) readInt;
            this.indexInterval = 128;
            this.skipInterval = Integer.MAX_VALUE;
            return;
        }
        this.format = readInt;
        if (readInt > -4) {
            throw new c1(this.input, this.format, -4, -4);
        } else if (readInt >= -4) {
            this.size = this.input.readLong();
            this.indexInterval = this.input.readInt();
            this.skipInterval = this.input.readInt();
            this.maxSkipLevels = this.input.readInt();
        } else {
            throw new b1(this.input, this.format, -4, -4);
        }
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public final void close() {
        this.input.close();
    }

    public final int docFreq() {
        return this.termInfo.docFreq;
    }

    public final long freqPointer() {
        return this.termInfo.freqPointer;
    }

    public final boolean next() {
        this.prevBuffer.set(this.termBuffer);
        long j = this.position;
        this.position = j + 1;
        if (j >= this.size - 1) {
            this.termBuffer.reset();
            return false;
        }
        this.termBuffer.read(this.input, this.fieldInfos);
        this.newSuffixStart = this.termBuffer.newSuffixStart;
        this.termInfo.docFreq = this.input.readVInt();
        TermInfo termInfo2 = this.termInfo;
        termInfo2.freqPointer = this.input.readVLong() + termInfo2.freqPointer;
        TermInfo termInfo3 = this.termInfo;
        termInfo3.proxPointer = this.input.readVLong() + termInfo3.proxPointer;
        TermInfo termInfo4 = this.termInfo;
        if (termInfo4.docFreq >= this.skipInterval) {
            termInfo4.skipOffset = this.input.readVInt();
        }
        if (!this.isIndex) {
            return true;
        }
        this.indexPointer = this.input.readVLong() + this.indexPointer;
        return true;
    }

    public final i3 prev() {
        return this.prevBuffer.toTerm();
    }

    public final long proxPointer() {
        return this.termInfo.proxPointer;
    }

    public final int scanTo(i3 i3Var) {
        this.scanBuffer.set(i3Var);
        int i2 = 0;
        if (this.first) {
            next();
            this.first = false;
            i2 = 1;
        }
        while (this.scanBuffer.compareTo(this.termBuffer) > 0 && next()) {
            i2++;
        }
        return i2;
    }

    public final void seek(long j, long j2, i3 i3Var, TermInfo termInfo2) {
        this.input.seek(j);
        this.position = j2;
        this.termBuffer.set(i3Var);
        this.prevBuffer.reset();
        this.termInfo.set(termInfo2);
        this.first = j2 == -1;
    }

    public final i3 term() {
        return this.termBuffer.toTerm();
    }

    public final TermInfo termInfo() {
        return new TermInfo(this.termInfo);
    }

    @Override // java.lang.Object
    public SegmentTermEnum clone() {
        SegmentTermEnum segmentTermEnum;
        try {
            segmentTermEnum = (SegmentTermEnum) super.clone();
        } catch (CloneNotSupportedException unused) {
            segmentTermEnum = null;
        }
        segmentTermEnum.input = this.input.clone();
        segmentTermEnum.termInfo = new TermInfo(this.termInfo);
        segmentTermEnum.termBuffer = this.termBuffer.clone();
        segmentTermEnum.prevBuffer = this.prevBuffer.clone();
        segmentTermEnum.scanBuffer = new TermBuffer();
        return segmentTermEnum;
    }

    public final void termInfo(TermInfo termInfo2) {
        termInfo2.set(this.termInfo);
    }
}
