package org.apache.lucene.codecs.lucene3x;

import i.a.b.c.i3;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.f.u;
import i.a.b.g.l;

@Deprecated
public final class SegmentTermPositions extends SegmentTermDocs {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public long lazySkipPointer = -1;
    public int lazySkipProxCount = 0;
    public boolean needToLoadPayload;
    public l payload;
    public int payloadLength;
    public int position;
    public int proxCount;
    public u proxStream;
    public u proxStreamOrig;

    public SegmentTermPositions(u uVar, u uVar2, TermInfosReader termInfosReader, l0 l0Var) {
        super(uVar, termInfosReader, l0Var);
        this.proxStreamOrig = uVar2;
    }

    private void lazySkip() {
        if (this.proxStream == null) {
            this.proxStream = this.proxStreamOrig.clone();
        }
        skipPayload();
        long j = this.lazySkipPointer;
        if (j != -1) {
            this.proxStream.seek(j);
            this.lazySkipPointer = -1;
        }
        int i2 = this.lazySkipProxCount;
        if (i2 != 0) {
            skipPositions(i2);
            this.lazySkipProxCount = 0;
        }
    }

    private final int readDeltaPosition() {
        int readVInt = this.proxStream.readVInt();
        if (this.currentFieldStoresPayloads) {
            if ((readVInt & 1) != 0) {
                this.payloadLength = this.proxStream.readVInt();
            }
            int i2 = readVInt >>> 1;
            this.needToLoadPayload = true;
            return i2;
        } else if (readVInt == -1) {
            return 0;
        } else {
            return readVInt;
        }
    }

    private void skipPayload() {
        if (this.needToLoadPayload && this.payloadLength > 0) {
            u uVar = this.proxStream;
            uVar.seek(uVar.getFilePointer() + ((long) this.payloadLength));
        }
        this.needToLoadPayload = false;
    }

    private void skipPositions(int i2) {
        while (i2 > 0) {
            readDeltaPosition();
            skipPayload();
            i2--;
        }
    }

    @Override // org.apache.lucene.codecs.lucene3x.SegmentTermDocs
    public final void close() {
        super.close();
        u uVar = this.proxStream;
        if (uVar != null) {
            uVar.close();
        }
    }

    public l getPayload() {
        int i2 = this.payloadLength;
        if (i2 <= 0) {
            return null;
        }
        if (this.needToLoadPayload) {
            l lVar = this.payload;
            if (lVar == null) {
                this.payload = new l(this.payloadLength);
            } else {
                lVar.a(i2);
            }
            u uVar = this.proxStream;
            l lVar2 = this.payload;
            uVar.readBytes(lVar2.x, lVar2.y, this.payloadLength);
            this.payload.z = this.payloadLength;
            this.needToLoadPayload = false;
        }
        return this.payload;
    }

    public int getPayloadLength() {
        return this.payloadLength;
    }

    public boolean isPayloadAvailable() {
        return this.needToLoadPayload && this.payloadLength > 0;
    }

    @Override // org.apache.lucene.codecs.lucene3x.SegmentTermDocs
    public final boolean next() {
        this.lazySkipProxCount += this.proxCount;
        if (!super.next()) {
            return false;
        }
        this.proxCount = this.freq;
        this.position = 0;
        return true;
    }

    public final int nextPosition() {
        if (this.indexOptions != k0.b.DOCS_AND_FREQS_AND_POSITIONS) {
            return 0;
        }
        lazySkip();
        this.proxCount--;
        int readDeltaPosition = this.position + readDeltaPosition();
        this.position = readDeltaPosition;
        return readDeltaPosition;
    }

    @Override // org.apache.lucene.codecs.lucene3x.SegmentTermDocs
    public final int read(int[] iArr, int[] iArr2) {
        throw new UnsupportedOperationException("TermPositions does not support processing multiple documents in one call. Use TermDocs instead.");
    }

    @Override // org.apache.lucene.codecs.lucene3x.SegmentTermDocs
    public final void seek(TermInfo termInfo, i3 i3Var) {
        super.seek(termInfo, i3Var);
        if (termInfo != null) {
            this.lazySkipPointer = termInfo.proxPointer;
        }
        this.lazySkipProxCount = 0;
        this.proxCount = 0;
        this.payloadLength = 0;
        this.needToLoadPayload = false;
    }

    @Override // org.apache.lucene.codecs.lucene3x.SegmentTermDocs
    public void skipProx(long j, int i2) {
        this.lazySkipPointer = j;
        this.lazySkipProxCount = 0;
        this.proxCount = 0;
        this.payloadLength = i2;
        this.needToLoadPayload = false;
    }

    @Override // org.apache.lucene.codecs.lucene3x.SegmentTermDocs
    public final void skippingDoc() {
        this.lazySkipProxCount += this.freq;
    }
}
