package org.apache.lucene.codecs.lucene46;

import org.apache.lucene.codecs.SegmentInfoFormat;
import org.apache.lucene.codecs.SegmentInfoReader;
import org.apache.lucene.codecs.SegmentInfoWriter;

public class Lucene46SegmentInfoFormat extends SegmentInfoFormat {
    public static final String CODEC_NAME = "Lucene46SegmentInfo";
    public static final String SI_EXTENSION = "si";
    public static final int VERSION_CURRENT = 0;
    public static final int VERSION_START = 0;
    public final SegmentInfoReader reader = new Lucene46SegmentInfoReader();
    public final SegmentInfoWriter writer = new Lucene46SegmentInfoWriter();

    @Override // org.apache.lucene.codecs.SegmentInfoFormat
    public SegmentInfoReader getSegmentInfoReader() {
        return this.reader;
    }

    @Override // org.apache.lucene.codecs.SegmentInfoFormat
    public SegmentInfoWriter getSegmentInfoWriter() {
        return this.writer;
    }
}
