package org.apache.poi.common.usermodel;

import b.b.a.a.a;
import java.util.HashMap;
import java.util.Map;
import org.apache.poi.util.Internal;

public enum HyperlinkType {
    NONE(-1),
    URL(1),
    DOCUMENT(2),
    EMAIL(3),
    FILE(4);
    
    public static final Map<Integer, HyperlinkType> map = new HashMap();
    @Internal(since = "3.15 beta 3")
    @Deprecated
    public final int code;

    /* access modifiers changed from: public */
    static {
        HyperlinkType[] values = values();
        for (HyperlinkType hyperlinkType : values) {
            map.put(Integer.valueOf(hyperlinkType.getCode()), hyperlinkType);
        }
    }

    /* access modifiers changed from: public */
    @Internal(since = "3.15 beta 3")
    @Deprecated
    HyperlinkType(int i2) {
        this.code = i2;
    }

    @Internal(since = "3.15 beta 3")
    @Deprecated
    public static HyperlinkType forInt(int i2) {
        HyperlinkType hyperlinkType = map.get(Integer.valueOf(i2));
        if (hyperlinkType != null) {
            return hyperlinkType;
        }
        throw new IllegalArgumentException(a.c("Invalid type: ", i2));
    }

    @Internal(since = "3.15 beta 3")
    @Deprecated
    public int getCode() {
        return this.code;
    }
}
