package org.apache.poi.ddf;

public class EscherPropertyMetaData {
    public static final byte TYPE_ARRAY = 5;
    public static final byte TYPE_BOOLEAN = 1;
    public static final byte TYPE_RGB = 2;
    public static final byte TYPE_SHAPEPATH = 3;
    public static final byte TYPE_SIMPLE = 4;
    public static final byte TYPE_UNKNOWN = 0;
    public String description;
    public byte type;

    public EscherPropertyMetaData(String str) {
        this.description = str;
    }

    public String getDescription() {
        return this.description;
    }

    public byte getType() {
        return this.type;
    }

    public EscherPropertyMetaData(String str, byte b2) {
        this.description = str;
        this.type = b2;
    }
}
