package org.apache.poi.hpsf;

import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndianByteArrayInputStream;

@Internal
public class GUID {
    public int _data1;
    public short _data2;
    public short _data3;
    public long _data4;

    public void read(LittleEndianByteArrayInputStream littleEndianByteArrayInputStream) {
        this._data1 = littleEndianByteArrayInputStream.readInt();
        this._data2 = littleEndianByteArrayInputStream.readShort();
        this._data3 = littleEndianByteArrayInputStream.readShort();
        this._data4 = littleEndianByteArrayInputStream.readLong();
    }
}
