package org.apache.poi.hslf.record;

import java.util.Map;

public abstract class PositionDependentRecordContainer extends RecordContainer implements PositionDependentRecord {
    public int myLastOnDiskOffset;
    public int sheetId;

    @Override // org.apache.poi.hslf.record.PositionDependentRecord
    public int getLastOnDiskOffset() {
        return this.myLastOnDiskOffset;
    }

    public int getSheetId() {
        return this.sheetId;
    }

    @Override // org.apache.poi.hslf.record.PositionDependentRecord
    public void setLastOnDiskOffset(int i2) {
        this.myLastOnDiskOffset = i2;
    }

    public void setSheetId(int i2) {
        this.sheetId = i2;
    }

    @Override // org.apache.poi.hslf.record.PositionDependentRecord
    public void updateOtherRecordReferences(Map<Integer, Integer> map) {
    }
}
