package org.apache.poi.hssf.util;

import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.util.CellRangeAddress;
import org.apache.poi.ss.util.RegionUtil;

public final class HSSFRegionUtil {
    public static void setBorderBottom(int i2, CellRangeAddress cellRangeAddress, HSSFSheet hSSFSheet, HSSFWorkbook hSSFWorkbook) {
        RegionUtil.setBorderBottom(i2, cellRangeAddress, hSSFSheet);
    }

    public static void setBorderLeft(int i2, CellRangeAddress cellRangeAddress, HSSFSheet hSSFSheet, HSSFWorkbook hSSFWorkbook) {
        RegionUtil.setBorderLeft(i2, cellRangeAddress, hSSFSheet);
    }

    public static void setBorderRight(int i2, CellRangeAddress cellRangeAddress, HSSFSheet hSSFSheet, HSSFWorkbook hSSFWorkbook) {
        RegionUtil.setBorderRight(i2, cellRangeAddress, hSSFSheet);
    }

    public static void setBorderTop(int i2, CellRangeAddress cellRangeAddress, HSSFSheet hSSFSheet, HSSFWorkbook hSSFWorkbook) {
        RegionUtil.setBorderTop(i2, cellRangeAddress, hSSFSheet);
    }

    public static void setBottomBorderColor(int i2, CellRangeAddress cellRangeAddress, HSSFSheet hSSFSheet, HSSFWorkbook hSSFWorkbook) {
        RegionUtil.setBottomBorderColor(i2, cellRangeAddress, hSSFSheet);
    }

    public static void setLeftBorderColor(int i2, CellRangeAddress cellRangeAddress, HSSFSheet hSSFSheet, HSSFWorkbook hSSFWorkbook) {
        RegionUtil.setLeftBorderColor(i2, cellRangeAddress, hSSFSheet);
    }

    public static void setRightBorderColor(int i2, CellRangeAddress cellRangeAddress, HSSFSheet hSSFSheet, HSSFWorkbook hSSFWorkbook) {
        RegionUtil.setRightBorderColor(i2, cellRangeAddress, hSSFSheet);
    }

    public static void setTopBorderColor(int i2, CellRangeAddress cellRangeAddress, HSSFSheet hSSFSheet, HSSFWorkbook hSSFWorkbook) {
        RegionUtil.setTopBorderColor(i2, cellRangeAddress, hSSFSheet);
    }
}
