package org.apache.poi.hwmf.record;

public enum HwmfBrushStyle {
    BS_SOLID(0),
    BS_NULL(1),
    BS_HATCHED(2),
    BS_PATTERN(3),
    BS_INDEXED(4),
    BS_DIBPATTERN(5),
    BS_DIBPATTERNPT(6),
    BS_PATTERN8X8(7),
    BS_DIBPATTERN8X8(8),
    BS_MONOPATTERN(9);
    
    public int flag;

    /* access modifiers changed from: public */
    HwmfBrushStyle(int i2) {
        this.flag = i2;
    }

    public static HwmfBrushStyle valueOf(int i2) {
        HwmfBrushStyle[] values = values();
        for (HwmfBrushStyle hwmfBrushStyle : values) {
            if (hwmfBrushStyle.flag == i2) {
                return hwmfBrushStyle;
            }
        }
        return null;
    }
}
