package org.apache.poi.hwmf.record;

public enum HwmfMapMode {
    MM_TEXT(1, 0),
    MM_LOMETRIC(2, 254),
    MM_HIMETRIC(3, 2540),
    MM_LOENGLISH(4, 100),
    MM_HIENGLISH(5, 1000),
    MM_TWIPS(6, 1440),
    MM_ISOTROPIC(7, -1),
    MM_ANISOTROPIC(8, -1);
    
    public final int flag;
    public final int scale;

    /* access modifiers changed from: public */
    HwmfMapMode(int i2, int i3) {
        this.flag = i2;
        this.scale = i3;
    }

    public static HwmfMapMode valueOf(int i2) {
        HwmfMapMode[] values = values();
        for (HwmfMapMode hwmfMapMode : values) {
            if (hwmfMapMode.flag == i2) {
                return hwmfMapMode;
            }
        }
        return MM_ISOTROPIC;
    }
}
