package org.apache.poi.hwpf.model;

import org.apache.poi.util.Internal;

@Internal
public enum NoteType {
    ENDNOTE(46, 47),
    FOOTNOTE(2, 3);
    
    public final int fibDescriptorsFieldIndex;
    public final int fibTextPositionsFieldIndex;

    /* access modifiers changed from: public */
    NoteType(int i2, int i3) {
        this.fibDescriptorsFieldIndex = i2;
        this.fibTextPositionsFieldIndex = i3;
    }

    public int getFibDescriptorsFieldIndex() {
        return this.fibDescriptorsFieldIndex;
    }

    public int getFibTextPositionsFieldIndex() {
        return this.fibTextPositionsFieldIndex;
    }
}
