package org.apache.poi.hwpf.model;

import b.b.a.a.a;
import org.apache.poi.util.Internal;

@Internal
public final class SavedByEntry {
    public String saveLocation;
    public String userName;

    public SavedByEntry(String str, String str2) {
        this.userName = str;
        this.saveLocation = str2;
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof SavedByEntry)) {
            return false;
        }
        SavedByEntry savedByEntry = (SavedByEntry) obj;
        if (!savedByEntry.userName.equals(this.userName) || !savedByEntry.saveLocation.equals(this.saveLocation)) {
            return false;
        }
        return true;
    }

    public String getSaveLocation() {
        return this.saveLocation;
    }

    public String getUserName() {
        return this.userName;
    }

    public int hashCode() {
        return this.saveLocation.hashCode() + ((this.userName.hashCode() + 377) * 13);
    }

    public String toString() {
        StringBuilder b2 = a.b("SavedByEntry[userName=");
        b2.append(getUserName());
        b2.append(",saveLocation=");
        b2.append(getSaveLocation());
        b2.append("]");
        return b2.toString();
    }
}
