package org.apache.poi.hwpf.model;

import org.apache.poi.util.Internal;

@Internal
public enum SubdocumentType {
    MAIN,
    FOOTNOTE,
    HEADER,
    MACRO,
    ANNOTATION,
    ENDNOTE,
    TEXTBOX,
    HEADER_TEXTBOX;
    
    public static final SubdocumentType[] ORDERED;

    /* access modifiers changed from: public */
    static {
        SubdocumentType subdocumentType;
        ORDERED = new SubdocumentType[]{MAIN, FOOTNOTE, HEADER, MACRO, ANNOTATION, ENDNOTE, TEXTBOX, subdocumentType};
    }
}
