package org.apache.poi.hwpf.usermodel;

import b.b.a.a.a;
import org.apache.poi.hwpf.model.types.SHDAbstractType;

public final class ShadingDescriptor extends SHDAbstractType implements Cloneable {
    public ShadingDescriptor() {
    }

    public boolean isEmpty() {
        return this.field_3_ipat == 0;
    }

    @Override // org.apache.poi.hwpf.model.types.SHDAbstractType
    public byte[] serialize() {
        byte[] bArr = new byte[SHDAbstractType.getSize()];
        serialize(bArr, 0);
        return bArr;
    }

    @Override // org.apache.poi.hwpf.model.types.SHDAbstractType
    public String toString() {
        if (isEmpty()) {
            return "[SHD] EMPTY";
        }
        StringBuilder b2 = a.b("[SHD] (cvFore: ");
        b2.append(getCvFore());
        b2.append("; cvBack: ");
        b2.append(getCvBack());
        b2.append("; iPat: ");
        b2.append(getIpat());
        b2.append(")");
        return b2.toString();
    }

    public ShadingDescriptor(byte[] bArr, int i2) {
        fillFields(bArr, i2);
    }

    @Override // java.lang.Object
    public ShadingDescriptor clone() {
        return (ShadingDescriptor) super.clone();
    }
}
