package org.apache.poi.hwpf.usermodel;

import org.apache.poi.hwpf.model.types.TLPAbstractType;

public class TableAutoformatLookSpecifier extends TLPAbstractType implements Cloneable {
    public static final int SIZE = 4;

    public TableAutoformatLookSpecifier() {
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || TableAutoformatLookSpecifier.class != obj.getClass()) {
            return false;
        }
        TableAutoformatLookSpecifier tableAutoformatLookSpecifier = (TableAutoformatLookSpecifier) obj;
        return this.field_1_itl == tableAutoformatLookSpecifier.field_1_itl && this.field_2_tlp_flags == tableAutoformatLookSpecifier.field_2_tlp_flags;
    }

    public int hashCode() {
        return ((this.field_1_itl + 31) * 31) + this.field_2_tlp_flags;
    }

    public boolean isEmpty() {
        return this.field_1_itl == 0 && this.field_2_tlp_flags == 0;
    }

    public TableAutoformatLookSpecifier(byte[] bArr, int i2) {
        fillFields(bArr, i2);
    }

    @Override // java.lang.Object
    public TableAutoformatLookSpecifier clone() {
        try {
            return (TableAutoformatLookSpecifier) super.clone();
        } catch (CloneNotSupportedException e2) {
            throw new Error(e2.getMessage(), e2);
        }
    }
}
