package org.apache.poi.openxml4j.util;

public final class Nullable<E> {
    public E value;

    public Nullable() {
    }

    public E getValue() {
        return this.value;
    }

    public boolean hasValue() {
        return this.value != null;
    }

    public void nullify() {
        this.value = null;
    }

    public Nullable(E e2) {
        this.value = e2;
    }
}
