package org.apache.poi.poifs.dev;

import b.b.a.a.a;
import java.io.File;
import java.io.IOException;
import java.io.PrintStream;
import org.apache.poi.poifs.filesystem.NPOIFSFileSystem;
import org.apache.poi.ss.formula.ptg.UnaryMinusPtg;
import org.apache.xmlbeans.impl.jam.internal.JamPrinter;

public class POIFSViewer {
    public static void main(String[] strArr) {
        boolean z = true;
        if (strArr.length == 0) {
            System.err.println("Must specify at least one file to view");
            System.exit(1);
        }
        if (strArr.length <= 1) {
            z = false;
        }
        for (String str : strArr) {
            viewFile(str, z);
        }
    }

    public static void viewFile(String str, boolean z) {
        if (z) {
            StringBuffer a = a.a(".");
            for (int i2 = 0; i2 < str.length(); i2++) {
                a.append(UnaryMinusPtg.MINUS);
            }
            a.append(".");
            System.out.println(a);
            PrintStream printStream = System.out;
            printStream.println("|" + str + "|");
            System.out.println(a);
        }
        try {
            NPOIFSFileSystem nPOIFSFileSystem = new NPOIFSFileSystem(new File(str));
            for (String str2 : POIFSViewEngine.inspectViewable(nPOIFSFileSystem, true, 0, JamPrinter.INDENT)) {
                System.out.print(str2);
            }
            nPOIFSFileSystem.close();
        } catch (IOException e2) {
            System.out.println(e2.getMessage());
        }
    }
}
