package org.apache.poi.poifs.nio;

import java.io.OutputStream;
import java.nio.ByteBuffer;

public abstract class DataSource {
    public abstract void close();

    public abstract void copyTo(OutputStream outputStream);

    public abstract ByteBuffer read(int i2, long j);

    public abstract long size();

    public abstract void write(ByteBuffer byteBuffer, long j);
}
