package org.apache.poi.poifs.property;

import java.util.Iterator;

public interface Parent extends Child, Iterable<Property> {
    void addChild(Property property);

    Iterator<Property> getChildren();

    @Override // org.apache.poi.poifs.property.Child
    void setNextChild(Child child);

    @Override // org.apache.poi.poifs.property.Child
    void setPreviousChild(Child child);
}
