package org.apache.poi.sl.draw.binding;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;

@XmlEnum
@XmlType(name = "ST_PathFillMode", namespace = "http://schemas.openxmlformats.org/drawingml/2006/main")
public enum STPathFillMode {
    NONE("none"),
    NORM("norm"),
    LIGHTEN("lighten"),
    LIGHTEN_LESS("lightenLess"),
    DARKEN("darken"),
    DARKEN_LESS("darkenLess");
    
    public final String value;

    /* access modifiers changed from: public */
    STPathFillMode(String str) {
        this.value = str;
    }

    public static STPathFillMode fromValue(String str) {
        STPathFillMode[] values = values();
        for (STPathFillMode sTPathFillMode : values) {
            if (sTPathFillMode.value.equals(str)) {
                return sTPathFillMode;
            }
        }
        throw new IllegalArgumentException(str);
    }

    public String value() {
        return this.value;
    }
}
