package org.apache.poi.ss.formula.eval;

import b.b.a.a.a;
import org.apache.poi.ss.formula.ptg.Ptg;
import org.apache.poi.ss.formula.ptg.StringPtg;

public final class StringEval implements StringValueEval {
    public static final StringEval EMPTY_INSTANCE = new StringEval("");
    public final String _value;

    public StringEval(Ptg ptg) {
        this(((StringPtg) ptg).getValue());
    }

    @Override // org.apache.poi.ss.formula.eval.StringValueEval
    public String getStringValue() {
        return this._value;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(StringEval.class.getName());
        sb.append(" [");
        return a.a(sb, this._value, "]");
    }

    public StringEval(String str) {
        if (str != null) {
            this._value = str;
            return;
        }
        throw new IllegalArgumentException("value must not be null");
    }
}
