package org.apache.poi.ss.formula.ptg;

import org.apache.poi.ss.SpreadsheetVersion;
import org.apache.poi.ss.util.AreaReference;
import org.apache.poi.util.LittleEndianInput;
import org.apache.poi.util.Removal;

public final class AreaPtg extends Area2DPtgBase {
    public static final short sid = 37;

    public AreaPtg(int i2, int i3, int i4, int i5, boolean z, boolean z2, boolean z3, boolean z4) {
        super(i2, i3, i4, i5, z, z2, z3, z4);
    }

    @Override // org.apache.poi.ss.formula.ptg.Area2DPtgBase
    public byte getSid() {
        return 37;
    }

    public AreaPtg(LittleEndianInput littleEndianInput) {
        super(littleEndianInput);
    }

    @Removal(version = "3.19")
    @Deprecated
    public AreaPtg(String str) {
        this(new AreaReference(str, SpreadsheetVersion.EXCEL97));
    }

    public AreaPtg(AreaReference areaReference) {
        super(areaReference);
    }
}
