package org.apache.poi.ss.formula.ptg;

import b.b.a.a.a;

public final class UnaryPlusPtg extends ValueOperatorPtg {
    public static final String ADD = "+";
    public static final ValueOperatorPtg instance = new UnaryPlusPtg();
    public static final byte sid = 18;

    @Override // org.apache.poi.ss.formula.ptg.OperationPtg
    public int getNumberOfOperands() {
        return 1;
    }

    @Override // org.apache.poi.ss.formula.ptg.ValueOperatorPtg
    public byte getSid() {
        return 18;
    }

    @Override // org.apache.poi.ss.formula.ptg.OperationPtg
    public String toFormulaString(String[] strArr) {
        StringBuffer a = a.a("+");
        a.append(strArr[0]);
        return a.toString();
    }
}
