package org.apache.poi.ss.usermodel;

import org.apache.poi.util.Removal;

@Removal(version = "4.0")
@Deprecated
public enum FontCharset {
    ANSI(0),
    DEFAULT(1),
    SYMBOL(2),
    MAC(77),
    SHIFTJIS(128),
    HANGEUL(129),
    JOHAB(130),
    GB2312(134),
    CHINESEBIG5(136),
    GREEK(161),
    TURKISH(162),
    VIETNAMESE(163),
    HEBREW(177),
    ARABIC(178),
    BALTIC(186),
    RUSSIAN(204),
    THAI(222),
    EASTEUROPE(238),
    OEM(255);
    
    public static FontCharset[] _table = new FontCharset[256];
    public int charset;

    /* access modifiers changed from: public */
    static {
        FontCharset[] values = values();
        for (FontCharset fontCharset : values) {
            _table[fontCharset.getValue()] = fontCharset;
        }
    }

    /* access modifiers changed from: public */
    FontCharset(int i2) {
        this.charset = i2;
    }

    public int getValue() {
        return this.charset;
    }

    public static FontCharset valueOf(int i2) {
        FontCharset[] fontCharsetArr = _table;
        if (i2 >= fontCharsetArr.length) {
            return null;
        }
        return fontCharsetArr[i2];
    }
}
