package org.apache.poi.ss.usermodel;

public enum FontFamily {
    NOT_APPLICABLE(0),
    ROMAN(1),
    SWISS(2),
    MODERN(3),
    SCRIPT(4),
    DECORATIVE(5);
    
    public static FontFamily[] _table = new FontFamily[6];
    public int family;

    /* access modifiers changed from: public */
    static {
        FontFamily[] values = values();
        for (FontFamily fontFamily : values) {
            _table[fontFamily.getValue()] = fontFamily;
        }
    }

    /* access modifiers changed from: public */
    FontFamily(int i2) {
        this.family = i2;
    }

    public int getValue() {
        return this.family;
    }

    public static FontFamily valueOf(int i2) {
        return _table[i2];
    }
}
