package org.apache.poi.ss.usermodel;

public enum FontScheme {
    NONE(1),
    MAJOR(2),
    MINOR(3);
    
    public static FontScheme[] _table = new FontScheme[4];
    public int value;

    /* access modifiers changed from: public */
    static {
        FontScheme[] values = values();
        for (FontScheme fontScheme : values) {
            _table[fontScheme.getValue()] = fontScheme;
        }
    }

    /* access modifiers changed from: public */
    FontScheme(int i2) {
        this.value = i2;
    }

    public int getValue() {
        return this.value;
    }

    public static FontScheme valueOf(int i2) {
        return _table[i2];
    }
}
