package org.apache.poi.ss.usermodel;

import b.b.a.a.a;

public enum IndexedColors {
    BLACK1(0),
    WHITE1(1),
    RED1(2),
    BRIGHT_GREEN1(3),
    BLUE1(4),
    YELLOW1(5),
    PINK1(6),
    TURQUOISE1(7),
    BLACK(8),
    WHITE(9),
    RED(10),
    BRIGHT_GREEN(11),
    BLUE(12),
    YELLOW(13),
    PINK(14),
    TURQUOISE(15),
    DARK_RED(16),
    GREEN(17),
    DARK_BLUE(18),
    DARK_YELLOW(19),
    VIOLET(20),
    TEAL(21),
    GREY_25_PERCENT(22),
    GREY_50_PERCENT(23),
    CORNFLOWER_BLUE(24),
    MAROON(25),
    LEMON_CHIFFON(26),
    LIGHT_TURQUOISE1(27),
    ORCHID(28),
    CORAL(29),
    ROYAL_BLUE(30),
    LIGHT_CORNFLOWER_BLUE(31),
    SKY_BLUE(40),
    LIGHT_TURQUOISE(41),
    LIGHT_GREEN(42),
    LIGHT_YELLOW(43),
    PALE_BLUE(44),
    ROSE(45),
    LAVENDER(46),
    TAN(47),
    LIGHT_BLUE(48),
    AQUA(49),
    LIME(50),
    GOLD(51),
    LIGHT_ORANGE(52),
    ORANGE(53),
    BLUE_GREY(54),
    GREY_40_PERCENT(55),
    DARK_TEAL(56),
    SEA_GREEN(57),
    DARK_GREEN(58),
    OLIVE_GREEN(59),
    BROWN(60),
    PLUM(61),
    INDIGO(62),
    GREY_80_PERCENT(63),
    AUTOMATIC(64);
    
    public static final IndexedColors[] _values = new IndexedColors[65];
    public final short index;

    /* access modifiers changed from: public */
    static {
        IndexedColors[] values = values();
        for (IndexedColors indexedColors : values) {
            _values[indexedColors.index] = indexedColors;
        }
    }

    /* access modifiers changed from: public */
    IndexedColors(int i2) {
        this.index = (short) i2;
    }

    public static IndexedColors fromInt(int i2) {
        if (i2 >= 0) {
            IndexedColors[] indexedColorsArr = _values;
            if (i2 < indexedColorsArr.length) {
                IndexedColors indexedColors = indexedColorsArr[i2];
                if (indexedColors != null) {
                    return indexedColors;
                }
                throw new IllegalArgumentException(a.c("Illegal IndexedColor index: ", i2));
            }
        }
        throw new IllegalArgumentException(a.c("Illegal IndexedColor index: ", i2));
    }

    public short getIndex() {
        return this.index;
    }
}
