package org.apache.poi.ss.usermodel;

import org.apache.poi.poifs.filesystem.DirectoryEntry;

public interface ObjectData extends SimpleShape {
    DirectoryEntry getDirectory();

    String getFileName();

    String getOLE2ClassName();

    byte[] getObjectData();

    PictureData getPictureData();

    boolean hasDirectoryEntry();
}
