package org.apache.poi.ss.usermodel;

public enum PageOrder {
    DOWN_THEN_OVER(1),
    OVER_THEN_DOWN(2);
    
    public static PageOrder[] _table = new PageOrder[3];
    public final int order;

    /* access modifiers changed from: public */
    static {
        PageOrder[] values = values();
        for (PageOrder pageOrder : values) {
            _table[pageOrder.getValue()] = pageOrder;
        }
    }

    /* access modifiers changed from: public */
    PageOrder(int i2) {
        this.order = i2;
    }

    public int getValue() {
        return this.order;
    }

    public static PageOrder valueOf(int i2) {
        return _table[i2];
    }
}
