package org.apache.poi.util;

public class Configurator {
    public static POILogger logger = POILogFactory.getLogger(Configurator.class);

    public static int getIntValue(String str, int i2) {
        String property = System.getProperty(str);
        try {
            return Integer.parseInt(property);
        } catch (Exception unused) {
            POILogger pOILogger = logger;
            pOILogger.log(7, "System property -D" + str + " do not contains a valid integer " + property);
            return i2;
        }
    }
}
