package org.apache.poi.xdgf.usermodel;

import b.e.a.a.c.a.a.e;
import java.io.IOException;
import org.apache.poi.POIXMLException;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.openxml4j.opc.PackagePart;
import org.apache.poi.xdgf.exceptions.XDGFException;
import org.apache.xmlbeans.XmlException;
import org.apache.xmlbeans.XmlOptions;

public class XDGFMasterContents extends XDGFBaseContents {
    public XDGFMaster _master;

    public XDGFMasterContents(PackagePart packagePart, XDGFDocument xDGFDocument) {
        super(packagePart, xDGFDocument);
    }

    public XDGFMaster getMaster() {
        return this._master;
    }

    @Override // org.apache.poi.POIXMLDocumentPart, org.apache.poi.xdgf.usermodel.XDGFBaseContents
    public void onDocumentRead() {
        try {
            this._pageContents = ((e) POIXMLTypeLoader.parse(getPackagePart().getInputStream(), e.f242h, (XmlOptions) null)).C();
            super.onDocumentRead();
        } catch (XmlException e2) {
            throw new POIXMLException(e2);
        } catch (IOException e3) {
            throw new POIXMLException(e3);
        } catch (POIXMLException e4) {
            throw XDGFException.wrap(this, e4);
        }
    }

    public void setMaster(XDGFMaster xDGFMaster) {
        this._master = xDGFMaster;
    }
}
