package org.apache.poi.xdgf.usermodel.section;

import b.e.a.a.c.a.a.a;
import b.e.a.a.c.a.a.q;
import java.util.HashMap;
import java.util.Map;
import org.apache.poi.java.awt.Color;
import org.apache.poi.xdgf.usermodel.XDGFCell;
import org.apache.poi.xdgf.usermodel.XDGFSheet;

public class CharacterSection extends XDGFSection {
    public Map<String, XDGFCell> _characterCells = new HashMap();
    public Color _fontColor = null;
    public Double _fontSize = null;

    public CharacterSection(q qVar, XDGFSheet xDGFSheet) {
        super(qVar, xDGFSheet);
        a[] a = qVar.getRowArray(0).a();
        for (a aVar : a) {
            this._characterCells.put(aVar.getN(), new XDGFCell(aVar));
        }
        this._fontSize = XDGFCell.maybeGetDouble(this._characterCells, "Size");
        String maybeGetString = XDGFCell.maybeGetString(this._characterCells, "Color");
        if (maybeGetString != null) {
            this._fontColor = Color.decode(maybeGetString);
        }
    }

    public Color getFontColor() {
        return this._fontColor;
    }

    public Double getFontSize() {
        return this._fontSize;
    }

    @Override // org.apache.poi.xdgf.usermodel.section.XDGFSection
    public void setupMaster(XDGFSection xDGFSection) {
    }
}
