package org.apache.poi.xssf.model;

import b.b.a.a.a;
import org.apache.poi.util.Internal;
import org.apache.xmlbeans.XmlObject;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties;
import org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape;

@Internal
public abstract class ParagraphPropertyFetcher<T> {
    public int _level;
    public T _value;

    public ParagraphPropertyFetcher(int i2) {
        this._level = i2;
    }

    public abstract boolean fetch(CTTextParagraphProperties cTTextParagraphProperties);

    public boolean fetch(CTShape cTShape) {
        StringBuilder b2 = a.b("declare namespace xdr='http://schemas.openxmlformats.org/drawingml/2006/spreadsheetDrawing' declare namespace a='http://schemas.openxmlformats.org/drawingml/2006/main' .//xdr:txBody/a:lstStyle/a:lvl");
        b2.append(this._level + 1);
        b2.append("pPr");
        XmlObject[] selectPath = cTShape.selectPath(b2.toString());
        if (selectPath.length == 1) {
            return fetch((CTTextParagraphProperties) selectPath[0]);
        }
        return false;
    }

    public T getValue() {
        return this._value;
    }

    public void setValue(T t) {
        this._value = t;
    }
}
