package org.apache.poi.xwpf.usermodel;

import b.b.a.a.a;
import java.util.HashMap;
import java.util.Map;

public enum BreakClear {
    NONE(1),
    LEFT(2),
    RIGHT(3),
    ALL(4);
    
    public static Map<Integer, BreakClear> imap = new HashMap();
    public final int value;

    /* access modifiers changed from: public */
    static {
        BreakClear[] values = values();
        for (BreakClear breakClear : values) {
            imap.put(Integer.valueOf(breakClear.getValue()), breakClear);
        }
    }

    /* access modifiers changed from: public */
    BreakClear(int i2) {
        this.value = i2;
    }

    public int getValue() {
        return this.value;
    }

    public static BreakClear valueOf(int i2) {
        BreakClear breakClear = imap.get(Integer.valueOf(i2));
        if (breakClear != null) {
            return breakClear;
        }
        throw new IllegalArgumentException(a.c("Unknown break clear type: ", i2));
    }
}
