package org.apache.poi.xwpf.usermodel;

import b.b.a.a.a;
import java.util.HashMap;
import java.util.Map;

public enum BreakType {
    PAGE(1),
    COLUMN(2),
    TEXT_WRAPPING(3);
    
    public static Map<Integer, BreakType> imap = new HashMap();
    public final int value;

    /* access modifiers changed from: public */
    static {
        BreakType[] values = values();
        for (BreakType breakType : values) {
            imap.put(Integer.valueOf(breakType.getValue()), breakType);
        }
    }

    /* access modifiers changed from: public */
    BreakType(int i2) {
        this.value = i2;
    }

    public int getValue() {
        return this.value;
    }

    public static BreakType valueOf(int i2) {
        BreakType breakType = imap.get(Integer.valueOf(i2));
        if (breakType != null) {
            return breakType;
        }
        throw new IllegalArgumentException(a.c("Unknown break type: ", i2));
    }
}
