package org.apache.poi.xwpf.usermodel;

import b.b.a.a.a;
import java.util.HashMap;
import java.util.Map;

public enum TextAlignment {
    TOP(1),
    CENTER(2),
    BASELINE(3),
    BOTTOM(4),
    AUTO(5);
    
    public static Map<Integer, TextAlignment> imap = new HashMap();
    public final int value;

    /* access modifiers changed from: public */
    static {
        TextAlignment[] values = values();
        for (TextAlignment textAlignment : values) {
            imap.put(Integer.valueOf(textAlignment.getValue()), textAlignment);
        }
    }

    /* access modifiers changed from: public */
    TextAlignment(int i2) {
        this.value = i2;
    }

    public int getValue() {
        return this.value;
    }

    public static TextAlignment valueOf(int i2) {
        TextAlignment textAlignment = imap.get(Integer.valueOf(i2));
        if (textAlignment != null) {
            return textAlignment;
        }
        throw new IllegalArgumentException(a.c("Unknown text alignment: ", i2));
    }
}
