package org.apache.poi.xwpf.usermodel;

public class TextSegement {
    public PositionInParagraph beginPos;
    public PositionInParagraph endPos;

    public TextSegement() {
        this.beginPos = new PositionInParagraph();
        this.endPos = new PositionInParagraph();
    }

    public int getBeginChar() {
        return this.beginPos.getChar();
    }

    public PositionInParagraph getBeginPos() {
        return this.beginPos;
    }

    public int getBeginRun() {
        return this.beginPos.getRun();
    }

    public int getBeginText() {
        return this.beginPos.getText();
    }

    public int getEndChar() {
        return this.endPos.getChar();
    }

    public PositionInParagraph getEndPos() {
        return this.endPos;
    }

    public int getEndRun() {
        return this.endPos.getRun();
    }

    public int getEndText() {
        return this.endPos.getText();
    }

    public void setBeginChar(int i2) {
        this.beginPos.setChar(i2);
    }

    public void setBeginRun(int i2) {
        this.beginPos.setRun(i2);
    }

    public void setBeginText(int i2) {
        this.beginPos.setText(i2);
    }

    public void setEndChar(int i2) {
        this.endPos.setChar(i2);
    }

    public void setEndRun(int i2) {
        this.endPos.setRun(i2);
    }

    public void setEndText(int i2) {
        this.endPos.setText(i2);
    }

    public TextSegement(int i2, int i3, int i4, int i5, int i6, int i7) {
        PositionInParagraph positionInParagraph = new PositionInParagraph(i2, i4, i6);
        PositionInParagraph positionInParagraph2 = new PositionInParagraph(i3, i5, i7);
        this.beginPos = positionInParagraph;
        this.endPos = positionInParagraph2;
    }

    public TextSegement(PositionInParagraph positionInParagraph, PositionInParagraph positionInParagraph2) {
        this.beginPos = positionInParagraph;
        this.endPos = positionInParagraph2;
    }
}
