package org.apache.xerces.impl.dtd.models;

public class CMUniOp extends CMNode {
    public final CMNode fChild;

    public CMUniOp(int i2, CMNode cMNode) {
        super(i2);
        if (type() == 1 || type() == 2 || type() == 3) {
            this.fChild = cMNode;
            return;
        }
        throw new RuntimeException("ImplementationMessages.VAL_UST");
    }

    @Override // org.apache.xerces.impl.dtd.models.CMNode
    public void calcFirstPos(CMStateSet cMStateSet) {
        cMStateSet.setTo(this.fChild.firstPos());
    }

    @Override // org.apache.xerces.impl.dtd.models.CMNode
    public void calcLastPos(CMStateSet cMStateSet) {
        cMStateSet.setTo(this.fChild.lastPos());
    }

    public final CMNode getChild() {
        return this.fChild;
    }

    @Override // org.apache.xerces.impl.dtd.models.CMNode
    public boolean isNullable() {
        if (type() == 3) {
            return this.fChild.isNullable();
        }
        return true;
    }
}
