package org.apache.xerces.impl.xs.traversers;

import java.util.Hashtable;

public class LargeContainer extends Container {
    public Hashtable items;

    public LargeContainer(int i2) {
        this.items = new Hashtable((i2 * 2) + 1);
        this.values = new OneAttr[i2];
    }

    @Override // org.apache.xerces.impl.xs.traversers.Container
    public OneAttr get(String str) {
        return (OneAttr) this.items.get(str);
    }

    @Override // org.apache.xerces.impl.xs.traversers.Container
    public void put(String str, OneAttr oneAttr) {
        this.items.put(str, oneAttr);
        OneAttr[] oneAttrArr = this.values;
        int i2 = this.pos;
        this.pos = i2 + 1;
        oneAttrArr[i2] = oneAttr;
    }
}
