package org.apache.xerces.jaxp.validation;

import javax.xml.transform.dom.DOMResult;
import org.apache.xerces.xni.XMLDocumentHandler;
import org.w3c.dom.CDATASection;
import org.w3c.dom.Comment;
import org.w3c.dom.DocumentType;
import org.w3c.dom.ProcessingInstruction;
import org.w3c.dom.Text;

public interface DOMDocumentHandler extends XMLDocumentHandler {
    void cdata(CDATASection cDATASection);

    void characters(Text text);

    void comment(Comment comment);

    void doctypeDecl(DocumentType documentType);

    void processingInstruction(ProcessingInstruction processingInstruction);

    void setDOMResult(DOMResult dOMResult);

    void setIgnoringCharacters(boolean z);
}
