package org.apache.xerces.util;

public final class XMLErrorCode {
    public String fDomain;
    public String fKey;

    public XMLErrorCode(String str, String str2) {
        this.fDomain = str;
        this.fKey = str2;
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof XMLErrorCode)) {
            return false;
        }
        XMLErrorCode xMLErrorCode = (XMLErrorCode) obj;
        return this.fDomain.equals(xMLErrorCode.fDomain) && this.fKey.equals(xMLErrorCode.fKey);
    }

    public int hashCode() {
        return this.fKey.hashCode() + this.fDomain.hashCode();
    }

    public void setValues(String str, String str2) {
        this.fDomain = str;
        this.fKey = str2;
    }
}
