package org.apache.xerces.xni.parser;

public interface XMLComponent {
    Boolean getFeatureDefault(String str);

    Object getPropertyDefault(String str);

    String[] getRecognizedFeatures();

    String[] getRecognizedProperties();

    void reset(XMLComponentManager xMLComponentManager);

    void setFeature(String str, boolean z);

    void setProperty(String str, Object obj);
}
