package org.apache.xmlbeans.impl.common;

import b.b.a.a.a;
import org.apache.xmlbeans.SystemProperties;
import org.xml.sax.EntityResolver;

public class ResolverUtil {
    public static EntityResolver _entityResolver;
    public static /* synthetic */ Class class$java$lang$String;

    static {
        try {
            String property = SystemProperties.getProperty("xmlbean.entityResolver");
            if (property != null) {
                _entityResolver = (EntityResolver) Class.forName(property).newInstance();
            }
        } catch (Exception unused) {
            _entityResolver = null;
        }
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static EntityResolver getGlobalEntityResolver() {
        return _entityResolver;
    }

    public static EntityResolver resolverForCatalog(String str) {
        Class<?> cls;
        if (str == null) {
            return null;
        }
        try {
            Class<?> cls2 = Class.forName("org.apache.xml.resolver.CatalogManager");
            Object newInstance = cls2.getConstructor(new Class[0]).newInstance(new Object[0]);
            Class<?>[] clsArr = new Class[1];
            if (class$java$lang$String == null) {
                cls = class$("java.lang.String");
                class$java$lang$String = cls;
            } else {
                cls = class$java$lang$String;
            }
            clsArr[0] = cls;
            cls2.getMethod("setCatalogFiles", clsArr).invoke(newInstance, str);
            return (EntityResolver) Class.forName("org.apache.xml.resolver.tools.CatalogResolver").getConstructor(cls2).newInstance(newInstance);
        } catch (Exception unused) {
            return null;
        }
    }
}
