package org.apache.xmlbeans.impl.piccolo.util;

public final class IntStack {
    public int pos = -1;
    public int[] stack;

    public IntStack(int i2) {
        this.stack = new int[i2];
    }

    public void clear() {
        this.pos = -1;
    }

    public int pop() {
        int i2 = this.pos;
        if (i2 >= 0) {
            int[] iArr = this.stack;
            this.pos = i2 - 1;
            return iArr[i2];
        }
        throw new ArrayIndexOutOfBoundsException("stack underflow");
    }

    public void push(int i2) {
        int i3 = this.pos;
        int i4 = i3 + 1;
        int[] iArr = this.stack;
        if (i4 < iArr.length) {
            int i5 = i3 + 1;
            this.pos = i5;
            iArr[i5] = i2;
            return;
        }
        setSize(iArr.length * 2);
        int[] iArr2 = this.stack;
        int i6 = this.pos + 1;
        this.pos = i6;
        iArr2[i6] = i2;
    }

    public void setSize(int i2) {
        int[] iArr = this.stack;
        if (i2 != iArr.length) {
            int[] iArr2 = new int[i2];
            System.arraycopy(iArr, 0, iArr2, 0, Math.min(iArr.length, i2));
            this.stack = iArr2;
        }
    }

    public int size() {
        return this.pos + 1;
    }
}
