package org.apache.xmlbeans.impl.soap;

import b.b.a.a.a;
import java.io.InputStream;

public abstract class MessageFactory {
    public static final String DEFAULT_MESSAGE_FACTORY = "org.apache.axis.soap.MessageFactoryImpl";
    public static final String MESSAGE_FACTORY_PROPERTY = "javax.xml.soap.MessageFactory";

    public static MessageFactory newInstance() {
        try {
            return (MessageFactory) FactoryFinder.find(MESSAGE_FACTORY_PROPERTY, DEFAULT_MESSAGE_FACTORY);
        } catch (Exception e2) {
            StringBuffer a = a.a("Unable to create message factory for SOAP: ");
            a.append(e2.getMessage());
            throw new SOAPException(a.toString());
        }
    }

    public abstract SOAPMessage createMessage();

    public abstract SOAPMessage createMessage(MimeHeaders mimeHeaders, InputStream inputStream);
}
