package org.openxmlformats.schemas.drawingml.x2006.chart;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody;
import org.w3c.dom.Node;

public interface CTDateAx extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTDateAx.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctdateaxbdd7type"));

    public static final class Factory {
        public static CTDateAx newInstance() {
            return (CTDateAx) POIXMLTypeLoader.newInstance(CTDateAx.type, null);
        }

        public static CTDateAx newInstance(XmlOptions xmlOptions) {
            return (CTDateAx) POIXMLTypeLoader.newInstance(CTDateAx.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTDateAx.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTDateAx.type, xmlOptions);
        }

        public static CTDateAx parse(File file) {
            return (CTDateAx) POIXMLTypeLoader.parse(file, CTDateAx.type, (XmlOptions) null);
        }

        public static CTDateAx parse(File file, XmlOptions xmlOptions) {
            return (CTDateAx) POIXMLTypeLoader.parse(file, CTDateAx.type, xmlOptions);
        }

        public static CTDateAx parse(InputStream inputStream) {
            return (CTDateAx) POIXMLTypeLoader.parse(inputStream, CTDateAx.type, (XmlOptions) null);
        }

        public static CTDateAx parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTDateAx) POIXMLTypeLoader.parse(inputStream, CTDateAx.type, xmlOptions);
        }

        public static CTDateAx parse(Reader reader) {
            return (CTDateAx) POIXMLTypeLoader.parse(reader, CTDateAx.type, (XmlOptions) null);
        }

        public static CTDateAx parse(Reader reader, XmlOptions xmlOptions) {
            return (CTDateAx) POIXMLTypeLoader.parse(reader, CTDateAx.type, xmlOptions);
        }

        public static CTDateAx parse(String str) {
            return (CTDateAx) POIXMLTypeLoader.parse(str, CTDateAx.type, (XmlOptions) null);
        }

        public static CTDateAx parse(String str, XmlOptions xmlOptions) {
            return (CTDateAx) POIXMLTypeLoader.parse(str, CTDateAx.type, xmlOptions);
        }

        public static CTDateAx parse(URL url) {
            return (CTDateAx) POIXMLTypeLoader.parse(url, CTDateAx.type, (XmlOptions) null);
        }

        public static CTDateAx parse(URL url, XmlOptions xmlOptions) {
            return (CTDateAx) POIXMLTypeLoader.parse(url, CTDateAx.type, xmlOptions);
        }

        public static CTDateAx parse(XMLStreamReader xMLStreamReader) {
            return (CTDateAx) POIXMLTypeLoader.parse(xMLStreamReader, CTDateAx.type, (XmlOptions) null);
        }

        public static CTDateAx parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTDateAx) POIXMLTypeLoader.parse(xMLStreamReader, CTDateAx.type, xmlOptions);
        }

        public static CTDateAx parse(XMLInputStream xMLInputStream) {
            return (CTDateAx) POIXMLTypeLoader.parse(xMLInputStream, CTDateAx.type, (XmlOptions) null);
        }

        public static CTDateAx parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTDateAx) POIXMLTypeLoader.parse(xMLInputStream, CTDateAx.type, xmlOptions);
        }

        public static CTDateAx parse(Node node) {
            return (CTDateAx) POIXMLTypeLoader.parse(node, CTDateAx.type, (XmlOptions) null);
        }

        public static CTDateAx parse(Node node, XmlOptions xmlOptions) {
            return (CTDateAx) POIXMLTypeLoader.parse(node, CTDateAx.type, xmlOptions);
        }
    }

    CTBoolean addNewAuto();

    CTUnsignedInt addNewAxId();

    CTAxPos addNewAxPos();

    CTTimeUnit addNewBaseTimeUnit();

    CTUnsignedInt addNewCrossAx();

    CTCrosses addNewCrosses();

    CTDouble addNewCrossesAt();

    CTBoolean addNewDelete();

    CTExtensionList addNewExtLst();

    CTLblOffset addNewLblOffset();

    CTChartLines addNewMajorGridlines();

    CTTickMark addNewMajorTickMark();

    CTTimeUnit addNewMajorTimeUnit();

    CTAxisUnit addNewMajorUnit();

    CTChartLines addNewMinorGridlines();

    CTTickMark addNewMinorTickMark();

    CTTimeUnit addNewMinorTimeUnit();

    CTAxisUnit addNewMinorUnit();

    CTNumFmt addNewNumFmt();

    CTScaling addNewScaling();

    CTShapeProperties addNewSpPr();

    CTTickLblPos addNewTickLblPos();

    CTTitle addNewTitle();

    CTTextBody addNewTxPr();

    CTBoolean getAuto();

    CTUnsignedInt getAxId();

    CTAxPos getAxPos();

    CTTimeUnit getBaseTimeUnit();

    CTUnsignedInt getCrossAx();

    CTCrosses getCrosses();

    CTDouble getCrossesAt();

    CTBoolean getDelete();

    CTExtensionList getExtLst();

    CTLblOffset getLblOffset();

    CTChartLines getMajorGridlines();

    CTTickMark getMajorTickMark();

    CTTimeUnit getMajorTimeUnit();

    CTAxisUnit getMajorUnit();

    CTChartLines getMinorGridlines();

    CTTickMark getMinorTickMark();

    CTTimeUnit getMinorTimeUnit();

    CTAxisUnit getMinorUnit();

    CTNumFmt getNumFmt();

    CTScaling getScaling();

    CTShapeProperties getSpPr();

    CTTickLblPos getTickLblPos();

    CTTitle getTitle();

    CTTextBody getTxPr();

    boolean isSetAuto();

    boolean isSetBaseTimeUnit();

    boolean isSetCrosses();

    boolean isSetCrossesAt();

    boolean isSetDelete();

    boolean isSetExtLst();

    boolean isSetLblOffset();

    boolean isSetMajorGridlines();

    boolean isSetMajorTickMark();

    boolean isSetMajorTimeUnit();

    boolean isSetMajorUnit();

    boolean isSetMinorGridlines();

    boolean isSetMinorTickMark();

    boolean isSetMinorTimeUnit();

    boolean isSetMinorUnit();

    boolean isSetNumFmt();

    boolean isSetSpPr();

    boolean isSetTickLblPos();

    boolean isSetTitle();

    boolean isSetTxPr();

    void setAuto(CTBoolean cTBoolean);

    void setAxId(CTUnsignedInt cTUnsignedInt);

    void setAxPos(CTAxPos cTAxPos);

    void setBaseTimeUnit(CTTimeUnit cTTimeUnit);

    void setCrossAx(CTUnsignedInt cTUnsignedInt);

    void setCrosses(CTCrosses cTCrosses);

    void setCrossesAt(CTDouble cTDouble);

    void setDelete(CTBoolean cTBoolean);

    void setExtLst(CTExtensionList cTExtensionList);

    void setLblOffset(CTLblOffset cTLblOffset);

    void setMajorGridlines(CTChartLines cTChartLines);

    void setMajorTickMark(CTTickMark cTTickMark);

    void setMajorTimeUnit(CTTimeUnit cTTimeUnit);

    void setMajorUnit(CTAxisUnit cTAxisUnit);

    void setMinorGridlines(CTChartLines cTChartLines);

    void setMinorTickMark(CTTickMark cTTickMark);

    void setMinorTimeUnit(CTTimeUnit cTTimeUnit);

    void setMinorUnit(CTAxisUnit cTAxisUnit);

    void setNumFmt(CTNumFmt cTNumFmt);

    void setScaling(CTScaling cTScaling);

    void setSpPr(CTShapeProperties cTShapeProperties);

    void setTickLblPos(CTTickLblPos cTTickLblPos);

    void setTitle(CTTitle cTTitle);

    void setTxPr(CTTextBody cTTextBody);

    void unsetAuto();

    void unsetBaseTimeUnit();

    void unsetCrosses();

    void unsetCrossesAt();

    void unsetDelete();

    void unsetExtLst();

    void unsetLblOffset();

    void unsetMajorGridlines();

    void unsetMajorTickMark();

    void unsetMajorTimeUnit();

    void unsetMajorUnit();

    void unsetMinorGridlines();

    void unsetMinorTickMark();

    void unsetMinorTimeUnit();

    void unsetMinorUnit();

    void unsetNumFmt();

    void unsetSpPr();

    void unsetTickLblPos();

    void unsetTitle();

    void unsetTxPr();
}
