package org.openxmlformats.schemas.drawingml.x2006.chart;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTLayout extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTLayout.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctlayout3192type"));

    public static final class Factory {
        public static CTLayout newInstance() {
            return (CTLayout) POIXMLTypeLoader.newInstance(CTLayout.type, null);
        }

        public static CTLayout newInstance(XmlOptions xmlOptions) {
            return (CTLayout) POIXMLTypeLoader.newInstance(CTLayout.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTLayout.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTLayout.type, xmlOptions);
        }

        public static CTLayout parse(File file) {
            return (CTLayout) POIXMLTypeLoader.parse(file, CTLayout.type, (XmlOptions) null);
        }

        public static CTLayout parse(File file, XmlOptions xmlOptions) {
            return (CTLayout) POIXMLTypeLoader.parse(file, CTLayout.type, xmlOptions);
        }

        public static CTLayout parse(InputStream inputStream) {
            return (CTLayout) POIXMLTypeLoader.parse(inputStream, CTLayout.type, (XmlOptions) null);
        }

        public static CTLayout parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTLayout) POIXMLTypeLoader.parse(inputStream, CTLayout.type, xmlOptions);
        }

        public static CTLayout parse(Reader reader) {
            return (CTLayout) POIXMLTypeLoader.parse(reader, CTLayout.type, (XmlOptions) null);
        }

        public static CTLayout parse(Reader reader, XmlOptions xmlOptions) {
            return (CTLayout) POIXMLTypeLoader.parse(reader, CTLayout.type, xmlOptions);
        }

        public static CTLayout parse(String str) {
            return (CTLayout) POIXMLTypeLoader.parse(str, CTLayout.type, (XmlOptions) null);
        }

        public static CTLayout parse(String str, XmlOptions xmlOptions) {
            return (CTLayout) POIXMLTypeLoader.parse(str, CTLayout.type, xmlOptions);
        }

        public static CTLayout parse(URL url) {
            return (CTLayout) POIXMLTypeLoader.parse(url, CTLayout.type, (XmlOptions) null);
        }

        public static CTLayout parse(URL url, XmlOptions xmlOptions) {
            return (CTLayout) POIXMLTypeLoader.parse(url, CTLayout.type, xmlOptions);
        }

        public static CTLayout parse(XMLStreamReader xMLStreamReader) {
            return (CTLayout) POIXMLTypeLoader.parse(xMLStreamReader, CTLayout.type, (XmlOptions) null);
        }

        public static CTLayout parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTLayout) POIXMLTypeLoader.parse(xMLStreamReader, CTLayout.type, xmlOptions);
        }

        public static CTLayout parse(XMLInputStream xMLInputStream) {
            return (CTLayout) POIXMLTypeLoader.parse(xMLInputStream, CTLayout.type, (XmlOptions) null);
        }

        public static CTLayout parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTLayout) POIXMLTypeLoader.parse(xMLInputStream, CTLayout.type, xmlOptions);
        }

        public static CTLayout parse(Node node) {
            return (CTLayout) POIXMLTypeLoader.parse(node, CTLayout.type, (XmlOptions) null);
        }

        public static CTLayout parse(Node node, XmlOptions xmlOptions) {
            return (CTLayout) POIXMLTypeLoader.parse(node, CTLayout.type, xmlOptions);
        }
    }

    CTExtensionList addNewExtLst();

    CTManualLayout addNewManualLayout();

    CTExtensionList getExtLst();

    CTManualLayout getManualLayout();

    boolean isSetExtLst();

    boolean isSetManualLayout();

    void setExtLst(CTExtensionList cTExtensionList);

    void setManualLayout(CTManualLayout cTManualLayout);

    void unsetExtLst();

    void unsetManualLayout();
}
