package org.openxmlformats.schemas.drawingml.x2006.chart;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTPieChart extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTPieChart.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctpiechartd34atype"));

    public static final class Factory {
        public static CTPieChart newInstance() {
            return (CTPieChart) POIXMLTypeLoader.newInstance(CTPieChart.type, null);
        }

        public static CTPieChart newInstance(XmlOptions xmlOptions) {
            return (CTPieChart) POIXMLTypeLoader.newInstance(CTPieChart.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTPieChart.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTPieChart.type, xmlOptions);
        }

        public static CTPieChart parse(File file) {
            return (CTPieChart) POIXMLTypeLoader.parse(file, CTPieChart.type, (XmlOptions) null);
        }

        public static CTPieChart parse(File file, XmlOptions xmlOptions) {
            return (CTPieChart) POIXMLTypeLoader.parse(file, CTPieChart.type, xmlOptions);
        }

        public static CTPieChart parse(InputStream inputStream) {
            return (CTPieChart) POIXMLTypeLoader.parse(inputStream, CTPieChart.type, (XmlOptions) null);
        }

        public static CTPieChart parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTPieChart) POIXMLTypeLoader.parse(inputStream, CTPieChart.type, xmlOptions);
        }

        public static CTPieChart parse(Reader reader) {
            return (CTPieChart) POIXMLTypeLoader.parse(reader, CTPieChart.type, (XmlOptions) null);
        }

        public static CTPieChart parse(Reader reader, XmlOptions xmlOptions) {
            return (CTPieChart) POIXMLTypeLoader.parse(reader, CTPieChart.type, xmlOptions);
        }

        public static CTPieChart parse(String str) {
            return (CTPieChart) POIXMLTypeLoader.parse(str, CTPieChart.type, (XmlOptions) null);
        }

        public static CTPieChart parse(String str, XmlOptions xmlOptions) {
            return (CTPieChart) POIXMLTypeLoader.parse(str, CTPieChart.type, xmlOptions);
        }

        public static CTPieChart parse(URL url) {
            return (CTPieChart) POIXMLTypeLoader.parse(url, CTPieChart.type, (XmlOptions) null);
        }

        public static CTPieChart parse(URL url, XmlOptions xmlOptions) {
            return (CTPieChart) POIXMLTypeLoader.parse(url, CTPieChart.type, xmlOptions);
        }

        public static CTPieChart parse(XMLStreamReader xMLStreamReader) {
            return (CTPieChart) POIXMLTypeLoader.parse(xMLStreamReader, CTPieChart.type, (XmlOptions) null);
        }

        public static CTPieChart parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTPieChart) POIXMLTypeLoader.parse(xMLStreamReader, CTPieChart.type, xmlOptions);
        }

        public static CTPieChart parse(XMLInputStream xMLInputStream) {
            return (CTPieChart) POIXMLTypeLoader.parse(xMLInputStream, CTPieChart.type, (XmlOptions) null);
        }

        public static CTPieChart parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTPieChart) POIXMLTypeLoader.parse(xMLInputStream, CTPieChart.type, xmlOptions);
        }

        public static CTPieChart parse(Node node) {
            return (CTPieChart) POIXMLTypeLoader.parse(node, CTPieChart.type, (XmlOptions) null);
        }

        public static CTPieChart parse(Node node, XmlOptions xmlOptions) {
            return (CTPieChart) POIXMLTypeLoader.parse(node, CTPieChart.type, xmlOptions);
        }
    }

    CTDLbls addNewDLbls();

    CTExtensionList addNewExtLst();

    CTFirstSliceAng addNewFirstSliceAng();

    CTPieSer addNewSer();

    CTBoolean addNewVaryColors();

    CTDLbls getDLbls();

    CTExtensionList getExtLst();

    CTFirstSliceAng getFirstSliceAng();

    CTPieSer getSerArray(int i2);

    CTPieSer[] getSerArray();

    List<CTPieSer> getSerList();

    CTBoolean getVaryColors();

    CTPieSer insertNewSer(int i2);

    boolean isSetDLbls();

    boolean isSetExtLst();

    boolean isSetFirstSliceAng();

    boolean isSetVaryColors();

    void removeSer(int i2);

    void setDLbls(CTDLbls cTDLbls);

    void setExtLst(CTExtensionList cTExtensionList);

    void setFirstSliceAng(CTFirstSliceAng cTFirstSliceAng);

    void setSerArray(int i2, CTPieSer cTPieSer);

    void setSerArray(CTPieSer[] cTPieSerArr);

    void setVaryColors(CTBoolean cTBoolean);

    int sizeOfSerArray();

    void unsetDLbls();

    void unsetExtLst();

    void unsetFirstSliceAng();

    void unsetVaryColors();
}
