package org.openxmlformats.schemas.drawingml.x2006.chart;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTPrintSettings extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTPrintSettings.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctprintsettings61b6type"));

    public static final class Factory {
        public static CTPrintSettings newInstance() {
            return (CTPrintSettings) POIXMLTypeLoader.newInstance(CTPrintSettings.type, null);
        }

        public static CTPrintSettings newInstance(XmlOptions xmlOptions) {
            return (CTPrintSettings) POIXMLTypeLoader.newInstance(CTPrintSettings.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTPrintSettings.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTPrintSettings.type, xmlOptions);
        }

        public static CTPrintSettings parse(File file) {
            return (CTPrintSettings) POIXMLTypeLoader.parse(file, CTPrintSettings.type, (XmlOptions) null);
        }

        public static CTPrintSettings parse(File file, XmlOptions xmlOptions) {
            return (CTPrintSettings) POIXMLTypeLoader.parse(file, CTPrintSettings.type, xmlOptions);
        }

        public static CTPrintSettings parse(InputStream inputStream) {
            return (CTPrintSettings) POIXMLTypeLoader.parse(inputStream, CTPrintSettings.type, (XmlOptions) null);
        }

        public static CTPrintSettings parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTPrintSettings) POIXMLTypeLoader.parse(inputStream, CTPrintSettings.type, xmlOptions);
        }

        public static CTPrintSettings parse(Reader reader) {
            return (CTPrintSettings) POIXMLTypeLoader.parse(reader, CTPrintSettings.type, (XmlOptions) null);
        }

        public static CTPrintSettings parse(Reader reader, XmlOptions xmlOptions) {
            return (CTPrintSettings) POIXMLTypeLoader.parse(reader, CTPrintSettings.type, xmlOptions);
        }

        public static CTPrintSettings parse(String str) {
            return (CTPrintSettings) POIXMLTypeLoader.parse(str, CTPrintSettings.type, (XmlOptions) null);
        }

        public static CTPrintSettings parse(String str, XmlOptions xmlOptions) {
            return (CTPrintSettings) POIXMLTypeLoader.parse(str, CTPrintSettings.type, xmlOptions);
        }

        public static CTPrintSettings parse(URL url) {
            return (CTPrintSettings) POIXMLTypeLoader.parse(url, CTPrintSettings.type, (XmlOptions) null);
        }

        public static CTPrintSettings parse(URL url, XmlOptions xmlOptions) {
            return (CTPrintSettings) POIXMLTypeLoader.parse(url, CTPrintSettings.type, xmlOptions);
        }

        public static CTPrintSettings parse(XMLStreamReader xMLStreamReader) {
            return (CTPrintSettings) POIXMLTypeLoader.parse(xMLStreamReader, CTPrintSettings.type, (XmlOptions) null);
        }

        public static CTPrintSettings parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTPrintSettings) POIXMLTypeLoader.parse(xMLStreamReader, CTPrintSettings.type, xmlOptions);
        }

        public static CTPrintSettings parse(XMLInputStream xMLInputStream) {
            return (CTPrintSettings) POIXMLTypeLoader.parse(xMLInputStream, CTPrintSettings.type, (XmlOptions) null);
        }

        public static CTPrintSettings parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTPrintSettings) POIXMLTypeLoader.parse(xMLInputStream, CTPrintSettings.type, xmlOptions);
        }

        public static CTPrintSettings parse(Node node) {
            return (CTPrintSettings) POIXMLTypeLoader.parse(node, CTPrintSettings.type, (XmlOptions) null);
        }

        public static CTPrintSettings parse(Node node, XmlOptions xmlOptions) {
            return (CTPrintSettings) POIXMLTypeLoader.parse(node, CTPrintSettings.type, xmlOptions);
        }
    }

    CTHeaderFooter addNewHeaderFooter();

    CTRelId addNewLegacyDrawingHF();

    CTPageMargins addNewPageMargins();

    CTPageSetup addNewPageSetup();

    CTHeaderFooter getHeaderFooter();

    CTRelId getLegacyDrawingHF();

    CTPageMargins getPageMargins();

    CTPageSetup getPageSetup();

    boolean isSetHeaderFooter();

    boolean isSetLegacyDrawingHF();

    boolean isSetPageMargins();

    boolean isSetPageSetup();

    void setHeaderFooter(CTHeaderFooter cTHeaderFooter);

    void setLegacyDrawingHF(CTRelId cTRelId);

    void setPageMargins(CTPageMargins cTPageMargins);

    void setPageSetup(CTPageSetup cTPageSetup);

    void unsetHeaderFooter();

    void unsetLegacyDrawingHF();

    void unsetPageMargins();

    void unsetPageSetup();
}
