package org.openxmlformats.schemas.drawingml.x2006.chart;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties;
import org.w3c.dom.Node;

public interface CTScatterSer extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTScatterSer.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctscatterser2f7atype"));

    public static final class Factory {
        public static CTScatterSer newInstance() {
            return (CTScatterSer) POIXMLTypeLoader.newInstance(CTScatterSer.type, null);
        }

        public static CTScatterSer newInstance(XmlOptions xmlOptions) {
            return (CTScatterSer) POIXMLTypeLoader.newInstance(CTScatterSer.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTScatterSer.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTScatterSer.type, xmlOptions);
        }

        public static CTScatterSer parse(File file) {
            return (CTScatterSer) POIXMLTypeLoader.parse(file, CTScatterSer.type, (XmlOptions) null);
        }

        public static CTScatterSer parse(File file, XmlOptions xmlOptions) {
            return (CTScatterSer) POIXMLTypeLoader.parse(file, CTScatterSer.type, xmlOptions);
        }

        public static CTScatterSer parse(InputStream inputStream) {
            return (CTScatterSer) POIXMLTypeLoader.parse(inputStream, CTScatterSer.type, (XmlOptions) null);
        }

        public static CTScatterSer parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTScatterSer) POIXMLTypeLoader.parse(inputStream, CTScatterSer.type, xmlOptions);
        }

        public static CTScatterSer parse(Reader reader) {
            return (CTScatterSer) POIXMLTypeLoader.parse(reader, CTScatterSer.type, (XmlOptions) null);
        }

        public static CTScatterSer parse(Reader reader, XmlOptions xmlOptions) {
            return (CTScatterSer) POIXMLTypeLoader.parse(reader, CTScatterSer.type, xmlOptions);
        }

        public static CTScatterSer parse(String str) {
            return (CTScatterSer) POIXMLTypeLoader.parse(str, CTScatterSer.type, (XmlOptions) null);
        }

        public static CTScatterSer parse(String str, XmlOptions xmlOptions) {
            return (CTScatterSer) POIXMLTypeLoader.parse(str, CTScatterSer.type, xmlOptions);
        }

        public static CTScatterSer parse(URL url) {
            return (CTScatterSer) POIXMLTypeLoader.parse(url, CTScatterSer.type, (XmlOptions) null);
        }

        public static CTScatterSer parse(URL url, XmlOptions xmlOptions) {
            return (CTScatterSer) POIXMLTypeLoader.parse(url, CTScatterSer.type, xmlOptions);
        }

        public static CTScatterSer parse(XMLStreamReader xMLStreamReader) {
            return (CTScatterSer) POIXMLTypeLoader.parse(xMLStreamReader, CTScatterSer.type, (XmlOptions) null);
        }

        public static CTScatterSer parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTScatterSer) POIXMLTypeLoader.parse(xMLStreamReader, CTScatterSer.type, xmlOptions);
        }

        public static CTScatterSer parse(XMLInputStream xMLInputStream) {
            return (CTScatterSer) POIXMLTypeLoader.parse(xMLInputStream, CTScatterSer.type, (XmlOptions) null);
        }

        public static CTScatterSer parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTScatterSer) POIXMLTypeLoader.parse(xMLInputStream, CTScatterSer.type, xmlOptions);
        }

        public static CTScatterSer parse(Node node) {
            return (CTScatterSer) POIXMLTypeLoader.parse(node, CTScatterSer.type, (XmlOptions) null);
        }

        public static CTScatterSer parse(Node node, XmlOptions xmlOptions) {
            return (CTScatterSer) POIXMLTypeLoader.parse(node, CTScatterSer.type, xmlOptions);
        }
    }

    CTDLbls addNewDLbls();

    CTDPt addNewDPt();

    CTErrBars addNewErrBars();

    CTExtensionList addNewExtLst();

    CTUnsignedInt addNewIdx();

    CTMarker addNewMarker();

    CTUnsignedInt addNewOrder();

    CTBoolean addNewSmooth();

    CTShapeProperties addNewSpPr();

    CTTrendline addNewTrendline();

    CTSerTx addNewTx();

    CTAxDataSource addNewXVal();

    CTNumDataSource addNewYVal();

    CTDLbls getDLbls();

    CTDPt getDPtArray(int i2);

    CTDPt[] getDPtArray();

    List<CTDPt> getDPtList();

    CTErrBars getErrBarsArray(int i2);

    CTErrBars[] getErrBarsArray();

    List<CTErrBars> getErrBarsList();

    CTExtensionList getExtLst();

    CTUnsignedInt getIdx();

    CTMarker getMarker();

    CTUnsignedInt getOrder();

    CTBoolean getSmooth();

    CTShapeProperties getSpPr();

    CTTrendline getTrendlineArray(int i2);

    CTTrendline[] getTrendlineArray();

    List<CTTrendline> getTrendlineList();

    CTSerTx getTx();

    CTAxDataSource getXVal();

    CTNumDataSource getYVal();

    CTDPt insertNewDPt(int i2);

    CTErrBars insertNewErrBars(int i2);

    CTTrendline insertNewTrendline(int i2);

    boolean isSetDLbls();

    boolean isSetExtLst();

    boolean isSetMarker();

    boolean isSetSmooth();

    boolean isSetSpPr();

    boolean isSetTx();

    boolean isSetXVal();

    boolean isSetYVal();

    void removeDPt(int i2);

    void removeErrBars(int i2);

    void removeTrendline(int i2);

    void setDLbls(CTDLbls cTDLbls);

    void setDPtArray(int i2, CTDPt cTDPt);

    void setDPtArray(CTDPt[] cTDPtArr);

    void setErrBarsArray(int i2, CTErrBars cTErrBars);

    void setErrBarsArray(CTErrBars[] cTErrBarsArr);

    void setExtLst(CTExtensionList cTExtensionList);

    void setIdx(CTUnsignedInt cTUnsignedInt);

    void setMarker(CTMarker cTMarker);

    void setOrder(CTUnsignedInt cTUnsignedInt);

    void setSmooth(CTBoolean cTBoolean);

    void setSpPr(CTShapeProperties cTShapeProperties);

    void setTrendlineArray(int i2, CTTrendline cTTrendline);

    void setTrendlineArray(CTTrendline[] cTTrendlineArr);

    void setTx(CTSerTx cTSerTx);

    void setXVal(CTAxDataSource cTAxDataSource);

    void setYVal(CTNumDataSource cTNumDataSource);

    int sizeOfDPtArray();

    int sizeOfErrBarsArray();

    int sizeOfTrendlineArray();

    void unsetDLbls();

    void unsetExtLst();

    void unsetMarker();

    void unsetSmooth();

    void unsetSpPr();

    void unsetTx();

    void unsetXVal();

    void unsetYVal();
}
