package org.openxmlformats.schemas.drawingml.x2006.chart;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STCrosses extends XmlString {
    public static final Enum AUTO_ZERO = Enum.forString("autoZero");
    public static final int INT_AUTO_ZERO = 1;
    public static final int INT_MAX = 2;
    public static final int INT_MIN = 3;
    public static final Enum MAX = Enum.forString("max");
    public static final Enum MIN = Enum.forString("min");
    public static final SchemaType type = ((SchemaType) a.a(STCrosses.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stcrosses3cc8type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_AUTO_ZERO = 1;
        public static final int INT_MAX = 2;
        public static final int INT_MIN = 3;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("autoZero", 1), new Enum("max", 2), new Enum("min", 3)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STCrosses newInstance() {
            return (STCrosses) POIXMLTypeLoader.newInstance(STCrosses.type, null);
        }

        public static STCrosses newInstance(XmlOptions xmlOptions) {
            return (STCrosses) POIXMLTypeLoader.newInstance(STCrosses.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STCrosses.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STCrosses.type, xmlOptions);
        }

        public static STCrosses newValue(Object obj) {
            return (STCrosses) STCrosses.type.newValue(obj);
        }

        public static STCrosses parse(File file) {
            return (STCrosses) POIXMLTypeLoader.parse(file, STCrosses.type, (XmlOptions) null);
        }

        public static STCrosses parse(File file, XmlOptions xmlOptions) {
            return (STCrosses) POIXMLTypeLoader.parse(file, STCrosses.type, xmlOptions);
        }

        public static STCrosses parse(InputStream inputStream) {
            return (STCrosses) POIXMLTypeLoader.parse(inputStream, STCrosses.type, (XmlOptions) null);
        }

        public static STCrosses parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STCrosses) POIXMLTypeLoader.parse(inputStream, STCrosses.type, xmlOptions);
        }

        public static STCrosses parse(Reader reader) {
            return (STCrosses) POIXMLTypeLoader.parse(reader, STCrosses.type, (XmlOptions) null);
        }

        public static STCrosses parse(Reader reader, XmlOptions xmlOptions) {
            return (STCrosses) POIXMLTypeLoader.parse(reader, STCrosses.type, xmlOptions);
        }

        public static STCrosses parse(String str) {
            return (STCrosses) POIXMLTypeLoader.parse(str, STCrosses.type, (XmlOptions) null);
        }

        public static STCrosses parse(String str, XmlOptions xmlOptions) {
            return (STCrosses) POIXMLTypeLoader.parse(str, STCrosses.type, xmlOptions);
        }

        public static STCrosses parse(URL url) {
            return (STCrosses) POIXMLTypeLoader.parse(url, STCrosses.type, (XmlOptions) null);
        }

        public static STCrosses parse(URL url, XmlOptions xmlOptions) {
            return (STCrosses) POIXMLTypeLoader.parse(url, STCrosses.type, xmlOptions);
        }

        public static STCrosses parse(XMLStreamReader xMLStreamReader) {
            return (STCrosses) POIXMLTypeLoader.parse(xMLStreamReader, STCrosses.type, (XmlOptions) null);
        }

        public static STCrosses parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STCrosses) POIXMLTypeLoader.parse(xMLStreamReader, STCrosses.type, xmlOptions);
        }

        public static STCrosses parse(XMLInputStream xMLInputStream) {
            return (STCrosses) POIXMLTypeLoader.parse(xMLInputStream, STCrosses.type, (XmlOptions) null);
        }

        public static STCrosses parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STCrosses) POIXMLTypeLoader.parse(xMLInputStream, STCrosses.type, xmlOptions);
        }

        public static STCrosses parse(Node node) {
            return (STCrosses) POIXMLTypeLoader.parse(node, STCrosses.type, (XmlOptions) null);
        }

        public static STCrosses parse(Node node, XmlOptions xmlOptions) {
            return (STCrosses) POIXMLTypeLoader.parse(node, STCrosses.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
