package org.openxmlformats.schemas.drawingml.x2006.chart;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STLayoutMode extends XmlString {
    public static final Enum EDGE = Enum.forString("edge");
    public static final Enum FACTOR = Enum.forString("factor");
    public static final int INT_EDGE = 1;
    public static final int INT_FACTOR = 2;
    public static final SchemaType type = ((SchemaType) a.a(STLayoutMode.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stlayoutmode19dftype"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_EDGE = 1;
        public static final int INT_FACTOR = 2;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("edge", 1), new Enum("factor", 2)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STLayoutMode newInstance() {
            return (STLayoutMode) POIXMLTypeLoader.newInstance(STLayoutMode.type, null);
        }

        public static STLayoutMode newInstance(XmlOptions xmlOptions) {
            return (STLayoutMode) POIXMLTypeLoader.newInstance(STLayoutMode.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STLayoutMode.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STLayoutMode.type, xmlOptions);
        }

        public static STLayoutMode newValue(Object obj) {
            return (STLayoutMode) STLayoutMode.type.newValue(obj);
        }

        public static STLayoutMode parse(File file) {
            return (STLayoutMode) POIXMLTypeLoader.parse(file, STLayoutMode.type, (XmlOptions) null);
        }

        public static STLayoutMode parse(File file, XmlOptions xmlOptions) {
            return (STLayoutMode) POIXMLTypeLoader.parse(file, STLayoutMode.type, xmlOptions);
        }

        public static STLayoutMode parse(InputStream inputStream) {
            return (STLayoutMode) POIXMLTypeLoader.parse(inputStream, STLayoutMode.type, (XmlOptions) null);
        }

        public static STLayoutMode parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STLayoutMode) POIXMLTypeLoader.parse(inputStream, STLayoutMode.type, xmlOptions);
        }

        public static STLayoutMode parse(Reader reader) {
            return (STLayoutMode) POIXMLTypeLoader.parse(reader, STLayoutMode.type, (XmlOptions) null);
        }

        public static STLayoutMode parse(Reader reader, XmlOptions xmlOptions) {
            return (STLayoutMode) POIXMLTypeLoader.parse(reader, STLayoutMode.type, xmlOptions);
        }

        public static STLayoutMode parse(String str) {
            return (STLayoutMode) POIXMLTypeLoader.parse(str, STLayoutMode.type, (XmlOptions) null);
        }

        public static STLayoutMode parse(String str, XmlOptions xmlOptions) {
            return (STLayoutMode) POIXMLTypeLoader.parse(str, STLayoutMode.type, xmlOptions);
        }

        public static STLayoutMode parse(URL url) {
            return (STLayoutMode) POIXMLTypeLoader.parse(url, STLayoutMode.type, (XmlOptions) null);
        }

        public static STLayoutMode parse(URL url, XmlOptions xmlOptions) {
            return (STLayoutMode) POIXMLTypeLoader.parse(url, STLayoutMode.type, xmlOptions);
        }

        public static STLayoutMode parse(XMLStreamReader xMLStreamReader) {
            return (STLayoutMode) POIXMLTypeLoader.parse(xMLStreamReader, STLayoutMode.type, (XmlOptions) null);
        }

        public static STLayoutMode parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STLayoutMode) POIXMLTypeLoader.parse(xMLStreamReader, STLayoutMode.type, xmlOptions);
        }

        public static STLayoutMode parse(XMLInputStream xMLInputStream) {
            return (STLayoutMode) POIXMLTypeLoader.parse(xMLInputStream, STLayoutMode.type, (XmlOptions) null);
        }

        public static STLayoutMode parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STLayoutMode) POIXMLTypeLoader.parse(xMLInputStream, STLayoutMode.type, xmlOptions);
        }

        public static STLayoutMode parse(Node node) {
            return (STLayoutMode) POIXMLTypeLoader.parse(node, STLayoutMode.type, (XmlOptions) null);
        }

        public static STLayoutMode parse(Node node, XmlOptions xmlOptions) {
            return (STLayoutMode) POIXMLTypeLoader.parse(node, STLayoutMode.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
