package org.openxmlformats.schemas.drawingml.x2006.chart;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STLegendPos extends XmlString {
    public static final Enum B = Enum.forString("b");
    public static final int INT_B = 1;
    public static final int INT_L = 3;
    public static final int INT_R = 4;
    public static final int INT_T = 5;
    public static final int INT_TR = 2;
    public static final Enum L = Enum.forString("l");
    public static final Enum R = Enum.forString("r");
    public static final Enum T = Enum.forString("t");
    public static final Enum TR = Enum.forString("tr");
    public static final SchemaType type = ((SchemaType) a.a(STLegendPos.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stlegendposc14ftype"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_B = 1;
        public static final int INT_L = 3;
        public static final int INT_R = 4;
        public static final int INT_T = 5;
        public static final int INT_TR = 2;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("b", 1), new Enum("tr", 2), new Enum("l", 3), new Enum("r", 4), new Enum("t", 5)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STLegendPos newInstance() {
            return (STLegendPos) POIXMLTypeLoader.newInstance(STLegendPos.type, null);
        }

        public static STLegendPos newInstance(XmlOptions xmlOptions) {
            return (STLegendPos) POIXMLTypeLoader.newInstance(STLegendPos.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STLegendPos.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STLegendPos.type, xmlOptions);
        }

        public static STLegendPos newValue(Object obj) {
            return (STLegendPos) STLegendPos.type.newValue(obj);
        }

        public static STLegendPos parse(File file) {
            return (STLegendPos) POIXMLTypeLoader.parse(file, STLegendPos.type, (XmlOptions) null);
        }

        public static STLegendPos parse(File file, XmlOptions xmlOptions) {
            return (STLegendPos) POIXMLTypeLoader.parse(file, STLegendPos.type, xmlOptions);
        }

        public static STLegendPos parse(InputStream inputStream) {
            return (STLegendPos) POIXMLTypeLoader.parse(inputStream, STLegendPos.type, (XmlOptions) null);
        }

        public static STLegendPos parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STLegendPos) POIXMLTypeLoader.parse(inputStream, STLegendPos.type, xmlOptions);
        }

        public static STLegendPos parse(Reader reader) {
            return (STLegendPos) POIXMLTypeLoader.parse(reader, STLegendPos.type, (XmlOptions) null);
        }

        public static STLegendPos parse(Reader reader, XmlOptions xmlOptions) {
            return (STLegendPos) POIXMLTypeLoader.parse(reader, STLegendPos.type, xmlOptions);
        }

        public static STLegendPos parse(String str) {
            return (STLegendPos) POIXMLTypeLoader.parse(str, STLegendPos.type, (XmlOptions) null);
        }

        public static STLegendPos parse(String str, XmlOptions xmlOptions) {
            return (STLegendPos) POIXMLTypeLoader.parse(str, STLegendPos.type, xmlOptions);
        }

        public static STLegendPos parse(URL url) {
            return (STLegendPos) POIXMLTypeLoader.parse(url, STLegendPos.type, (XmlOptions) null);
        }

        public static STLegendPos parse(URL url, XmlOptions xmlOptions) {
            return (STLegendPos) POIXMLTypeLoader.parse(url, STLegendPos.type, xmlOptions);
        }

        public static STLegendPos parse(XMLStreamReader xMLStreamReader) {
            return (STLegendPos) POIXMLTypeLoader.parse(xMLStreamReader, STLegendPos.type, (XmlOptions) null);
        }

        public static STLegendPos parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STLegendPos) POIXMLTypeLoader.parse(xMLStreamReader, STLegendPos.type, xmlOptions);
        }

        public static STLegendPos parse(XMLInputStream xMLInputStream) {
            return (STLegendPos) POIXMLTypeLoader.parse(xMLInputStream, STLegendPos.type, (XmlOptions) null);
        }

        public static STLegendPos parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STLegendPos) POIXMLTypeLoader.parse(xMLInputStream, STLegendPos.type, xmlOptions);
        }

        public static STLegendPos parse(Node node) {
            return (STLegendPos) POIXMLTypeLoader.parse(node, STLegendPos.type, (XmlOptions) null);
        }

        public static STLegendPos parse(Node node, XmlOptions xmlOptions) {
            return (STLegendPos) POIXMLTypeLoader.parse(node, STLegendPos.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
