package org.openxmlformats.schemas.drawingml.x2006.chart;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STMarkerStyle extends XmlString {
    public static final Enum CIRCLE = Enum.forString("circle");
    public static final Enum DASH = Enum.forString("dash");
    public static final Enum DIAMOND = Enum.forString("diamond");
    public static final Enum DOT = Enum.forString("dot");
    public static final int INT_CIRCLE = 1;
    public static final int INT_DASH = 2;
    public static final int INT_DIAMOND = 3;
    public static final int INT_DOT = 4;
    public static final int INT_NONE = 5;
    public static final int INT_PICTURE = 6;
    public static final int INT_PLUS = 7;
    public static final int INT_SQUARE = 8;
    public static final int INT_STAR = 9;
    public static final int INT_TRIANGLE = 10;
    public static final int INT_X = 11;
    public static final Enum NONE = Enum.forString("none");
    public static final Enum PICTURE = Enum.forString("picture");
    public static final Enum PLUS = Enum.forString("plus");
    public static final Enum SQUARE = Enum.forString("square");
    public static final Enum STAR = Enum.forString("star");
    public static final Enum TRIANGLE = Enum.forString("triangle");
    public static final Enum X = Enum.forString("x");
    public static final SchemaType type = ((SchemaType) a.a(STMarkerStyle.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stmarkerstyle177ftype"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_CIRCLE = 1;
        public static final int INT_DASH = 2;
        public static final int INT_DIAMOND = 3;
        public static final int INT_DOT = 4;
        public static final int INT_NONE = 5;
        public static final int INT_PICTURE = 6;
        public static final int INT_PLUS = 7;
        public static final int INT_SQUARE = 8;
        public static final int INT_STAR = 9;
        public static final int INT_TRIANGLE = 10;
        public static final int INT_X = 11;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("circle", 1), new Enum("dash", 2), new Enum("diamond", 3), new Enum("dot", 4), new Enum("none", 5), new Enum("picture", 6), new Enum("plus", 7), new Enum("square", 8), new Enum("star", 9), new Enum("triangle", 10), new Enum("x", 11)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STMarkerStyle newInstance() {
            return (STMarkerStyle) POIXMLTypeLoader.newInstance(STMarkerStyle.type, null);
        }

        public static STMarkerStyle newInstance(XmlOptions xmlOptions) {
            return (STMarkerStyle) POIXMLTypeLoader.newInstance(STMarkerStyle.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STMarkerStyle.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STMarkerStyle.type, xmlOptions);
        }

        public static STMarkerStyle newValue(Object obj) {
            return (STMarkerStyle) STMarkerStyle.type.newValue(obj);
        }

        public static STMarkerStyle parse(File file) {
            return (STMarkerStyle) POIXMLTypeLoader.parse(file, STMarkerStyle.type, (XmlOptions) null);
        }

        public static STMarkerStyle parse(File file, XmlOptions xmlOptions) {
            return (STMarkerStyle) POIXMLTypeLoader.parse(file, STMarkerStyle.type, xmlOptions);
        }

        public static STMarkerStyle parse(InputStream inputStream) {
            return (STMarkerStyle) POIXMLTypeLoader.parse(inputStream, STMarkerStyle.type, (XmlOptions) null);
        }

        public static STMarkerStyle parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STMarkerStyle) POIXMLTypeLoader.parse(inputStream, STMarkerStyle.type, xmlOptions);
        }

        public static STMarkerStyle parse(Reader reader) {
            return (STMarkerStyle) POIXMLTypeLoader.parse(reader, STMarkerStyle.type, (XmlOptions) null);
        }

        public static STMarkerStyle parse(Reader reader, XmlOptions xmlOptions) {
            return (STMarkerStyle) POIXMLTypeLoader.parse(reader, STMarkerStyle.type, xmlOptions);
        }

        public static STMarkerStyle parse(String str) {
            return (STMarkerStyle) POIXMLTypeLoader.parse(str, STMarkerStyle.type, (XmlOptions) null);
        }

        public static STMarkerStyle parse(String str, XmlOptions xmlOptions) {
            return (STMarkerStyle) POIXMLTypeLoader.parse(str, STMarkerStyle.type, xmlOptions);
        }

        public static STMarkerStyle parse(URL url) {
            return (STMarkerStyle) POIXMLTypeLoader.parse(url, STMarkerStyle.type, (XmlOptions) null);
        }

        public static STMarkerStyle parse(URL url, XmlOptions xmlOptions) {
            return (STMarkerStyle) POIXMLTypeLoader.parse(url, STMarkerStyle.type, xmlOptions);
        }

        public static STMarkerStyle parse(XMLStreamReader xMLStreamReader) {
            return (STMarkerStyle) POIXMLTypeLoader.parse(xMLStreamReader, STMarkerStyle.type, (XmlOptions) null);
        }

        public static STMarkerStyle parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STMarkerStyle) POIXMLTypeLoader.parse(xMLStreamReader, STMarkerStyle.type, xmlOptions);
        }

        public static STMarkerStyle parse(XMLInputStream xMLInputStream) {
            return (STMarkerStyle) POIXMLTypeLoader.parse(xMLInputStream, STMarkerStyle.type, (XmlOptions) null);
        }

        public static STMarkerStyle parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STMarkerStyle) POIXMLTypeLoader.parse(xMLInputStream, STMarkerStyle.type, xmlOptions);
        }

        public static STMarkerStyle parse(Node node) {
            return (STMarkerStyle) POIXMLTypeLoader.parse(node, STMarkerStyle.type, (XmlOptions) null);
        }

        public static STMarkerStyle parse(Node node, XmlOptions xmlOptions) {
            return (STMarkerStyle) POIXMLTypeLoader.parse(node, STMarkerStyle.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
