package org.openxmlformats.schemas.drawingml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlBoolean;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTPath2D extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTPath2D.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctpath2d73d2type"));

    public static final class Factory {
        public static CTPath2D newInstance() {
            return (CTPath2D) POIXMLTypeLoader.newInstance(CTPath2D.type, null);
        }

        public static CTPath2D newInstance(XmlOptions xmlOptions) {
            return (CTPath2D) POIXMLTypeLoader.newInstance(CTPath2D.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTPath2D.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTPath2D.type, xmlOptions);
        }

        public static CTPath2D parse(File file) {
            return (CTPath2D) POIXMLTypeLoader.parse(file, CTPath2D.type, (XmlOptions) null);
        }

        public static CTPath2D parse(File file, XmlOptions xmlOptions) {
            return (CTPath2D) POIXMLTypeLoader.parse(file, CTPath2D.type, xmlOptions);
        }

        public static CTPath2D parse(InputStream inputStream) {
            return (CTPath2D) POIXMLTypeLoader.parse(inputStream, CTPath2D.type, (XmlOptions) null);
        }

        public static CTPath2D parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTPath2D) POIXMLTypeLoader.parse(inputStream, CTPath2D.type, xmlOptions);
        }

        public static CTPath2D parse(Reader reader) {
            return (CTPath2D) POIXMLTypeLoader.parse(reader, CTPath2D.type, (XmlOptions) null);
        }

        public static CTPath2D parse(Reader reader, XmlOptions xmlOptions) {
            return (CTPath2D) POIXMLTypeLoader.parse(reader, CTPath2D.type, xmlOptions);
        }

        public static CTPath2D parse(String str) {
            return (CTPath2D) POIXMLTypeLoader.parse(str, CTPath2D.type, (XmlOptions) null);
        }

        public static CTPath2D parse(String str, XmlOptions xmlOptions) {
            return (CTPath2D) POIXMLTypeLoader.parse(str, CTPath2D.type, xmlOptions);
        }

        public static CTPath2D parse(URL url) {
            return (CTPath2D) POIXMLTypeLoader.parse(url, CTPath2D.type, (XmlOptions) null);
        }

        public static CTPath2D parse(URL url, XmlOptions xmlOptions) {
            return (CTPath2D) POIXMLTypeLoader.parse(url, CTPath2D.type, xmlOptions);
        }

        public static CTPath2D parse(XMLStreamReader xMLStreamReader) {
            return (CTPath2D) POIXMLTypeLoader.parse(xMLStreamReader, CTPath2D.type, (XmlOptions) null);
        }

        public static CTPath2D parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTPath2D) POIXMLTypeLoader.parse(xMLStreamReader, CTPath2D.type, xmlOptions);
        }

        public static CTPath2D parse(XMLInputStream xMLInputStream) {
            return (CTPath2D) POIXMLTypeLoader.parse(xMLInputStream, CTPath2D.type, (XmlOptions) null);
        }

        public static CTPath2D parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTPath2D) POIXMLTypeLoader.parse(xMLInputStream, CTPath2D.type, xmlOptions);
        }

        public static CTPath2D parse(Node node) {
            return (CTPath2D) POIXMLTypeLoader.parse(node, CTPath2D.type, (XmlOptions) null);
        }

        public static CTPath2D parse(Node node, XmlOptions xmlOptions) {
            return (CTPath2D) POIXMLTypeLoader.parse(node, CTPath2D.type, xmlOptions);
        }
    }

    CTPath2DArcTo addNewArcTo();

    CTPath2DClose addNewClose();

    CTPath2DCubicBezierTo addNewCubicBezTo();

    CTPath2DLineTo addNewLnTo();

    CTPath2DMoveTo addNewMoveTo();

    CTPath2DQuadBezierTo addNewQuadBezTo();

    CTPath2DArcTo getArcToArray(int i2);

    CTPath2DArcTo[] getArcToArray();

    List<CTPath2DArcTo> getArcToList();

    CTPath2DClose getCloseArray(int i2);

    CTPath2DClose[] getCloseArray();

    List<CTPath2DClose> getCloseList();

    CTPath2DCubicBezierTo getCubicBezToArray(int i2);

    CTPath2DCubicBezierTo[] getCubicBezToArray();

    List<CTPath2DCubicBezierTo> getCubicBezToList();

    boolean getExtrusionOk();

    STPathFillMode$Enum getFill();

    long getH();

    CTPath2DLineTo getLnToArray(int i2);

    CTPath2DLineTo[] getLnToArray();

    List<CTPath2DLineTo> getLnToList();

    CTPath2DMoveTo getMoveToArray(int i2);

    CTPath2DMoveTo[] getMoveToArray();

    List<CTPath2DMoveTo> getMoveToList();

    CTPath2DQuadBezierTo getQuadBezToArray(int i2);

    CTPath2DQuadBezierTo[] getQuadBezToArray();

    List<CTPath2DQuadBezierTo> getQuadBezToList();

    boolean getStroke();

    long getW();

    CTPath2DArcTo insertNewArcTo(int i2);

    CTPath2DClose insertNewClose(int i2);

    CTPath2DCubicBezierTo insertNewCubicBezTo(int i2);

    CTPath2DLineTo insertNewLnTo(int i2);

    CTPath2DMoveTo insertNewMoveTo(int i2);

    CTPath2DQuadBezierTo insertNewQuadBezTo(int i2);

    boolean isSetExtrusionOk();

    boolean isSetFill();

    boolean isSetH();

    boolean isSetStroke();

    boolean isSetW();

    void removeArcTo(int i2);

    void removeClose(int i2);

    void removeCubicBezTo(int i2);

    void removeLnTo(int i2);

    void removeMoveTo(int i2);

    void removeQuadBezTo(int i2);

    void setArcToArray(int i2, CTPath2DArcTo cTPath2DArcTo);

    void setArcToArray(CTPath2DArcTo[] cTPath2DArcToArr);

    void setCloseArray(int i2, CTPath2DClose cTPath2DClose);

    void setCloseArray(CTPath2DClose[] cTPath2DCloseArr);

    void setCubicBezToArray(int i2, CTPath2DCubicBezierTo cTPath2DCubicBezierTo);

    void setCubicBezToArray(CTPath2DCubicBezierTo[] cTPath2DCubicBezierToArr);

    void setExtrusionOk(boolean z);

    void setFill(STPathFillMode$Enum sTPathFillMode$Enum);

    void setH(long j);

    void setLnToArray(int i2, CTPath2DLineTo cTPath2DLineTo);

    void setLnToArray(CTPath2DLineTo[] cTPath2DLineToArr);

    void setMoveToArray(int i2, CTPath2DMoveTo cTPath2DMoveTo);

    void setMoveToArray(CTPath2DMoveTo[] cTPath2DMoveToArr);

    void setQuadBezToArray(int i2, CTPath2DQuadBezierTo cTPath2DQuadBezierTo);

    void setQuadBezToArray(CTPath2DQuadBezierTo[] cTPath2DQuadBezierToArr);

    void setStroke(boolean z);

    void setW(long j);

    int sizeOfArcToArray();

    int sizeOfCloseArray();

    int sizeOfCubicBezToArray();

    int sizeOfLnToArray();

    int sizeOfMoveToArray();

    int sizeOfQuadBezToArray();

    void unsetExtrusionOk();

    void unsetFill();

    void unsetH();

    void unsetStroke();

    void unsetW();

    XmlBoolean xgetExtrusionOk();

    STPathFillMode xgetFill();

    STPositiveCoordinate xgetH();

    XmlBoolean xgetStroke();

    STPositiveCoordinate xgetW();

    void xsetExtrusionOk(XmlBoolean xmlBoolean);

    void xsetFill(STPathFillMode sTPathFillMode);

    void xsetH(STPositiveCoordinate sTPositiveCoordinate);

    void xsetStroke(XmlBoolean xmlBoolean);

    void xsetW(STPositiveCoordinate sTPositiveCoordinate);
}
