package org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.drawingml.x2006.main.CTPoint2D;
import org.openxmlformats.schemas.drawingml.x2006.main.CTPositiveSize2D;
import org.w3c.dom.Node;

public interface CTAbsoluteAnchor extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTAbsoluteAnchor.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctabsoluteanchore360type"));

    public static final class Factory {
        public static CTAbsoluteAnchor newInstance() {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.newInstance(CTAbsoluteAnchor.type, null);
        }

        public static CTAbsoluteAnchor newInstance(XmlOptions xmlOptions) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.newInstance(CTAbsoluteAnchor.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTAbsoluteAnchor.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTAbsoluteAnchor.type, xmlOptions);
        }

        public static CTAbsoluteAnchor parse(File file) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.parse(file, CTAbsoluteAnchor.type, (XmlOptions) null);
        }

        public static CTAbsoluteAnchor parse(File file, XmlOptions xmlOptions) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.parse(file, CTAbsoluteAnchor.type, xmlOptions);
        }

        public static CTAbsoluteAnchor parse(InputStream inputStream) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.parse(inputStream, CTAbsoluteAnchor.type, (XmlOptions) null);
        }

        public static CTAbsoluteAnchor parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.parse(inputStream, CTAbsoluteAnchor.type, xmlOptions);
        }

        public static CTAbsoluteAnchor parse(Reader reader) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.parse(reader, CTAbsoluteAnchor.type, (XmlOptions) null);
        }

        public static CTAbsoluteAnchor parse(Reader reader, XmlOptions xmlOptions) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.parse(reader, CTAbsoluteAnchor.type, xmlOptions);
        }

        public static CTAbsoluteAnchor parse(String str) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.parse(str, CTAbsoluteAnchor.type, (XmlOptions) null);
        }

        public static CTAbsoluteAnchor parse(String str, XmlOptions xmlOptions) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.parse(str, CTAbsoluteAnchor.type, xmlOptions);
        }

        public static CTAbsoluteAnchor parse(URL url) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.parse(url, CTAbsoluteAnchor.type, (XmlOptions) null);
        }

        public static CTAbsoluteAnchor parse(URL url, XmlOptions xmlOptions) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.parse(url, CTAbsoluteAnchor.type, xmlOptions);
        }

        public static CTAbsoluteAnchor parse(XMLStreamReader xMLStreamReader) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.parse(xMLStreamReader, CTAbsoluteAnchor.type, (XmlOptions) null);
        }

        public static CTAbsoluteAnchor parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.parse(xMLStreamReader, CTAbsoluteAnchor.type, xmlOptions);
        }

        public static CTAbsoluteAnchor parse(XMLInputStream xMLInputStream) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.parse(xMLInputStream, CTAbsoluteAnchor.type, (XmlOptions) null);
        }

        public static CTAbsoluteAnchor parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.parse(xMLInputStream, CTAbsoluteAnchor.type, xmlOptions);
        }

        public static CTAbsoluteAnchor parse(Node node) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.parse(node, CTAbsoluteAnchor.type, (XmlOptions) null);
        }

        public static CTAbsoluteAnchor parse(Node node, XmlOptions xmlOptions) {
            return (CTAbsoluteAnchor) POIXMLTypeLoader.parse(node, CTAbsoluteAnchor.type, xmlOptions);
        }
    }

    CTAnchorClientData addNewClientData();

    CTConnector addNewCxnSp();

    CTPositiveSize2D addNewExt();

    CTGraphicalObjectFrame addNewGraphicFrame();

    CTGroupShape addNewGrpSp();

    CTPicture addNewPic();

    CTPoint2D addNewPos();

    CTShape addNewSp();

    CTAnchorClientData getClientData();

    CTConnector getCxnSp();

    CTPositiveSize2D getExt();

    CTGraphicalObjectFrame getGraphicFrame();

    CTGroupShape getGrpSp();

    CTPicture getPic();

    CTPoint2D getPos();

    CTShape getSp();

    boolean isSetCxnSp();

    boolean isSetGraphicFrame();

    boolean isSetGrpSp();

    boolean isSetPic();

    boolean isSetSp();

    void setClientData(CTAnchorClientData cTAnchorClientData);

    void setCxnSp(CTConnector cTConnector);

    void setExt(CTPositiveSize2D cTPositiveSize2D);

    void setGraphicFrame(CTGraphicalObjectFrame cTGraphicalObjectFrame);

    void setGrpSp(CTGroupShape cTGroupShape);

    void setPic(CTPicture cTPicture);

    void setPos(CTPoint2D cTPoint2D);

    void setSp(CTShape cTShape);

    void unsetCxnSp();

    void unsetGraphicFrame();

    void unsetGrpSp();

    void unsetPic();

    void unsetSp();
}
