package org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlBoolean;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTAnchorClientData extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTAnchorClientData.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctanchorclientdata02betype"));

    public static final class Factory {
        public static CTAnchorClientData newInstance() {
            return (CTAnchorClientData) POIXMLTypeLoader.newInstance(CTAnchorClientData.type, null);
        }

        public static CTAnchorClientData newInstance(XmlOptions xmlOptions) {
            return (CTAnchorClientData) POIXMLTypeLoader.newInstance(CTAnchorClientData.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTAnchorClientData.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTAnchorClientData.type, xmlOptions);
        }

        public static CTAnchorClientData parse(File file) {
            return (CTAnchorClientData) POIXMLTypeLoader.parse(file, CTAnchorClientData.type, (XmlOptions) null);
        }

        public static CTAnchorClientData parse(File file, XmlOptions xmlOptions) {
            return (CTAnchorClientData) POIXMLTypeLoader.parse(file, CTAnchorClientData.type, xmlOptions);
        }

        public static CTAnchorClientData parse(InputStream inputStream) {
            return (CTAnchorClientData) POIXMLTypeLoader.parse(inputStream, CTAnchorClientData.type, (XmlOptions) null);
        }

        public static CTAnchorClientData parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTAnchorClientData) POIXMLTypeLoader.parse(inputStream, CTAnchorClientData.type, xmlOptions);
        }

        public static CTAnchorClientData parse(Reader reader) {
            return (CTAnchorClientData) POIXMLTypeLoader.parse(reader, CTAnchorClientData.type, (XmlOptions) null);
        }

        public static CTAnchorClientData parse(Reader reader, XmlOptions xmlOptions) {
            return (CTAnchorClientData) POIXMLTypeLoader.parse(reader, CTAnchorClientData.type, xmlOptions);
        }

        public static CTAnchorClientData parse(String str) {
            return (CTAnchorClientData) POIXMLTypeLoader.parse(str, CTAnchorClientData.type, (XmlOptions) null);
        }

        public static CTAnchorClientData parse(String str, XmlOptions xmlOptions) {
            return (CTAnchorClientData) POIXMLTypeLoader.parse(str, CTAnchorClientData.type, xmlOptions);
        }

        public static CTAnchorClientData parse(URL url) {
            return (CTAnchorClientData) POIXMLTypeLoader.parse(url, CTAnchorClientData.type, (XmlOptions) null);
        }

        public static CTAnchorClientData parse(URL url, XmlOptions xmlOptions) {
            return (CTAnchorClientData) POIXMLTypeLoader.parse(url, CTAnchorClientData.type, xmlOptions);
        }

        public static CTAnchorClientData parse(XMLStreamReader xMLStreamReader) {
            return (CTAnchorClientData) POIXMLTypeLoader.parse(xMLStreamReader, CTAnchorClientData.type, (XmlOptions) null);
        }

        public static CTAnchorClientData parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTAnchorClientData) POIXMLTypeLoader.parse(xMLStreamReader, CTAnchorClientData.type, xmlOptions);
        }

        public static CTAnchorClientData parse(XMLInputStream xMLInputStream) {
            return (CTAnchorClientData) POIXMLTypeLoader.parse(xMLInputStream, CTAnchorClientData.type, (XmlOptions) null);
        }

        public static CTAnchorClientData parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTAnchorClientData) POIXMLTypeLoader.parse(xMLInputStream, CTAnchorClientData.type, xmlOptions);
        }

        public static CTAnchorClientData parse(Node node) {
            return (CTAnchorClientData) POIXMLTypeLoader.parse(node, CTAnchorClientData.type, (XmlOptions) null);
        }

        public static CTAnchorClientData parse(Node node, XmlOptions xmlOptions) {
            return (CTAnchorClientData) POIXMLTypeLoader.parse(node, CTAnchorClientData.type, xmlOptions);
        }
    }

    boolean getFLocksWithSheet();

    boolean getFPrintsWithSheet();

    boolean isSetFLocksWithSheet();

    boolean isSetFPrintsWithSheet();

    void setFLocksWithSheet(boolean z);

    void setFPrintsWithSheet(boolean z);

    void unsetFLocksWithSheet();

    void unsetFPrintsWithSheet();

    XmlBoolean xgetFLocksWithSheet();

    XmlBoolean xgetFPrintsWithSheet();

    void xsetFLocksWithSheet(XmlBoolean xmlBoolean);

    void xsetFPrintsWithSheet(XmlBoolean xmlBoolean);
}
