package org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.drawingml.x2006.main.STCoordinate;
import org.w3c.dom.Node;

public interface CTMarker extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTMarker.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctmarkeree8etype"));

    public static final class Factory {
        public static CTMarker newInstance() {
            return (CTMarker) POIXMLTypeLoader.newInstance(CTMarker.type, null);
        }

        public static CTMarker newInstance(XmlOptions xmlOptions) {
            return (CTMarker) POIXMLTypeLoader.newInstance(CTMarker.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTMarker.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTMarker.type, xmlOptions);
        }

        public static CTMarker parse(File file) {
            return (CTMarker) POIXMLTypeLoader.parse(file, CTMarker.type, (XmlOptions) null);
        }

        public static CTMarker parse(File file, XmlOptions xmlOptions) {
            return (CTMarker) POIXMLTypeLoader.parse(file, CTMarker.type, xmlOptions);
        }

        public static CTMarker parse(InputStream inputStream) {
            return (CTMarker) POIXMLTypeLoader.parse(inputStream, CTMarker.type, (XmlOptions) null);
        }

        public static CTMarker parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTMarker) POIXMLTypeLoader.parse(inputStream, CTMarker.type, xmlOptions);
        }

        public static CTMarker parse(Reader reader) {
            return (CTMarker) POIXMLTypeLoader.parse(reader, CTMarker.type, (XmlOptions) null);
        }

        public static CTMarker parse(Reader reader, XmlOptions xmlOptions) {
            return (CTMarker) POIXMLTypeLoader.parse(reader, CTMarker.type, xmlOptions);
        }

        public static CTMarker parse(String str) {
            return (CTMarker) POIXMLTypeLoader.parse(str, CTMarker.type, (XmlOptions) null);
        }

        public static CTMarker parse(String str, XmlOptions xmlOptions) {
            return (CTMarker) POIXMLTypeLoader.parse(str, CTMarker.type, xmlOptions);
        }

        public static CTMarker parse(URL url) {
            return (CTMarker) POIXMLTypeLoader.parse(url, CTMarker.type, (XmlOptions) null);
        }

        public static CTMarker parse(URL url, XmlOptions xmlOptions) {
            return (CTMarker) POIXMLTypeLoader.parse(url, CTMarker.type, xmlOptions);
        }

        public static CTMarker parse(XMLStreamReader xMLStreamReader) {
            return (CTMarker) POIXMLTypeLoader.parse(xMLStreamReader, CTMarker.type, (XmlOptions) null);
        }

        public static CTMarker parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTMarker) POIXMLTypeLoader.parse(xMLStreamReader, CTMarker.type, xmlOptions);
        }

        public static CTMarker parse(XMLInputStream xMLInputStream) {
            return (CTMarker) POIXMLTypeLoader.parse(xMLInputStream, CTMarker.type, (XmlOptions) null);
        }

        public static CTMarker parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTMarker) POIXMLTypeLoader.parse(xMLInputStream, CTMarker.type, xmlOptions);
        }

        public static CTMarker parse(Node node) {
            return (CTMarker) POIXMLTypeLoader.parse(node, CTMarker.type, (XmlOptions) null);
        }

        public static CTMarker parse(Node node, XmlOptions xmlOptions) {
            return (CTMarker) POIXMLTypeLoader.parse(node, CTMarker.type, xmlOptions);
        }
    }

    int getCol();

    long getColOff();

    int getRow();

    long getRowOff();

    void setCol(int i2);

    void setColOff(long j);

    void setRow(int i2);

    void setRowOff(long j);

    STColID xgetCol();

    STCoordinate xgetColOff();

    STRowID xgetRow();

    STCoordinate xgetRowOff();

    void xsetCol(STColID sTColID);

    void xsetColOff(STCoordinate sTCoordinate);

    void xsetRow(STRowID sTRowID);

    void xsetRowOff(STCoordinate sTCoordinate);
}
