package org.openxmlformats.schemas.presentationml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.drawingml.x2006.main.CTStyleMatrixReference;
import org.openxmlformats.schemas.drawingml.x2006.main.STBlackWhiteMode;
import org.openxmlformats.schemas.drawingml.x2006.main.STBlackWhiteMode$Enum;
import org.w3c.dom.Node;

public interface CTBackground extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTBackground.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctbackground36f7type"));

    public static final class Factory {
        public static CTBackground newInstance() {
            return (CTBackground) POIXMLTypeLoader.newInstance(CTBackground.type, null);
        }

        public static CTBackground newInstance(XmlOptions xmlOptions) {
            return (CTBackground) POIXMLTypeLoader.newInstance(CTBackground.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTBackground.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTBackground.type, xmlOptions);
        }

        public static CTBackground parse(File file) {
            return (CTBackground) POIXMLTypeLoader.parse(file, CTBackground.type, (XmlOptions) null);
        }

        public static CTBackground parse(File file, XmlOptions xmlOptions) {
            return (CTBackground) POIXMLTypeLoader.parse(file, CTBackground.type, xmlOptions);
        }

        public static CTBackground parse(InputStream inputStream) {
            return (CTBackground) POIXMLTypeLoader.parse(inputStream, CTBackground.type, (XmlOptions) null);
        }

        public static CTBackground parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTBackground) POIXMLTypeLoader.parse(inputStream, CTBackground.type, xmlOptions);
        }

        public static CTBackground parse(Reader reader) {
            return (CTBackground) POIXMLTypeLoader.parse(reader, CTBackground.type, (XmlOptions) null);
        }

        public static CTBackground parse(Reader reader, XmlOptions xmlOptions) {
            return (CTBackground) POIXMLTypeLoader.parse(reader, CTBackground.type, xmlOptions);
        }

        public static CTBackground parse(String str) {
            return (CTBackground) POIXMLTypeLoader.parse(str, CTBackground.type, (XmlOptions) null);
        }

        public static CTBackground parse(String str, XmlOptions xmlOptions) {
            return (CTBackground) POIXMLTypeLoader.parse(str, CTBackground.type, xmlOptions);
        }

        public static CTBackground parse(URL url) {
            return (CTBackground) POIXMLTypeLoader.parse(url, CTBackground.type, (XmlOptions) null);
        }

        public static CTBackground parse(URL url, XmlOptions xmlOptions) {
            return (CTBackground) POIXMLTypeLoader.parse(url, CTBackground.type, xmlOptions);
        }

        public static CTBackground parse(XMLStreamReader xMLStreamReader) {
            return (CTBackground) POIXMLTypeLoader.parse(xMLStreamReader, CTBackground.type, (XmlOptions) null);
        }

        public static CTBackground parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTBackground) POIXMLTypeLoader.parse(xMLStreamReader, CTBackground.type, xmlOptions);
        }

        public static CTBackground parse(XMLInputStream xMLInputStream) {
            return (CTBackground) POIXMLTypeLoader.parse(xMLInputStream, CTBackground.type, (XmlOptions) null);
        }

        public static CTBackground parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTBackground) POIXMLTypeLoader.parse(xMLInputStream, CTBackground.type, xmlOptions);
        }

        public static CTBackground parse(Node node) {
            return (CTBackground) POIXMLTypeLoader.parse(node, CTBackground.type, (XmlOptions) null);
        }

        public static CTBackground parse(Node node, XmlOptions xmlOptions) {
            return (CTBackground) POIXMLTypeLoader.parse(node, CTBackground.type, xmlOptions);
        }
    }

    CTBackgroundProperties addNewBgPr();

    CTStyleMatrixReference addNewBgRef();

    CTBackgroundProperties getBgPr();

    CTStyleMatrixReference getBgRef();

    STBlackWhiteMode$Enum getBwMode();

    boolean isSetBgPr();

    boolean isSetBgRef();

    boolean isSetBwMode();

    void setBgPr(CTBackgroundProperties cTBackgroundProperties);

    void setBgRef(CTStyleMatrixReference cTStyleMatrixReference);

    void setBwMode(STBlackWhiteMode$Enum sTBlackWhiteMode$Enum);

    void unsetBgPr();

    void unsetBgRef();

    void unsetBwMode();

    STBlackWhiteMode xgetBwMode();

    void xsetBwMode(STBlackWhiteMode sTBlackWhiteMode);
}
