package org.openxmlformats.schemas.presentationml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlBoolean;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTEffectContainer;
import org.openxmlformats.schemas.drawingml.x2006.main.CTEffectList;
import org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTGroupFillProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTNoFillProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTPatternFillProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTSolidColorFillProperties;
import org.w3c.dom.Node;

public interface CTBackgroundProperties extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTBackgroundProperties.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctbackgroundpropertiesb184type"));

    public static final class Factory {
        public static CTBackgroundProperties newInstance() {
            return (CTBackgroundProperties) POIXMLTypeLoader.newInstance(CTBackgroundProperties.type, null);
        }

        public static CTBackgroundProperties newInstance(XmlOptions xmlOptions) {
            return (CTBackgroundProperties) POIXMLTypeLoader.newInstance(CTBackgroundProperties.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTBackgroundProperties.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTBackgroundProperties.type, xmlOptions);
        }

        public static CTBackgroundProperties parse(File file) {
            return (CTBackgroundProperties) POIXMLTypeLoader.parse(file, CTBackgroundProperties.type, (XmlOptions) null);
        }

        public static CTBackgroundProperties parse(File file, XmlOptions xmlOptions) {
            return (CTBackgroundProperties) POIXMLTypeLoader.parse(file, CTBackgroundProperties.type, xmlOptions);
        }

        public static CTBackgroundProperties parse(InputStream inputStream) {
            return (CTBackgroundProperties) POIXMLTypeLoader.parse(inputStream, CTBackgroundProperties.type, (XmlOptions) null);
        }

        public static CTBackgroundProperties parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTBackgroundProperties) POIXMLTypeLoader.parse(inputStream, CTBackgroundProperties.type, xmlOptions);
        }

        public static CTBackgroundProperties parse(Reader reader) {
            return (CTBackgroundProperties) POIXMLTypeLoader.parse(reader, CTBackgroundProperties.type, (XmlOptions) null);
        }

        public static CTBackgroundProperties parse(Reader reader, XmlOptions xmlOptions) {
            return (CTBackgroundProperties) POIXMLTypeLoader.parse(reader, CTBackgroundProperties.type, xmlOptions);
        }

        public static CTBackgroundProperties parse(String str) {
            return (CTBackgroundProperties) POIXMLTypeLoader.parse(str, CTBackgroundProperties.type, (XmlOptions) null);
        }

        public static CTBackgroundProperties parse(String str, XmlOptions xmlOptions) {
            return (CTBackgroundProperties) POIXMLTypeLoader.parse(str, CTBackgroundProperties.type, xmlOptions);
        }

        public static CTBackgroundProperties parse(URL url) {
            return (CTBackgroundProperties) POIXMLTypeLoader.parse(url, CTBackgroundProperties.type, (XmlOptions) null);
        }

        public static CTBackgroundProperties parse(URL url, XmlOptions xmlOptions) {
            return (CTBackgroundProperties) POIXMLTypeLoader.parse(url, CTBackgroundProperties.type, xmlOptions);
        }

        public static CTBackgroundProperties parse(XMLStreamReader xMLStreamReader) {
            return (CTBackgroundProperties) POIXMLTypeLoader.parse(xMLStreamReader, CTBackgroundProperties.type, (XmlOptions) null);
        }

        public static CTBackgroundProperties parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTBackgroundProperties) POIXMLTypeLoader.parse(xMLStreamReader, CTBackgroundProperties.type, xmlOptions);
        }

        public static CTBackgroundProperties parse(XMLInputStream xMLInputStream) {
            return (CTBackgroundProperties) POIXMLTypeLoader.parse(xMLInputStream, CTBackgroundProperties.type, (XmlOptions) null);
        }

        public static CTBackgroundProperties parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTBackgroundProperties) POIXMLTypeLoader.parse(xMLInputStream, CTBackgroundProperties.type, xmlOptions);
        }

        public static CTBackgroundProperties parse(Node node) {
            return (CTBackgroundProperties) POIXMLTypeLoader.parse(node, CTBackgroundProperties.type, (XmlOptions) null);
        }

        public static CTBackgroundProperties parse(Node node, XmlOptions xmlOptions) {
            return (CTBackgroundProperties) POIXMLTypeLoader.parse(node, CTBackgroundProperties.type, xmlOptions);
        }
    }

    CTBlipFillProperties addNewBlipFill();

    CTEffectContainer addNewEffectDag();

    CTEffectList addNewEffectLst();

    CTExtensionList addNewExtLst();

    CTGradientFillProperties addNewGradFill();

    CTGroupFillProperties addNewGrpFill();

    CTNoFillProperties addNewNoFill();

    CTPatternFillProperties addNewPattFill();

    CTSolidColorFillProperties addNewSolidFill();

    CTBlipFillProperties getBlipFill();

    CTEffectContainer getEffectDag();

    CTEffectList getEffectLst();

    CTExtensionList getExtLst();

    CTGradientFillProperties getGradFill();

    CTGroupFillProperties getGrpFill();

    CTNoFillProperties getNoFill();

    CTPatternFillProperties getPattFill();

    boolean getShadeToTitle();

    CTSolidColorFillProperties getSolidFill();

    boolean isSetBlipFill();

    boolean isSetEffectDag();

    boolean isSetEffectLst();

    boolean isSetExtLst();

    boolean isSetGradFill();

    boolean isSetGrpFill();

    boolean isSetNoFill();

    boolean isSetPattFill();

    boolean isSetShadeToTitle();

    boolean isSetSolidFill();

    void setBlipFill(CTBlipFillProperties cTBlipFillProperties);

    void setEffectDag(CTEffectContainer cTEffectContainer);

    void setEffectLst(CTEffectList cTEffectList);

    void setExtLst(CTExtensionList cTExtensionList);

    void setGradFill(CTGradientFillProperties cTGradientFillProperties);

    void setGrpFill(CTGroupFillProperties cTGroupFillProperties);

    void setNoFill(CTNoFillProperties cTNoFillProperties);

    void setPattFill(CTPatternFillProperties cTPatternFillProperties);

    void setShadeToTitle(boolean z);

    void setSolidFill(CTSolidColorFillProperties cTSolidColorFillProperties);

    void unsetBlipFill();

    void unsetEffectDag();

    void unsetEffectLst();

    void unsetExtLst();

    void unsetGradFill();

    void unsetGrpFill();

    void unsetNoFill();

    void unsetPattFill();

    void unsetShadeToTitle();

    void unsetSolidFill();

    XmlBoolean xgetShadeToTitle();

    void xsetShadeToTitle(XmlBoolean xmlBoolean);
}
