package org.openxmlformats.schemas.presentationml.x2006.main.impl;

import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.xslf.usermodel.XSLFShape;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.impl.values.XmlComplexContentImpl;
import org.openxmlformats.schemas.presentationml.x2006.main.CTNotesMaster;
import org.openxmlformats.schemas.presentationml.x2006.main.NotesMasterDocument;

public class NotesMasterDocumentImpl extends XmlComplexContentImpl implements NotesMasterDocument {
    public static final QName NOTESMASTER$0 = new QName(XSLFShape.PML_NS, "notesMaster");

    public NotesMasterDocumentImpl(SchemaType schemaType) {
        super(schemaType);
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.NotesMasterDocument
    public CTNotesMaster addNewNotesMaster() {
        CTNotesMaster cTNotesMaster;
        synchronized (monitor()) {
            check_orphaned();
            cTNotesMaster = (CTNotesMaster) get_store().add_element_user(NOTESMASTER$0);
        }
        return cTNotesMaster;
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.NotesMasterDocument
    public CTNotesMaster getNotesMaster() {
        synchronized (monitor()) {
            check_orphaned();
            CTNotesMaster cTNotesMaster = (CTNotesMaster) get_store().find_element_user(NOTESMASTER$0, 0);
            if (cTNotesMaster == null) {
                return null;
            }
            return cTNotesMaster;
        }
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.NotesMasterDocument
    public void setNotesMaster(CTNotesMaster cTNotesMaster) {
        synchronized (monitor()) {
            check_orphaned();
            CTNotesMaster cTNotesMaster2 = (CTNotesMaster) get_store().find_element_user(NOTESMASTER$0, 0);
            if (cTNotesMaster2 == null) {
                cTNotesMaster2 = (CTNotesMaster) get_store().add_element_user(NOTESMASTER$0);
            }
            cTNotesMaster2.set(cTNotesMaster);
        }
    }
}
