package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlUnsignedInt;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.STSourceType;
import org.w3c.dom.Node;

public interface CTCacheSource extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTCacheSource.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctcachesource00dctype"));

    public static final class Factory {
        public static CTCacheSource newInstance() {
            return (CTCacheSource) POIXMLTypeLoader.newInstance(CTCacheSource.type, null);
        }

        public static CTCacheSource newInstance(XmlOptions xmlOptions) {
            return (CTCacheSource) POIXMLTypeLoader.newInstance(CTCacheSource.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTCacheSource.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTCacheSource.type, xmlOptions);
        }

        public static CTCacheSource parse(File file) {
            return (CTCacheSource) POIXMLTypeLoader.parse(file, CTCacheSource.type, (XmlOptions) null);
        }

        public static CTCacheSource parse(File file, XmlOptions xmlOptions) {
            return (CTCacheSource) POIXMLTypeLoader.parse(file, CTCacheSource.type, xmlOptions);
        }

        public static CTCacheSource parse(InputStream inputStream) {
            return (CTCacheSource) POIXMLTypeLoader.parse(inputStream, CTCacheSource.type, (XmlOptions) null);
        }

        public static CTCacheSource parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTCacheSource) POIXMLTypeLoader.parse(inputStream, CTCacheSource.type, xmlOptions);
        }

        public static CTCacheSource parse(Reader reader) {
            return (CTCacheSource) POIXMLTypeLoader.parse(reader, CTCacheSource.type, (XmlOptions) null);
        }

        public static CTCacheSource parse(Reader reader, XmlOptions xmlOptions) {
            return (CTCacheSource) POIXMLTypeLoader.parse(reader, CTCacheSource.type, xmlOptions);
        }

        public static CTCacheSource parse(String str) {
            return (CTCacheSource) POIXMLTypeLoader.parse(str, CTCacheSource.type, (XmlOptions) null);
        }

        public static CTCacheSource parse(String str, XmlOptions xmlOptions) {
            return (CTCacheSource) POIXMLTypeLoader.parse(str, CTCacheSource.type, xmlOptions);
        }

        public static CTCacheSource parse(URL url) {
            return (CTCacheSource) POIXMLTypeLoader.parse(url, CTCacheSource.type, (XmlOptions) null);
        }

        public static CTCacheSource parse(URL url, XmlOptions xmlOptions) {
            return (CTCacheSource) POIXMLTypeLoader.parse(url, CTCacheSource.type, xmlOptions);
        }

        public static CTCacheSource parse(XMLStreamReader xMLStreamReader) {
            return (CTCacheSource) POIXMLTypeLoader.parse(xMLStreamReader, CTCacheSource.type, (XmlOptions) null);
        }

        public static CTCacheSource parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTCacheSource) POIXMLTypeLoader.parse(xMLStreamReader, CTCacheSource.type, xmlOptions);
        }

        public static CTCacheSource parse(XMLInputStream xMLInputStream) {
            return (CTCacheSource) POIXMLTypeLoader.parse(xMLInputStream, CTCacheSource.type, (XmlOptions) null);
        }

        public static CTCacheSource parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTCacheSource) POIXMLTypeLoader.parse(xMLInputStream, CTCacheSource.type, xmlOptions);
        }

        public static CTCacheSource parse(Node node) {
            return (CTCacheSource) POIXMLTypeLoader.parse(node, CTCacheSource.type, (XmlOptions) null);
        }

        public static CTCacheSource parse(Node node, XmlOptions xmlOptions) {
            return (CTCacheSource) POIXMLTypeLoader.parse(node, CTCacheSource.type, xmlOptions);
        }
    }

    CTConsolidation addNewConsolidation();

    CTExtensionList addNewExtLst();

    CTWorksheetSource addNewWorksheetSource();

    long getConnectionId();

    CTConsolidation getConsolidation();

    CTExtensionList getExtLst();

    STSourceType.Enum getType();

    CTWorksheetSource getWorksheetSource();

    boolean isSetConnectionId();

    boolean isSetConsolidation();

    boolean isSetExtLst();

    boolean isSetWorksheetSource();

    void setConnectionId(long j);

    void setConsolidation(CTConsolidation cTConsolidation);

    void setExtLst(CTExtensionList cTExtensionList);

    void setType(STSourceType.Enum v);

    void setWorksheetSource(CTWorksheetSource cTWorksheetSource);

    void unsetConnectionId();

    void unsetConsolidation();

    void unsetExtLst();

    void unsetWorksheetSource();

    XmlUnsignedInt xgetConnectionId();

    STSourceType xgetType();

    void xsetConnectionId(XmlUnsignedInt xmlUnsignedInt);

    void xsetType(STSourceType sTSourceType);
}
