package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlBoolean;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlUnsignedInt;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTDataBar extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTDataBar.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctdatabar4128type"));

    public static final class Factory {
        public static CTDataBar newInstance() {
            return (CTDataBar) POIXMLTypeLoader.newInstance(CTDataBar.type, null);
        }

        public static CTDataBar newInstance(XmlOptions xmlOptions) {
            return (CTDataBar) POIXMLTypeLoader.newInstance(CTDataBar.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTDataBar.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTDataBar.type, xmlOptions);
        }

        public static CTDataBar parse(File file) {
            return (CTDataBar) POIXMLTypeLoader.parse(file, CTDataBar.type, (XmlOptions) null);
        }

        public static CTDataBar parse(File file, XmlOptions xmlOptions) {
            return (CTDataBar) POIXMLTypeLoader.parse(file, CTDataBar.type, xmlOptions);
        }

        public static CTDataBar parse(InputStream inputStream) {
            return (CTDataBar) POIXMLTypeLoader.parse(inputStream, CTDataBar.type, (XmlOptions) null);
        }

        public static CTDataBar parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTDataBar) POIXMLTypeLoader.parse(inputStream, CTDataBar.type, xmlOptions);
        }

        public static CTDataBar parse(Reader reader) {
            return (CTDataBar) POIXMLTypeLoader.parse(reader, CTDataBar.type, (XmlOptions) null);
        }

        public static CTDataBar parse(Reader reader, XmlOptions xmlOptions) {
            return (CTDataBar) POIXMLTypeLoader.parse(reader, CTDataBar.type, xmlOptions);
        }

        public static CTDataBar parse(String str) {
            return (CTDataBar) POIXMLTypeLoader.parse(str, CTDataBar.type, (XmlOptions) null);
        }

        public static CTDataBar parse(String str, XmlOptions xmlOptions) {
            return (CTDataBar) POIXMLTypeLoader.parse(str, CTDataBar.type, xmlOptions);
        }

        public static CTDataBar parse(URL url) {
            return (CTDataBar) POIXMLTypeLoader.parse(url, CTDataBar.type, (XmlOptions) null);
        }

        public static CTDataBar parse(URL url, XmlOptions xmlOptions) {
            return (CTDataBar) POIXMLTypeLoader.parse(url, CTDataBar.type, xmlOptions);
        }

        public static CTDataBar parse(XMLStreamReader xMLStreamReader) {
            return (CTDataBar) POIXMLTypeLoader.parse(xMLStreamReader, CTDataBar.type, (XmlOptions) null);
        }

        public static CTDataBar parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTDataBar) POIXMLTypeLoader.parse(xMLStreamReader, CTDataBar.type, xmlOptions);
        }

        public static CTDataBar parse(XMLInputStream xMLInputStream) {
            return (CTDataBar) POIXMLTypeLoader.parse(xMLInputStream, CTDataBar.type, (XmlOptions) null);
        }

        public static CTDataBar parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTDataBar) POIXMLTypeLoader.parse(xMLInputStream, CTDataBar.type, xmlOptions);
        }

        public static CTDataBar parse(Node node) {
            return (CTDataBar) POIXMLTypeLoader.parse(node, CTDataBar.type, (XmlOptions) null);
        }

        public static CTDataBar parse(Node node, XmlOptions xmlOptions) {
            return (CTDataBar) POIXMLTypeLoader.parse(node, CTDataBar.type, xmlOptions);
        }
    }

    CTCfvo addNewCfvo();

    CTColor addNewColor();

    CTCfvo getCfvoArray(int i2);

    CTCfvo[] getCfvoArray();

    List<CTCfvo> getCfvoList();

    CTColor getColor();

    long getMaxLength();

    long getMinLength();

    boolean getShowValue();

    CTCfvo insertNewCfvo(int i2);

    boolean isSetMaxLength();

    boolean isSetMinLength();

    boolean isSetShowValue();

    void removeCfvo(int i2);

    void setCfvoArray(int i2, CTCfvo cTCfvo);

    void setCfvoArray(CTCfvo[] cTCfvoArr);

    void setColor(CTColor cTColor);

    void setMaxLength(long j);

    void setMinLength(long j);

    void setShowValue(boolean z);

    int sizeOfCfvoArray();

    void unsetMaxLength();

    void unsetMinLength();

    void unsetShowValue();

    XmlUnsignedInt xgetMaxLength();

    XmlUnsignedInt xgetMinLength();

    XmlBoolean xgetShowValue();

    void xsetMaxLength(XmlUnsignedInt xmlUnsignedInt);

    void xsetMinLength(XmlUnsignedInt xmlUnsignedInt);

    void xsetShowValue(XmlBoolean xmlBoolean);
}
