package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlUnsignedInt;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTDxfs extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTDxfs.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctdxfsb26atype"));

    public static final class Factory {
        public static CTDxfs newInstance() {
            return (CTDxfs) POIXMLTypeLoader.newInstance(CTDxfs.type, null);
        }

        public static CTDxfs newInstance(XmlOptions xmlOptions) {
            return (CTDxfs) POIXMLTypeLoader.newInstance(CTDxfs.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTDxfs.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTDxfs.type, xmlOptions);
        }

        public static CTDxfs parse(File file) {
            return (CTDxfs) POIXMLTypeLoader.parse(file, CTDxfs.type, (XmlOptions) null);
        }

        public static CTDxfs parse(File file, XmlOptions xmlOptions) {
            return (CTDxfs) POIXMLTypeLoader.parse(file, CTDxfs.type, xmlOptions);
        }

        public static CTDxfs parse(InputStream inputStream) {
            return (CTDxfs) POIXMLTypeLoader.parse(inputStream, CTDxfs.type, (XmlOptions) null);
        }

        public static CTDxfs parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTDxfs) POIXMLTypeLoader.parse(inputStream, CTDxfs.type, xmlOptions);
        }

        public static CTDxfs parse(Reader reader) {
            return (CTDxfs) POIXMLTypeLoader.parse(reader, CTDxfs.type, (XmlOptions) null);
        }

        public static CTDxfs parse(Reader reader, XmlOptions xmlOptions) {
            return (CTDxfs) POIXMLTypeLoader.parse(reader, CTDxfs.type, xmlOptions);
        }

        public static CTDxfs parse(String str) {
            return (CTDxfs) POIXMLTypeLoader.parse(str, CTDxfs.type, (XmlOptions) null);
        }

        public static CTDxfs parse(String str, XmlOptions xmlOptions) {
            return (CTDxfs) POIXMLTypeLoader.parse(str, CTDxfs.type, xmlOptions);
        }

        public static CTDxfs parse(URL url) {
            return (CTDxfs) POIXMLTypeLoader.parse(url, CTDxfs.type, (XmlOptions) null);
        }

        public static CTDxfs parse(URL url, XmlOptions xmlOptions) {
            return (CTDxfs) POIXMLTypeLoader.parse(url, CTDxfs.type, xmlOptions);
        }

        public static CTDxfs parse(XMLStreamReader xMLStreamReader) {
            return (CTDxfs) POIXMLTypeLoader.parse(xMLStreamReader, CTDxfs.type, (XmlOptions) null);
        }

        public static CTDxfs parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTDxfs) POIXMLTypeLoader.parse(xMLStreamReader, CTDxfs.type, xmlOptions);
        }

        public static CTDxfs parse(XMLInputStream xMLInputStream) {
            return (CTDxfs) POIXMLTypeLoader.parse(xMLInputStream, CTDxfs.type, (XmlOptions) null);
        }

        public static CTDxfs parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTDxfs) POIXMLTypeLoader.parse(xMLInputStream, CTDxfs.type, xmlOptions);
        }

        public static CTDxfs parse(Node node) {
            return (CTDxfs) POIXMLTypeLoader.parse(node, CTDxfs.type, (XmlOptions) null);
        }

        public static CTDxfs parse(Node node, XmlOptions xmlOptions) {
            return (CTDxfs) POIXMLTypeLoader.parse(node, CTDxfs.type, xmlOptions);
        }
    }

    CTDxf addNewDxf();

    long getCount();

    CTDxf getDxfArray(int i2);

    CTDxf[] getDxfArray();

    List<CTDxf> getDxfList();

    CTDxf insertNewDxf(int i2);

    boolean isSetCount();

    void removeDxf(int i2);

    void setCount(long j);

    void setDxfArray(int i2, CTDxf cTDxf);

    void setDxfArray(CTDxf[] cTDxfArr);

    int sizeOfDxfArray();

    void unsetCount();

    XmlUnsignedInt xgetCount();

    void xsetCount(XmlUnsignedInt xmlUnsignedInt);
}
