package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTFont extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTFont.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctfont14d8type"));

    public static final class Factory {
        public static CTFont newInstance() {
            return (CTFont) POIXMLTypeLoader.newInstance(CTFont.type, null);
        }

        public static CTFont newInstance(XmlOptions xmlOptions) {
            return (CTFont) POIXMLTypeLoader.newInstance(CTFont.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTFont.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTFont.type, xmlOptions);
        }

        public static CTFont parse(File file) {
            return (CTFont) POIXMLTypeLoader.parse(file, CTFont.type, (XmlOptions) null);
        }

        public static CTFont parse(File file, XmlOptions xmlOptions) {
            return (CTFont) POIXMLTypeLoader.parse(file, CTFont.type, xmlOptions);
        }

        public static CTFont parse(InputStream inputStream) {
            return (CTFont) POIXMLTypeLoader.parse(inputStream, CTFont.type, (XmlOptions) null);
        }

        public static CTFont parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTFont) POIXMLTypeLoader.parse(inputStream, CTFont.type, xmlOptions);
        }

        public static CTFont parse(Reader reader) {
            return (CTFont) POIXMLTypeLoader.parse(reader, CTFont.type, (XmlOptions) null);
        }

        public static CTFont parse(Reader reader, XmlOptions xmlOptions) {
            return (CTFont) POIXMLTypeLoader.parse(reader, CTFont.type, xmlOptions);
        }

        public static CTFont parse(String str) {
            return (CTFont) POIXMLTypeLoader.parse(str, CTFont.type, (XmlOptions) null);
        }

        public static CTFont parse(String str, XmlOptions xmlOptions) {
            return (CTFont) POIXMLTypeLoader.parse(str, CTFont.type, xmlOptions);
        }

        public static CTFont parse(URL url) {
            return (CTFont) POIXMLTypeLoader.parse(url, CTFont.type, (XmlOptions) null);
        }

        public static CTFont parse(URL url, XmlOptions xmlOptions) {
            return (CTFont) POIXMLTypeLoader.parse(url, CTFont.type, xmlOptions);
        }

        public static CTFont parse(XMLStreamReader xMLStreamReader) {
            return (CTFont) POIXMLTypeLoader.parse(xMLStreamReader, CTFont.type, (XmlOptions) null);
        }

        public static CTFont parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTFont) POIXMLTypeLoader.parse(xMLStreamReader, CTFont.type, xmlOptions);
        }

        public static CTFont parse(XMLInputStream xMLInputStream) {
            return (CTFont) POIXMLTypeLoader.parse(xMLInputStream, CTFont.type, (XmlOptions) null);
        }

        public static CTFont parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTFont) POIXMLTypeLoader.parse(xMLInputStream, CTFont.type, xmlOptions);
        }

        public static CTFont parse(Node node) {
            return (CTFont) POIXMLTypeLoader.parse(node, CTFont.type, (XmlOptions) null);
        }

        public static CTFont parse(Node node, XmlOptions xmlOptions) {
            return (CTFont) POIXMLTypeLoader.parse(node, CTFont.type, xmlOptions);
        }
    }

    CTBooleanProperty addNewB();

    CTIntProperty addNewCharset();

    CTColor addNewColor();

    CTBooleanProperty addNewCondense();

    CTBooleanProperty addNewExtend();

    CTIntProperty addNewFamily();

    CTBooleanProperty addNewI();

    CTFontName addNewName();

    CTBooleanProperty addNewOutline();

    CTFontScheme addNewScheme();

    CTBooleanProperty addNewShadow();

    CTBooleanProperty addNewStrike();

    CTFontSize addNewSz();

    CTUnderlineProperty addNewU();

    CTVerticalAlignFontProperty addNewVertAlign();

    CTBooleanProperty getBArray(int i2);

    CTBooleanProperty[] getBArray();

    List<CTBooleanProperty> getBList();

    CTIntProperty getCharsetArray(int i2);

    CTIntProperty[] getCharsetArray();

    List<CTIntProperty> getCharsetList();

    CTColor getColorArray(int i2);

    CTColor[] getColorArray();

    List<CTColor> getColorList();

    CTBooleanProperty getCondenseArray(int i2);

    CTBooleanProperty[] getCondenseArray();

    List<CTBooleanProperty> getCondenseList();

    CTBooleanProperty getExtendArray(int i2);

    CTBooleanProperty[] getExtendArray();

    List<CTBooleanProperty> getExtendList();

    CTIntProperty getFamilyArray(int i2);

    CTIntProperty[] getFamilyArray();

    List<CTIntProperty> getFamilyList();

    CTBooleanProperty getIArray(int i2);

    CTBooleanProperty[] getIArray();

    List<CTBooleanProperty> getIList();

    CTFontName getNameArray(int i2);

    CTFontName[] getNameArray();

    List<CTFontName> getNameList();

    CTBooleanProperty getOutlineArray(int i2);

    CTBooleanProperty[] getOutlineArray();

    List<CTBooleanProperty> getOutlineList();

    CTFontScheme getSchemeArray(int i2);

    CTFontScheme[] getSchemeArray();

    List<CTFontScheme> getSchemeList();

    CTBooleanProperty getShadowArray(int i2);

    CTBooleanProperty[] getShadowArray();

    List<CTBooleanProperty> getShadowList();

    CTBooleanProperty getStrikeArray(int i2);

    CTBooleanProperty[] getStrikeArray();

    List<CTBooleanProperty> getStrikeList();

    CTFontSize getSzArray(int i2);

    CTFontSize[] getSzArray();

    List<CTFontSize> getSzList();

    CTUnderlineProperty getUArray(int i2);

    CTUnderlineProperty[] getUArray();

    List<CTUnderlineProperty> getUList();

    CTVerticalAlignFontProperty getVertAlignArray(int i2);

    CTVerticalAlignFontProperty[] getVertAlignArray();

    List<CTVerticalAlignFontProperty> getVertAlignList();

    CTBooleanProperty insertNewB(int i2);

    CTIntProperty insertNewCharset(int i2);

    CTColor insertNewColor(int i2);

    CTBooleanProperty insertNewCondense(int i2);

    CTBooleanProperty insertNewExtend(int i2);

    CTIntProperty insertNewFamily(int i2);

    CTBooleanProperty insertNewI(int i2);

    CTFontName insertNewName(int i2);

    CTBooleanProperty insertNewOutline(int i2);

    CTFontScheme insertNewScheme(int i2);

    CTBooleanProperty insertNewShadow(int i2);

    CTBooleanProperty insertNewStrike(int i2);

    CTFontSize insertNewSz(int i2);

    CTUnderlineProperty insertNewU(int i2);

    CTVerticalAlignFontProperty insertNewVertAlign(int i2);

    void removeB(int i2);

    void removeCharset(int i2);

    void removeColor(int i2);

    void removeCondense(int i2);

    void removeExtend(int i2);

    void removeFamily(int i2);

    void removeI(int i2);

    void removeName(int i2);

    void removeOutline(int i2);

    void removeScheme(int i2);

    void removeShadow(int i2);

    void removeStrike(int i2);

    void removeSz(int i2);

    void removeU(int i2);

    void removeVertAlign(int i2);

    void setBArray(int i2, CTBooleanProperty cTBooleanProperty);

    void setBArray(CTBooleanProperty[] cTBooleanPropertyArr);

    void setCharsetArray(int i2, CTIntProperty cTIntProperty);

    void setCharsetArray(CTIntProperty[] cTIntPropertyArr);

    void setColorArray(int i2, CTColor cTColor);

    void setColorArray(CTColor[] cTColorArr);

    void setCondenseArray(int i2, CTBooleanProperty cTBooleanProperty);

    void setCondenseArray(CTBooleanProperty[] cTBooleanPropertyArr);

    void setExtendArray(int i2, CTBooleanProperty cTBooleanProperty);

    void setExtendArray(CTBooleanProperty[] cTBooleanPropertyArr);

    void setFamilyArray(int i2, CTIntProperty cTIntProperty);

    void setFamilyArray(CTIntProperty[] cTIntPropertyArr);

    void setIArray(int i2, CTBooleanProperty cTBooleanProperty);

    void setIArray(CTBooleanProperty[] cTBooleanPropertyArr);

    void setNameArray(int i2, CTFontName cTFontName);

    void setNameArray(CTFontName[] cTFontNameArr);

    void setOutlineArray(int i2, CTBooleanProperty cTBooleanProperty);

    void setOutlineArray(CTBooleanProperty[] cTBooleanPropertyArr);

    void setSchemeArray(int i2, CTFontScheme cTFontScheme);

    void setSchemeArray(CTFontScheme[] cTFontSchemeArr);

    void setShadowArray(int i2, CTBooleanProperty cTBooleanProperty);

    void setShadowArray(CTBooleanProperty[] cTBooleanPropertyArr);

    void setStrikeArray(int i2, CTBooleanProperty cTBooleanProperty);

    void setStrikeArray(CTBooleanProperty[] cTBooleanPropertyArr);

    void setSzArray(int i2, CTFontSize cTFontSize);

    void setSzArray(CTFontSize[] cTFontSizeArr);

    void setUArray(int i2, CTUnderlineProperty cTUnderlineProperty);

    void setUArray(CTUnderlineProperty[] cTUnderlinePropertyArr);

    void setVertAlignArray(int i2, CTVerticalAlignFontProperty cTVerticalAlignFontProperty);

    void setVertAlignArray(CTVerticalAlignFontProperty[] cTVerticalAlignFontPropertyArr);

    int sizeOfBArray();

    int sizeOfCharsetArray();

    int sizeOfColorArray();

    int sizeOfCondenseArray();

    int sizeOfExtendArray();

    int sizeOfFamilyArray();

    int sizeOfIArray();

    int sizeOfNameArray();

    int sizeOfOutlineArray();

    int sizeOfSchemeArray();

    int sizeOfShadowArray();

    int sizeOfStrikeArray();

    int sizeOfSzArray();

    int sizeOfUArray();

    int sizeOfVertAlignArray();
}
