package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlBoolean;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.STIconSetType;
import org.w3c.dom.Node;

public interface CTIconSet extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTIconSet.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "cticonset2648type"));

    public static final class Factory {
        public static CTIconSet newInstance() {
            return (CTIconSet) POIXMLTypeLoader.newInstance(CTIconSet.type, null);
        }

        public static CTIconSet newInstance(XmlOptions xmlOptions) {
            return (CTIconSet) POIXMLTypeLoader.newInstance(CTIconSet.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTIconSet.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTIconSet.type, xmlOptions);
        }

        public static CTIconSet parse(File file) {
            return (CTIconSet) POIXMLTypeLoader.parse(file, CTIconSet.type, (XmlOptions) null);
        }

        public static CTIconSet parse(File file, XmlOptions xmlOptions) {
            return (CTIconSet) POIXMLTypeLoader.parse(file, CTIconSet.type, xmlOptions);
        }

        public static CTIconSet parse(InputStream inputStream) {
            return (CTIconSet) POIXMLTypeLoader.parse(inputStream, CTIconSet.type, (XmlOptions) null);
        }

        public static CTIconSet parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTIconSet) POIXMLTypeLoader.parse(inputStream, CTIconSet.type, xmlOptions);
        }

        public static CTIconSet parse(Reader reader) {
            return (CTIconSet) POIXMLTypeLoader.parse(reader, CTIconSet.type, (XmlOptions) null);
        }

        public static CTIconSet parse(Reader reader, XmlOptions xmlOptions) {
            return (CTIconSet) POIXMLTypeLoader.parse(reader, CTIconSet.type, xmlOptions);
        }

        public static CTIconSet parse(String str) {
            return (CTIconSet) POIXMLTypeLoader.parse(str, CTIconSet.type, (XmlOptions) null);
        }

        public static CTIconSet parse(String str, XmlOptions xmlOptions) {
            return (CTIconSet) POIXMLTypeLoader.parse(str, CTIconSet.type, xmlOptions);
        }

        public static CTIconSet parse(URL url) {
            return (CTIconSet) POIXMLTypeLoader.parse(url, CTIconSet.type, (XmlOptions) null);
        }

        public static CTIconSet parse(URL url, XmlOptions xmlOptions) {
            return (CTIconSet) POIXMLTypeLoader.parse(url, CTIconSet.type, xmlOptions);
        }

        public static CTIconSet parse(XMLStreamReader xMLStreamReader) {
            return (CTIconSet) POIXMLTypeLoader.parse(xMLStreamReader, CTIconSet.type, (XmlOptions) null);
        }

        public static CTIconSet parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTIconSet) POIXMLTypeLoader.parse(xMLStreamReader, CTIconSet.type, xmlOptions);
        }

        public static CTIconSet parse(XMLInputStream xMLInputStream) {
            return (CTIconSet) POIXMLTypeLoader.parse(xMLInputStream, CTIconSet.type, (XmlOptions) null);
        }

        public static CTIconSet parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTIconSet) POIXMLTypeLoader.parse(xMLInputStream, CTIconSet.type, xmlOptions);
        }

        public static CTIconSet parse(Node node) {
            return (CTIconSet) POIXMLTypeLoader.parse(node, CTIconSet.type, (XmlOptions) null);
        }

        public static CTIconSet parse(Node node, XmlOptions xmlOptions) {
            return (CTIconSet) POIXMLTypeLoader.parse(node, CTIconSet.type, xmlOptions);
        }
    }

    CTCfvo addNewCfvo();

    CTCfvo getCfvoArray(int i2);

    CTCfvo[] getCfvoArray();

    List<CTCfvo> getCfvoList();

    STIconSetType.Enum getIconSet();

    boolean getPercent();

    boolean getReverse();

    boolean getShowValue();

    CTCfvo insertNewCfvo(int i2);

    boolean isSetIconSet();

    boolean isSetPercent();

    boolean isSetReverse();

    boolean isSetShowValue();

    void removeCfvo(int i2);

    void setCfvoArray(int i2, CTCfvo cTCfvo);

    void setCfvoArray(CTCfvo[] cTCfvoArr);

    void setIconSet(STIconSetType.Enum v);

    void setPercent(boolean z);

    void setReverse(boolean z);

    void setShowValue(boolean z);

    int sizeOfCfvoArray();

    void unsetIconSet();

    void unsetPercent();

    void unsetReverse();

    void unsetShowValue();

    STIconSetType xgetIconSet();

    XmlBoolean xgetPercent();

    XmlBoolean xgetReverse();

    XmlBoolean xgetShowValue();

    void xsetIconSet(STIconSetType sTIconSetType);

    void xsetPercent(XmlBoolean xmlBoolean);

    void xsetReverse(XmlBoolean xmlBoolean);

    void xsetShowValue(XmlBoolean xmlBoolean);
}
