package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlBoolean;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTIgnoredError extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTIgnoredError.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctignorederrorc51ftype"));

    public static final class Factory {
        public static CTIgnoredError newInstance() {
            return (CTIgnoredError) POIXMLTypeLoader.newInstance(CTIgnoredError.type, null);
        }

        public static CTIgnoredError newInstance(XmlOptions xmlOptions) {
            return (CTIgnoredError) POIXMLTypeLoader.newInstance(CTIgnoredError.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTIgnoredError.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTIgnoredError.type, xmlOptions);
        }

        public static CTIgnoredError parse(File file) {
            return (CTIgnoredError) POIXMLTypeLoader.parse(file, CTIgnoredError.type, (XmlOptions) null);
        }

        public static CTIgnoredError parse(File file, XmlOptions xmlOptions) {
            return (CTIgnoredError) POIXMLTypeLoader.parse(file, CTIgnoredError.type, xmlOptions);
        }

        public static CTIgnoredError parse(InputStream inputStream) {
            return (CTIgnoredError) POIXMLTypeLoader.parse(inputStream, CTIgnoredError.type, (XmlOptions) null);
        }

        public static CTIgnoredError parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTIgnoredError) POIXMLTypeLoader.parse(inputStream, CTIgnoredError.type, xmlOptions);
        }

        public static CTIgnoredError parse(Reader reader) {
            return (CTIgnoredError) POIXMLTypeLoader.parse(reader, CTIgnoredError.type, (XmlOptions) null);
        }

        public static CTIgnoredError parse(Reader reader, XmlOptions xmlOptions) {
            return (CTIgnoredError) POIXMLTypeLoader.parse(reader, CTIgnoredError.type, xmlOptions);
        }

        public static CTIgnoredError parse(String str) {
            return (CTIgnoredError) POIXMLTypeLoader.parse(str, CTIgnoredError.type, (XmlOptions) null);
        }

        public static CTIgnoredError parse(String str, XmlOptions xmlOptions) {
            return (CTIgnoredError) POIXMLTypeLoader.parse(str, CTIgnoredError.type, xmlOptions);
        }

        public static CTIgnoredError parse(URL url) {
            return (CTIgnoredError) POIXMLTypeLoader.parse(url, CTIgnoredError.type, (XmlOptions) null);
        }

        public static CTIgnoredError parse(URL url, XmlOptions xmlOptions) {
            return (CTIgnoredError) POIXMLTypeLoader.parse(url, CTIgnoredError.type, xmlOptions);
        }

        public static CTIgnoredError parse(XMLStreamReader xMLStreamReader) {
            return (CTIgnoredError) POIXMLTypeLoader.parse(xMLStreamReader, CTIgnoredError.type, (XmlOptions) null);
        }

        public static CTIgnoredError parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTIgnoredError) POIXMLTypeLoader.parse(xMLStreamReader, CTIgnoredError.type, xmlOptions);
        }

        public static CTIgnoredError parse(XMLInputStream xMLInputStream) {
            return (CTIgnoredError) POIXMLTypeLoader.parse(xMLInputStream, CTIgnoredError.type, (XmlOptions) null);
        }

        public static CTIgnoredError parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTIgnoredError) POIXMLTypeLoader.parse(xMLInputStream, CTIgnoredError.type, xmlOptions);
        }

        public static CTIgnoredError parse(Node node) {
            return (CTIgnoredError) POIXMLTypeLoader.parse(node, CTIgnoredError.type, (XmlOptions) null);
        }

        public static CTIgnoredError parse(Node node, XmlOptions xmlOptions) {
            return (CTIgnoredError) POIXMLTypeLoader.parse(node, CTIgnoredError.type, xmlOptions);
        }
    }

    boolean getCalculatedColumn();

    boolean getEmptyCellReference();

    boolean getEvalError();

    boolean getFormula();

    boolean getFormulaRange();

    boolean getListDataValidation();

    boolean getNumberStoredAsText();

    List getSqref();

    boolean getTwoDigitTextYear();

    boolean getUnlockedFormula();

    boolean isSetCalculatedColumn();

    boolean isSetEmptyCellReference();

    boolean isSetEvalError();

    boolean isSetFormula();

    boolean isSetFormulaRange();

    boolean isSetListDataValidation();

    boolean isSetNumberStoredAsText();

    boolean isSetTwoDigitTextYear();

    boolean isSetUnlockedFormula();

    void setCalculatedColumn(boolean z);

    void setEmptyCellReference(boolean z);

    void setEvalError(boolean z);

    void setFormula(boolean z);

    void setFormulaRange(boolean z);

    void setListDataValidation(boolean z);

    void setNumberStoredAsText(boolean z);

    void setSqref(List list);

    void setTwoDigitTextYear(boolean z);

    void setUnlockedFormula(boolean z);

    void unsetCalculatedColumn();

    void unsetEmptyCellReference();

    void unsetEvalError();

    void unsetFormula();

    void unsetFormulaRange();

    void unsetListDataValidation();

    void unsetNumberStoredAsText();

    void unsetTwoDigitTextYear();

    void unsetUnlockedFormula();

    XmlBoolean xgetCalculatedColumn();

    XmlBoolean xgetEmptyCellReference();

    XmlBoolean xgetEvalError();

    XmlBoolean xgetFormula();

    XmlBoolean xgetFormulaRange();

    XmlBoolean xgetListDataValidation();

    XmlBoolean xgetNumberStoredAsText();

    STSqref xgetSqref();

    XmlBoolean xgetTwoDigitTextYear();

    XmlBoolean xgetUnlockedFormula();

    void xsetCalculatedColumn(XmlBoolean xmlBoolean);

    void xsetEmptyCellReference(XmlBoolean xmlBoolean);

    void xsetEvalError(XmlBoolean xmlBoolean);

    void xsetFormula(XmlBoolean xmlBoolean);

    void xsetFormulaRange(XmlBoolean xmlBoolean);

    void xsetListDataValidation(XmlBoolean xmlBoolean);

    void xsetNumberStoredAsText(XmlBoolean xmlBoolean);

    void xsetSqref(STSqref sTSqref);

    void xsetTwoDigitTextYear(XmlBoolean xmlBoolean);

    void xsetUnlockedFormula(XmlBoolean xmlBoolean);
}
