package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlUnsignedInt;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.officeDocument.x2006.relationships.STRelationshipId;
import org.w3c.dom.Node;

public interface CTPivotCache extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTPivotCache.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctpivotcache4de9type"));

    public static final class Factory {
        public static CTPivotCache newInstance() {
            return (CTPivotCache) POIXMLTypeLoader.newInstance(CTPivotCache.type, null);
        }

        public static CTPivotCache newInstance(XmlOptions xmlOptions) {
            return (CTPivotCache) POIXMLTypeLoader.newInstance(CTPivotCache.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTPivotCache.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTPivotCache.type, xmlOptions);
        }

        public static CTPivotCache parse(File file) {
            return (CTPivotCache) POIXMLTypeLoader.parse(file, CTPivotCache.type, (XmlOptions) null);
        }

        public static CTPivotCache parse(File file, XmlOptions xmlOptions) {
            return (CTPivotCache) POIXMLTypeLoader.parse(file, CTPivotCache.type, xmlOptions);
        }

        public static CTPivotCache parse(InputStream inputStream) {
            return (CTPivotCache) POIXMLTypeLoader.parse(inputStream, CTPivotCache.type, (XmlOptions) null);
        }

        public static CTPivotCache parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTPivotCache) POIXMLTypeLoader.parse(inputStream, CTPivotCache.type, xmlOptions);
        }

        public static CTPivotCache parse(Reader reader) {
            return (CTPivotCache) POIXMLTypeLoader.parse(reader, CTPivotCache.type, (XmlOptions) null);
        }

        public static CTPivotCache parse(Reader reader, XmlOptions xmlOptions) {
            return (CTPivotCache) POIXMLTypeLoader.parse(reader, CTPivotCache.type, xmlOptions);
        }

        public static CTPivotCache parse(String str) {
            return (CTPivotCache) POIXMLTypeLoader.parse(str, CTPivotCache.type, (XmlOptions) null);
        }

        public static CTPivotCache parse(String str, XmlOptions xmlOptions) {
            return (CTPivotCache) POIXMLTypeLoader.parse(str, CTPivotCache.type, xmlOptions);
        }

        public static CTPivotCache parse(URL url) {
            return (CTPivotCache) POIXMLTypeLoader.parse(url, CTPivotCache.type, (XmlOptions) null);
        }

        public static CTPivotCache parse(URL url, XmlOptions xmlOptions) {
            return (CTPivotCache) POIXMLTypeLoader.parse(url, CTPivotCache.type, xmlOptions);
        }

        public static CTPivotCache parse(XMLStreamReader xMLStreamReader) {
            return (CTPivotCache) POIXMLTypeLoader.parse(xMLStreamReader, CTPivotCache.type, (XmlOptions) null);
        }

        public static CTPivotCache parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTPivotCache) POIXMLTypeLoader.parse(xMLStreamReader, CTPivotCache.type, xmlOptions);
        }

        public static CTPivotCache parse(XMLInputStream xMLInputStream) {
            return (CTPivotCache) POIXMLTypeLoader.parse(xMLInputStream, CTPivotCache.type, (XmlOptions) null);
        }

        public static CTPivotCache parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTPivotCache) POIXMLTypeLoader.parse(xMLInputStream, CTPivotCache.type, xmlOptions);
        }

        public static CTPivotCache parse(Node node) {
            return (CTPivotCache) POIXMLTypeLoader.parse(node, CTPivotCache.type, (XmlOptions) null);
        }

        public static CTPivotCache parse(Node node, XmlOptions xmlOptions) {
            return (CTPivotCache) POIXMLTypeLoader.parse(node, CTPivotCache.type, xmlOptions);
        }
    }

    long getCacheId();

    String getId();

    void setCacheId(long j);

    void setId(String str);

    XmlUnsignedInt xgetCacheId();

    STRelationshipId xgetId();

    void xsetCacheId(XmlUnsignedInt xmlUnsignedInt);

    void xsetId(STRelationshipId sTRelationshipId);
}
