package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlUnsignedInt;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTRowFields extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTRowFields.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctrowfields0312type"));

    public static final class Factory {
        public static CTRowFields newInstance() {
            return (CTRowFields) POIXMLTypeLoader.newInstance(CTRowFields.type, null);
        }

        public static CTRowFields newInstance(XmlOptions xmlOptions) {
            return (CTRowFields) POIXMLTypeLoader.newInstance(CTRowFields.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTRowFields.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTRowFields.type, xmlOptions);
        }

        public static CTRowFields parse(File file) {
            return (CTRowFields) POIXMLTypeLoader.parse(file, CTRowFields.type, (XmlOptions) null);
        }

        public static CTRowFields parse(File file, XmlOptions xmlOptions) {
            return (CTRowFields) POIXMLTypeLoader.parse(file, CTRowFields.type, xmlOptions);
        }

        public static CTRowFields parse(InputStream inputStream) {
            return (CTRowFields) POIXMLTypeLoader.parse(inputStream, CTRowFields.type, (XmlOptions) null);
        }

        public static CTRowFields parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTRowFields) POIXMLTypeLoader.parse(inputStream, CTRowFields.type, xmlOptions);
        }

        public static CTRowFields parse(Reader reader) {
            return (CTRowFields) POIXMLTypeLoader.parse(reader, CTRowFields.type, (XmlOptions) null);
        }

        public static CTRowFields parse(Reader reader, XmlOptions xmlOptions) {
            return (CTRowFields) POIXMLTypeLoader.parse(reader, CTRowFields.type, xmlOptions);
        }

        public static CTRowFields parse(String str) {
            return (CTRowFields) POIXMLTypeLoader.parse(str, CTRowFields.type, (XmlOptions) null);
        }

        public static CTRowFields parse(String str, XmlOptions xmlOptions) {
            return (CTRowFields) POIXMLTypeLoader.parse(str, CTRowFields.type, xmlOptions);
        }

        public static CTRowFields parse(URL url) {
            return (CTRowFields) POIXMLTypeLoader.parse(url, CTRowFields.type, (XmlOptions) null);
        }

        public static CTRowFields parse(URL url, XmlOptions xmlOptions) {
            return (CTRowFields) POIXMLTypeLoader.parse(url, CTRowFields.type, xmlOptions);
        }

        public static CTRowFields parse(XMLStreamReader xMLStreamReader) {
            return (CTRowFields) POIXMLTypeLoader.parse(xMLStreamReader, CTRowFields.type, (XmlOptions) null);
        }

        public static CTRowFields parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTRowFields) POIXMLTypeLoader.parse(xMLStreamReader, CTRowFields.type, xmlOptions);
        }

        public static CTRowFields parse(XMLInputStream xMLInputStream) {
            return (CTRowFields) POIXMLTypeLoader.parse(xMLInputStream, CTRowFields.type, (XmlOptions) null);
        }

        public static CTRowFields parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTRowFields) POIXMLTypeLoader.parse(xMLInputStream, CTRowFields.type, xmlOptions);
        }

        public static CTRowFields parse(Node node) {
            return (CTRowFields) POIXMLTypeLoader.parse(node, CTRowFields.type, (XmlOptions) null);
        }

        public static CTRowFields parse(Node node, XmlOptions xmlOptions) {
            return (CTRowFields) POIXMLTypeLoader.parse(node, CTRowFields.type, xmlOptions);
        }
    }

    CTField addNewField();

    long getCount();

    CTField getFieldArray(int i2);

    CTField[] getFieldArray();

    List<CTField> getFieldList();

    CTField insertNewField(int i2);

    boolean isSetCount();

    void removeField(int i2);

    void setCount(long j);

    void setFieldArray(int i2, CTField cTField);

    void setFieldArray(CTField[] cTFieldArr);

    int sizeOfFieldArray();

    void unsetCount();

    XmlUnsignedInt xgetCount();

    void xsetCount(XmlUnsignedInt xmlUnsignedInt);
}
