package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlUnsignedInt;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTTableColumns extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTTableColumns.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "cttablecolumnsebb8type"));

    public static final class Factory {
        public static CTTableColumns newInstance() {
            return (CTTableColumns) POIXMLTypeLoader.newInstance(CTTableColumns.type, null);
        }

        public static CTTableColumns newInstance(XmlOptions xmlOptions) {
            return (CTTableColumns) POIXMLTypeLoader.newInstance(CTTableColumns.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTTableColumns.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTTableColumns.type, xmlOptions);
        }

        public static CTTableColumns parse(File file) {
            return (CTTableColumns) POIXMLTypeLoader.parse(file, CTTableColumns.type, (XmlOptions) null);
        }

        public static CTTableColumns parse(File file, XmlOptions xmlOptions) {
            return (CTTableColumns) POIXMLTypeLoader.parse(file, CTTableColumns.type, xmlOptions);
        }

        public static CTTableColumns parse(InputStream inputStream) {
            return (CTTableColumns) POIXMLTypeLoader.parse(inputStream, CTTableColumns.type, (XmlOptions) null);
        }

        public static CTTableColumns parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTTableColumns) POIXMLTypeLoader.parse(inputStream, CTTableColumns.type, xmlOptions);
        }

        public static CTTableColumns parse(Reader reader) {
            return (CTTableColumns) POIXMLTypeLoader.parse(reader, CTTableColumns.type, (XmlOptions) null);
        }

        public static CTTableColumns parse(Reader reader, XmlOptions xmlOptions) {
            return (CTTableColumns) POIXMLTypeLoader.parse(reader, CTTableColumns.type, xmlOptions);
        }

        public static CTTableColumns parse(String str) {
            return (CTTableColumns) POIXMLTypeLoader.parse(str, CTTableColumns.type, (XmlOptions) null);
        }

        public static CTTableColumns parse(String str, XmlOptions xmlOptions) {
            return (CTTableColumns) POIXMLTypeLoader.parse(str, CTTableColumns.type, xmlOptions);
        }

        public static CTTableColumns parse(URL url) {
            return (CTTableColumns) POIXMLTypeLoader.parse(url, CTTableColumns.type, (XmlOptions) null);
        }

        public static CTTableColumns parse(URL url, XmlOptions xmlOptions) {
            return (CTTableColumns) POIXMLTypeLoader.parse(url, CTTableColumns.type, xmlOptions);
        }

        public static CTTableColumns parse(XMLStreamReader xMLStreamReader) {
            return (CTTableColumns) POIXMLTypeLoader.parse(xMLStreamReader, CTTableColumns.type, (XmlOptions) null);
        }

        public static CTTableColumns parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTTableColumns) POIXMLTypeLoader.parse(xMLStreamReader, CTTableColumns.type, xmlOptions);
        }

        public static CTTableColumns parse(XMLInputStream xMLInputStream) {
            return (CTTableColumns) POIXMLTypeLoader.parse(xMLInputStream, CTTableColumns.type, (XmlOptions) null);
        }

        public static CTTableColumns parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTTableColumns) POIXMLTypeLoader.parse(xMLInputStream, CTTableColumns.type, xmlOptions);
        }

        public static CTTableColumns parse(Node node) {
            return (CTTableColumns) POIXMLTypeLoader.parse(node, CTTableColumns.type, (XmlOptions) null);
        }

        public static CTTableColumns parse(Node node, XmlOptions xmlOptions) {
            return (CTTableColumns) POIXMLTypeLoader.parse(node, CTTableColumns.type, xmlOptions);
        }
    }

    CTTableColumn addNewTableColumn();

    long getCount();

    CTTableColumn getTableColumnArray(int i2);

    CTTableColumn[] getTableColumnArray();

    List<CTTableColumn> getTableColumnList();

    CTTableColumn insertNewTableColumn(int i2);

    boolean isSetCount();

    void removeTableColumn(int i2);

    void setCount(long j);

    void setTableColumnArray(int i2, CTTableColumn cTTableColumn);

    void setTableColumnArray(CTTableColumn[] cTTableColumnArr);

    int sizeOfTableColumnArray();

    void unsetCount();

    XmlUnsignedInt xgetCount();

    void xsetCount(XmlUnsignedInt xmlUnsignedInt);
}
