package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlBoolean;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlUnsignedInt;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.STXmlDataType;
import org.w3c.dom.Node;

public interface CTXmlColumnPr extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTXmlColumnPr.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctxmlcolumnprc14etype"));

    public static final class Factory {
        public static CTXmlColumnPr newInstance() {
            return (CTXmlColumnPr) POIXMLTypeLoader.newInstance(CTXmlColumnPr.type, null);
        }

        public static CTXmlColumnPr newInstance(XmlOptions xmlOptions) {
            return (CTXmlColumnPr) POIXMLTypeLoader.newInstance(CTXmlColumnPr.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTXmlColumnPr.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTXmlColumnPr.type, xmlOptions);
        }

        public static CTXmlColumnPr parse(File file) {
            return (CTXmlColumnPr) POIXMLTypeLoader.parse(file, CTXmlColumnPr.type, (XmlOptions) null);
        }

        public static CTXmlColumnPr parse(File file, XmlOptions xmlOptions) {
            return (CTXmlColumnPr) POIXMLTypeLoader.parse(file, CTXmlColumnPr.type, xmlOptions);
        }

        public static CTXmlColumnPr parse(InputStream inputStream) {
            return (CTXmlColumnPr) POIXMLTypeLoader.parse(inputStream, CTXmlColumnPr.type, (XmlOptions) null);
        }

        public static CTXmlColumnPr parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTXmlColumnPr) POIXMLTypeLoader.parse(inputStream, CTXmlColumnPr.type, xmlOptions);
        }

        public static CTXmlColumnPr parse(Reader reader) {
            return (CTXmlColumnPr) POIXMLTypeLoader.parse(reader, CTXmlColumnPr.type, (XmlOptions) null);
        }

        public static CTXmlColumnPr parse(Reader reader, XmlOptions xmlOptions) {
            return (CTXmlColumnPr) POIXMLTypeLoader.parse(reader, CTXmlColumnPr.type, xmlOptions);
        }

        public static CTXmlColumnPr parse(String str) {
            return (CTXmlColumnPr) POIXMLTypeLoader.parse(str, CTXmlColumnPr.type, (XmlOptions) null);
        }

        public static CTXmlColumnPr parse(String str, XmlOptions xmlOptions) {
            return (CTXmlColumnPr) POIXMLTypeLoader.parse(str, CTXmlColumnPr.type, xmlOptions);
        }

        public static CTXmlColumnPr parse(URL url) {
            return (CTXmlColumnPr) POIXMLTypeLoader.parse(url, CTXmlColumnPr.type, (XmlOptions) null);
        }

        public static CTXmlColumnPr parse(URL url, XmlOptions xmlOptions) {
            return (CTXmlColumnPr) POIXMLTypeLoader.parse(url, CTXmlColumnPr.type, xmlOptions);
        }

        public static CTXmlColumnPr parse(XMLStreamReader xMLStreamReader) {
            return (CTXmlColumnPr) POIXMLTypeLoader.parse(xMLStreamReader, CTXmlColumnPr.type, (XmlOptions) null);
        }

        public static CTXmlColumnPr parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTXmlColumnPr) POIXMLTypeLoader.parse(xMLStreamReader, CTXmlColumnPr.type, xmlOptions);
        }

        public static CTXmlColumnPr parse(XMLInputStream xMLInputStream) {
            return (CTXmlColumnPr) POIXMLTypeLoader.parse(xMLInputStream, CTXmlColumnPr.type, (XmlOptions) null);
        }

        public static CTXmlColumnPr parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTXmlColumnPr) POIXMLTypeLoader.parse(xMLInputStream, CTXmlColumnPr.type, xmlOptions);
        }

        public static CTXmlColumnPr parse(Node node) {
            return (CTXmlColumnPr) POIXMLTypeLoader.parse(node, CTXmlColumnPr.type, (XmlOptions) null);
        }

        public static CTXmlColumnPr parse(Node node, XmlOptions xmlOptions) {
            return (CTXmlColumnPr) POIXMLTypeLoader.parse(node, CTXmlColumnPr.type, xmlOptions);
        }
    }

    CTExtensionList addNewExtLst();

    boolean getDenormalized();

    CTExtensionList getExtLst();

    long getMapId();

    STXmlDataType.Enum getXmlDataType();

    String getXpath();

    boolean isSetDenormalized();

    boolean isSetExtLst();

    void setDenormalized(boolean z);

    void setExtLst(CTExtensionList cTExtensionList);

    void setMapId(long j);

    void setXmlDataType(STXmlDataType.Enum v);

    void setXpath(String str);

    void unsetDenormalized();

    void unsetExtLst();

    XmlBoolean xgetDenormalized();

    XmlUnsignedInt xgetMapId();

    STXmlDataType xgetXmlDataType();

    STXstring xgetXpath();

    void xsetDenormalized(XmlBoolean xmlBoolean);

    void xsetMapId(XmlUnsignedInt xmlUnsignedInt);

    void xsetXmlDataType(STXmlDataType sTXmlDataType);

    void xsetXpath(STXstring sTXstring);
}
