package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlUnsignedInt;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.STXmlDataType;
import org.w3c.dom.Node;

public interface CTXmlPr extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTXmlPr.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctxmlpr2c58type"));

    public static final class Factory {
        public static CTXmlPr newInstance() {
            return (CTXmlPr) POIXMLTypeLoader.newInstance(CTXmlPr.type, null);
        }

        public static CTXmlPr newInstance(XmlOptions xmlOptions) {
            return (CTXmlPr) POIXMLTypeLoader.newInstance(CTXmlPr.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTXmlPr.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTXmlPr.type, xmlOptions);
        }

        public static CTXmlPr parse(File file) {
            return (CTXmlPr) POIXMLTypeLoader.parse(file, CTXmlPr.type, (XmlOptions) null);
        }

        public static CTXmlPr parse(File file, XmlOptions xmlOptions) {
            return (CTXmlPr) POIXMLTypeLoader.parse(file, CTXmlPr.type, xmlOptions);
        }

        public static CTXmlPr parse(InputStream inputStream) {
            return (CTXmlPr) POIXMLTypeLoader.parse(inputStream, CTXmlPr.type, (XmlOptions) null);
        }

        public static CTXmlPr parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTXmlPr) POIXMLTypeLoader.parse(inputStream, CTXmlPr.type, xmlOptions);
        }

        public static CTXmlPr parse(Reader reader) {
            return (CTXmlPr) POIXMLTypeLoader.parse(reader, CTXmlPr.type, (XmlOptions) null);
        }

        public static CTXmlPr parse(Reader reader, XmlOptions xmlOptions) {
            return (CTXmlPr) POIXMLTypeLoader.parse(reader, CTXmlPr.type, xmlOptions);
        }

        public static CTXmlPr parse(String str) {
            return (CTXmlPr) POIXMLTypeLoader.parse(str, CTXmlPr.type, (XmlOptions) null);
        }

        public static CTXmlPr parse(String str, XmlOptions xmlOptions) {
            return (CTXmlPr) POIXMLTypeLoader.parse(str, CTXmlPr.type, xmlOptions);
        }

        public static CTXmlPr parse(URL url) {
            return (CTXmlPr) POIXMLTypeLoader.parse(url, CTXmlPr.type, (XmlOptions) null);
        }

        public static CTXmlPr parse(URL url, XmlOptions xmlOptions) {
            return (CTXmlPr) POIXMLTypeLoader.parse(url, CTXmlPr.type, xmlOptions);
        }

        public static CTXmlPr parse(XMLStreamReader xMLStreamReader) {
            return (CTXmlPr) POIXMLTypeLoader.parse(xMLStreamReader, CTXmlPr.type, (XmlOptions) null);
        }

        public static CTXmlPr parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTXmlPr) POIXMLTypeLoader.parse(xMLStreamReader, CTXmlPr.type, xmlOptions);
        }

        public static CTXmlPr parse(XMLInputStream xMLInputStream) {
            return (CTXmlPr) POIXMLTypeLoader.parse(xMLInputStream, CTXmlPr.type, (XmlOptions) null);
        }

        public static CTXmlPr parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTXmlPr) POIXMLTypeLoader.parse(xMLInputStream, CTXmlPr.type, xmlOptions);
        }

        public static CTXmlPr parse(Node node) {
            return (CTXmlPr) POIXMLTypeLoader.parse(node, CTXmlPr.type, (XmlOptions) null);
        }

        public static CTXmlPr parse(Node node, XmlOptions xmlOptions) {
            return (CTXmlPr) POIXMLTypeLoader.parse(node, CTXmlPr.type, xmlOptions);
        }
    }

    CTExtensionList addNewExtLst();

    CTExtensionList getExtLst();

    long getMapId();

    STXmlDataType.Enum getXmlDataType();

    String getXpath();

    boolean isSetExtLst();

    void setExtLst(CTExtensionList cTExtensionList);

    void setMapId(long j);

    void setXmlDataType(STXmlDataType.Enum v);

    void setXpath(String str);

    void unsetExtLst();

    XmlUnsignedInt xgetMapId();

    STXmlDataType xgetXmlDataType();

    STXstring xgetXpath();

    void xsetMapId(XmlUnsignedInt xmlUnsignedInt);

    void xsetXmlDataType(STXmlDataType sTXmlDataType);

    void xsetXpath(STXstring sTXstring);
}
