package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STDataValidationErrorStyle extends XmlString {
    public static final Enum INFORMATION = Enum.forString("information");
    public static final int INT_INFORMATION = 3;
    public static final int INT_STOP = 1;
    public static final int INT_WARNING = 2;
    public static final Enum STOP = Enum.forString("stop");
    public static final Enum WARNING = Enum.forString("warning");
    public static final SchemaType type = ((SchemaType) a.a(STDataValidationErrorStyle.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stdatavalidationerrorstyleca85type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_INFORMATION = 3;
        public static final int INT_STOP = 1;
        public static final int INT_WARNING = 2;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("stop", 1), new Enum("warning", 2), new Enum("information", 3)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STDataValidationErrorStyle newInstance() {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.newInstance(STDataValidationErrorStyle.type, null);
        }

        public static STDataValidationErrorStyle newInstance(XmlOptions xmlOptions) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.newInstance(STDataValidationErrorStyle.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STDataValidationErrorStyle.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STDataValidationErrorStyle.type, xmlOptions);
        }

        public static STDataValidationErrorStyle newValue(Object obj) {
            return (STDataValidationErrorStyle) STDataValidationErrorStyle.type.newValue(obj);
        }

        public static STDataValidationErrorStyle parse(File file) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.parse(file, STDataValidationErrorStyle.type, (XmlOptions) null);
        }

        public static STDataValidationErrorStyle parse(File file, XmlOptions xmlOptions) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.parse(file, STDataValidationErrorStyle.type, xmlOptions);
        }

        public static STDataValidationErrorStyle parse(InputStream inputStream) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.parse(inputStream, STDataValidationErrorStyle.type, (XmlOptions) null);
        }

        public static STDataValidationErrorStyle parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.parse(inputStream, STDataValidationErrorStyle.type, xmlOptions);
        }

        public static STDataValidationErrorStyle parse(Reader reader) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.parse(reader, STDataValidationErrorStyle.type, (XmlOptions) null);
        }

        public static STDataValidationErrorStyle parse(Reader reader, XmlOptions xmlOptions) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.parse(reader, STDataValidationErrorStyle.type, xmlOptions);
        }

        public static STDataValidationErrorStyle parse(String str) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.parse(str, STDataValidationErrorStyle.type, (XmlOptions) null);
        }

        public static STDataValidationErrorStyle parse(String str, XmlOptions xmlOptions) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.parse(str, STDataValidationErrorStyle.type, xmlOptions);
        }

        public static STDataValidationErrorStyle parse(URL url) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.parse(url, STDataValidationErrorStyle.type, (XmlOptions) null);
        }

        public static STDataValidationErrorStyle parse(URL url, XmlOptions xmlOptions) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.parse(url, STDataValidationErrorStyle.type, xmlOptions);
        }

        public static STDataValidationErrorStyle parse(XMLStreamReader xMLStreamReader) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.parse(xMLStreamReader, STDataValidationErrorStyle.type, (XmlOptions) null);
        }

        public static STDataValidationErrorStyle parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.parse(xMLStreamReader, STDataValidationErrorStyle.type, xmlOptions);
        }

        public static STDataValidationErrorStyle parse(XMLInputStream xMLInputStream) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.parse(xMLInputStream, STDataValidationErrorStyle.type, (XmlOptions) null);
        }

        public static STDataValidationErrorStyle parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.parse(xMLInputStream, STDataValidationErrorStyle.type, xmlOptions);
        }

        public static STDataValidationErrorStyle parse(Node node) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.parse(node, STDataValidationErrorStyle.type, (XmlOptions) null);
        }

        public static STDataValidationErrorStyle parse(Node node, XmlOptions xmlOptions) {
            return (STDataValidationErrorStyle) POIXMLTypeLoader.parse(node, STDataValidationErrorStyle.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
