package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STDataValidationType extends XmlString {
    public static final Enum CUSTOM = Enum.forString("custom");
    public static final Enum DATE = Enum.forString("date");
    public static final Enum DECIMAL = Enum.forString("decimal");
    public static final int INT_CUSTOM = 8;
    public static final int INT_DATE = 5;
    public static final int INT_DECIMAL = 3;
    public static final int INT_LIST = 4;
    public static final int INT_NONE = 1;
    public static final int INT_TEXT_LENGTH = 7;
    public static final int INT_TIME = 6;
    public static final int INT_WHOLE = 2;
    public static final Enum LIST = Enum.forString("list");
    public static final Enum NONE = Enum.forString("none");
    public static final Enum TEXT_LENGTH = Enum.forString("textLength");
    public static final Enum TIME = Enum.forString(SchemaSymbols.ATTVAL_TIME);
    public static final Enum WHOLE = Enum.forString("whole");
    public static final SchemaType type = ((SchemaType) a.a(STDataValidationType.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stdatavalidationtypeabf6type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_CUSTOM = 8;
        public static final int INT_DATE = 5;
        public static final int INT_DECIMAL = 3;
        public static final int INT_LIST = 4;
        public static final int INT_NONE = 1;
        public static final int INT_TEXT_LENGTH = 7;
        public static final int INT_TIME = 6;
        public static final int INT_WHOLE = 2;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("none", 1), new Enum("whole", 2), new Enum("decimal", 3), new Enum("list", 4), new Enum("date", 5), new Enum(SchemaSymbols.ATTVAL_TIME, 6), new Enum("textLength", 7), new Enum("custom", 8)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STDataValidationType newInstance() {
            return (STDataValidationType) POIXMLTypeLoader.newInstance(STDataValidationType.type, null);
        }

        public static STDataValidationType newInstance(XmlOptions xmlOptions) {
            return (STDataValidationType) POIXMLTypeLoader.newInstance(STDataValidationType.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STDataValidationType.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STDataValidationType.type, xmlOptions);
        }

        public static STDataValidationType newValue(Object obj) {
            return (STDataValidationType) STDataValidationType.type.newValue(obj);
        }

        public static STDataValidationType parse(File file) {
            return (STDataValidationType) POIXMLTypeLoader.parse(file, STDataValidationType.type, (XmlOptions) null);
        }

        public static STDataValidationType parse(File file, XmlOptions xmlOptions) {
            return (STDataValidationType) POIXMLTypeLoader.parse(file, STDataValidationType.type, xmlOptions);
        }

        public static STDataValidationType parse(InputStream inputStream) {
            return (STDataValidationType) POIXMLTypeLoader.parse(inputStream, STDataValidationType.type, (XmlOptions) null);
        }

        public static STDataValidationType parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STDataValidationType) POIXMLTypeLoader.parse(inputStream, STDataValidationType.type, xmlOptions);
        }

        public static STDataValidationType parse(Reader reader) {
            return (STDataValidationType) POIXMLTypeLoader.parse(reader, STDataValidationType.type, (XmlOptions) null);
        }

        public static STDataValidationType parse(Reader reader, XmlOptions xmlOptions) {
            return (STDataValidationType) POIXMLTypeLoader.parse(reader, STDataValidationType.type, xmlOptions);
        }

        public static STDataValidationType parse(String str) {
            return (STDataValidationType) POIXMLTypeLoader.parse(str, STDataValidationType.type, (XmlOptions) null);
        }

        public static STDataValidationType parse(String str, XmlOptions xmlOptions) {
            return (STDataValidationType) POIXMLTypeLoader.parse(str, STDataValidationType.type, xmlOptions);
        }

        public static STDataValidationType parse(URL url) {
            return (STDataValidationType) POIXMLTypeLoader.parse(url, STDataValidationType.type, (XmlOptions) null);
        }

        public static STDataValidationType parse(URL url, XmlOptions xmlOptions) {
            return (STDataValidationType) POIXMLTypeLoader.parse(url, STDataValidationType.type, xmlOptions);
        }

        public static STDataValidationType parse(XMLStreamReader xMLStreamReader) {
            return (STDataValidationType) POIXMLTypeLoader.parse(xMLStreamReader, STDataValidationType.type, (XmlOptions) null);
        }

        public static STDataValidationType parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STDataValidationType) POIXMLTypeLoader.parse(xMLStreamReader, STDataValidationType.type, xmlOptions);
        }

        public static STDataValidationType parse(XMLInputStream xMLInputStream) {
            return (STDataValidationType) POIXMLTypeLoader.parse(xMLInputStream, STDataValidationType.type, (XmlOptions) null);
        }

        public static STDataValidationType parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STDataValidationType) POIXMLTypeLoader.parse(xMLInputStream, STDataValidationType.type, xmlOptions);
        }

        public static STDataValidationType parse(Node node) {
            return (STDataValidationType) POIXMLTypeLoader.parse(node, STDataValidationType.type, (XmlOptions) null);
        }

        public static STDataValidationType parse(Node node, XmlOptions xmlOptions) {
            return (STDataValidationType) POIXMLTypeLoader.parse(node, STDataValidationType.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
