package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STFontScheme extends XmlString {
    public static final int INT_MAJOR = 2;
    public static final int INT_MINOR = 3;
    public static final int INT_NONE = 1;
    public static final Enum MAJOR = Enum.forString("major");
    public static final Enum MINOR = Enum.forString("minor");
    public static final Enum NONE = Enum.forString("none");
    public static final SchemaType type = ((SchemaType) a.a(STFontScheme.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stfontschemef36dtype"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_MAJOR = 2;
        public static final int INT_MINOR = 3;
        public static final int INT_NONE = 1;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("none", 1), new Enum("major", 2), new Enum("minor", 3)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STFontScheme newInstance() {
            return (STFontScheme) POIXMLTypeLoader.newInstance(STFontScheme.type, null);
        }

        public static STFontScheme newInstance(XmlOptions xmlOptions) {
            return (STFontScheme) POIXMLTypeLoader.newInstance(STFontScheme.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STFontScheme.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STFontScheme.type, xmlOptions);
        }

        public static STFontScheme newValue(Object obj) {
            return (STFontScheme) STFontScheme.type.newValue(obj);
        }

        public static STFontScheme parse(File file) {
            return (STFontScheme) POIXMLTypeLoader.parse(file, STFontScheme.type, (XmlOptions) null);
        }

        public static STFontScheme parse(File file, XmlOptions xmlOptions) {
            return (STFontScheme) POIXMLTypeLoader.parse(file, STFontScheme.type, xmlOptions);
        }

        public static STFontScheme parse(InputStream inputStream) {
            return (STFontScheme) POIXMLTypeLoader.parse(inputStream, STFontScheme.type, (XmlOptions) null);
        }

        public static STFontScheme parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STFontScheme) POIXMLTypeLoader.parse(inputStream, STFontScheme.type, xmlOptions);
        }

        public static STFontScheme parse(Reader reader) {
            return (STFontScheme) POIXMLTypeLoader.parse(reader, STFontScheme.type, (XmlOptions) null);
        }

        public static STFontScheme parse(Reader reader, XmlOptions xmlOptions) {
            return (STFontScheme) POIXMLTypeLoader.parse(reader, STFontScheme.type, xmlOptions);
        }

        public static STFontScheme parse(String str) {
            return (STFontScheme) POIXMLTypeLoader.parse(str, STFontScheme.type, (XmlOptions) null);
        }

        public static STFontScheme parse(String str, XmlOptions xmlOptions) {
            return (STFontScheme) POIXMLTypeLoader.parse(str, STFontScheme.type, xmlOptions);
        }

        public static STFontScheme parse(URL url) {
            return (STFontScheme) POIXMLTypeLoader.parse(url, STFontScheme.type, (XmlOptions) null);
        }

        public static STFontScheme parse(URL url, XmlOptions xmlOptions) {
            return (STFontScheme) POIXMLTypeLoader.parse(url, STFontScheme.type, xmlOptions);
        }

        public static STFontScheme parse(XMLStreamReader xMLStreamReader) {
            return (STFontScheme) POIXMLTypeLoader.parse(xMLStreamReader, STFontScheme.type, (XmlOptions) null);
        }

        public static STFontScheme parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STFontScheme) POIXMLTypeLoader.parse(xMLStreamReader, STFontScheme.type, xmlOptions);
        }

        public static STFontScheme parse(XMLInputStream xMLInputStream) {
            return (STFontScheme) POIXMLTypeLoader.parse(xMLInputStream, STFontScheme.type, (XmlOptions) null);
        }

        public static STFontScheme parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STFontScheme) POIXMLTypeLoader.parse(xMLInputStream, STFontScheme.type, xmlOptions);
        }

        public static STFontScheme parse(Node node) {
            return (STFontScheme) POIXMLTypeLoader.parse(node, STFontScheme.type, (XmlOptions) null);
        }

        public static STFontScheme parse(Node node, XmlOptions xmlOptions) {
            return (STFontScheme) POIXMLTypeLoader.parse(node, STFontScheme.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
