package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STUnderlineValues extends XmlString {
    public static final Enum DOUBLE = Enum.forString("double");
    public static final Enum DOUBLE_ACCOUNTING = Enum.forString("doubleAccounting");
    public static final int INT_DOUBLE = 2;
    public static final int INT_DOUBLE_ACCOUNTING = 4;
    public static final int INT_NONE = 5;
    public static final int INT_SINGLE = 1;
    public static final int INT_SINGLE_ACCOUNTING = 3;
    public static final Enum NONE = Enum.forString("none");
    public static final Enum SINGLE = Enum.forString("single");
    public static final Enum SINGLE_ACCOUNTING = Enum.forString("singleAccounting");
    public static final SchemaType type = ((SchemaType) a.a(STUnderlineValues.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stunderlinevaluesb6ddtype"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_DOUBLE = 2;
        public static final int INT_DOUBLE_ACCOUNTING = 4;
        public static final int INT_NONE = 5;
        public static final int INT_SINGLE = 1;
        public static final int INT_SINGLE_ACCOUNTING = 3;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("single", 1), new Enum("double", 2), new Enum("singleAccounting", 3), new Enum("doubleAccounting", 4), new Enum("none", 5)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STUnderlineValues newInstance() {
            return (STUnderlineValues) POIXMLTypeLoader.newInstance(STUnderlineValues.type, null);
        }

        public static STUnderlineValues newInstance(XmlOptions xmlOptions) {
            return (STUnderlineValues) POIXMLTypeLoader.newInstance(STUnderlineValues.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STUnderlineValues.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STUnderlineValues.type, xmlOptions);
        }

        public static STUnderlineValues newValue(Object obj) {
            return (STUnderlineValues) STUnderlineValues.type.newValue(obj);
        }

        public static STUnderlineValues parse(File file) {
            return (STUnderlineValues) POIXMLTypeLoader.parse(file, STUnderlineValues.type, (XmlOptions) null);
        }

        public static STUnderlineValues parse(File file, XmlOptions xmlOptions) {
            return (STUnderlineValues) POIXMLTypeLoader.parse(file, STUnderlineValues.type, xmlOptions);
        }

        public static STUnderlineValues parse(InputStream inputStream) {
            return (STUnderlineValues) POIXMLTypeLoader.parse(inputStream, STUnderlineValues.type, (XmlOptions) null);
        }

        public static STUnderlineValues parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STUnderlineValues) POIXMLTypeLoader.parse(inputStream, STUnderlineValues.type, xmlOptions);
        }

        public static STUnderlineValues parse(Reader reader) {
            return (STUnderlineValues) POIXMLTypeLoader.parse(reader, STUnderlineValues.type, (XmlOptions) null);
        }

        public static STUnderlineValues parse(Reader reader, XmlOptions xmlOptions) {
            return (STUnderlineValues) POIXMLTypeLoader.parse(reader, STUnderlineValues.type, xmlOptions);
        }

        public static STUnderlineValues parse(String str) {
            return (STUnderlineValues) POIXMLTypeLoader.parse(str, STUnderlineValues.type, (XmlOptions) null);
        }

        public static STUnderlineValues parse(String str, XmlOptions xmlOptions) {
            return (STUnderlineValues) POIXMLTypeLoader.parse(str, STUnderlineValues.type, xmlOptions);
        }

        public static STUnderlineValues parse(URL url) {
            return (STUnderlineValues) POIXMLTypeLoader.parse(url, STUnderlineValues.type, (XmlOptions) null);
        }

        public static STUnderlineValues parse(URL url, XmlOptions xmlOptions) {
            return (STUnderlineValues) POIXMLTypeLoader.parse(url, STUnderlineValues.type, xmlOptions);
        }

        public static STUnderlineValues parse(XMLStreamReader xMLStreamReader) {
            return (STUnderlineValues) POIXMLTypeLoader.parse(xMLStreamReader, STUnderlineValues.type, (XmlOptions) null);
        }

        public static STUnderlineValues parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STUnderlineValues) POIXMLTypeLoader.parse(xMLStreamReader, STUnderlineValues.type, xmlOptions);
        }

        public static STUnderlineValues parse(XMLInputStream xMLInputStream) {
            return (STUnderlineValues) POIXMLTypeLoader.parse(xMLInputStream, STUnderlineValues.type, (XmlOptions) null);
        }

        public static STUnderlineValues parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STUnderlineValues) POIXMLTypeLoader.parse(xMLInputStream, STUnderlineValues.type, xmlOptions);
        }

        public static STUnderlineValues parse(Node node) {
            return (STUnderlineValues) POIXMLTypeLoader.parse(node, STUnderlineValues.type, (XmlOptions) null);
        }

        public static STUnderlineValues parse(Node node, XmlOptions xmlOptions) {
            return (STUnderlineValues) POIXMLTypeLoader.parse(node, STUnderlineValues.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
