package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STVerticalAlignment extends XmlString {
    public static final Enum BOTTOM = Enum.forString("bottom");
    public static final Enum CENTER = Enum.forString("center");
    public static final Enum DISTRIBUTED = Enum.forString("distributed");
    public static final int INT_BOTTOM = 3;
    public static final int INT_CENTER = 2;
    public static final int INT_DISTRIBUTED = 5;
    public static final int INT_JUSTIFY = 4;
    public static final int INT_TOP = 1;
    public static final Enum JUSTIFY = Enum.forString("justify");
    public static final Enum TOP = Enum.forString("top");
    public static final SchemaType type = ((SchemaType) a.a(STVerticalAlignment.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stverticalalignmentd35ctype"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_BOTTOM = 3;
        public static final int INT_CENTER = 2;
        public static final int INT_DISTRIBUTED = 5;
        public static final int INT_JUSTIFY = 4;
        public static final int INT_TOP = 1;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("top", 1), new Enum("center", 2), new Enum("bottom", 3), new Enum("justify", 4), new Enum("distributed", 5)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STVerticalAlignment newInstance() {
            return (STVerticalAlignment) POIXMLTypeLoader.newInstance(STVerticalAlignment.type, null);
        }

        public static STVerticalAlignment newInstance(XmlOptions xmlOptions) {
            return (STVerticalAlignment) POIXMLTypeLoader.newInstance(STVerticalAlignment.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STVerticalAlignment.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STVerticalAlignment.type, xmlOptions);
        }

        public static STVerticalAlignment newValue(Object obj) {
            return (STVerticalAlignment) STVerticalAlignment.type.newValue(obj);
        }

        public static STVerticalAlignment parse(File file) {
            return (STVerticalAlignment) POIXMLTypeLoader.parse(file, STVerticalAlignment.type, (XmlOptions) null);
        }

        public static STVerticalAlignment parse(File file, XmlOptions xmlOptions) {
            return (STVerticalAlignment) POIXMLTypeLoader.parse(file, STVerticalAlignment.type, xmlOptions);
        }

        public static STVerticalAlignment parse(InputStream inputStream) {
            return (STVerticalAlignment) POIXMLTypeLoader.parse(inputStream, STVerticalAlignment.type, (XmlOptions) null);
        }

        public static STVerticalAlignment parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STVerticalAlignment) POIXMLTypeLoader.parse(inputStream, STVerticalAlignment.type, xmlOptions);
        }

        public static STVerticalAlignment parse(Reader reader) {
            return (STVerticalAlignment) POIXMLTypeLoader.parse(reader, STVerticalAlignment.type, (XmlOptions) null);
        }

        public static STVerticalAlignment parse(Reader reader, XmlOptions xmlOptions) {
            return (STVerticalAlignment) POIXMLTypeLoader.parse(reader, STVerticalAlignment.type, xmlOptions);
        }

        public static STVerticalAlignment parse(String str) {
            return (STVerticalAlignment) POIXMLTypeLoader.parse(str, STVerticalAlignment.type, (XmlOptions) null);
        }

        public static STVerticalAlignment parse(String str, XmlOptions xmlOptions) {
            return (STVerticalAlignment) POIXMLTypeLoader.parse(str, STVerticalAlignment.type, xmlOptions);
        }

        public static STVerticalAlignment parse(URL url) {
            return (STVerticalAlignment) POIXMLTypeLoader.parse(url, STVerticalAlignment.type, (XmlOptions) null);
        }

        public static STVerticalAlignment parse(URL url, XmlOptions xmlOptions) {
            return (STVerticalAlignment) POIXMLTypeLoader.parse(url, STVerticalAlignment.type, xmlOptions);
        }

        public static STVerticalAlignment parse(XMLStreamReader xMLStreamReader) {
            return (STVerticalAlignment) POIXMLTypeLoader.parse(xMLStreamReader, STVerticalAlignment.type, (XmlOptions) null);
        }

        public static STVerticalAlignment parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STVerticalAlignment) POIXMLTypeLoader.parse(xMLStreamReader, STVerticalAlignment.type, xmlOptions);
        }

        public static STVerticalAlignment parse(XMLInputStream xMLInputStream) {
            return (STVerticalAlignment) POIXMLTypeLoader.parse(xMLInputStream, STVerticalAlignment.type, (XmlOptions) null);
        }

        public static STVerticalAlignment parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STVerticalAlignment) POIXMLTypeLoader.parse(xMLInputStream, STVerticalAlignment.type, xmlOptions);
        }

        public static STVerticalAlignment parse(Node node) {
            return (STVerticalAlignment) POIXMLTypeLoader.parse(node, STVerticalAlignment.type, (XmlOptions) null);
        }

        public static STVerticalAlignment parse(Node node, XmlOptions xmlOptions) {
            return (STVerticalAlignment) POIXMLTypeLoader.parse(node, STVerticalAlignment.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
