package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface SingleXmlCellsDocument extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(SingleXmlCellsDocument.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "singlexmlcells33bfdoctype"));

    public static final class Factory {
        public static SingleXmlCellsDocument newInstance() {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.newInstance(SingleXmlCellsDocument.type, null);
        }

        public static SingleXmlCellsDocument newInstance(XmlOptions xmlOptions) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.newInstance(SingleXmlCellsDocument.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, SingleXmlCellsDocument.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, SingleXmlCellsDocument.type, xmlOptions);
        }

        public static SingleXmlCellsDocument parse(File file) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.parse(file, SingleXmlCellsDocument.type, (XmlOptions) null);
        }

        public static SingleXmlCellsDocument parse(File file, XmlOptions xmlOptions) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.parse(file, SingleXmlCellsDocument.type, xmlOptions);
        }

        public static SingleXmlCellsDocument parse(InputStream inputStream) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.parse(inputStream, SingleXmlCellsDocument.type, (XmlOptions) null);
        }

        public static SingleXmlCellsDocument parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.parse(inputStream, SingleXmlCellsDocument.type, xmlOptions);
        }

        public static SingleXmlCellsDocument parse(Reader reader) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.parse(reader, SingleXmlCellsDocument.type, (XmlOptions) null);
        }

        public static SingleXmlCellsDocument parse(Reader reader, XmlOptions xmlOptions) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.parse(reader, SingleXmlCellsDocument.type, xmlOptions);
        }

        public static SingleXmlCellsDocument parse(String str) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.parse(str, SingleXmlCellsDocument.type, (XmlOptions) null);
        }

        public static SingleXmlCellsDocument parse(String str, XmlOptions xmlOptions) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.parse(str, SingleXmlCellsDocument.type, xmlOptions);
        }

        public static SingleXmlCellsDocument parse(URL url) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.parse(url, SingleXmlCellsDocument.type, (XmlOptions) null);
        }

        public static SingleXmlCellsDocument parse(URL url, XmlOptions xmlOptions) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.parse(url, SingleXmlCellsDocument.type, xmlOptions);
        }

        public static SingleXmlCellsDocument parse(XMLStreamReader xMLStreamReader) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.parse(xMLStreamReader, SingleXmlCellsDocument.type, (XmlOptions) null);
        }

        public static SingleXmlCellsDocument parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.parse(xMLStreamReader, SingleXmlCellsDocument.type, xmlOptions);
        }

        public static SingleXmlCellsDocument parse(XMLInputStream xMLInputStream) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.parse(xMLInputStream, SingleXmlCellsDocument.type, (XmlOptions) null);
        }

        public static SingleXmlCellsDocument parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.parse(xMLInputStream, SingleXmlCellsDocument.type, xmlOptions);
        }

        public static SingleXmlCellsDocument parse(Node node) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.parse(node, SingleXmlCellsDocument.type, (XmlOptions) null);
        }

        public static SingleXmlCellsDocument parse(Node node, XmlOptions xmlOptions) {
            return (SingleXmlCellsDocument) POIXMLTypeLoader.parse(node, SingleXmlCellsDocument.type, xmlOptions);
        }
    }

    CTSingleXmlCells addNewSingleXmlCells();

    CTSingleXmlCells getSingleXmlCells();

    void setSingleXmlCells(CTSingleXmlCells cTSingleXmlCells);
}
