package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface SstDocument extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(SstDocument.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "sstf81fdoctype"));

    public static final class Factory {
        public static SstDocument newInstance() {
            return (SstDocument) POIXMLTypeLoader.newInstance(SstDocument.type, null);
        }

        public static SstDocument newInstance(XmlOptions xmlOptions) {
            return (SstDocument) POIXMLTypeLoader.newInstance(SstDocument.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, SstDocument.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, SstDocument.type, xmlOptions);
        }

        public static SstDocument parse(File file) {
            return (SstDocument) POIXMLTypeLoader.parse(file, SstDocument.type, (XmlOptions) null);
        }

        public static SstDocument parse(File file, XmlOptions xmlOptions) {
            return (SstDocument) POIXMLTypeLoader.parse(file, SstDocument.type, xmlOptions);
        }

        public static SstDocument parse(InputStream inputStream) {
            return (SstDocument) POIXMLTypeLoader.parse(inputStream, SstDocument.type, (XmlOptions) null);
        }

        public static SstDocument parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (SstDocument) POIXMLTypeLoader.parse(inputStream, SstDocument.type, xmlOptions);
        }

        public static SstDocument parse(Reader reader) {
            return (SstDocument) POIXMLTypeLoader.parse(reader, SstDocument.type, (XmlOptions) null);
        }

        public static SstDocument parse(Reader reader, XmlOptions xmlOptions) {
            return (SstDocument) POIXMLTypeLoader.parse(reader, SstDocument.type, xmlOptions);
        }

        public static SstDocument parse(String str) {
            return (SstDocument) POIXMLTypeLoader.parse(str, SstDocument.type, (XmlOptions) null);
        }

        public static SstDocument parse(String str, XmlOptions xmlOptions) {
            return (SstDocument) POIXMLTypeLoader.parse(str, SstDocument.type, xmlOptions);
        }

        public static SstDocument parse(URL url) {
            return (SstDocument) POIXMLTypeLoader.parse(url, SstDocument.type, (XmlOptions) null);
        }

        public static SstDocument parse(URL url, XmlOptions xmlOptions) {
            return (SstDocument) POIXMLTypeLoader.parse(url, SstDocument.type, xmlOptions);
        }

        public static SstDocument parse(XMLStreamReader xMLStreamReader) {
            return (SstDocument) POIXMLTypeLoader.parse(xMLStreamReader, SstDocument.type, (XmlOptions) null);
        }

        public static SstDocument parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (SstDocument) POIXMLTypeLoader.parse(xMLStreamReader, SstDocument.type, xmlOptions);
        }

        public static SstDocument parse(XMLInputStream xMLInputStream) {
            return (SstDocument) POIXMLTypeLoader.parse(xMLInputStream, SstDocument.type, (XmlOptions) null);
        }

        public static SstDocument parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (SstDocument) POIXMLTypeLoader.parse(xMLInputStream, SstDocument.type, xmlOptions);
        }

        public static SstDocument parse(Node node) {
            return (SstDocument) POIXMLTypeLoader.parse(node, SstDocument.type, (XmlOptions) null);
        }

        public static SstDocument parse(Node node, XmlOptions xmlOptions) {
            return (SstDocument) POIXMLTypeLoader.parse(node, SstDocument.type, xmlOptions);
        }
    }

    CTSst addNewSst();

    CTSst getSst();

    void setSst(CTSst cTSst);
}
