package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface StyleSheetDocument extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(StyleSheetDocument.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stylesheet5d8bdoctype"));

    public static final class Factory {
        public static StyleSheetDocument newInstance() {
            return (StyleSheetDocument) POIXMLTypeLoader.newInstance(StyleSheetDocument.type, null);
        }

        public static StyleSheetDocument newInstance(XmlOptions xmlOptions) {
            return (StyleSheetDocument) POIXMLTypeLoader.newInstance(StyleSheetDocument.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, StyleSheetDocument.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, StyleSheetDocument.type, xmlOptions);
        }

        public static StyleSheetDocument parse(File file) {
            return (StyleSheetDocument) POIXMLTypeLoader.parse(file, StyleSheetDocument.type, (XmlOptions) null);
        }

        public static StyleSheetDocument parse(File file, XmlOptions xmlOptions) {
            return (StyleSheetDocument) POIXMLTypeLoader.parse(file, StyleSheetDocument.type, xmlOptions);
        }

        public static StyleSheetDocument parse(InputStream inputStream) {
            return (StyleSheetDocument) POIXMLTypeLoader.parse(inputStream, StyleSheetDocument.type, (XmlOptions) null);
        }

        public static StyleSheetDocument parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (StyleSheetDocument) POIXMLTypeLoader.parse(inputStream, StyleSheetDocument.type, xmlOptions);
        }

        public static StyleSheetDocument parse(Reader reader) {
            return (StyleSheetDocument) POIXMLTypeLoader.parse(reader, StyleSheetDocument.type, (XmlOptions) null);
        }

        public static StyleSheetDocument parse(Reader reader, XmlOptions xmlOptions) {
            return (StyleSheetDocument) POIXMLTypeLoader.parse(reader, StyleSheetDocument.type, xmlOptions);
        }

        public static StyleSheetDocument parse(String str) {
            return (StyleSheetDocument) POIXMLTypeLoader.parse(str, StyleSheetDocument.type, (XmlOptions) null);
        }

        public static StyleSheetDocument parse(String str, XmlOptions xmlOptions) {
            return (StyleSheetDocument) POIXMLTypeLoader.parse(str, StyleSheetDocument.type, xmlOptions);
        }

        public static StyleSheetDocument parse(URL url) {
            return (StyleSheetDocument) POIXMLTypeLoader.parse(url, StyleSheetDocument.type, (XmlOptions) null);
        }

        public static StyleSheetDocument parse(URL url, XmlOptions xmlOptions) {
            return (StyleSheetDocument) POIXMLTypeLoader.parse(url, StyleSheetDocument.type, xmlOptions);
        }

        public static StyleSheetDocument parse(XMLStreamReader xMLStreamReader) {
            return (StyleSheetDocument) POIXMLTypeLoader.parse(xMLStreamReader, StyleSheetDocument.type, (XmlOptions) null);
        }

        public static StyleSheetDocument parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (StyleSheetDocument) POIXMLTypeLoader.parse(xMLStreamReader, StyleSheetDocument.type, xmlOptions);
        }

        public static StyleSheetDocument parse(XMLInputStream xMLInputStream) {
            return (StyleSheetDocument) POIXMLTypeLoader.parse(xMLInputStream, StyleSheetDocument.type, (XmlOptions) null);
        }

        public static StyleSheetDocument parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (StyleSheetDocument) POIXMLTypeLoader.parse(xMLInputStream, StyleSheetDocument.type, xmlOptions);
        }

        public static StyleSheetDocument parse(Node node) {
            return (StyleSheetDocument) POIXMLTypeLoader.parse(node, StyleSheetDocument.type, (XmlOptions) null);
        }

        public static StyleSheetDocument parse(Node node, XmlOptions xmlOptions) {
            return (StyleSheetDocument) POIXMLTypeLoader.parse(node, StyleSheetDocument.type, xmlOptions);
        }
    }

    CTStylesheet addNewStyleSheet();

    CTStylesheet getStyleSheet();

    void setStyleSheet(CTStylesheet cTStylesheet);
}
