package org.openxmlformats.schemas.wordprocessingml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTSdtPr extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTSdtPr.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctsdtpre24dtype"));

    public static final class Factory {
        public static CTSdtPr newInstance() {
            return (CTSdtPr) POIXMLTypeLoader.newInstance(CTSdtPr.type, null);
        }

        public static CTSdtPr newInstance(XmlOptions xmlOptions) {
            return (CTSdtPr) POIXMLTypeLoader.newInstance(CTSdtPr.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTSdtPr.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTSdtPr.type, xmlOptions);
        }

        public static CTSdtPr parse(File file) {
            return (CTSdtPr) POIXMLTypeLoader.parse(file, CTSdtPr.type, (XmlOptions) null);
        }

        public static CTSdtPr parse(File file, XmlOptions xmlOptions) {
            return (CTSdtPr) POIXMLTypeLoader.parse(file, CTSdtPr.type, xmlOptions);
        }

        public static CTSdtPr parse(InputStream inputStream) {
            return (CTSdtPr) POIXMLTypeLoader.parse(inputStream, CTSdtPr.type, (XmlOptions) null);
        }

        public static CTSdtPr parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTSdtPr) POIXMLTypeLoader.parse(inputStream, CTSdtPr.type, xmlOptions);
        }

        public static CTSdtPr parse(Reader reader) {
            return (CTSdtPr) POIXMLTypeLoader.parse(reader, CTSdtPr.type, (XmlOptions) null);
        }

        public static CTSdtPr parse(Reader reader, XmlOptions xmlOptions) {
            return (CTSdtPr) POIXMLTypeLoader.parse(reader, CTSdtPr.type, xmlOptions);
        }

        public static CTSdtPr parse(String str) {
            return (CTSdtPr) POIXMLTypeLoader.parse(str, CTSdtPr.type, (XmlOptions) null);
        }

        public static CTSdtPr parse(String str, XmlOptions xmlOptions) {
            return (CTSdtPr) POIXMLTypeLoader.parse(str, CTSdtPr.type, xmlOptions);
        }

        public static CTSdtPr parse(URL url) {
            return (CTSdtPr) POIXMLTypeLoader.parse(url, CTSdtPr.type, (XmlOptions) null);
        }

        public static CTSdtPr parse(URL url, XmlOptions xmlOptions) {
            return (CTSdtPr) POIXMLTypeLoader.parse(url, CTSdtPr.type, xmlOptions);
        }

        public static CTSdtPr parse(XMLStreamReader xMLStreamReader) {
            return (CTSdtPr) POIXMLTypeLoader.parse(xMLStreamReader, CTSdtPr.type, (XmlOptions) null);
        }

        public static CTSdtPr parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTSdtPr) POIXMLTypeLoader.parse(xMLStreamReader, CTSdtPr.type, xmlOptions);
        }

        public static CTSdtPr parse(XMLInputStream xMLInputStream) {
            return (CTSdtPr) POIXMLTypeLoader.parse(xMLInputStream, CTSdtPr.type, (XmlOptions) null);
        }

        public static CTSdtPr parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTSdtPr) POIXMLTypeLoader.parse(xMLInputStream, CTSdtPr.type, xmlOptions);
        }

        public static CTSdtPr parse(Node node) {
            return (CTSdtPr) POIXMLTypeLoader.parse(node, CTSdtPr.type, (XmlOptions) null);
        }

        public static CTSdtPr parse(Node node, XmlOptions xmlOptions) {
            return (CTSdtPr) POIXMLTypeLoader.parse(node, CTSdtPr.type, xmlOptions);
        }
    }

    CTString addNewAlias();

    CTEmpty addNewBibliography();

    CTEmpty addNewCitation();

    CTSdtComboBox addNewComboBox();

    CTDataBinding addNewDataBinding();

    CTSdtDate addNewDate();

    CTSdtDocPart addNewDocPartList();

    CTSdtDocPart addNewDocPartObj();

    CTSdtDropDownList addNewDropDownList();

    CTEmpty addNewEquation();

    CTEmpty addNewGroup();

    CTDecimalNumber addNewId();

    CTLock addNewLock();

    CTEmpty addNewPicture();

    CTPlaceholder addNewPlaceholder();

    CTRPr addNewRPr();

    CTEmpty addNewRichText();

    CTOnOff addNewShowingPlcHdr();

    CTString addNewTag();

    CTOnOff addNewTemporary();

    CTSdtText addNewText();

    CTString getAliasArray(int i2);

    CTString[] getAliasArray();

    List<CTString> getAliasList();

    CTEmpty getBibliographyArray(int i2);

    CTEmpty[] getBibliographyArray();

    List<CTEmpty> getBibliographyList();

    CTEmpty getCitationArray(int i2);

    CTEmpty[] getCitationArray();

    List<CTEmpty> getCitationList();

    CTSdtComboBox getComboBoxArray(int i2);

    CTSdtComboBox[] getComboBoxArray();

    List<CTSdtComboBox> getComboBoxList();

    CTDataBinding getDataBindingArray(int i2);

    CTDataBinding[] getDataBindingArray();

    List<CTDataBinding> getDataBindingList();

    CTSdtDate getDateArray(int i2);

    CTSdtDate[] getDateArray();

    List<CTSdtDate> getDateList();

    CTSdtDocPart getDocPartListArray(int i2);

    CTSdtDocPart[] getDocPartListArray();

    List<CTSdtDocPart> getDocPartListList();

    CTSdtDocPart getDocPartObjArray(int i2);

    CTSdtDocPart[] getDocPartObjArray();

    List<CTSdtDocPart> getDocPartObjList();

    CTSdtDropDownList getDropDownListArray(int i2);

    CTSdtDropDownList[] getDropDownListArray();

    List<CTSdtDropDownList> getDropDownListList();

    CTEmpty getEquationArray(int i2);

    CTEmpty[] getEquationArray();

    List<CTEmpty> getEquationList();

    CTEmpty getGroupArray(int i2);

    CTEmpty[] getGroupArray();

    List<CTEmpty> getGroupList();

    CTDecimalNumber getIdArray(int i2);

    CTDecimalNumber[] getIdArray();

    List<CTDecimalNumber> getIdList();

    CTLock getLockArray(int i2);

    CTLock[] getLockArray();

    List<CTLock> getLockList();

    CTEmpty getPictureArray(int i2);

    CTEmpty[] getPictureArray();

    List<CTEmpty> getPictureList();

    CTPlaceholder getPlaceholderArray(int i2);

    CTPlaceholder[] getPlaceholderArray();

    List<CTPlaceholder> getPlaceholderList();

    CTRPr getRPrArray(int i2);

    CTRPr[] getRPrArray();

    List<CTRPr> getRPrList();

    CTEmpty getRichTextArray(int i2);

    CTEmpty[] getRichTextArray();

    List<CTEmpty> getRichTextList();

    CTOnOff getShowingPlcHdrArray(int i2);

    CTOnOff[] getShowingPlcHdrArray();

    List<CTOnOff> getShowingPlcHdrList();

    CTString getTagArray(int i2);

    CTString[] getTagArray();

    List<CTString> getTagList();

    CTOnOff getTemporaryArray(int i2);

    CTOnOff[] getTemporaryArray();

    List<CTOnOff> getTemporaryList();

    CTSdtText getTextArray(int i2);

    CTSdtText[] getTextArray();

    List<CTSdtText> getTextList();

    CTString insertNewAlias(int i2);

    CTEmpty insertNewBibliography(int i2);

    CTEmpty insertNewCitation(int i2);

    CTSdtComboBox insertNewComboBox(int i2);

    CTDataBinding insertNewDataBinding(int i2);

    CTSdtDate insertNewDate(int i2);

    CTSdtDocPart insertNewDocPartList(int i2);

    CTSdtDocPart insertNewDocPartObj(int i2);

    CTSdtDropDownList insertNewDropDownList(int i2);

    CTEmpty insertNewEquation(int i2);

    CTEmpty insertNewGroup(int i2);

    CTDecimalNumber insertNewId(int i2);

    CTLock insertNewLock(int i2);

    CTEmpty insertNewPicture(int i2);

    CTPlaceholder insertNewPlaceholder(int i2);

    CTRPr insertNewRPr(int i2);

    CTEmpty insertNewRichText(int i2);

    CTOnOff insertNewShowingPlcHdr(int i2);

    CTString insertNewTag(int i2);

    CTOnOff insertNewTemporary(int i2);

    CTSdtText insertNewText(int i2);

    void removeAlias(int i2);

    void removeBibliography(int i2);

    void removeCitation(int i2);

    void removeComboBox(int i2);

    void removeDataBinding(int i2);

    void removeDate(int i2);

    void removeDocPartList(int i2);

    void removeDocPartObj(int i2);

    void removeDropDownList(int i2);

    void removeEquation(int i2);

    void removeGroup(int i2);

    void removeId(int i2);

    void removeLock(int i2);

    void removePicture(int i2);

    void removePlaceholder(int i2);

    void removeRPr(int i2);

    void removeRichText(int i2);

    void removeShowingPlcHdr(int i2);

    void removeTag(int i2);

    void removeTemporary(int i2);

    void removeText(int i2);

    void setAliasArray(int i2, CTString cTString);

    void setAliasArray(CTString[] cTStringArr);

    void setBibliographyArray(int i2, CTEmpty cTEmpty);

    void setBibliographyArray(CTEmpty[] cTEmptyArr);

    void setCitationArray(int i2, CTEmpty cTEmpty);

    void setCitationArray(CTEmpty[] cTEmptyArr);

    void setComboBoxArray(int i2, CTSdtComboBox cTSdtComboBox);

    void setComboBoxArray(CTSdtComboBox[] cTSdtComboBoxArr);

    void setDataBindingArray(int i2, CTDataBinding cTDataBinding);

    void setDataBindingArray(CTDataBinding[] cTDataBindingArr);

    void setDateArray(int i2, CTSdtDate cTSdtDate);

    void setDateArray(CTSdtDate[] cTSdtDateArr);

    void setDocPartListArray(int i2, CTSdtDocPart cTSdtDocPart);

    void setDocPartListArray(CTSdtDocPart[] cTSdtDocPartArr);

    void setDocPartObjArray(int i2, CTSdtDocPart cTSdtDocPart);

    void setDocPartObjArray(CTSdtDocPart[] cTSdtDocPartArr);

    void setDropDownListArray(int i2, CTSdtDropDownList cTSdtDropDownList);

    void setDropDownListArray(CTSdtDropDownList[] cTSdtDropDownListArr);

    void setEquationArray(int i2, CTEmpty cTEmpty);

    void setEquationArray(CTEmpty[] cTEmptyArr);

    void setGroupArray(int i2, CTEmpty cTEmpty);

    void setGroupArray(CTEmpty[] cTEmptyArr);

    void setIdArray(int i2, CTDecimalNumber cTDecimalNumber);

    void setIdArray(CTDecimalNumber[] cTDecimalNumberArr);

    void setLockArray(int i2, CTLock cTLock);

    void setLockArray(CTLock[] cTLockArr);

    void setPictureArray(int i2, CTEmpty cTEmpty);

    void setPictureArray(CTEmpty[] cTEmptyArr);

    void setPlaceholderArray(int i2, CTPlaceholder cTPlaceholder);

    void setPlaceholderArray(CTPlaceholder[] cTPlaceholderArr);

    void setRPrArray(int i2, CTRPr cTRPr);

    void setRPrArray(CTRPr[] cTRPrArr);

    void setRichTextArray(int i2, CTEmpty cTEmpty);

    void setRichTextArray(CTEmpty[] cTEmptyArr);

    void setShowingPlcHdrArray(int i2, CTOnOff cTOnOff);

    void setShowingPlcHdrArray(CTOnOff[] cTOnOffArr);

    void setTagArray(int i2, CTString cTString);

    void setTagArray(CTString[] cTStringArr);

    void setTemporaryArray(int i2, CTOnOff cTOnOff);

    void setTemporaryArray(CTOnOff[] cTOnOffArr);

    void setTextArray(int i2, CTSdtText cTSdtText);

    void setTextArray(CTSdtText[] cTSdtTextArr);

    int sizeOfAliasArray();

    int sizeOfBibliographyArray();

    int sizeOfCitationArray();

    int sizeOfComboBoxArray();

    int sizeOfDataBindingArray();

    int sizeOfDateArray();

    int sizeOfDocPartListArray();

    int sizeOfDocPartObjArray();

    int sizeOfDropDownListArray();

    int sizeOfEquationArray();

    int sizeOfGroupArray();

    int sizeOfIdArray();

    int sizeOfLockArray();

    int sizeOfPictureArray();

    int sizeOfPlaceholderArray();

    int sizeOfRPrArray();

    int sizeOfRichTextArray();

    int sizeOfShowingPlcHdrArray();

    int sizeOfTagArray();

    int sizeOfTemporaryArray();

    int sizeOfTextArray();
}
