package org.openxmlformats.schemas.wordprocessingml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STFtnEdn extends XmlString {
    public static final Enum CONTINUATION_NOTICE = Enum.forString("continuationNotice");
    public static final Enum CONTINUATION_SEPARATOR = Enum.forString("continuationSeparator");
    public static final int INT_CONTINUATION_NOTICE = 4;
    public static final int INT_CONTINUATION_SEPARATOR = 3;
    public static final int INT_NORMAL = 1;
    public static final int INT_SEPARATOR = 2;
    public static final Enum NORMAL = Enum.forString("normal");
    public static final Enum SEPARATOR = Enum.forString("separator");
    public static final SchemaType type = ((SchemaType) a.a(STFtnEdn.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stftnednd4c9type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_CONTINUATION_NOTICE = 4;
        public static final int INT_CONTINUATION_SEPARATOR = 3;
        public static final int INT_NORMAL = 1;
        public static final int INT_SEPARATOR = 2;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("normal", 1), new Enum("separator", 2), new Enum("continuationSeparator", 3), new Enum("continuationNotice", 4)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STFtnEdn newInstance() {
            return (STFtnEdn) POIXMLTypeLoader.newInstance(STFtnEdn.type, null);
        }

        public static STFtnEdn newInstance(XmlOptions xmlOptions) {
            return (STFtnEdn) POIXMLTypeLoader.newInstance(STFtnEdn.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STFtnEdn.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STFtnEdn.type, xmlOptions);
        }

        public static STFtnEdn newValue(Object obj) {
            return (STFtnEdn) STFtnEdn.type.newValue(obj);
        }

        public static STFtnEdn parse(File file) {
            return (STFtnEdn) POIXMLTypeLoader.parse(file, STFtnEdn.type, (XmlOptions) null);
        }

        public static STFtnEdn parse(File file, XmlOptions xmlOptions) {
            return (STFtnEdn) POIXMLTypeLoader.parse(file, STFtnEdn.type, xmlOptions);
        }

        public static STFtnEdn parse(InputStream inputStream) {
            return (STFtnEdn) POIXMLTypeLoader.parse(inputStream, STFtnEdn.type, (XmlOptions) null);
        }

        public static STFtnEdn parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STFtnEdn) POIXMLTypeLoader.parse(inputStream, STFtnEdn.type, xmlOptions);
        }

        public static STFtnEdn parse(Reader reader) {
            return (STFtnEdn) POIXMLTypeLoader.parse(reader, STFtnEdn.type, (XmlOptions) null);
        }

        public static STFtnEdn parse(Reader reader, XmlOptions xmlOptions) {
            return (STFtnEdn) POIXMLTypeLoader.parse(reader, STFtnEdn.type, xmlOptions);
        }

        public static STFtnEdn parse(String str) {
            return (STFtnEdn) POIXMLTypeLoader.parse(str, STFtnEdn.type, (XmlOptions) null);
        }

        public static STFtnEdn parse(String str, XmlOptions xmlOptions) {
            return (STFtnEdn) POIXMLTypeLoader.parse(str, STFtnEdn.type, xmlOptions);
        }

        public static STFtnEdn parse(URL url) {
            return (STFtnEdn) POIXMLTypeLoader.parse(url, STFtnEdn.type, (XmlOptions) null);
        }

        public static STFtnEdn parse(URL url, XmlOptions xmlOptions) {
            return (STFtnEdn) POIXMLTypeLoader.parse(url, STFtnEdn.type, xmlOptions);
        }

        public static STFtnEdn parse(XMLStreamReader xMLStreamReader) {
            return (STFtnEdn) POIXMLTypeLoader.parse(xMLStreamReader, STFtnEdn.type, (XmlOptions) null);
        }

        public static STFtnEdn parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STFtnEdn) POIXMLTypeLoader.parse(xMLStreamReader, STFtnEdn.type, xmlOptions);
        }

        public static STFtnEdn parse(XMLInputStream xMLInputStream) {
            return (STFtnEdn) POIXMLTypeLoader.parse(xMLInputStream, STFtnEdn.type, (XmlOptions) null);
        }

        public static STFtnEdn parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STFtnEdn) POIXMLTypeLoader.parse(xMLInputStream, STFtnEdn.type, xmlOptions);
        }

        public static STFtnEdn parse(Node node) {
            return (STFtnEdn) POIXMLTypeLoader.parse(node, STFtnEdn.type, (XmlOptions) null);
        }

        public static STFtnEdn parse(Node node, XmlOptions xmlOptions) {
            return (STFtnEdn) POIXMLTypeLoader.parse(node, STFtnEdn.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
