package org.openxmlformats.schemas.wordprocessingml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STTblWidth extends XmlString {
    public static final Enum AUTO = Enum.forString("auto");
    public static final Enum DXA = Enum.forString("dxa");
    public static final int INT_AUTO = 4;
    public static final int INT_DXA = 3;
    public static final int INT_NIL = 1;
    public static final int INT_PCT = 2;
    public static final Enum NIL = Enum.forString("nil");
    public static final Enum PCT = Enum.forString("pct");
    public static final SchemaType type = ((SchemaType) a.a(STTblWidth.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "sttblwidth3a30type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_AUTO = 4;
        public static final int INT_DXA = 3;
        public static final int INT_NIL = 1;
        public static final int INT_PCT = 2;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("nil", 1), new Enum("pct", 2), new Enum("dxa", 3), new Enum("auto", 4)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STTblWidth newInstance() {
            return (STTblWidth) POIXMLTypeLoader.newInstance(STTblWidth.type, null);
        }

        public static STTblWidth newInstance(XmlOptions xmlOptions) {
            return (STTblWidth) POIXMLTypeLoader.newInstance(STTblWidth.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STTblWidth.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STTblWidth.type, xmlOptions);
        }

        public static STTblWidth newValue(Object obj) {
            return (STTblWidth) STTblWidth.type.newValue(obj);
        }

        public static STTblWidth parse(File file) {
            return (STTblWidth) POIXMLTypeLoader.parse(file, STTblWidth.type, (XmlOptions) null);
        }

        public static STTblWidth parse(File file, XmlOptions xmlOptions) {
            return (STTblWidth) POIXMLTypeLoader.parse(file, STTblWidth.type, xmlOptions);
        }

        public static STTblWidth parse(InputStream inputStream) {
            return (STTblWidth) POIXMLTypeLoader.parse(inputStream, STTblWidth.type, (XmlOptions) null);
        }

        public static STTblWidth parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STTblWidth) POIXMLTypeLoader.parse(inputStream, STTblWidth.type, xmlOptions);
        }

        public static STTblWidth parse(Reader reader) {
            return (STTblWidth) POIXMLTypeLoader.parse(reader, STTblWidth.type, (XmlOptions) null);
        }

        public static STTblWidth parse(Reader reader, XmlOptions xmlOptions) {
            return (STTblWidth) POIXMLTypeLoader.parse(reader, STTblWidth.type, xmlOptions);
        }

        public static STTblWidth parse(String str) {
            return (STTblWidth) POIXMLTypeLoader.parse(str, STTblWidth.type, (XmlOptions) null);
        }

        public static STTblWidth parse(String str, XmlOptions xmlOptions) {
            return (STTblWidth) POIXMLTypeLoader.parse(str, STTblWidth.type, xmlOptions);
        }

        public static STTblWidth parse(URL url) {
            return (STTblWidth) POIXMLTypeLoader.parse(url, STTblWidth.type, (XmlOptions) null);
        }

        public static STTblWidth parse(URL url, XmlOptions xmlOptions) {
            return (STTblWidth) POIXMLTypeLoader.parse(url, STTblWidth.type, xmlOptions);
        }

        public static STTblWidth parse(XMLStreamReader xMLStreamReader) {
            return (STTblWidth) POIXMLTypeLoader.parse(xMLStreamReader, STTblWidth.type, (XmlOptions) null);
        }

        public static STTblWidth parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STTblWidth) POIXMLTypeLoader.parse(xMLStreamReader, STTblWidth.type, xmlOptions);
        }

        public static STTblWidth parse(XMLInputStream xMLInputStream) {
            return (STTblWidth) POIXMLTypeLoader.parse(xMLInputStream, STTblWidth.type, (XmlOptions) null);
        }

        public static STTblWidth parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STTblWidth) POIXMLTypeLoader.parse(xMLInputStream, STTblWidth.type, xmlOptions);
        }

        public static STTblWidth parse(Node node) {
            return (STTblWidth) POIXMLTypeLoader.parse(node, STTblWidth.type, (XmlOptions) null);
        }

        public static STTblWidth parse(Node node, XmlOptions xmlOptions) {
            return (STTblWidth) POIXMLTypeLoader.parse(node, STTblWidth.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
