package org.openxmlformats.schemas.xpackage.x2006.digitalSignature.impl;

import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.openxml4j.opc.PackageNamespaces;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.impl.values.XmlComplexContentImpl;
import org.openxmlformats.schemas.xpackage.x2006.digitalSignature.CTRelationshipReference;
import org.openxmlformats.schemas.xpackage.x2006.digitalSignature.RelationshipReferenceDocument;

public class RelationshipReferenceDocumentImpl extends XmlComplexContentImpl implements RelationshipReferenceDocument {
    public static final QName RELATIONSHIPREFERENCE$0 = new QName(PackageNamespaces.DIGITAL_SIGNATURE, "RelationshipReference");

    public RelationshipReferenceDocumentImpl(SchemaType schemaType) {
        super(schemaType);
    }

    @Override // org.openxmlformats.schemas.xpackage.x2006.digitalSignature.RelationshipReferenceDocument
    public CTRelationshipReference addNewRelationshipReference() {
        CTRelationshipReference cTRelationshipReference;
        synchronized (monitor()) {
            check_orphaned();
            cTRelationshipReference = (CTRelationshipReference) get_store().add_element_user(RELATIONSHIPREFERENCE$0);
        }
        return cTRelationshipReference;
    }

    @Override // org.openxmlformats.schemas.xpackage.x2006.digitalSignature.RelationshipReferenceDocument
    public CTRelationshipReference getRelationshipReference() {
        synchronized (monitor()) {
            check_orphaned();
            CTRelationshipReference cTRelationshipReference = (CTRelationshipReference) get_store().find_element_user(RELATIONSHIPREFERENCE$0, 0);
            if (cTRelationshipReference == null) {
                return null;
            }
            return cTRelationshipReference;
        }
    }

    @Override // org.openxmlformats.schemas.xpackage.x2006.digitalSignature.RelationshipReferenceDocument
    public void setRelationshipReference(CTRelationshipReference cTRelationshipReference) {
        synchronized (monitor()) {
            check_orphaned();
            CTRelationshipReference cTRelationshipReference2 = (CTRelationshipReference) get_store().find_element_user(RELATIONSHIPREFERENCE$0, 0);
            if (cTRelationshipReference2 == null) {
                cTRelationshipReference2 = (CTRelationshipReference) get_store().add_element_user(RELATIONSHIPREFERENCE$0);
            }
            cTRelationshipReference2.set(cTRelationshipReference);
        }
    }
}
