package org.openxmlformats.schemas.xpackage.x2006.relationships;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlAnyURI;
import org.apache.xmlbeans.XmlID;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.xpackage.x2006.relationships.STTargetMode;
import org.w3c.dom.Node;

public interface CTRelationship extends XmlString {
    public static final SchemaType type = ((SchemaType) a.a(CTRelationship.class, "schemaorg_apache_xmlbeans.system.s8C3F193EE11A2F798ACF65489B9E6078", "ctrelationship8cf8type"));

    public static final class Factory {
        public static CTRelationship newInstance() {
            return (CTRelationship) POIXMLTypeLoader.newInstance(CTRelationship.type, null);
        }

        public static CTRelationship newInstance(XmlOptions xmlOptions) {
            return (CTRelationship) POIXMLTypeLoader.newInstance(CTRelationship.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTRelationship.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTRelationship.type, xmlOptions);
        }

        public static CTRelationship parse(File file) {
            return (CTRelationship) POIXMLTypeLoader.parse(file, CTRelationship.type, (XmlOptions) null);
        }

        public static CTRelationship parse(File file, XmlOptions xmlOptions) {
            return (CTRelationship) POIXMLTypeLoader.parse(file, CTRelationship.type, xmlOptions);
        }

        public static CTRelationship parse(InputStream inputStream) {
            return (CTRelationship) POIXMLTypeLoader.parse(inputStream, CTRelationship.type, (XmlOptions) null);
        }

        public static CTRelationship parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTRelationship) POIXMLTypeLoader.parse(inputStream, CTRelationship.type, xmlOptions);
        }

        public static CTRelationship parse(Reader reader) {
            return (CTRelationship) POIXMLTypeLoader.parse(reader, CTRelationship.type, (XmlOptions) null);
        }

        public static CTRelationship parse(Reader reader, XmlOptions xmlOptions) {
            return (CTRelationship) POIXMLTypeLoader.parse(reader, CTRelationship.type, xmlOptions);
        }

        public static CTRelationship parse(String str) {
            return (CTRelationship) POIXMLTypeLoader.parse(str, CTRelationship.type, (XmlOptions) null);
        }

        public static CTRelationship parse(String str, XmlOptions xmlOptions) {
            return (CTRelationship) POIXMLTypeLoader.parse(str, CTRelationship.type, xmlOptions);
        }

        public static CTRelationship parse(URL url) {
            return (CTRelationship) POIXMLTypeLoader.parse(url, CTRelationship.type, (XmlOptions) null);
        }

        public static CTRelationship parse(URL url, XmlOptions xmlOptions) {
            return (CTRelationship) POIXMLTypeLoader.parse(url, CTRelationship.type, xmlOptions);
        }

        public static CTRelationship parse(XMLStreamReader xMLStreamReader) {
            return (CTRelationship) POIXMLTypeLoader.parse(xMLStreamReader, CTRelationship.type, (XmlOptions) null);
        }

        public static CTRelationship parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTRelationship) POIXMLTypeLoader.parse(xMLStreamReader, CTRelationship.type, xmlOptions);
        }

        public static CTRelationship parse(XMLInputStream xMLInputStream) {
            return (CTRelationship) POIXMLTypeLoader.parse(xMLInputStream, CTRelationship.type, (XmlOptions) null);
        }

        public static CTRelationship parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTRelationship) POIXMLTypeLoader.parse(xMLInputStream, CTRelationship.type, xmlOptions);
        }

        public static CTRelationship parse(Node node) {
            return (CTRelationship) POIXMLTypeLoader.parse(node, CTRelationship.type, (XmlOptions) null);
        }

        public static CTRelationship parse(Node node, XmlOptions xmlOptions) {
            return (CTRelationship) POIXMLTypeLoader.parse(node, CTRelationship.type, xmlOptions);
        }
    }

    String getId();

    String getTarget();

    STTargetMode.Enum getTargetMode();

    String getType();

    boolean isSetTargetMode();

    void setId(String str);

    void setTarget(String str);

    void setTargetMode(STTargetMode.Enum v);

    void setType(String str);

    void unsetTargetMode();

    XmlID xgetId();

    XmlAnyURI xgetTarget();

    STTargetMode xgetTargetMode();

    XmlAnyURI xgetType();

    void xsetId(XmlID xmlID);

    void xsetTarget(XmlAnyURI xmlAnyURI);

    void xsetTargetMode(STTargetMode sTTargetMode);

    void xsetType(XmlAnyURI xmlAnyURI);
}
