package org.openxmlformats.schemas.xpackage.x2006.relationships;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTRelationships extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTRelationships.class, "schemaorg_apache_xmlbeans.system.s8C3F193EE11A2F798ACF65489B9E6078", "ctrelationshipse33ftype"));

    public static final class Factory {
        public static CTRelationships newInstance() {
            return (CTRelationships) POIXMLTypeLoader.newInstance(CTRelationships.type, null);
        }

        public static CTRelationships newInstance(XmlOptions xmlOptions) {
            return (CTRelationships) POIXMLTypeLoader.newInstance(CTRelationships.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTRelationships.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTRelationships.type, xmlOptions);
        }

        public static CTRelationships parse(File file) {
            return (CTRelationships) POIXMLTypeLoader.parse(file, CTRelationships.type, (XmlOptions) null);
        }

        public static CTRelationships parse(File file, XmlOptions xmlOptions) {
            return (CTRelationships) POIXMLTypeLoader.parse(file, CTRelationships.type, xmlOptions);
        }

        public static CTRelationships parse(InputStream inputStream) {
            return (CTRelationships) POIXMLTypeLoader.parse(inputStream, CTRelationships.type, (XmlOptions) null);
        }

        public static CTRelationships parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTRelationships) POIXMLTypeLoader.parse(inputStream, CTRelationships.type, xmlOptions);
        }

        public static CTRelationships parse(Reader reader) {
            return (CTRelationships) POIXMLTypeLoader.parse(reader, CTRelationships.type, (XmlOptions) null);
        }

        public static CTRelationships parse(Reader reader, XmlOptions xmlOptions) {
            return (CTRelationships) POIXMLTypeLoader.parse(reader, CTRelationships.type, xmlOptions);
        }

        public static CTRelationships parse(String str) {
            return (CTRelationships) POIXMLTypeLoader.parse(str, CTRelationships.type, (XmlOptions) null);
        }

        public static CTRelationships parse(String str, XmlOptions xmlOptions) {
            return (CTRelationships) POIXMLTypeLoader.parse(str, CTRelationships.type, xmlOptions);
        }

        public static CTRelationships parse(URL url) {
            return (CTRelationships) POIXMLTypeLoader.parse(url, CTRelationships.type, (XmlOptions) null);
        }

        public static CTRelationships parse(URL url, XmlOptions xmlOptions) {
            return (CTRelationships) POIXMLTypeLoader.parse(url, CTRelationships.type, xmlOptions);
        }

        public static CTRelationships parse(XMLStreamReader xMLStreamReader) {
            return (CTRelationships) POIXMLTypeLoader.parse(xMLStreamReader, CTRelationships.type, (XmlOptions) null);
        }

        public static CTRelationships parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTRelationships) POIXMLTypeLoader.parse(xMLStreamReader, CTRelationships.type, xmlOptions);
        }

        public static CTRelationships parse(XMLInputStream xMLInputStream) {
            return (CTRelationships) POIXMLTypeLoader.parse(xMLInputStream, CTRelationships.type, (XmlOptions) null);
        }

        public static CTRelationships parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTRelationships) POIXMLTypeLoader.parse(xMLInputStream, CTRelationships.type, xmlOptions);
        }

        public static CTRelationships parse(Node node) {
            return (CTRelationships) POIXMLTypeLoader.parse(node, CTRelationships.type, (XmlOptions) null);
        }

        public static CTRelationships parse(Node node, XmlOptions xmlOptions) {
            return (CTRelationships) POIXMLTypeLoader.parse(node, CTRelationships.type, xmlOptions);
        }
    }

    CTRelationship addNewRelationship();

    CTRelationship getRelationshipArray(int i2);

    CTRelationship[] getRelationshipArray();

    List<CTRelationship> getRelationshipList();

    CTRelationship insertNewRelationship(int i2);

    void removeRelationship(int i2);

    void setRelationshipArray(int i2, CTRelationship cTRelationship);

    void setRelationshipArray(CTRelationship[] cTRelationshipArr);

    int sizeOfRelationshipArray();
}
