package org.w3c.dom;

public interface Element extends Node {
    String getAttribute(String str);

    String getAttributeNS(String str, String str2);

    Attr getAttributeNode(String str);

    Attr getAttributeNodeNS(String str, String str2);

    NodeList getElementsByTagName(String str);

    NodeList getElementsByTagNameNS(String str, String str2);

    TypeInfo getSchemaTypeInfo();

    String getTagName();

    boolean hasAttribute(String str);

    boolean hasAttributeNS(String str, String str2);

    void removeAttribute(String str);

    void removeAttributeNS(String str, String str2);

    Attr removeAttributeNode(Attr attr);

    void setAttribute(String str, String str2);

    void setAttributeNS(String str, String str2, String str3);

    Attr setAttributeNode(Attr attr);

    Attr setAttributeNodeNS(Attr attr);

    void setIdAttribute(String str, boolean z);

    void setIdAttributeNS(String str, String str2, boolean z);

    void setIdAttributeNode(Attr attr, boolean z);
}
