package org.w3c.dom.xpath;

import org.w3c.dom.Node;

public interface XPathEvaluator {
    XPathExpression createExpression(String str, XPathNSResolver xPathNSResolver);

    XPathNSResolver createNSResolver(Node node);

    Object evaluate(String str, Node node, XPathNSResolver xPathNSResolver, short s, Object obj);
}
