package org.xml.sax.helpers;

import org.xml.sax.Parser;

public class ParserFactory {
    public static Parser makeParser() {
        String systemProperty = SecuritySupport.getSystemProperty("org.xml.sax.parser");
        if (systemProperty != null) {
            return makeParser(systemProperty);
        }
        throw new NullPointerException("No value for sax.parser property");
    }

    public static Parser makeParser(String str) {
        return (Parser) NewInstance.newInstance(NewInstance.getClassLoader(), str);
    }
}
