package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import androidx.appcompat.widget.ActionMenuView;
import f.b.j;
import f.b.o.d.f;
import f.b.o.d.g;
import f.b.o.d.l;
import f.b.p.c;
import f.b.p.n;
import f.b.p.u;
import org.apache.xmlbeans.impl.common.ConcurrentReaderHashMap;

public class ActionMenuItemView extends n implements l.a, View.OnClickListener, ActionMenuView.a {
    public g C;
    public CharSequence D;
    public Drawable F;
    public f.b G;
    public u H;
    public b I;
    public boolean J;
    public boolean K;
    public int M;
    public int O;
    public int P;

    public class a extends u {
        public a() {
            super(ActionMenuItemView.this);
        }

        @Override // f.b.p.u
        public f.b.o.d.n b() {
            c.a aVar;
            b bVar = ActionMenuItemView.this.I;
            if (bVar == null || (aVar = c.this.Z) == null) {
                return null;
            }
            return aVar.a();
        }

        @Override // f.b.p.u
        public boolean c() {
            f.b.o.d.n b2;
            ActionMenuItemView actionMenuItemView = ActionMenuItemView.this;
            f.b bVar = actionMenuItemView.G;
            if (bVar == null || !bVar.a(actionMenuItemView.C) || (b2 = b()) == null || !b2.d()) {
                return false;
            }
            return true;
        }
    }

    public static abstract class b {
    }

    public ActionMenuItemView(Context context) {
        this(context, null);
    }

    @Override // f.b.o.d.l.a
    public void a(g gVar, int i2) {
        CharSequence charSequence;
        this.C = gVar;
        setIcon(gVar.getIcon());
        if (c()) {
            charSequence = gVar.getTitleCondensed();
        } else {
            charSequence = gVar.f345e;
        }
        setTitle(charSequence);
        setId(gVar.a);
        setVisibility(gVar.isVisible() ? 0 : 8);
        setEnabled(gVar.isEnabled());
        if (gVar.hasSubMenu() && this.H == null) {
            this.H = new a();
        }
    }

    @Override // androidx.appcompat.widget.ActionMenuView.a
    public boolean b() {
        return d() && this.C.getIcon() == null;
    }

    @Override // f.b.o.d.l.a
    public boolean c() {
        return true;
    }

    public boolean d() {
        return !TextUtils.isEmpty(getText());
    }

    public final boolean e() {
        Configuration configuration = getContext().getResources().getConfiguration();
        int i2 = configuration.screenWidthDp;
        return i2 >= 480 || (i2 >= 640 && configuration.screenHeightDp >= 480) || configuration.orientation == 2;
    }

    public final void f() {
        CharSequence charSequence;
        boolean z = true;
        boolean z2 = !TextUtils.isEmpty(this.D);
        if (this.F != null) {
            if (!((this.C.y & 4) == 4) || (!this.J && !this.K)) {
                z = false;
            }
        }
        boolean z3 = z2 & z;
        CharSequence charSequence2 = null;
        setText(z3 ? this.D : null);
        CharSequence charSequence3 = this.C.q;
        if (TextUtils.isEmpty(charSequence3)) {
            if (z3) {
                charSequence = null;
            } else {
                charSequence = this.C.f345e;
            }
            setContentDescription(charSequence);
        } else {
            setContentDescription(charSequence3);
        }
        CharSequence charSequence4 = this.C.r;
        if (TextUtils.isEmpty(charSequence4)) {
            if (!z3) {
                charSequence2 = this.C.f345e;
            }
            e.a.a.a.a.a(this, charSequence2);
            return;
        }
        e.a.a.a.a.a(this, charSequence4);
    }

    @Override // f.b.o.d.l.a
    public g getItemData() {
        return this.C;
    }

    public void onClick(View view) {
        f.b bVar = this.G;
        if (bVar != null) {
            bVar.a(this.C);
        }
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        this.J = e();
        f();
    }

    @Override // f.b.p.n
    public void onMeasure(int i2, int i3) {
        int i4;
        boolean d2 = d();
        if (d2 && (i4 = this.O) >= 0) {
            super.setPadding(i4, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
        super.onMeasure(i2, i3);
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        int measuredWidth = getMeasuredWidth();
        int min = mode == Integer.MIN_VALUE ? Math.min(size, this.M) : this.M;
        if (mode != 1073741824 && this.M > 0 && measuredWidth < min) {
            super.onMeasure(View.MeasureSpec.makeMeasureSpec(min, ConcurrentReaderHashMap.MAXIMUM_CAPACITY), i3);
        }
        if (!d2 && this.F != null) {
            super.setPadding((getMeasuredWidth() - this.F.getBounds().width()) / 2, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        super.onRestoreInstanceState(null);
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        u uVar;
        if (!this.C.hasSubMenu() || (uVar = this.H) == null || !uVar.onTouch(this, motionEvent)) {
            return super.onTouchEvent(motionEvent);
        }
        return true;
    }

    public void setCheckable(boolean z) {
    }

    public void setChecked(boolean z) {
    }

    public void setExpandedFormat(boolean z) {
        if (this.K != z) {
            this.K = z;
            g gVar = this.C;
            if (gVar != null) {
                gVar.n.g();
            }
        }
    }

    public void setIcon(Drawable drawable) {
        this.F = drawable;
        if (drawable != null) {
            int intrinsicWidth = drawable.getIntrinsicWidth();
            int intrinsicHeight = drawable.getIntrinsicHeight();
            int i2 = this.P;
            if (intrinsicWidth > i2) {
                intrinsicHeight = (int) (((float) intrinsicHeight) * (((float) i2) / ((float) intrinsicWidth)));
                intrinsicWidth = i2;
            }
            int i3 = this.P;
            if (intrinsicHeight > i3) {
                intrinsicWidth = (int) (((float) intrinsicWidth) * (((float) i3) / ((float) intrinsicHeight)));
                intrinsicHeight = i3;
            }
            drawable.setBounds(0, 0, intrinsicWidth, intrinsicHeight);
        }
        setCompoundDrawables(drawable, null, null, null);
        f();
    }

    public void setItemInvoker(f.b bVar) {
        this.G = bVar;
    }

    public void setPadding(int i2, int i3, int i4, int i5) {
        this.O = i2;
        super.setPadding(i2, i3, i4, i5);
    }

    public void setPopupCallback(b bVar) {
        this.I = bVar;
    }

    public void setTitle(CharSequence charSequence) {
        this.D = charSequence;
        f();
    }

    public ActionMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ActionMenuItemView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        Resources resources = context.getResources();
        this.J = e();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, j.ActionMenuItemView, i2, 0);
        this.M = obtainStyledAttributes.getDimensionPixelSize(j.ActionMenuItemView_android_minWidth, 0);
        obtainStyledAttributes.recycle();
        this.P = (int) ((resources.getDisplayMetrics().density * 32.0f) + 0.5f);
        setOnClickListener(this);
        this.O = -1;
        setSaveEnabled(false);
    }

    @Override // androidx.appcompat.widget.ActionMenuView.a
    public boolean a() {
        return d();
    }
}
