package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.ContextThemeWrapper;
import android.view.Gravity;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.appcompat.widget.ActionMenuView;
import f.b.k.a;
import f.b.o.d.k;
import f.b.o.d.p;
import f.b.p.c0;
import f.b.p.h;
import f.b.p.j;
import f.b.p.j0;
import f.b.p.l0;
import f.b.p.n;
import f.b.p.p0;
import f.b.p.q;
import f.f.j.k;
import java.util.ArrayList;
import java.util.List;
import org.apache.xmlbeans.impl.common.ConcurrentReaderHashMap;

public class Toolbar extends ViewGroup {
    public ImageButton A;
    public ImageView C;
    public Drawable D;
    public CharSequence F;
    public ImageButton G;
    public View H;
    public Context I;
    public int J;
    public int K;
    public int M;
    public int O;
    public int P;
    public int Q;
    public int U;
    public int V;
    public int W;
    public c0 a0;
    public int b0;
    public int c0;
    public int d0;
    public CharSequence e0;
    public CharSequence f0;
    public ColorStateList g0;
    public ColorStateList h0;
    public boolean i0;
    public boolean j0;
    public final ArrayList<View> k0;
    public final ArrayList<View> l0;
    public final int[] m0;
    public f n0;
    public final ActionMenuView.e o0;
    public l0 p0;
    public f.b.p.c q0;
    public d r0;
    public boolean s0;
    public final Runnable t0;
    public ActionMenuView x;
    public TextView y;
    public TextView z;

    public class a implements ActionMenuView.e {
        public a() {
        }
    }

    public class b implements Runnable {
        public b() {
        }

        public void run() {
            Toolbar.this.g();
        }
    }

    public class c implements View.OnClickListener {
        public c() {
        }

        public void onClick(View view) {
            d dVar = Toolbar.this.r0;
            f.b.o.d.g gVar = dVar == null ? null : dVar.y;
            if (gVar != null) {
                gVar.collapseActionView();
            }
        }
    }

    public interface f {
        boolean onMenuItemClick(MenuItem menuItem);
    }

    public Toolbar(Context context) {
        this(context, null);
    }

    private MenuInflater getMenuInflater() {
        return new f.b.o.b(getContext());
    }

    public void a() {
        if (this.G == null) {
            h hVar = new h(getContext(), null, f.b.a.toolbarNavigationButtonStyle);
            this.G = hVar;
            hVar.setImageDrawable(this.D);
            this.G.setContentDescription(this.F);
            e generateDefaultLayoutParams = generateDefaultLayoutParams();
            generateDefaultLayoutParams.a = 8388611 | (this.O & 112);
            generateDefaultLayoutParams.f16b = 2;
            this.G.setLayoutParams(generateDefaultLayoutParams);
            this.G.setOnClickListener(new c());
        }
    }

    public final int b(View view, int i2, int[] iArr, int i3) {
        e eVar = (e) view.getLayoutParams();
        int i4 = ((ViewGroup.MarginLayoutParams) eVar).rightMargin - iArr[1];
        int max = i2 - Math.max(0, i4);
        iArr[1] = Math.max(0, -i4);
        int a2 = a(view, i3);
        int measuredWidth = view.getMeasuredWidth();
        view.layout(max - measuredWidth, a2, max, view.getMeasuredHeight() + a2);
        return max - (measuredWidth + ((ViewGroup.MarginLayoutParams) eVar).leftMargin);
    }

    public final void c() {
        d();
        ActionMenuView actionMenuView = this.x;
        if (actionMenuView.Q == null) {
            f.b.o.d.f fVar = (f.b.o.d.f) actionMenuView.getMenu();
            if (this.r0 == null) {
                this.r0 = new d();
            }
            this.x.setExpandedActionViewsExclusive(true);
            fVar.a(this.r0, this.I);
        }
    }

    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return super.checkLayoutParams(layoutParams) && (layoutParams instanceof e);
    }

    public final void d() {
        if (this.x == null) {
            ActionMenuView actionMenuView = new ActionMenuView(getContext());
            this.x = actionMenuView;
            actionMenuView.setPopupTheme(this.J);
            this.x.setOnMenuItemClickListener(this.o0);
            ActionMenuView actionMenuView2 = this.x;
            actionMenuView2.b0 = null;
            actionMenuView2.c0 = null;
            e generateDefaultLayoutParams = generateDefaultLayoutParams();
            generateDefaultLayoutParams.a = 8388613 | (this.O & 112);
            this.x.setLayoutParams(generateDefaultLayoutParams);
            a((View) this.x, false);
        }
    }

    public final void e() {
        if (this.A == null) {
            this.A = new h(getContext(), null, f.b.a.toolbarNavigationButtonStyle);
            e generateDefaultLayoutParams = generateDefaultLayoutParams();
            generateDefaultLayoutParams.a = 8388611 | (this.O & 112);
            this.A.setLayoutParams(generateDefaultLayoutParams);
        }
    }

    public boolean f() {
        ActionMenuView actionMenuView = this.x;
        if (actionMenuView != null) {
            f.b.p.c cVar = actionMenuView.a0;
            if (cVar != null && cVar.e()) {
                return true;
            }
        }
        return false;
    }

    public boolean g() {
        ActionMenuView actionMenuView = this.x;
        if (actionMenuView != null) {
            f.b.p.c cVar = actionMenuView.a0;
            if (cVar != null && cVar.f()) {
                return true;
            }
        }
        return false;
    }

    public CharSequence getCollapseContentDescription() {
        ImageButton imageButton = this.G;
        if (imageButton != null) {
            return imageButton.getContentDescription();
        }
        return null;
    }

    public Drawable getCollapseIcon() {
        ImageButton imageButton = this.G;
        if (imageButton != null) {
            return imageButton.getDrawable();
        }
        return null;
    }

    public int getContentInsetEnd() {
        c0 c0Var = this.a0;
        if (c0Var != null) {
            return c0Var.f377g ? c0Var.a : c0Var.f373b;
        }
        return 0;
    }

    public int getContentInsetEndWithActions() {
        int i2 = this.c0;
        return i2 != Integer.MIN_VALUE ? i2 : getContentInsetEnd();
    }

    public int getContentInsetLeft() {
        c0 c0Var = this.a0;
        if (c0Var != null) {
            return c0Var.a;
        }
        return 0;
    }

    public int getContentInsetRight() {
        c0 c0Var = this.a0;
        if (c0Var != null) {
            return c0Var.f373b;
        }
        return 0;
    }

    public int getContentInsetStart() {
        c0 c0Var = this.a0;
        if (c0Var != null) {
            return c0Var.f377g ? c0Var.f373b : c0Var.a;
        }
        return 0;
    }

    public int getContentInsetStartWithNavigation() {
        int i2 = this.b0;
        return i2 != Integer.MIN_VALUE ? i2 : getContentInsetStart();
    }

    public int getCurrentContentInsetEnd() {
        f.b.o.d.f fVar;
        ActionMenuView actionMenuView = this.x;
        if ((actionMenuView == null || (fVar = actionMenuView.Q) == null || !fVar.hasVisibleItems()) ? false : true) {
            return Math.max(getContentInsetEnd(), Math.max(this.c0, 0));
        }
        return getContentInsetEnd();
    }

    public int getCurrentContentInsetLeft() {
        if (k.c(this) == 1) {
            return getCurrentContentInsetEnd();
        }
        return getCurrentContentInsetStart();
    }

    public int getCurrentContentInsetRight() {
        if (k.c(this) == 1) {
            return getCurrentContentInsetStart();
        }
        return getCurrentContentInsetEnd();
    }

    public int getCurrentContentInsetStart() {
        if (getNavigationIcon() != null) {
            return Math.max(getContentInsetStart(), Math.max(this.b0, 0));
        }
        return getContentInsetStart();
    }

    public Drawable getLogo() {
        ImageView imageView = this.C;
        if (imageView != null) {
            return imageView.getDrawable();
        }
        return null;
    }

    public CharSequence getLogoDescription() {
        ImageView imageView = this.C;
        if (imageView != null) {
            return imageView.getContentDescription();
        }
        return null;
    }

    public Menu getMenu() {
        c();
        return this.x.getMenu();
    }

    public CharSequence getNavigationContentDescription() {
        ImageButton imageButton = this.A;
        if (imageButton != null) {
            return imageButton.getContentDescription();
        }
        return null;
    }

    public Drawable getNavigationIcon() {
        ImageButton imageButton = this.A;
        if (imageButton != null) {
            return imageButton.getDrawable();
        }
        return null;
    }

    public f.b.p.c getOuterActionMenuPresenter() {
        return this.q0;
    }

    public Drawable getOverflowIcon() {
        c();
        return this.x.getOverflowIcon();
    }

    public Context getPopupContext() {
        return this.I;
    }

    public int getPopupTheme() {
        return this.J;
    }

    public CharSequence getSubtitle() {
        return this.f0;
    }

    public final TextView getSubtitleTextView() {
        return this.z;
    }

    public CharSequence getTitle() {
        return this.e0;
    }

    public int getTitleMarginBottom() {
        return this.W;
    }

    public int getTitleMarginEnd() {
        return this.U;
    }

    public int getTitleMarginStart() {
        return this.Q;
    }

    public int getTitleMarginTop() {
        return this.V;
    }

    public final TextView getTitleTextView() {
        return this.y;
    }

    public q getWrapper() {
        if (this.p0 == null) {
            this.p0 = new l0(this, true);
        }
        return this.p0;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        removeCallbacks(this.t0);
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 9) {
            this.j0 = false;
        }
        if (!this.j0) {
            boolean onHoverEvent = super.onHoverEvent(motionEvent);
            if (actionMasked == 9 && !onHoverEvent) {
                this.j0 = true;
            }
        }
        if (actionMasked == 10 || actionMasked == 3) {
            this.j0 = false;
        }
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:102:0x029f A[LOOP:0: B:101:0x029d->B:102:0x029f, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:105:0x02c1 A[LOOP:1: B:104:0x02bf->B:105:0x02c1, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x02e6 A[LOOP:2: B:107:0x02e4->B:108:0x02e6, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x0327  */
    /* JADX WARNING: Removed duplicated region for block: B:116:0x0338 A[LOOP:3: B:115:0x0336->B:116:0x0338, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x005f  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x0076  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x00b3  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x00ca  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00e7  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x0100  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x0105  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x011d  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x012c  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x012f  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x0133  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x0136  */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x0167  */
    /* JADX WARNING: Removed duplicated region for block: B:72:0x01a5  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x01b6  */
    /* JADX WARNING: Removed duplicated region for block: B:87:0x0225  */
    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        boolean d2;
        boolean d3;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int size;
        int i13;
        int i14;
        int size2;
        int i15;
        int size3;
        int i16;
        int i17;
        int size4;
        int i18;
        int i19;
        int i20;
        int i21;
        int i22;
        int i23;
        int i24;
        int i25;
        boolean z3 = k.c(this) == 1;
        int width = getWidth();
        int height = getHeight();
        int paddingLeft = getPaddingLeft();
        int paddingRight = getPaddingRight();
        int paddingTop = getPaddingTop();
        int paddingBottom = getPaddingBottom();
        int i26 = width - paddingRight;
        int[] iArr = this.m0;
        iArr[1] = 0;
        iArr[0] = 0;
        int minimumHeight = getMinimumHeight();
        int min = minimumHeight >= 0 ? Math.min(minimumHeight, i5 - i3) : 0;
        if (!d(this.A)) {
            i7 = paddingLeft;
        } else if (z3) {
            i6 = b(this.A, i26, iArr, min);
            i7 = paddingLeft;
            if (d(this.G)) {
                if (z3) {
                    i6 = b(this.G, i6, iArr, min);
                } else {
                    i7 = a(this.G, i7, iArr, min);
                }
            }
            if (d(this.x)) {
                if (z3) {
                    i7 = a(this.x, i7, iArr, min);
                } else {
                    i6 = b(this.x, i6, iArr, min);
                }
            }
            int currentContentInsetLeft = getCurrentContentInsetLeft();
            int currentContentInsetRight = getCurrentContentInsetRight();
            iArr[0] = Math.max(0, currentContentInsetLeft - i7);
            iArr[1] = Math.max(0, currentContentInsetRight - (i26 - i6));
            int max = Math.max(i7, currentContentInsetLeft);
            int min2 = Math.min(i6, i26 - currentContentInsetRight);
            if (d(this.H)) {
                if (z3) {
                    min2 = b(this.H, min2, iArr, min);
                } else {
                    max = a(this.H, max, iArr, min);
                }
            }
            if (d(this.C)) {
                if (z3) {
                    min2 = b(this.C, min2, iArr, min);
                } else {
                    max = a(this.C, max, iArr, min);
                }
            }
            d2 = d(this.y);
            d3 = d(this.z);
            if (!d2) {
                e eVar = (e) this.y.getLayoutParams();
                i8 = paddingRight;
                i9 = this.y.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) eVar).topMargin + ((ViewGroup.MarginLayoutParams) eVar).bottomMargin + 0;
            } else {
                i8 = paddingRight;
                i9 = 0;
            }
            if (!d3) {
                e eVar2 = (e) this.z.getLayoutParams();
                i10 = width;
                i9 += this.z.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) eVar2).topMargin + ((ViewGroup.MarginLayoutParams) eVar2).bottomMargin;
            } else {
                i10 = width;
            }
            if (!d2 || d3) {
                TextView textView = !d2 ? this.y : this.z;
                TextView textView2 = !d3 ? this.z : this.y;
                e eVar3 = (e) textView.getLayoutParams();
                e eVar4 = (e) textView2.getLayoutParams();
                boolean z4 = (!d2 && this.y.getMeasuredWidth() > 0) || (d3 && this.z.getMeasuredWidth() > 0);
                i19 = this.d0 & 112;
                i12 = paddingLeft;
                if (i19 != 48) {
                    i20 = max;
                    i11 = min;
                    i21 = getPaddingTop() + ((ViewGroup.MarginLayoutParams) eVar3).topMargin + this.V;
                } else if (i19 != 80) {
                    int i27 = (((height - paddingTop) - paddingBottom) - i9) / 2;
                    int i28 = ((ViewGroup.MarginLayoutParams) eVar3).topMargin;
                    i11 = min;
                    int i29 = this.V;
                    i20 = max;
                    if (i27 < i28 + i29) {
                        i27 = i28 + i29;
                    } else {
                        int i30 = (((height - paddingBottom) - i9) - i27) - paddingTop;
                        int i31 = ((ViewGroup.MarginLayoutParams) eVar3).bottomMargin;
                        int i32 = this.W;
                        if (i30 < i31 + i32) {
                            i27 = Math.max(0, i27 - ((((ViewGroup.MarginLayoutParams) eVar4).bottomMargin + i32) - i30));
                        }
                    }
                    i21 = paddingTop + i27;
                } else {
                    i20 = max;
                    i11 = min;
                    i21 = (((height - paddingBottom) - ((ViewGroup.MarginLayoutParams) eVar4).bottomMargin) - this.W) - i9;
                }
                if (!z3) {
                    int i33 = (z4 ? this.Q : 0) - iArr[1];
                    min2 -= Math.max(0, i33);
                    iArr[1] = Math.max(0, -i33);
                    if (d2) {
                        int measuredWidth = min2 - this.y.getMeasuredWidth();
                        int measuredHeight = this.y.getMeasuredHeight() + i21;
                        this.y.layout(measuredWidth, i21, min2, measuredHeight);
                        i24 = measuredWidth - this.U;
                        i21 = measuredHeight + ((ViewGroup.MarginLayoutParams) ((e) this.y.getLayoutParams())).bottomMargin;
                    } else {
                        i24 = min2;
                    }
                    if (d3) {
                        int i34 = i21 + ((ViewGroup.MarginLayoutParams) ((e) this.z.getLayoutParams())).topMargin;
                        this.z.layout(min2 - this.z.getMeasuredWidth(), i34, min2, this.z.getMeasuredHeight() + i34);
                        i25 = min2 - this.U;
                    } else {
                        i25 = min2;
                    }
                    if (z4) {
                        min2 = Math.min(i24, i25);
                    }
                    max = i20;
                } else {
                    int i35 = (z4 ? this.Q : 0) - iArr[0];
                    int max2 = Math.max(0, i35) + i20;
                    iArr[0] = Math.max(0, -i35);
                    if (d2) {
                        int measuredWidth2 = this.y.getMeasuredWidth() + max2;
                        int measuredHeight2 = this.y.getMeasuredHeight() + i21;
                        this.y.layout(max2, i21, measuredWidth2, measuredHeight2);
                        i22 = measuredWidth2 + this.U;
                        i21 = measuredHeight2 + ((ViewGroup.MarginLayoutParams) ((e) this.y.getLayoutParams())).bottomMargin;
                    } else {
                        i22 = max2;
                    }
                    if (d3) {
                        int i36 = i21 + ((ViewGroup.MarginLayoutParams) ((e) this.z.getLayoutParams())).topMargin;
                        int measuredWidth3 = this.z.getMeasuredWidth() + max2;
                        this.z.layout(max2, i36, measuredWidth3, this.z.getMeasuredHeight() + i36);
                        i23 = measuredWidth3 + this.U;
                    } else {
                        i23 = max2;
                    }
                    max = z4 ? Math.max(i22, i23) : max2;
                }
            } else {
                i12 = paddingLeft;
                i11 = min;
            }
            a(this.k0, 3);
            size = this.k0.size();
            i13 = max;
            for (i14 = 0; i14 < size; i14++) {
                i13 = a(this.k0.get(i14), i13, iArr, i11);
            }
            a(this.k0, 5);
            size2 = this.k0.size();
            for (i15 = 0; i15 < size2; i15++) {
                min2 = b(this.k0.get(i15), min2, iArr, i11);
            }
            a(this.k0, 1);
            ArrayList<View> arrayList = this.k0;
            int i37 = iArr[0];
            int i38 = iArr[1];
            size3 = arrayList.size();
            int i39 = i37;
            i16 = 0;
            int i40 = 0;
            while (i16 < size3) {
                View view = arrayList.get(i16);
                e eVar5 = (e) view.getLayoutParams();
                int i41 = ((ViewGroup.MarginLayoutParams) eVar5).leftMargin - i39;
                int i42 = ((ViewGroup.MarginLayoutParams) eVar5).rightMargin - i38;
                int max3 = Math.max(0, i41);
                int max4 = Math.max(0, i42);
                int max5 = Math.max(0, -i41);
                int max6 = Math.max(0, -i42);
                i40 += view.getMeasuredWidth() + max3 + max4;
                i16++;
                i38 = max6;
                i39 = max5;
            }
            i17 = ((((i10 - i12) - i8) / 2) + i12) - (i40 / 2);
            int i43 = i40 + i17;
            if (i17 >= i13) {
                i13 = i43 > min2 ? i17 - (i43 - min2) : i17;
            }
            size4 = this.k0.size();
            int i44 = i13;
            for (i18 = 0; i18 < size4; i18++) {
                i44 = a(this.k0.get(i18), i44, iArr, i11);
            }
            this.k0.clear();
        } else {
            i7 = a(this.A, paddingLeft, iArr, min);
        }
        i6 = i26;
        if (d(this.G)) {
        }
        if (d(this.x)) {
        }
        int currentContentInsetLeft2 = getCurrentContentInsetLeft();
        int currentContentInsetRight2 = getCurrentContentInsetRight();
        iArr[0] = Math.max(0, currentContentInsetLeft2 - i7);
        iArr[1] = Math.max(0, currentContentInsetRight2 - (i26 - i6));
        int max7 = Math.max(i7, currentContentInsetLeft2);
        int min22 = Math.min(i6, i26 - currentContentInsetRight2);
        if (d(this.H)) {
        }
        if (d(this.C)) {
        }
        d2 = d(this.y);
        d3 = d(this.z);
        if (!d2) {
        }
        if (!d3) {
        }
        if (!d2) {
        }
        if (!d2) {
        }
        if (!d3) {
        }
        e eVar32 = (e) textView.getLayoutParams();
        e eVar42 = (e) textView2.getLayoutParams();
        if (!d2) {
        }
        i19 = this.d0 & 112;
        i12 = paddingLeft;
        if (i19 != 48) {
        }
        if (!z3) {
        }
        a(this.k0, 3);
        size = this.k0.size();
        i13 = max7;
        while (i14 < size) {
        }
        a(this.k0, 5);
        size2 = this.k0.size();
        while (i15 < size2) {
        }
        a(this.k0, 1);
        ArrayList<View> arrayList2 = this.k0;
        int i372 = iArr[0];
        int i382 = iArr[1];
        size3 = arrayList2.size();
        int i392 = i372;
        i16 = 0;
        int i402 = 0;
        while (i16 < size3) {
        }
        i17 = ((((i10 - i12) - i8) / 2) + i12) - (i402 / 2);
        int i432 = i402 + i17;
        if (i17 >= i13) {
        }
        size4 = this.k0.size();
        int i442 = i13;
        while (i18 < size4) {
        }
        this.k0.clear();
    }

    public void onMeasure(int i2, int i3) {
        char c2;
        char c3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int[] iArr = this.m0;
        boolean z2 = true;
        int i11 = 0;
        if (p0.a(this)) {
            c3 = 1;
            c2 = 0;
        } else {
            c3 = 0;
            c2 = 1;
        }
        if (d(this.A)) {
            a(this.A, i2, 0, i3, 0, this.P);
            i6 = a(this.A) + this.A.getMeasuredWidth();
            i5 = Math.max(0, b(this.A) + this.A.getMeasuredHeight());
            i4 = View.combineMeasuredStates(0, this.A.getMeasuredState());
        } else {
            i6 = 0;
            i5 = 0;
            i4 = 0;
        }
        if (d(this.G)) {
            a(this.G, i2, 0, i3, 0, this.P);
            i6 = a(this.G) + this.G.getMeasuredWidth();
            i5 = Math.max(i5, b(this.G) + this.G.getMeasuredHeight());
            i4 = View.combineMeasuredStates(i4, this.G.getMeasuredState());
        }
        int currentContentInsetStart = getCurrentContentInsetStart();
        int max = Math.max(currentContentInsetStart, i6) + 0;
        iArr[c3] = Math.max(0, currentContentInsetStart - i6);
        if (d(this.x)) {
            a(this.x, i2, max, i3, 0, this.P);
            i7 = a(this.x) + this.x.getMeasuredWidth();
            i5 = Math.max(i5, b(this.x) + this.x.getMeasuredHeight());
            i4 = View.combineMeasuredStates(i4, this.x.getMeasuredState());
        } else {
            i7 = 0;
        }
        int currentContentInsetEnd = getCurrentContentInsetEnd();
        int max2 = Math.max(currentContentInsetEnd, i7) + max;
        iArr[c2] = Math.max(0, currentContentInsetEnd - i7);
        if (d(this.H)) {
            max2 += a(this.H, i2, max2, i3, 0, iArr);
            i5 = Math.max(i5, b(this.H) + this.H.getMeasuredHeight());
            i4 = View.combineMeasuredStates(i4, this.H.getMeasuredState());
        }
        if (d(this.C)) {
            max2 += a(this.C, i2, max2, i3, 0, iArr);
            i5 = Math.max(i5, b(this.C) + this.C.getMeasuredHeight());
            i4 = View.combineMeasuredStates(i4, this.C.getMeasuredState());
        }
        int childCount = getChildCount();
        for (int i12 = 0; i12 < childCount; i12++) {
            View childAt = getChildAt(i12);
            if (((e) childAt.getLayoutParams()).f16b == 0 && d(childAt)) {
                max2 += a(childAt, i2, max2, i3, 0, iArr);
                i5 = Math.max(i5, b(childAt) + childAt.getMeasuredHeight());
                i4 = View.combineMeasuredStates(i4, childAt.getMeasuredState());
            }
        }
        int i13 = this.V + this.W;
        int i14 = this.Q + this.U;
        if (d(this.y)) {
            a(this.y, i2, max2 + i14, i3, i13, iArr);
            int a2 = a(this.y) + this.y.getMeasuredWidth();
            i8 = b(this.y) + this.y.getMeasuredHeight();
            i10 = View.combineMeasuredStates(i4, this.y.getMeasuredState());
            i9 = a2;
        } else {
            i10 = i4;
            i9 = 0;
            i8 = 0;
        }
        if (d(this.z)) {
            i9 = Math.max(i9, a(this.z, i2, max2 + i14, i3, i8 + i13, iArr));
            i8 = b(this.z) + this.z.getMeasuredHeight() + i8;
            i10 = View.combineMeasuredStates(i10, this.z.getMeasuredState());
        }
        int max3 = Math.max(i5, i8);
        int paddingRight = getPaddingRight() + getPaddingLeft();
        int paddingBottom = getPaddingBottom() + getPaddingTop() + max3;
        int resolveSizeAndState = View.resolveSizeAndState(Math.max(paddingRight + max2 + i9, getSuggestedMinimumWidth()), i2, -16777216 & i10);
        int resolveSizeAndState2 = View.resolveSizeAndState(Math.max(paddingBottom, getSuggestedMinimumHeight()), i3, i10 << 16);
        if (this.s0) {
            int childCount2 = getChildCount();
            int i15 = 0;
            while (true) {
                if (i15 >= childCount2) {
                    break;
                }
                View childAt2 = getChildAt(i15);
                if (d(childAt2) && childAt2.getMeasuredWidth() > 0 && childAt2.getMeasuredHeight() > 0) {
                    break;
                }
                i15++;
            }
        }
        z2 = false;
        if (!z2) {
            i11 = resolveSizeAndState2;
        }
        setMeasuredDimension(resolveSizeAndState, i11);
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        MenuItem findItem;
        if (!(parcelable instanceof g)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        g gVar = (g) parcelable;
        super.onRestoreInstanceState(gVar.x);
        ActionMenuView actionMenuView = this.x;
        f.b.o.d.f fVar = actionMenuView != null ? actionMenuView.Q : null;
        int i2 = gVar.z;
        if (!(i2 == 0 || this.r0 == null || fVar == null || (findItem = fVar.findItem(i2)) == null)) {
            findItem.expandActionView();
        }
        if (gVar.A) {
            removeCallbacks(this.t0);
            post(this.t0);
        }
    }

    public void onRtlPropertiesChanged(int i2) {
        super.onRtlPropertiesChanged(i2);
        b();
        c0 c0Var = this.a0;
        boolean z2 = true;
        if (i2 != 1) {
            z2 = false;
        }
        if (z2 != c0Var.f377g) {
            c0Var.f377g = z2;
            if (!c0Var.f378h) {
                c0Var.a = c0Var.f375e;
                c0Var.f373b = c0Var.f376f;
            } else if (z2) {
                int i3 = c0Var.f374d;
                if (i3 == Integer.MIN_VALUE) {
                    i3 = c0Var.f375e;
                }
                c0Var.a = i3;
                int i4 = c0Var.c;
                if (i4 == Integer.MIN_VALUE) {
                    i4 = c0Var.f376f;
                }
                c0Var.f373b = i4;
            } else {
                int i5 = c0Var.c;
                if (i5 == Integer.MIN_VALUE) {
                    i5 = c0Var.f375e;
                }
                c0Var.a = i5;
                int i6 = c0Var.f374d;
                if (i6 == Integer.MIN_VALUE) {
                    i6 = c0Var.f376f;
                }
                c0Var.f373b = i6;
            }
        }
    }

    public Parcelable onSaveInstanceState() {
        f.b.o.d.g gVar;
        g gVar2 = new g(super.onSaveInstanceState());
        d dVar = this.r0;
        if (!(dVar == null || (gVar = dVar.y) == null)) {
            gVar2.z = gVar.a;
        }
        gVar2.A = f();
        return gVar2;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            this.i0 = false;
        }
        if (!this.i0) {
            boolean onTouchEvent = super.onTouchEvent(motionEvent);
            if (actionMasked == 0 && !onTouchEvent) {
                this.i0 = true;
            }
        }
        if (actionMasked == 1 || actionMasked == 3) {
            this.i0 = false;
        }
        return true;
    }

    public void setCollapseContentDescription(int i2) {
        setCollapseContentDescription(i2 != 0 ? getContext().getText(i2) : null);
    }

    public void setCollapseIcon(int i2) {
        setCollapseIcon(f.b.l.a.a.c(getContext(), i2));
    }

    public void setCollapsible(boolean z2) {
        this.s0 = z2;
        requestLayout();
    }

    public void setContentInsetEndWithActions(int i2) {
        if (i2 < 0) {
            i2 = Integer.MIN_VALUE;
        }
        if (i2 != this.c0) {
            this.c0 = i2;
            if (getNavigationIcon() != null) {
                requestLayout();
            }
        }
    }

    public void setContentInsetStartWithNavigation(int i2) {
        if (i2 < 0) {
            i2 = Integer.MIN_VALUE;
        }
        if (i2 != this.b0) {
            this.b0 = i2;
            if (getNavigationIcon() != null) {
                requestLayout();
            }
        }
    }

    public void setLogo(int i2) {
        setLogo(f.b.l.a.a.c(getContext(), i2));
    }

    public void setLogoDescription(int i2) {
        setLogoDescription(getContext().getText(i2));
    }

    public void setNavigationContentDescription(int i2) {
        setNavigationContentDescription(i2 != 0 ? getContext().getText(i2) : null);
    }

    public void setNavigationIcon(int i2) {
        setNavigationIcon(f.b.l.a.a.c(getContext(), i2));
    }

    public void setNavigationOnClickListener(View.OnClickListener onClickListener) {
        e();
        this.A.setOnClickListener(onClickListener);
    }

    public void setOnMenuItemClickListener(f fVar) {
        this.n0 = fVar;
    }

    public void setOverflowIcon(Drawable drawable) {
        c();
        this.x.setOverflowIcon(drawable);
    }

    public void setPopupTheme(int i2) {
        if (this.J != i2) {
            this.J = i2;
            if (i2 == 0) {
                this.I = getContext();
            } else {
                this.I = new ContextThemeWrapper(getContext(), i2);
            }
        }
    }

    public void setSubtitle(int i2) {
        setSubtitle(getContext().getText(i2));
    }

    public void setSubtitleTextColor(int i2) {
        setSubtitleTextColor(ColorStateList.valueOf(i2));
    }

    public void setTitle(int i2) {
        setTitle(getContext().getText(i2));
    }

    public void setTitleMarginBottom(int i2) {
        this.W = i2;
        requestLayout();
    }

    public void setTitleMarginEnd(int i2) {
        this.U = i2;
        requestLayout();
    }

    public void setTitleMarginStart(int i2) {
        this.Q = i2;
        requestLayout();
    }

    public void setTitleMarginTop(int i2) {
        this.V = i2;
        requestLayout();
    }

    public void setTitleTextColor(int i2) {
        setTitleTextColor(ColorStateList.valueOf(i2));
    }

    public static class e extends a.C0010a {

        /* renamed from: b  reason: collision with root package name */
        public int f16b = 0;

        public e(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public e(int i2, int i3) {
            super(i2, i3);
            this.a = 8388627;
        }

        public e(e eVar) {
            super((a.C0010a) eVar);
            this.f16b = eVar.f16b;
        }

        public e(a.C0010a aVar) {
            super(aVar);
        }

        public e(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
            ((ViewGroup.MarginLayoutParams) this).leftMargin = marginLayoutParams.leftMargin;
            ((ViewGroup.MarginLayoutParams) this).topMargin = marginLayoutParams.topMargin;
            ((ViewGroup.MarginLayoutParams) this).rightMargin = marginLayoutParams.rightMargin;
            ((ViewGroup.MarginLayoutParams) this).bottomMargin = marginLayoutParams.bottomMargin;
        }

        public e(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }

    public Toolbar(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, f.b.a.toolbarStyle);
    }

    public e generateDefaultLayoutParams() {
        return new e(-2, -2);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new e(getContext(), attributeSet);
    }

    public void setCollapseContentDescription(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            a();
        }
        ImageButton imageButton = this.G;
        if (imageButton != null) {
            imageButton.setContentDescription(charSequence);
        }
    }

    public void setCollapseIcon(Drawable drawable) {
        if (drawable != null) {
            a();
            this.G.setImageDrawable(drawable);
            return;
        }
        ImageButton imageButton = this.G;
        if (imageButton != null) {
            imageButton.setImageDrawable(this.D);
        }
    }

    public void setLogo(Drawable drawable) {
        if (drawable != null) {
            if (this.C == null) {
                this.C = new j(getContext(), null, 0);
            }
            if (!c(this.C)) {
                a((View) this.C, true);
            }
        } else {
            ImageView imageView = this.C;
            if (imageView != null && c(imageView)) {
                removeView(this.C);
                this.l0.remove(this.C);
            }
        }
        ImageView imageView2 = this.C;
        if (imageView2 != null) {
            imageView2.setImageDrawable(drawable);
        }
    }

    public void setLogoDescription(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence) && this.C == null) {
            this.C = new j(getContext(), null, 0);
        }
        ImageView imageView = this.C;
        if (imageView != null) {
            imageView.setContentDescription(charSequence);
        }
    }

    public void setNavigationContentDescription(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            e();
        }
        ImageButton imageButton = this.A;
        if (imageButton != null) {
            imageButton.setContentDescription(charSequence);
        }
    }

    public void setNavigationIcon(Drawable drawable) {
        if (drawable != null) {
            e();
            if (!c(this.A)) {
                a((View) this.A, true);
            }
        } else {
            ImageButton imageButton = this.A;
            if (imageButton != null && c(imageButton)) {
                removeView(this.A);
                this.l0.remove(this.A);
            }
        }
        ImageButton imageButton2 = this.A;
        if (imageButton2 != null) {
            imageButton2.setImageDrawable(drawable);
        }
    }

    public void setSubtitle(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (this.z == null) {
                Context context = getContext();
                n nVar = new n(context);
                this.z = nVar;
                nVar.setSingleLine();
                this.z.setEllipsize(TextUtils.TruncateAt.END);
                int i2 = this.M;
                if (i2 != 0) {
                    this.z.setTextAppearance(context, i2);
                }
                ColorStateList colorStateList = this.h0;
                if (colorStateList != null) {
                    this.z.setTextColor(colorStateList);
                }
            }
            if (!c(this.z)) {
                a((View) this.z, true);
            }
        } else {
            TextView textView = this.z;
            if (textView != null && c(textView)) {
                removeView(this.z);
                this.l0.remove(this.z);
            }
        }
        TextView textView2 = this.z;
        if (textView2 != null) {
            textView2.setText(charSequence);
        }
        this.f0 = charSequence;
    }

    public void setSubtitleTextColor(ColorStateList colorStateList) {
        this.h0 = colorStateList;
        TextView textView = this.z;
        if (textView != null) {
            textView.setTextColor(colorStateList);
        }
    }

    public void setTitle(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (this.y == null) {
                Context context = getContext();
                n nVar = new n(context);
                this.y = nVar;
                nVar.setSingleLine();
                this.y.setEllipsize(TextUtils.TruncateAt.END);
                int i2 = this.K;
                if (i2 != 0) {
                    this.y.setTextAppearance(context, i2);
                }
                ColorStateList colorStateList = this.g0;
                if (colorStateList != null) {
                    this.y.setTextColor(colorStateList);
                }
            }
            if (!c(this.y)) {
                a((View) this.y, true);
            }
        } else {
            TextView textView = this.y;
            if (textView != null && c(textView)) {
                removeView(this.y);
                this.l0.remove(this.y);
            }
        }
        TextView textView2 = this.y;
        if (textView2 != null) {
            textView2.setText(charSequence);
        }
        this.e0 = charSequence;
    }

    public void setTitleTextColor(ColorStateList colorStateList) {
        this.g0 = colorStateList;
        TextView textView = this.y;
        if (textView != null) {
            textView.setTextColor(colorStateList);
        }
    }

    public class d implements f.b.o.d.k {
        public f.b.o.d.f x;
        public f.b.o.d.g y;

        public d() {
        }

        @Override // f.b.o.d.k
        public void a(Context context, f.b.o.d.f fVar) {
            f.b.o.d.g gVar;
            f.b.o.d.f fVar2 = this.x;
            if (!(fVar2 == null || (gVar = this.y) == null)) {
                fVar2.a(gVar);
            }
            this.x = fVar;
        }

        @Override // f.b.o.d.k
        public void a(f.b.o.d.f fVar, boolean z2) {
        }

        @Override // f.b.o.d.k
        public void a(k.a aVar) {
        }

        @Override // f.b.o.d.k
        public boolean a() {
            return false;
        }

        @Override // f.b.o.d.k
        public boolean a(p pVar) {
            return false;
        }

        @Override // f.b.o.d.k
        public boolean b(f.b.o.d.f fVar, f.b.o.d.g gVar) {
            View view = Toolbar.this.H;
            if (view instanceof f.b.o.a) {
                ((f.b.o.a) view).a();
            }
            Toolbar toolbar = Toolbar.this;
            toolbar.removeView(toolbar.H);
            Toolbar toolbar2 = Toolbar.this;
            toolbar2.removeView(toolbar2.G);
            Toolbar toolbar3 = Toolbar.this;
            toolbar3.H = null;
            int size = toolbar3.l0.size();
            while (true) {
                size--;
                if (size >= 0) {
                    toolbar3.addView(toolbar3.l0.get(size));
                } else {
                    toolbar3.l0.clear();
                    this.y = null;
                    Toolbar.this.requestLayout();
                    gVar.C = false;
                    gVar.n.b(false);
                    return true;
                }
            }
        }

        @Override // f.b.o.d.k
        public void a(boolean z2) {
            if (this.y != null) {
                f.b.o.d.f fVar = this.x;
                boolean z3 = false;
                if (fVar != null) {
                    int size = fVar.size();
                    int i2 = 0;
                    while (true) {
                        if (i2 >= size) {
                            break;
                        } else if (this.x.getItem(i2) == this.y) {
                            z3 = true;
                            break;
                        } else {
                            i2++;
                        }
                    }
                }
                if (!z3) {
                    b(this.x, this.y);
                }
            }
        }

        @Override // f.b.o.d.k
        public boolean a(f.b.o.d.f fVar, f.b.o.d.g gVar) {
            Toolbar.this.a();
            ViewParent parent = Toolbar.this.G.getParent();
            Toolbar toolbar = Toolbar.this;
            if (parent != toolbar) {
                if (parent instanceof ViewGroup) {
                    ((ViewGroup) parent).removeView(toolbar.G);
                }
                Toolbar toolbar2 = Toolbar.this;
                toolbar2.addView(toolbar2.G);
            }
            Toolbar.this.H = gVar.getActionView();
            this.y = gVar;
            ViewParent parent2 = Toolbar.this.H.getParent();
            Toolbar toolbar3 = Toolbar.this;
            if (parent2 != toolbar3) {
                if (parent2 instanceof ViewGroup) {
                    ((ViewGroup) parent2).removeView(toolbar3.H);
                }
                e generateDefaultLayoutParams = Toolbar.this.generateDefaultLayoutParams();
                Toolbar toolbar4 = Toolbar.this;
                generateDefaultLayoutParams.a = 8388611 | (toolbar4.O & 112);
                generateDefaultLayoutParams.f16b = 2;
                toolbar4.H.setLayoutParams(generateDefaultLayoutParams);
                Toolbar toolbar5 = Toolbar.this;
                toolbar5.addView(toolbar5.H);
            }
            Toolbar toolbar6 = Toolbar.this;
            int childCount = toolbar6.getChildCount();
            while (true) {
                childCount--;
                if (childCount < 0) {
                    break;
                }
                View childAt = toolbar6.getChildAt(childCount);
                if (!(((e) childAt.getLayoutParams()).f16b == 2 || childAt == toolbar6.x)) {
                    toolbar6.removeViewAt(childCount);
                    toolbar6.l0.add(childAt);
                }
            }
            Toolbar.this.requestLayout();
            gVar.C = true;
            gVar.n.b(false);
            View view = Toolbar.this.H;
            if (view instanceof f.b.o.a) {
                ((f.b.o.a) view).b();
            }
            return true;
        }
    }

    public static class g extends f.h.a.a {
        public static final Parcelable.Creator<g> CREATOR = new a();
        public boolean A;
        public int z;

        public static class a implements Parcelable.ClassLoaderCreator<g> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.ClassLoaderCreator
            public g createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new g(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public Object[] newArray(int i2) {
                return new g[i2];
            }

            @Override // android.os.Parcelable.Creator
            public Object createFromParcel(Parcel parcel) {
                return new g(parcel, null);
            }
        }

        public g(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.z = parcel.readInt();
            this.A = parcel.readInt() != 0;
        }

        @Override // f.h.a.a
        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeParcelable(this.x, i2);
            parcel.writeInt(this.z);
            parcel.writeInt(this.A ? 1 : 0);
        }

        public g(Parcelable parcelable) {
            super(parcelable);
        }
    }

    public Toolbar(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.d0 = 8388627;
        this.k0 = new ArrayList<>();
        this.l0 = new ArrayList<>();
        this.m0 = new int[2];
        this.o0 = new a();
        this.t0 = new b();
        j0 a2 = j0.a(getContext(), attributeSet, f.b.j.Toolbar, i2, 0);
        this.K = a2.e(f.b.j.Toolbar_titleTextAppearance, 0);
        this.M = a2.e(f.b.j.Toolbar_subtitleTextAppearance, 0);
        this.d0 = a2.f399b.getInteger(f.b.j.Toolbar_android_gravity, this.d0);
        this.O = a2.f399b.getInteger(f.b.j.Toolbar_buttonGravity, 48);
        int a3 = a2.a(f.b.j.Toolbar_titleMargin, 0);
        a3 = a2.e(f.b.j.Toolbar_titleMargins) ? a2.a(f.b.j.Toolbar_titleMargins, a3) : a3;
        this.W = a3;
        this.V = a3;
        this.U = a3;
        this.Q = a3;
        int a4 = a2.a(f.b.j.Toolbar_titleMarginStart, -1);
        if (a4 >= 0) {
            this.Q = a4;
        }
        int a5 = a2.a(f.b.j.Toolbar_titleMarginEnd, -1);
        if (a5 >= 0) {
            this.U = a5;
        }
        int a6 = a2.a(f.b.j.Toolbar_titleMarginTop, -1);
        if (a6 >= 0) {
            this.V = a6;
        }
        int a7 = a2.a(f.b.j.Toolbar_titleMarginBottom, -1);
        if (a7 >= 0) {
            this.W = a7;
        }
        this.P = a2.b(f.b.j.Toolbar_maxButtonHeight, -1);
        int a8 = a2.a(f.b.j.Toolbar_contentInsetStart, Integer.MIN_VALUE);
        int a9 = a2.a(f.b.j.Toolbar_contentInsetEnd, Integer.MIN_VALUE);
        int b2 = a2.b(f.b.j.Toolbar_contentInsetLeft, 0);
        int b3 = a2.b(f.b.j.Toolbar_contentInsetRight, 0);
        b();
        c0 c0Var = this.a0;
        c0Var.f378h = false;
        if (b2 != Integer.MIN_VALUE) {
            c0Var.f375e = b2;
            c0Var.a = b2;
        }
        if (b3 != Integer.MIN_VALUE) {
            c0Var.f376f = b3;
            c0Var.f373b = b3;
        }
        if (!(a8 == Integer.MIN_VALUE && a9 == Integer.MIN_VALUE)) {
            this.a0.a(a8, a9);
        }
        this.b0 = a2.a(f.b.j.Toolbar_contentInsetStartWithNavigation, Integer.MIN_VALUE);
        this.c0 = a2.a(f.b.j.Toolbar_contentInsetEndWithActions, Integer.MIN_VALUE);
        this.D = a2.b(f.b.j.Toolbar_collapseIcon);
        this.F = a2.d(f.b.j.Toolbar_collapseContentDescription);
        CharSequence d2 = a2.d(f.b.j.Toolbar_title);
        if (!TextUtils.isEmpty(d2)) {
            setTitle(d2);
        }
        CharSequence d3 = a2.d(f.b.j.Toolbar_subtitle);
        if (!TextUtils.isEmpty(d3)) {
            setSubtitle(d3);
        }
        this.I = getContext();
        setPopupTheme(a2.e(f.b.j.Toolbar_popupTheme, 0));
        Drawable b4 = a2.b(f.b.j.Toolbar_navigationIcon);
        if (b4 != null) {
            setNavigationIcon(b4);
        }
        CharSequence d4 = a2.d(f.b.j.Toolbar_navigationContentDescription);
        if (!TextUtils.isEmpty(d4)) {
            setNavigationContentDescription(d4);
        }
        Drawable b5 = a2.b(f.b.j.Toolbar_logo);
        if (b5 != null) {
            setLogo(b5);
        }
        CharSequence d5 = a2.d(f.b.j.Toolbar_logoDescription);
        if (!TextUtils.isEmpty(d5)) {
            setLogoDescription(d5);
        }
        if (a2.e(f.b.j.Toolbar_titleTextColor)) {
            setTitleTextColor(a2.a(f.b.j.Toolbar_titleTextColor));
        }
        if (a2.e(f.b.j.Toolbar_subtitleTextColor)) {
            setSubtitleTextColor(a2.a(f.b.j.Toolbar_subtitleTextColor));
        }
        if (a2.e(f.b.j.Toolbar_menu)) {
            getMenuInflater().inflate(a2.e(f.b.j.Toolbar_menu, 0), getMenu());
        }
        a2.f399b.recycle();
    }

    @Override // android.view.ViewGroup
    public e generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof e) {
            return new e((e) layoutParams);
        }
        if (layoutParams instanceof a.C0010a) {
            return new e((a.C0010a) layoutParams);
        }
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new e((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new e(layoutParams);
    }

    public final int b(View view) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        return marginLayoutParams.topMargin + marginLayoutParams.bottomMargin;
    }

    public final boolean c(View view) {
        return view.getParent() == this || this.l0.contains(view);
    }

    public final void a(View view, boolean z2) {
        e eVar;
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (layoutParams == null) {
            eVar = generateDefaultLayoutParams();
        } else if (!checkLayoutParams(layoutParams)) {
            eVar = generateLayoutParams(layoutParams);
        } else {
            eVar = (e) layoutParams;
        }
        eVar.f16b = 1;
        if (!z2 || this.H == null) {
            addView(view, eVar);
            return;
        }
        view.setLayoutParams(eVar);
        this.l0.add(view);
    }

    public final void b() {
        if (this.a0 == null) {
            this.a0 = new c0();
        }
    }

    public final boolean d(View view) {
        return (view == null || view.getParent() != this || view.getVisibility() == 8) ? false : true;
    }

    public final void a(View view, int i2, int i3, int i4, int i5, int i6) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        int childMeasureSpec = ViewGroup.getChildMeasureSpec(i2, getPaddingRight() + getPaddingLeft() + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin + i3, marginLayoutParams.width);
        int childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i4, getPaddingBottom() + getPaddingTop() + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin + i5, marginLayoutParams.height);
        int mode = View.MeasureSpec.getMode(childMeasureSpec2);
        if (mode != 1073741824 && i6 >= 0) {
            if (mode != 0) {
                i6 = Math.min(View.MeasureSpec.getSize(childMeasureSpec2), i6);
            }
            childMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(i6, ConcurrentReaderHashMap.MAXIMUM_CAPACITY);
        }
        view.measure(childMeasureSpec, childMeasureSpec2);
    }

    public final int a(View view, int i2, int i3, int i4, int i5, int[] iArr) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        int i6 = marginLayoutParams.leftMargin - iArr[0];
        int i7 = marginLayoutParams.rightMargin - iArr[1];
        int max = Math.max(0, i7) + Math.max(0, i6);
        iArr[0] = Math.max(0, -i6);
        iArr[1] = Math.max(0, -i7);
        view.measure(ViewGroup.getChildMeasureSpec(i2, getPaddingRight() + getPaddingLeft() + max + i3, marginLayoutParams.width), ViewGroup.getChildMeasureSpec(i4, getPaddingBottom() + getPaddingTop() + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin + i5, marginLayoutParams.height));
        return view.getMeasuredWidth() + max;
    }

    public final int a(View view, int i2, int[] iArr, int i3) {
        e eVar = (e) view.getLayoutParams();
        int i4 = ((ViewGroup.MarginLayoutParams) eVar).leftMargin - iArr[0];
        int max = Math.max(0, i4) + i2;
        iArr[0] = Math.max(0, -i4);
        int a2 = a(view, i3);
        int measuredWidth = view.getMeasuredWidth();
        view.layout(max, a2, max + measuredWidth, view.getMeasuredHeight() + a2);
        return measuredWidth + ((ViewGroup.MarginLayoutParams) eVar).rightMargin + max;
    }

    public final int a(View view, int i2) {
        e eVar = (e) view.getLayoutParams();
        int measuredHeight = view.getMeasuredHeight();
        int i3 = i2 > 0 ? (measuredHeight - i2) / 2 : 0;
        int i4 = eVar.a & 112;
        if (!(i4 == 16 || i4 == 48 || i4 == 80)) {
            i4 = this.d0 & 112;
        }
        if (i4 == 48) {
            return getPaddingTop() - i3;
        }
        if (i4 == 80) {
            return (((getHeight() - getPaddingBottom()) - measuredHeight) - ((ViewGroup.MarginLayoutParams) eVar).bottomMargin) - i3;
        }
        int paddingTop = getPaddingTop();
        int paddingBottom = getPaddingBottom();
        int height = getHeight();
        int i5 = (((height - paddingTop) - paddingBottom) - measuredHeight) / 2;
        int i6 = ((ViewGroup.MarginLayoutParams) eVar).topMargin;
        if (i5 < i6) {
            i5 = i6;
        } else {
            int i7 = (((height - paddingBottom) - measuredHeight) - i5) - paddingTop;
            int i8 = ((ViewGroup.MarginLayoutParams) eVar).bottomMargin;
            if (i7 < i8) {
                i5 = Math.max(0, i5 - (i8 - i7));
            }
        }
        return paddingTop + i5;
    }

    public final void a(List<View> list, int i2) {
        boolean z2 = f.f.j.k.c(this) == 1;
        int childCount = getChildCount();
        int absoluteGravity = Gravity.getAbsoluteGravity(i2, getLayoutDirection());
        list.clear();
        if (z2) {
            for (int i3 = childCount - 1; i3 >= 0; i3--) {
                View childAt = getChildAt(i3);
                e eVar = (e) childAt.getLayoutParams();
                if (eVar.f16b == 0 && d(childAt) && a(eVar.a) == absoluteGravity) {
                    list.add(childAt);
                }
            }
            return;
        }
        for (int i4 = 0; i4 < childCount; i4++) {
            View childAt2 = getChildAt(i4);
            e eVar2 = (e) childAt2.getLayoutParams();
            if (eVar2.f16b == 0 && d(childAt2) && a(eVar2.a) == absoluteGravity) {
                list.add(childAt2);
            }
        }
    }

    public final int a(int i2) {
        int c2 = f.f.j.k.c(this);
        int absoluteGravity = Gravity.getAbsoluteGravity(i2, c2) & 7;
        if (absoluteGravity == 1 || absoluteGravity == 3 || absoluteGravity == 5) {
            return absoluteGravity;
        }
        return c2 == 1 ? 5 : 3;
    }

    public final int a(View view) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        return marginLayoutParams.getMarginStart() + marginLayoutParams.getMarginEnd();
    }
}
