package f.b.o.d;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Rect;
import android.view.Gravity;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.AdapterView;
import android.widget.FrameLayout;
import android.widget.ListView;
import android.widget.PopupWindow;
import android.widget.TextView;
import f.b.d;
import f.b.g;
import f.b.o.d.k;
import f.b.p.s;
import f.b.p.z;

/* compiled from: StandardMenuPopup */
public final class o extends i implements PopupWindow.OnDismissListener, AdapterView.OnItemClickListener, k, View.OnKeyListener {
    public static final int a0 = g.abc_popup_menu_item_layout;
    public final e A;
    public final boolean C;
    public final int D;
    public final int F;
    public final int G;
    public final z H;
    public final ViewTreeObserver.OnGlobalLayoutListener I = new a();
    public final View.OnAttachStateChangeListener J = new b();
    public PopupWindow.OnDismissListener K;
    public View M;
    public View O;
    public k.a P;
    public ViewTreeObserver Q;
    public boolean U;
    public boolean V;
    public int W;
    public int Y = 0;
    public boolean Z;
    public final Context y;
    public final f z;

    /* compiled from: StandardMenuPopup */
    public class a implements ViewTreeObserver.OnGlobalLayoutListener {
        public a() {
        }

        public void onGlobalLayout() {
            if (o.this.d()) {
                o oVar = o.this;
                if (!oVar.H.f0) {
                    View view = oVar.O;
                    if (view == null || !view.isShown()) {
                        o.this.dismiss();
                    } else {
                        o.this.H.b();
                    }
                }
            }
        }
    }

    /* compiled from: StandardMenuPopup */
    public class b implements View.OnAttachStateChangeListener {
        public b() {
        }

        public void onViewAttachedToWindow(View view) {
        }

        public void onViewDetachedFromWindow(View view) {
            ViewTreeObserver viewTreeObserver = o.this.Q;
            if (viewTreeObserver != null) {
                if (!viewTreeObserver.isAlive()) {
                    o.this.Q = view.getViewTreeObserver();
                }
                o oVar = o.this;
                oVar.Q.removeGlobalOnLayoutListener(oVar.I);
            }
            view.removeOnAttachStateChangeListener(this);
        }
    }

    public o(Context context, f fVar, View view, int i2, int i3, boolean z2) {
        this.y = context;
        this.z = fVar;
        this.C = z2;
        this.A = new e(fVar, LayoutInflater.from(context), this.C, a0);
        this.F = i2;
        this.G = i3;
        Resources resources = context.getResources();
        this.D = Math.max(resources.getDisplayMetrics().widthPixels / 2, resources.getDimensionPixelSize(d.abc_config_prefDialogWidth));
        this.M = view;
        this.H = new z(this.y, null, this.F, this.G);
        fVar.a(this, context);
    }

    @Override // f.b.o.d.i
    public void a(int i2) {
        this.Y = i2;
    }

    @Override // f.b.o.d.i
    public void a(f fVar) {
    }

    @Override // f.b.o.d.k
    public boolean a() {
        return false;
    }

    @Override // f.b.o.d.i
    public void b(boolean z2) {
        this.A.z = z2;
    }

    @Override // f.b.o.d.n
    public ListView c() {
        return this.H.z;
    }

    @Override // f.b.o.d.n
    public boolean d() {
        return !this.U && this.H.d();
    }

    @Override // f.b.o.d.n
    public void dismiss() {
        if (d()) {
            this.H.dismiss();
        }
    }

    public void onDismiss() {
        this.U = true;
        this.z.a(true);
        ViewTreeObserver viewTreeObserver = this.Q;
        if (viewTreeObserver != null) {
            if (!viewTreeObserver.isAlive()) {
                this.Q = this.O.getViewTreeObserver();
            }
            this.Q.removeGlobalOnLayoutListener(this.I);
            this.Q = null;
        }
        this.O.removeOnAttachStateChangeListener(this.J);
        PopupWindow.OnDismissListener onDismissListener = this.K;
        if (onDismissListener != null) {
            onDismissListener.onDismiss();
        }
    }

    public boolean onKey(View view, int i2, KeyEvent keyEvent) {
        if (keyEvent.getAction() != 1 || i2 != 82) {
            return false;
        }
        dismiss();
        return true;
    }

    @Override // f.b.o.d.k
    public void a(boolean z2) {
        this.V = false;
        e eVar = this.A;
        if (eVar != null) {
            eVar.notifyDataSetChanged();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:33:0x00c8 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x00c9  */
    @Override // f.b.o.d.n
    public void b() {
        View view;
        boolean z2 = false;
        if (!d()) {
            if (!this.U && (view = this.M) != null) {
                this.O = view;
                this.H.g0.setOnDismissListener(this);
                z zVar = this.H;
                zVar.W = this;
                zVar.a(true);
                View view2 = this.O;
                boolean z3 = this.Q == null;
                ViewTreeObserver viewTreeObserver = view2.getViewTreeObserver();
                this.Q = viewTreeObserver;
                if (z3) {
                    viewTreeObserver.addOnGlobalLayoutListener(this.I);
                }
                view2.addOnAttachStateChangeListener(this.J);
                z zVar2 = this.H;
                zVar2.V = view2;
                zVar2.K = this.Y;
                if (!this.V) {
                    this.W = i.a(this.A, null, this.y, this.D);
                    this.V = true;
                }
                this.H.a(this.W);
                this.H.g0.setInputMethodMode(2);
                z zVar3 = this.H;
                Rect rect = this.x;
                if (zVar3 != null) {
                    zVar3.e0 = rect != null ? new Rect(rect) : null;
                    this.H.b();
                    s sVar = this.H.z;
                    sVar.setOnKeyListener(this);
                    if (this.Z && this.z.m != null) {
                        FrameLayout frameLayout = (FrameLayout) LayoutInflater.from(this.y).inflate(g.abc_popup_menu_header_item_layout, (ViewGroup) sVar, false);
                        TextView textView = (TextView) frameLayout.findViewById(16908310);
                        if (textView != null) {
                            textView.setText(this.z.m);
                        }
                        frameLayout.setEnabled(false);
                        sVar.addHeaderView(frameLayout, null, false);
                    }
                    this.H.a(this.A);
                    this.H.b();
                } else {
                    throw null;
                }
            }
            if (z2) {
                throw new IllegalStateException("StandardMenuPopup cannot be used without an anchor");
            }
            return;
        }
        z2 = true;
        if (z2) {
        }
    }

    @Override // f.b.o.d.i
    public void c(int i2) {
        z zVar = this.H;
        zVar.F = i2;
        zVar.H = true;
    }

    @Override // f.b.o.d.k
    public void a(k.a aVar) {
        this.P = aVar;
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x006e  */
    @Override // f.b.o.d.k
    public boolean a(p pVar) {
        int i2;
        boolean z2;
        if (pVar.hasVisibleItems()) {
            j jVar = new j(this.y, pVar, this.O, this.C, this.F, this.G);
            jVar.a(this.P);
            boolean b2 = i.b(pVar);
            jVar.f361h = b2;
            i iVar = jVar.j;
            if (iVar != null) {
                iVar.b(b2);
            }
            jVar.k = this.K;
            this.K = null;
            this.z.a(false);
            z zVar = this.H;
            int i3 = zVar.D;
            if (!zVar.H) {
                i2 = 0;
            } else {
                i2 = zVar.F;
            }
            if ((Gravity.getAbsoluteGravity(this.Y, f.f.j.k.c(this.M)) & 7) == 5) {
                i3 += this.M.getWidth();
            }
            if (!jVar.b()) {
                if (jVar.f359f == null) {
                    z2 = false;
                    if (z2) {
                        k.a aVar = this.P;
                        if (aVar != null) {
                            aVar.a(pVar);
                        }
                        return true;
                    }
                } else {
                    jVar.a(i3, i2, true, true);
                }
            }
            z2 = true;
            if (z2) {
            }
        }
        return false;
    }

    @Override // f.b.o.d.i
    public void c(boolean z2) {
        this.Z = z2;
    }

    @Override // f.b.o.d.k
    public void a(f fVar, boolean z2) {
        if (fVar == this.z) {
            dismiss();
            k.a aVar = this.P;
            if (aVar != null) {
                aVar.a(fVar, z2);
            }
        }
    }

    @Override // f.b.o.d.i
    public void a(View view) {
        this.M = view;
    }

    @Override // f.b.o.d.i
    public void a(PopupWindow.OnDismissListener onDismissListener) {
        this.K = onDismissListener;
    }

    @Override // f.b.o.d.i
    public void b(int i2) {
        this.H.D = i2;
    }
}
