package f.b.p;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.util.AttributeSet;
import android.view.ActionMode;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import android.view.textclassifier.TextClassifier;
import android.widget.TextView;
import f.f.f.c;
import f.f.i.a;
import f.f.k.b;
import f.f.k.e;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Future;

/* compiled from: AppCompatTextView */
public class n extends TextView implements e, b {
    public Future<a> A;
    public final e x;
    public final m y;
    public final l z;

    public n(Context context) {
        this(context, null);
    }

    public void drawableStateChanged() {
        super.drawableStateChanged();
        e eVar = this.x;
        if (eVar != null) {
            eVar.a();
        }
        m mVar = this.y;
        if (mVar != null) {
            mVar.a();
        }
    }

    public int getAutoSizeMaxTextSize() {
        if (b.a) {
            return super.getAutoSizeMaxTextSize();
        }
        m mVar = this.y;
        if (mVar != null) {
            return Math.round(mVar.f414i.f423e);
        }
        return -1;
    }

    public int getAutoSizeMinTextSize() {
        if (b.a) {
            return super.getAutoSizeMinTextSize();
        }
        m mVar = this.y;
        if (mVar != null) {
            return Math.round(mVar.f414i.f422d);
        }
        return -1;
    }

    public int getAutoSizeStepGranularity() {
        if (b.a) {
            return super.getAutoSizeStepGranularity();
        }
        m mVar = this.y;
        if (mVar != null) {
            return Math.round(mVar.f414i.c);
        }
        return -1;
    }

    public int[] getAutoSizeTextAvailableSizes() {
        if (b.a) {
            return super.getAutoSizeTextAvailableSizes();
        }
        m mVar = this.y;
        return mVar != null ? mVar.f414i.f424f : new int[0];
    }

    @SuppressLint({"WrongConstant"})
    public int getAutoSizeTextType() {
        if (!b.a) {
            m mVar = this.y;
            if (mVar != null) {
                return mVar.f414i.a;
            }
            return 0;
        } else if (super.getAutoSizeTextType() == 1) {
            return 1;
        } else {
            return 0;
        }
    }

    public int getFirstBaselineToTopHeight() {
        return getPaddingTop() - getPaint().getFontMetricsInt().top;
    }

    public int getLastBaselineToBottomHeight() {
        return getPaddingBottom() + getPaint().getFontMetricsInt().bottom;
    }

    public ColorStateList getSupportBackgroundTintList() {
        e eVar = this.x;
        if (eVar != null) {
            return eVar.b();
        }
        return null;
    }

    public PorterDuff.Mode getSupportBackgroundTintMode() {
        e eVar = this.x;
        if (eVar != null) {
            return eVar.c();
        }
        return null;
    }

    public ColorStateList getSupportCompoundDrawablesTintList() {
        h0 h0Var = this.y.f413h;
        if (h0Var != null) {
            return h0Var.a;
        }
        return null;
    }

    public PorterDuff.Mode getSupportCompoundDrawablesTintMode() {
        h0 h0Var = this.y.f413h;
        if (h0Var != null) {
            return h0Var.f396b;
        }
        return null;
    }

    public CharSequence getText() {
        Future<a> future = this.A;
        if (future != null) {
            try {
                this.A = null;
                e.a.a.a.a.a((TextView) this, future.get());
            } catch (InterruptedException | ExecutionException unused) {
            }
        }
        return super.getText();
    }

    public TextClassifier getTextClassifier() {
        l lVar;
        if (Build.VERSION.SDK_INT >= 28 || (lVar = this.z) == null) {
            return super.getTextClassifier();
        }
        return lVar.a();
    }

    public a.C0025a getTextMetricsParamsCompat() {
        return e.a.a.a.a.a((TextView) this);
    }

    public InputConnection onCreateInputConnection(EditorInfo editorInfo) {
        InputConnection onCreateInputConnection = super.onCreateInputConnection(editorInfo);
        e.a.a.a.a.a(onCreateInputConnection, editorInfo, this);
        return onCreateInputConnection;
    }

    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        super.onLayout(z2, i2, i3, i4, i5);
        m mVar = this.y;
        if (mVar != null && !b.a) {
            mVar.f414i.a();
        }
    }

    public void onMeasure(int i2, int i3) {
        Future<a> future = this.A;
        if (future != null) {
            try {
                this.A = null;
                e.a.a.a.a.a((TextView) this, future.get());
            } catch (InterruptedException | ExecutionException unused) {
            }
        }
        super.onMeasure(i2, i3);
    }

    public void onTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
        super.onTextChanged(charSequence, i2, i3, i4);
        m mVar = this.y;
        if (mVar != null && !b.a && mVar.b()) {
            this.y.f414i.a();
        }
    }

    public void setAutoSizeTextTypeUniformWithConfiguration(int i2, int i3, int i4, int i5) {
        if (b.a) {
            super.setAutoSizeTextTypeUniformWithConfiguration(i2, i3, i4, i5);
            return;
        }
        m mVar = this.y;
        if (mVar != null) {
            mVar.a(i2, i3, i4, i5);
        }
    }

    public void setAutoSizeTextTypeUniformWithPresetSizes(int[] iArr, int i2) {
        if (b.a) {
            super.setAutoSizeTextTypeUniformWithPresetSizes(iArr, i2);
            return;
        }
        m mVar = this.y;
        if (mVar != null) {
            mVar.a(iArr, i2);
        }
    }

    public void setAutoSizeTextTypeWithDefaults(int i2) {
        if (b.a) {
            super.setAutoSizeTextTypeWithDefaults(i2);
            return;
        }
        m mVar = this.y;
        if (mVar != null) {
            mVar.a(i2);
        }
    }

    public void setBackgroundDrawable(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
        e eVar = this.x;
        if (eVar != null) {
            eVar.d();
        }
    }

    public void setBackgroundResource(int i2) {
        super.setBackgroundResource(i2);
        e eVar = this.x;
        if (eVar != null) {
            eVar.a(i2);
        }
    }

    public void setCompoundDrawables(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        super.setCompoundDrawables(drawable, drawable2, drawable3, drawable4);
        m mVar = this.y;
        if (mVar != null) {
            mVar.a();
        }
    }

    public void setCompoundDrawablesRelative(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        super.setCompoundDrawablesRelative(drawable, drawable2, drawable3, drawable4);
        m mVar = this.y;
        if (mVar != null) {
            mVar.a();
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesRelativeWithIntrinsicBounds(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        super.setCompoundDrawablesRelativeWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        m mVar = this.y;
        if (mVar != null) {
            mVar.a();
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesWithIntrinsicBounds(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        super.setCompoundDrawablesWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        m mVar = this.y;
        if (mVar != null) {
            mVar.a();
        }
    }

    public void setCustomSelectionActionModeCallback(ActionMode.Callback callback) {
        super.setCustomSelectionActionModeCallback(e.a.a.a.a.a(this, callback));
    }

    public void setFirstBaselineToTopHeight(int i2) {
        if (Build.VERSION.SDK_INT >= 28) {
            super.setFirstBaselineToTopHeight(i2);
        } else {
            e.a.a.a.a.a(this, i2);
        }
    }

    public void setLastBaselineToBottomHeight(int i2) {
        if (Build.VERSION.SDK_INT >= 28) {
            super.setLastBaselineToBottomHeight(i2);
        } else {
            e.a.a.a.a.b(this, i2);
        }
    }

    public void setLineHeight(int i2) {
        e.a.a.a.a.c(this, i2);
    }

    public void setPrecomputedText(a aVar) {
        e.a.a.a.a.a((TextView) this, aVar);
    }

    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        e eVar = this.x;
        if (eVar != null) {
            eVar.b(colorStateList);
        }
    }

    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        e eVar = this.x;
        if (eVar != null) {
            eVar.a(mode);
        }
    }

    @Override // f.f.k.e
    public void setSupportCompoundDrawablesTintList(ColorStateList colorStateList) {
        m mVar = this.y;
        if (mVar.f413h == null) {
            mVar.f413h = new h0();
        }
        h0 h0Var = mVar.f413h;
        h0Var.a = colorStateList;
        h0Var.f397d = colorStateList != null;
        h0 h0Var2 = mVar.f413h;
        mVar.f408b = h0Var2;
        mVar.c = h0Var2;
        mVar.f409d = h0Var2;
        mVar.f410e = h0Var2;
        mVar.f411f = h0Var2;
        mVar.f412g = h0Var2;
        this.y.a();
    }

    @Override // f.f.k.e
    public void setSupportCompoundDrawablesTintMode(PorterDuff.Mode mode) {
        m mVar = this.y;
        if (mVar.f413h == null) {
            mVar.f413h = new h0();
        }
        h0 h0Var = mVar.f413h;
        h0Var.f396b = mode;
        h0Var.c = mode != null;
        h0 h0Var2 = mVar.f413h;
        mVar.f408b = h0Var2;
        mVar.c = h0Var2;
        mVar.f409d = h0Var2;
        mVar.f410e = h0Var2;
        mVar.f411f = h0Var2;
        mVar.f412g = h0Var2;
        this.y.a();
    }

    public void setTextAppearance(Context context, int i2) {
        super.setTextAppearance(context, i2);
        m mVar = this.y;
        if (mVar != null) {
            mVar.a(context, i2);
        }
    }

    public void setTextClassifier(TextClassifier textClassifier) {
        l lVar;
        if (Build.VERSION.SDK_INT >= 28 || (lVar = this.z) == null) {
            super.setTextClassifier(textClassifier);
        } else {
            lVar.f400b = textClassifier;
        }
    }

    public void setTextFuture(Future<a> future) {
        this.A = future;
        if (future != null) {
            requestLayout();
        }
    }

    public void setTextMetricsParamsCompat(a.C0025a aVar) {
        TextDirectionHeuristic textDirectionHeuristic = aVar.f556b;
        int i2 = 1;
        if (!(textDirectionHeuristic == TextDirectionHeuristics.FIRSTSTRONG_RTL || textDirectionHeuristic == TextDirectionHeuristics.FIRSTSTRONG_LTR)) {
            if (textDirectionHeuristic == TextDirectionHeuristics.ANYRTL_LTR) {
                i2 = 2;
            } else if (textDirectionHeuristic == TextDirectionHeuristics.LTR) {
                i2 = 3;
            } else if (textDirectionHeuristic == TextDirectionHeuristics.RTL) {
                i2 = 4;
            } else if (textDirectionHeuristic == TextDirectionHeuristics.LOCALE) {
                i2 = 5;
            } else if (textDirectionHeuristic == TextDirectionHeuristics.FIRSTSTRONG_LTR) {
                i2 = 6;
            } else if (textDirectionHeuristic == TextDirectionHeuristics.FIRSTSTRONG_RTL) {
                i2 = 7;
            }
        }
        setTextDirection(i2);
        if (Build.VERSION.SDK_INT < 23) {
            float textScaleX = aVar.a.getTextScaleX();
            getPaint().set(aVar.a);
            if (textScaleX == getTextScaleX()) {
                setTextScaleX((textScaleX / 2.0f) + 1.0f);
            }
            setTextScaleX(textScaleX);
            return;
        }
        getPaint().set(aVar.a);
        setBreakStrategy(aVar.c);
        setHyphenationFrequency(aVar.f557d);
    }

    public void setTextSize(int i2, float f2) {
        boolean z2 = b.a;
        if (z2) {
            super.setTextSize(i2, f2);
            return;
        }
        m mVar = this.y;
        if (mVar != null && !z2 && !mVar.b()) {
            mVar.f414i.a(i2, f2);
        }
    }

    public void setTypeface(Typeface typeface, int i2) {
        Typeface a = (typeface == null || i2 <= 0) ? null : c.a(getContext(), typeface, i2);
        if (a != null) {
            typeface = a;
        }
        super.setTypeface(typeface, i2);
    }

    public n(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 16842884);
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public n(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        g0.a(context);
        e eVar = new e(this);
        this.x = eVar;
        eVar.a(attributeSet, i2);
        m mVar = new m(this);
        this.y = mVar;
        mVar.a(attributeSet, i2);
        this.y.a();
        this.z = new l(this);
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesRelativeWithIntrinsicBounds(int i2, int i3, int i4, int i5) {
        Context context = getContext();
        Drawable drawable = null;
        Drawable c = i2 != 0 ? f.b.l.a.a.c(context, i2) : null;
        Drawable c2 = i3 != 0 ? f.b.l.a.a.c(context, i3) : null;
        Drawable c3 = i4 != 0 ? f.b.l.a.a.c(context, i4) : null;
        if (i5 != 0) {
            drawable = f.b.l.a.a.c(context, i5);
        }
        setCompoundDrawablesRelativeWithIntrinsicBounds(c, c2, c3, drawable);
        m mVar = this.y;
        if (mVar != null) {
            mVar.a();
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesWithIntrinsicBounds(int i2, int i3, int i4, int i5) {
        Context context = getContext();
        Drawable drawable = null;
        Drawable c = i2 != 0 ? f.b.l.a.a.c(context, i2) : null;
        Drawable c2 = i3 != 0 ? f.b.l.a.a.c(context, i3) : null;
        Drawable c3 = i4 != 0 ? f.b.l.a.a.c(context, i4) : null;
        if (i5 != 0) {
            drawable = f.b.l.a.a.c(context, i5);
        }
        setCompoundDrawablesWithIntrinsicBounds(c, c2, c3, drawable);
        m mVar = this.y;
        if (mVar != null) {
            mVar.a();
        }
    }
}
