package f.b.p;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.ListAdapter;
import android.widget.ListView;
import f.f.j.m;
import f.f.k.c;
import java.lang.reflect.Field;
import org.apache.xmlbeans.impl.common.ConcurrentReaderHashMap;

/* compiled from: DropDownListView */
public class s extends ListView {
    public int A = 0;
    public int C = 0;
    public int D;
    public Field F;
    public a G;
    public boolean H;
    public boolean I;
    public boolean J;
    public m K;
    public c M;
    public b O;
    public final Rect x = new Rect();
    public int y = 0;
    public int z = 0;

    /* compiled from: DropDownListView */
    public static class a extends f.b.m.a.c {
        public boolean y = true;

        public a(Drawable drawable) {
            super(drawable);
        }

        @Override // f.b.m.a.c
        public void draw(Canvas canvas) {
            if (this.y) {
                this.x.draw(canvas);
            }
        }

        @Override // f.b.m.a.c
        public void setHotspot(float f2, float f3) {
            if (this.y) {
                this.x.setHotspot(f2, f3);
            }
        }

        @Override // f.b.m.a.c
        public void setHotspotBounds(int i2, int i3, int i4, int i5) {
            if (this.y) {
                this.x.setHotspotBounds(i2, i3, i4, i5);
            }
        }

        @Override // f.b.m.a.c
        public boolean setState(int[] iArr) {
            if (this.y) {
                return this.x.setState(iArr);
            }
            return false;
        }

        @Override // f.b.m.a.c
        public boolean setVisible(boolean z, boolean z2) {
            if (this.y) {
                return super.setVisible(z, z2);
            }
            return false;
        }
    }

    /* compiled from: DropDownListView */
    public class b implements Runnable {
        public b() {
        }

        public void run() {
            s sVar = s.this;
            sVar.O = null;
            sVar.drawableStateChanged();
        }
    }

    public s(Context context, boolean z2) {
        super(context, null, f.b.a.dropDownListViewStyle);
        this.I = z2;
        setCacheColorHint(0);
        try {
            Field declaredField = AbsListView.class.getDeclaredField("mIsChildViewEnabled");
            this.F = declaredField;
            declaredField.setAccessible(true);
        } catch (NoSuchFieldException e2) {
            e2.printStackTrace();
        }
    }

    private void setSelectorEnabled(boolean z2) {
        a aVar = this.G;
        if (aVar != null) {
            aVar.y = z2;
        }
    }

    public int a(int i2, int i3, int i4) {
        int i5;
        int listPaddingTop = getListPaddingTop();
        int listPaddingBottom = getListPaddingBottom();
        getListPaddingLeft();
        getListPaddingRight();
        int dividerHeight = getDividerHeight();
        Drawable divider = getDivider();
        ListAdapter adapter = getAdapter();
        if (adapter == null) {
            return listPaddingTop + listPaddingBottom;
        }
        int i6 = listPaddingTop + listPaddingBottom;
        if (dividerHeight <= 0 || divider == null) {
            dividerHeight = 0;
        }
        int count = adapter.getCount();
        View view = null;
        int i7 = 0;
        int i8 = 0;
        int i9 = 0;
        while (i7 < count) {
            int itemViewType = adapter.getItemViewType(i7);
            if (itemViewType != i8) {
                view = null;
                i8 = itemViewType;
            }
            view = adapter.getView(i7, view, this);
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (layoutParams == null) {
                layoutParams = generateDefaultLayoutParams();
                view.setLayoutParams(layoutParams);
            }
            int i10 = layoutParams.height;
            if (i10 > 0) {
                i5 = View.MeasureSpec.makeMeasureSpec(i10, ConcurrentReaderHashMap.MAXIMUM_CAPACITY);
            } else {
                i5 = View.MeasureSpec.makeMeasureSpec(0, 0);
            }
            view.measure(i2, i5);
            view.forceLayout();
            if (i7 > 0) {
                i6 += dividerHeight;
            }
            i6 += view.getMeasuredHeight();
            if (i6 >= i3) {
                return (i4 < 0 || i7 <= i4 || i9 <= 0 || i6 == i3) ? i3 : i9;
            }
            if (i4 >= 0 && i7 >= i4) {
                i9 = i6;
            }
            i7++;
        }
        return i6;
    }

    public void dispatchDraw(Canvas canvas) {
        Drawable selector;
        if (!this.x.isEmpty() && (selector = getSelector()) != null) {
            selector.setBounds(this.x);
            selector.draw(canvas);
        }
        super.dispatchDraw(canvas);
    }

    public void drawableStateChanged() {
        if (this.O == null) {
            super.drawableStateChanged();
            setSelectorEnabled(true);
            a();
        }
    }

    public boolean hasFocus() {
        return this.I || super.hasFocus();
    }

    public boolean hasWindowFocus() {
        return this.I || super.hasWindowFocus();
    }

    public boolean isFocused() {
        return this.I || super.isFocused();
    }

    public boolean isInTouchMode() {
        return (this.I && this.H) || super.isInTouchMode();
    }

    public void onDetachedFromWindow() {
        this.O = null;
        super.onDetachedFromWindow();
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        if (Build.VERSION.SDK_INT < 26) {
            return super.onHoverEvent(motionEvent);
        }
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 10 && this.O == null) {
            b bVar = new b();
            this.O = bVar;
            s.this.post(bVar);
        }
        boolean onHoverEvent = super.onHoverEvent(motionEvent);
        if (actionMasked == 9 || actionMasked == 7) {
            int pointToPosition = pointToPosition((int) motionEvent.getX(), (int) motionEvent.getY());
            if (!(pointToPosition == -1 || pointToPosition == getSelectedItemPosition())) {
                View childAt = getChildAt(pointToPosition - getFirstVisiblePosition());
                if (childAt.isEnabled()) {
                    setSelectionFromTop(pointToPosition, childAt.getTop() - getTop());
                }
                a();
            }
        } else {
            setSelection(-1);
        }
        return onHoverEvent;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (motionEvent.getAction() == 0) {
            this.D = pointToPosition((int) motionEvent.getX(), (int) motionEvent.getY());
        }
        b bVar = this.O;
        if (bVar != null) {
            s sVar = s.this;
            sVar.O = null;
            sVar.removeCallbacks(bVar);
        }
        return super.onTouchEvent(motionEvent);
    }

    public void setListSelectionHidden(boolean z2) {
        this.H = z2;
    }

    @Override // android.widget.AbsListView
    public void setSelector(Drawable drawable) {
        a aVar = drawable != null ? new a(drawable) : null;
        this.G = aVar;
        super.setSelector(aVar);
        Rect rect = new Rect();
        if (drawable != null) {
            drawable.getPadding(rect);
        }
        this.y = rect.left;
        this.z = rect.top;
        this.A = rect.right;
        this.C = rect.bottom;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:5:0x0010, code lost:
        if (r3 != 3) goto L_0x0121;
     */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x013c  */
    /* JADX WARNING: Removed duplicated region for block: B:69:0x0143  */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x014b  */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x0161  */
    public boolean a(MotionEvent motionEvent, int i2) {
        boolean z2;
        View childAt;
        m mVar;
        View childAt2;
        int actionMasked = motionEvent.getActionMasked();
        boolean z3 = true;
        if (actionMasked == 1) {
            z2 = false;
        } else if (actionMasked == 2) {
            z2 = true;
        }
        int findPointerIndex = motionEvent.findPointerIndex(i2);
        if (findPointerIndex >= 0) {
            int x2 = (int) motionEvent.getX(findPointerIndex);
            int y2 = (int) motionEvent.getY(findPointerIndex);
            int pointToPosition = pointToPosition(x2, y2);
            if (pointToPosition != -1) {
                View childAt3 = getChildAt(pointToPosition - getFirstVisiblePosition());
                float f2 = (float) x2;
                float f3 = (float) y2;
                this.J = true;
                drawableHotspotChanged(f2, f3);
                if (!isPressed()) {
                    setPressed(true);
                }
                layoutChildren();
                int i3 = this.D;
                if (!(i3 == -1 || (childAt2 = getChildAt(i3 - getFirstVisiblePosition())) == null || childAt2 == childAt3 || !childAt2.isPressed())) {
                    childAt2.setPressed(false);
                }
                this.D = pointToPosition;
                childAt3.drawableHotspotChanged(f2 - ((float) childAt3.getLeft()), f3 - ((float) childAt3.getTop()));
                if (!childAt3.isPressed()) {
                    childAt3.setPressed(true);
                }
                Drawable selector = getSelector();
                boolean z4 = (selector == null || pointToPosition == -1) ? false : true;
                if (z4) {
                    selector.setVisible(false, false);
                }
                Rect rect = this.x;
                rect.set(childAt3.getLeft(), childAt3.getTop(), childAt3.getRight(), childAt3.getBottom());
                rect.left -= this.y;
                rect.top -= this.z;
                rect.right += this.A;
                rect.bottom += this.C;
                try {
                    boolean z5 = this.F.getBoolean(this);
                    if (childAt3.isEnabled() != z5) {
                        this.F.set(this, Boolean.valueOf(!z5));
                        if (pointToPosition != -1) {
                            refreshDrawableState();
                        }
                    }
                } catch (IllegalAccessException e2) {
                    e2.printStackTrace();
                }
                if (z4) {
                    Rect rect2 = this.x;
                    float exactCenterX = rect2.exactCenterX();
                    float exactCenterY = rect2.exactCenterY();
                    selector.setVisible(getVisibility() == 0, false);
                    selector.setHotspot(exactCenterX, exactCenterY);
                }
                Drawable selector2 = getSelector();
                if (!(selector2 == null || pointToPosition == -1)) {
                    selector2.setHotspot(f2, f3);
                }
                setSelectorEnabled(false);
                refreshDrawableState();
                if (actionMasked == 1) {
                    performItemClick(childAt3, pointToPosition, getItemIdAtPosition(pointToPosition));
                }
                z2 = true;
                z3 = false;
            }
            if (!z2 || z3) {
                this.J = false;
                setPressed(false);
                drawableStateChanged();
                childAt = getChildAt(this.D - getFirstVisiblePosition());
                if (childAt != null) {
                    childAt.setPressed(false);
                }
                mVar = this.K;
                if (mVar != null) {
                    mVar.a();
                    this.K = null;
                }
            }
            if (!z2) {
                if (this.M == null) {
                    this.M = new c(this);
                }
                c cVar = this.M;
                boolean z6 = cVar.Q;
                cVar.Q = true;
                cVar.onTouch(this, motionEvent);
            } else {
                c cVar2 = this.M;
                if (cVar2 != null) {
                    if (cVar2.Q) {
                        cVar2.a();
                    }
                    cVar2.Q = false;
                }
            }
            return z2;
        }
        z2 = false;
        z3 = false;
        this.J = false;
        setPressed(false);
        drawableStateChanged();
        childAt = getChildAt(this.D - getFirstVisiblePosition());
        if (childAt != null) {
        }
        mVar = this.K;
        if (mVar != null) {
        }
        if (!z2) {
        }
        return z2;
    }

    public final void a() {
        Drawable selector = getSelector();
        if (selector != null && this.J && isPressed()) {
            selector.setState(getDrawableState());
        }
    }
}
