package i.a.b.f;

import i.a.b.g.l;
import org.apache.lucene.codecs.lucene3x.Lucene3xFields;
import org.apache.poi.hpsf.Filetime;

/* compiled from: ByteArrayDataInput */
public final class e extends l {
    public byte[] x;
    public int y;
    public int z;

    public e(byte[] bArr, int i2, int i3) {
        this.x = bArr;
        this.y = i2;
        this.z = i2 + i3;
    }

    public void a(byte[] bArr, int i2, int i3) {
        this.x = bArr;
        this.y = i2;
        this.z = i2 + i3;
    }

    @Override // i.a.b.f.l
    public byte readByte() {
        byte[] bArr = this.x;
        int i2 = this.y;
        this.y = i2 + 1;
        return bArr[i2];
    }

    @Override // i.a.b.f.l
    public void readBytes(byte[] bArr, int i2, int i3) {
        System.arraycopy(this.x, this.y, bArr, i2, i3);
        this.y += i3;
    }

    @Override // i.a.b.f.l
    public int readInt() {
        byte[] bArr = this.x;
        int i2 = this.y;
        int i3 = i2 + 1;
        this.y = i3;
        int i4 = i3 + 1;
        this.y = i4;
        int i5 = ((bArr[i2] & 255) << 24) | ((bArr[i3] & 255) << 16);
        int i6 = i4 + 1;
        this.y = i6;
        int i7 = i5 | ((bArr[i4] & 255) << 8);
        this.y = i6 + 1;
        return (bArr[i6] & 255) | i7;
    }

    @Override // i.a.b.f.l
    public long readLong() {
        byte[] bArr = this.x;
        int i2 = this.y;
        int i3 = i2 + 1;
        this.y = i3;
        int i4 = i3 + 1;
        this.y = i4;
        int i5 = ((bArr[i2] & 255) << 24) | ((bArr[i3] & 255) << 16);
        int i6 = i4 + 1;
        this.y = i6;
        int i7 = i5 | ((bArr[i4] & 255) << 8);
        int i8 = i6 + 1;
        this.y = i8;
        int i9 = i7 | (bArr[i6] & 255);
        int i10 = i8 + 1;
        this.y = i10;
        int i11 = i10 + 1;
        this.y = i11;
        int i12 = ((bArr[i10] & 255) << 16) | ((bArr[i8] & 255) << 24);
        int i13 = i11 + 1;
        this.y = i13;
        int i14 = i12 | ((bArr[i11] & 255) << 8);
        this.y = i13 + 1;
        return (((long) i9) << 32) | (((long) ((bArr[i13] & 255) | i14)) & Filetime.UINT_MASK);
    }

    @Override // i.a.b.f.l
    public short readShort() {
        byte[] bArr = this.x;
        int i2 = this.y;
        int i3 = i2 + 1;
        this.y = i3;
        this.y = i3 + 1;
        return (short) ((bArr[i3] & 255) | ((bArr[i2] & 255) << 8));
    }

    @Override // i.a.b.f.l
    public int readVInt() {
        byte[] bArr = this.x;
        int i2 = this.y;
        int i3 = i2 + 1;
        this.y = i3;
        byte b2 = bArr[i2];
        if (b2 >= 0) {
            return b2;
        }
        int i4 = i3 + 1;
        this.y = i4;
        byte b3 = bArr[i3];
        int i5 = (b2 & Byte.MAX_VALUE) | ((b3 & Byte.MAX_VALUE) << 7);
        if (b3 >= 0) {
            return i5;
        }
        int i6 = i4 + 1;
        this.y = i6;
        byte b4 = bArr[i4];
        int i7 = i5 | ((b4 & Byte.MAX_VALUE) << 14);
        if (b4 >= 0) {
            return i7;
        }
        int i8 = i6 + 1;
        this.y = i8;
        byte b5 = bArr[i6];
        int i9 = i7 | ((b5 & Byte.MAX_VALUE) << 21);
        if (b5 >= 0) {
            return i9;
        }
        this.y = i8 + 1;
        byte b6 = bArr[i8];
        int i10 = i9 | ((b6 & 15) << 28);
        if ((b6 & Lucene3xFields.PreTermsEnum.UTF8_NON_BMP_LEAD) == 0) {
            return i10;
        }
        throw new RuntimeException("Invalid vInt detected (too many bits)");
    }

    @Override // i.a.b.f.l
    public long readVLong() {
        byte[] bArr = this.x;
        int i2 = this.y;
        int i3 = i2 + 1;
        this.y = i3;
        byte b2 = bArr[i2];
        if (b2 >= 0) {
            return (long) b2;
        }
        int i4 = i3 + 1;
        this.y = i4;
        byte b3 = bArr[i3];
        long j = (((long) b2) & 127) | ((((long) b3) & 127) << 7);
        if (b3 >= 0) {
            return j;
        }
        int i5 = i4 + 1;
        this.y = i5;
        byte b4 = bArr[i4];
        long j2 = j | ((((long) b4) & 127) << 14);
        if (b4 >= 0) {
            return j2;
        }
        int i6 = i5 + 1;
        this.y = i6;
        byte b5 = bArr[i5];
        long j3 = j2 | ((((long) b5) & 127) << 21);
        if (b5 >= 0) {
            return j3;
        }
        int i7 = i6 + 1;
        this.y = i7;
        byte b6 = bArr[i6];
        long j4 = j3 | ((((long) b6) & 127) << 28);
        if (b6 >= 0) {
            return j4;
        }
        int i8 = i7 + 1;
        this.y = i8;
        byte b7 = bArr[i7];
        long j5 = j4 | ((((long) b7) & 127) << 35);
        if (b7 >= 0) {
            return j5;
        }
        int i9 = i8 + 1;
        this.y = i9;
        byte b8 = bArr[i8];
        long j6 = j5 | ((((long) b8) & 127) << 42);
        if (b8 >= 0) {
            return j6;
        }
        int i10 = i9 + 1;
        this.y = i10;
        byte b9 = bArr[i9];
        long j7 = j6 | ((((long) b9) & 127) << 49);
        if (b9 >= 0) {
            return j7;
        }
        this.y = i10 + 1;
        byte b10 = bArr[i10];
        long j8 = ((((long) b10) & 127) << 56) | j7;
        if (b10 >= 0) {
            return j8;
        }
        throw new RuntimeException("Invalid vLong detected (negative values disallowed)");
    }

    public void a(int i2) {
        this.y += i2;
    }

    public e() {
        byte[] bArr = l.A;
        int length = bArr.length;
        this.x = bArr;
        this.y = 0;
        this.z = length + 0;
    }
}
