package i.a.b.f;

import b.b.a.a.a;
import i.a.b.f.z;
import i.a.b.g.c1;
import i.a.b.g.d1;
import java.io.EOFException;
import java.io.IOException;
import java.nio.BufferUnderflowException;
import java.nio.ByteBuffer;
import java.security.AccessController;
import java.security.PrivilegedActionException;

/* compiled from: ByteBufferIndexInput */
public abstract class g extends u {
    public int A;
    public long C;
    public String D;
    public int F;
    public ByteBuffer G;
    public boolean H = false;
    public final d1<g, Boolean> I;
    public ByteBuffer[] x;
    public final long y;
    public final int z;

    public g(String str, ByteBuffer[] byteBufferArr, long j, int i2, boolean z2) {
        super(str);
        this.x = byteBufferArr;
        this.C = j;
        this.z = i2;
        this.y = (1 << i2) - 1;
        this.I = z2 ? d1.a(true) : null;
        seek(0);
    }

    public final g a(long j, long j2) {
        if (this.x == null) {
            throw new a("Already closed: " + this);
        } else if (j < 0 || j2 < 0 || j + j2 > this.C) {
            StringBuilder b2 = a.b("slice() ");
            b2.append(this.D);
            b2.append(" out of bounds: offset=");
            b2.append(j);
            b2.append(",length=");
            b2.append(j2);
            b2.append(",fileLength=");
            b2.append(this.C);
            b2.append(": ");
            b2.append(this);
            throw new IllegalArgumentException(b2.toString());
        } else {
            long j3 = j + ((long) this.A);
            g gVar = (g) super.clone();
            gVar.H = true;
            ByteBuffer[] byteBufferArr = this.x;
            long j4 = j2 + j3;
            int i2 = this.z;
            int i3 = (int) (j3 >>> i2);
            int i4 = (((int) (j4 >>> i2)) - i3) + 1;
            ByteBuffer[] byteBufferArr2 = new ByteBuffer[i4];
            for (int i5 = 0; i5 < i4; i5++) {
                byteBufferArr2[i5] = byteBufferArr[i3 + i5].duplicate();
            }
            byteBufferArr2[i4 - 1].limit((int) (j4 & this.y));
            gVar.x = byteBufferArr2;
            gVar.A = (int) (j3 & this.y);
            gVar.C = j2;
            d1<g, Boolean> d1Var = this.I;
            if (d1Var != null) {
                d1Var.a(gVar, Boolean.TRUE);
            }
            return gVar;
        }
    }

    @Override // i.a.b.f.u, java.io.Closeable, java.lang.AutoCloseable
    public final void close() {
        try {
            if (this.x != null) {
                ByteBuffer[] byteBufferArr = this.x;
                a();
                if (this.I != null) {
                    d1<g, Boolean> d1Var = this.I;
                    d1Var.a();
                    d1Var.f1408b.remove(new d1.a(this, null));
                }
                if (this.H) {
                    a();
                    return;
                }
                if (this.I != null) {
                    d1<g, Boolean> d1Var2 = this.I;
                    d1Var2.a();
                    c1 c1Var = new c1(d1Var2, d1Var2.f1408b.keySet().iterator());
                    while (c1Var.hasNext()) {
                        ((g) c1Var.next()).a();
                    }
                    d1<g, Boolean> d1Var3 = this.I;
                    d1Var3.f1408b.clear();
                    d1Var3.a();
                }
                for (ByteBuffer byteBuffer : byteBufferArr) {
                    z.b bVar = (z.b) this;
                    if (bVar.J) {
                        try {
                            AccessController.doPrivileged(new a0(bVar, byteBuffer));
                        } catch (PrivilegedActionException e2) {
                            IOException iOException = new IOException("unable to unmap the mapped buffer");
                            iOException.initCause(e2.getCause());
                            throw iOException;
                        }
                    }
                }
                a();
            }
        } finally {
            a();
        }
    }

    @Override // i.a.b.f.u
    public final long getFilePointer() {
        try {
            return ((((long) this.F) << this.z) + ((long) this.G.position())) - ((long) this.A);
        } catch (NullPointerException unused) {
            throw new a("Already closed: " + this);
        }
    }

    @Override // i.a.b.f.u
    public final long length() {
        return this.C;
    }

    @Override // i.a.b.f.l
    public final byte readByte() {
        try {
            return this.G.get();
        } catch (BufferUnderflowException unused) {
            do {
                int i2 = this.F + 1;
                this.F = i2;
                ByteBuffer[] byteBufferArr = this.x;
                if (i2 < byteBufferArr.length) {
                    ByteBuffer byteBuffer = byteBufferArr[i2];
                    this.G = byteBuffer;
                    byteBuffer.position(0);
                } else {
                    throw new EOFException("read past EOF: " + this);
                }
            } while (!this.G.hasRemaining());
            return this.G.get();
        } catch (NullPointerException unused2) {
            throw new a("Already closed: " + this);
        }
    }

    @Override // i.a.b.f.l
    public final void readBytes(byte[] bArr, int i2, int i3) {
        try {
            this.G.get(bArr, i2, i3);
        } catch (BufferUnderflowException unused) {
            int remaining = this.G.remaining();
            while (i3 > remaining) {
                this.G.get(bArr, i2, remaining);
                i3 -= remaining;
                i2 += remaining;
                int i4 = this.F + 1;
                this.F = i4;
                ByteBuffer[] byteBufferArr = this.x;
                if (i4 < byteBufferArr.length) {
                    ByteBuffer byteBuffer = byteBufferArr[i4];
                    this.G = byteBuffer;
                    byteBuffer.position(0);
                    remaining = this.G.remaining();
                } else {
                    throw new EOFException("read past EOF: " + this);
                }
            }
            this.G.get(bArr, i2, i3);
        } catch (NullPointerException unused2) {
            throw new a("Already closed: " + this);
        }
    }

    @Override // i.a.b.f.l
    public final int readInt() {
        try {
            return this.G.getInt();
        } catch (BufferUnderflowException unused) {
            return super.readInt();
        } catch (NullPointerException unused2) {
            throw new a("Already closed: " + this);
        }
    }

    @Override // i.a.b.f.l
    public final long readLong() {
        try {
            return this.G.getLong();
        } catch (BufferUnderflowException unused) {
            return super.readLong();
        } catch (NullPointerException unused2) {
            throw new a("Already closed: " + this);
        }
    }

    @Override // i.a.b.f.l
    public final short readShort() {
        try {
            return this.G.getShort();
        } catch (BufferUnderflowException unused) {
            return super.readShort();
        } catch (NullPointerException unused2) {
            throw new a("Already closed: " + this);
        }
    }

    @Override // i.a.b.f.u
    public final void seek(long j) {
        if (j >= 0) {
            long j2 = j + ((long) this.A);
            int i2 = (int) (j2 >> this.z);
            try {
                ByteBuffer byteBuffer = this.x[i2];
                byteBuffer.position((int) (j2 & this.y));
                this.F = i2;
                this.G = byteBuffer;
            } catch (ArrayIndexOutOfBoundsException unused) {
                throw new EOFException("seek past EOF: " + this);
            } catch (IllegalArgumentException unused2) {
                throw new EOFException("seek past EOF: " + this);
            } catch (NullPointerException unused3) {
                throw new a("Already closed: " + this);
            }
        } else {
            throw new IllegalArgumentException("Seeking to negative position: " + this);
        }
    }

    @Override // i.a.b.f.u
    public final String toString() {
        if (this.D == null) {
            return super.toString();
        }
        StringBuilder sb = new StringBuilder();
        sb.append(super.toString());
        sb.append(" [slice=");
        return a.a(sb, this.D, "]");
    }

    @Override // i.a.b.f.u, i.a.b.f.u, i.a.b.f.u, i.a.b.f.l, i.a.b.f.l, java.lang.Object
    public final g clone() {
        g a = a(0, this.C);
        try {
            a.seek(getFilePointer());
            return a;
        } catch (IOException e2) {
            throw new RuntimeException("Should never happen: " + this, e2);
        }
    }

    public final void a() {
        this.x = null;
        this.G = null;
        this.F = 0;
    }
}
