package i.a.b.g;

import b.b.a.a.a;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.URL;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Enumeration;
import java.util.Iterator;
import java.util.Locale;
import java.util.NoSuchElementException;
import java.util.ServiceConfigurationError;
import org.apache.xmlbeans.impl.piccolo.util.FactoryServiceFinder;

/* compiled from: SPIClassIterator */
public final class t0<S> implements Iterator<Class<? extends S>> {
    public Iterator<String> A;
    public final Class<S> x;
    public final ClassLoader y;
    public final Enumeration<URL> z;

    public t0(Class<S> cls, ClassLoader classLoader) {
        this.x = cls;
        try {
            String str = FactoryServiceFinder.SERVICE + cls.getName();
            this.z = classLoader == null ? ClassLoader.getSystemResources(str) : classLoader.getResources(str);
            this.y = classLoader == null ? ClassLoader.getSystemClassLoader() : classLoader;
            this.A = Collections.emptySet().iterator();
        } catch (IOException e2) {
            StringBuilder b2 = a.b("Error loading SPI profiles for type ");
            b2.append(cls.getName());
            b2.append(" from classpath");
            throw new ServiceConfigurationError(b2.toString(), e2);
        }
    }

    public static boolean a(ClassLoader classLoader, ClassLoader classLoader2) {
        while (classLoader2 != null) {
            if (classLoader2 == classLoader) {
                return true;
            }
            classLoader2 = classLoader2.getParent();
        }
        return false;
    }

    public boolean hasNext() {
        boolean z2;
        if (!this.A.hasNext()) {
            ArrayList arrayList = null;
            while (true) {
                if (!this.z.hasMoreElements()) {
                    z2 = false;
                    break;
                }
                if (arrayList != null) {
                    arrayList.clear();
                } else {
                    arrayList = new ArrayList();
                }
                URL nextElement = this.z.nextElement();
                try {
                    InputStream openStream = nextElement.openStream();
                    try {
                        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(openStream, x.a));
                        while (true) {
                            String readLine = bufferedReader.readLine();
                            if (readLine == null) {
                                break;
                            }
                            int indexOf = readLine.indexOf(35);
                            if (indexOf >= 0) {
                                readLine = readLine.substring(0, indexOf);
                            }
                            String trim = readLine.trim();
                            if (trim.length() > 0) {
                                arrayList.add(trim);
                            }
                        }
                        x.a((Exception) null, openStream);
                    } catch (IOException e2) {
                        x.a(e2, openStream);
                    } catch (Throwable th) {
                        x.a((Exception) null, openStream);
                        throw th;
                    }
                    if (!arrayList.isEmpty()) {
                        this.A = arrayList.iterator();
                        z2 = true;
                        break;
                    }
                } catch (IOException e3) {
                    throw new ServiceConfigurationError("Error loading SPI class list from URL: " + nextElement, e3);
                }
            }
            if (z2) {
                return true;
            }
            return false;
        }
        return true;
    }

    public void remove() {
        throw new UnsupportedOperationException();
    }

    /* JADX DEBUG: Type inference failed for r3v1. Raw type applied. Possible types: java.lang.Class<S>, java.lang.Class<U> */
    /* JADX DEBUG: Type inference failed for r0v9. Raw type applied. Possible types: java.lang.Class<? extends U>, java.lang.Class<? extends S> */
    @Override // java.util.Iterator
    public Class<? extends S> next() {
        if (hasNext()) {
            String next = this.A.next();
            try {
                return (Class<? extends U>) Class.forName(next, false, this.y).asSubclass((Class<S>) this.x);
            } catch (ClassNotFoundException unused) {
                throw new ServiceConfigurationError(String.format(Locale.ROOT, "A SPI class of type %s with classname %s does not exist, please fix the file '%s%1$s' in your classpath.", this.x.getName(), next, FactoryServiceFinder.SERVICE));
            }
        } else {
            throw new NoSuchElementException();
        }
    }
}
