package javax.xml.transform;

import b.b.a.a.a;
import java.util.Properties;

public abstract class Transformer {
    public abstract void clearParameters();

    public abstract ErrorListener getErrorListener();

    public abstract Properties getOutputProperties();

    public abstract String getOutputProperty(String str);

    public abstract Object getParameter(String str);

    public abstract URIResolver getURIResolver();

    public void reset() {
        StringBuffer a = a.a("This Transformer, \"");
        a.append(Transformer.class.getName());
        a.append("\", does not support the reset functionality.");
        a.append("  Specification \"");
        a.append(Transformer.class.getPackage().getSpecificationTitle());
        a.append("\"");
        a.append(" version \"");
        a.append(Transformer.class.getPackage().getSpecificationVersion());
        a.append("\"");
        throw new UnsupportedOperationException(a.toString());
    }

    public abstract void setErrorListener(ErrorListener errorListener);

    public abstract void setOutputProperties(Properties properties);

    public abstract void setOutputProperty(String str, String str2);

    public abstract void setParameter(String str, Object obj);

    public abstract void setURIResolver(URIResolver uRIResolver);

    public abstract void transform(Source source, Result result);
}
