package org.apache.lucene.analysis;

import java.io.Reader;

public abstract class Tokenizer extends TokenStream {
    public static final Reader G = new Reader() {
        /* class org.apache.lucene.analysis.Tokenizer.AnonymousClass1 */

        @Override // java.io.Closeable, java.io.Reader, java.lang.AutoCloseable
        public void close() {
        }

        @Override // java.io.Reader
        public int read(char[] cArr, int i2, int i3) {
            throw new IllegalStateException("TokenStream contract violation: reset()/close() call missing, reset() called multiple times, or subclass does not call super.reset(). Please see Javadocs of TokenStream class for more information about the correct consuming workflow.");
        }
    };
    public Reader D;
    public Reader F;

    public Tokenizer(Reader reader) {
        Reader reader2 = G;
        this.D = reader2;
        this.F = reader2;
        if (reader != null) {
            this.F = reader;
            return;
        }
        throw new NullPointerException("input must not be null");
    }

    public final int a(int i2) {
        Reader reader = this.D;
        if (!(reader instanceof CharFilter)) {
            return i2;
        }
        CharFilter charFilter = (CharFilter) reader;
        int a = charFilter.a(i2);
        Reader reader2 = charFilter.x;
        return reader2 instanceof CharFilter ? ((CharFilter) reader2).b(a) : a;
    }

    @Override // org.apache.lucene.analysis.TokenStream, java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        this.D.close();
        Reader reader = G;
        this.D = reader;
        this.F = reader;
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public void h() {
        this.D = this.F;
        this.F = G;
    }
}
