package org.apache.lucene.analysis.ckb;

import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.TokenStream;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.util.StemmerUtil;

public final class SoraniNormalizationFilter extends TokenFilter {
    public final SoraniNormalizer F = new SoraniNormalizer();
    public final CharTermAttribute G = ((CharTermAttribute) a(CharTermAttribute.class));

    public SoraniNormalizationFilter(TokenStream tokenStream) {
        super(tokenStream);
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        int i2 = 0;
        if (!this.D.g()) {
            return false;
        }
        SoraniNormalizer soraniNormalizer = this.F;
        char[] f2 = this.G.f();
        int length = this.G.length();
        if (soraniNormalizer != null) {
            while (i2 < length) {
                char c = f2[i2];
                if (c == 1577) {
                    f2[i2] = 1749;
                } else if (c != 1585) {
                    if (c != 1600) {
                        if (c == 1603) {
                            f2[i2] = 1705;
                        } else if (c != 1607) {
                            if (c == 1682) {
                                f2[i2] = 1685;
                            } else if (c != 1726) {
                                if (c != 8204) {
                                    switch (c) {
                                        case 1609:
                                        case 1610:
                                            f2[i2] = 1740;
                                            break;
                                        case 1611:
                                        case 1612:
                                        case 1613:
                                        case 1614:
                                        case 1615:
                                        case 1616:
                                        case 1617:
                                        case 1618:
                                            break;
                                        default:
                                            if (Character.getType(f2[i2]) != 16) {
                                                break;
                                            } else {
                                                length = StemmerUtil.a(f2, i2, length);
                                                break;
                                            }
                                    }
                                } else {
                                    if (i2 > 0) {
                                        int i3 = i2 - 1;
                                        if (f2[i3] == 1607) {
                                            f2[i3] = 1749;
                                        }
                                    }
                                    length = StemmerUtil.a(f2, i2, length);
                                }
                                i2--;
                            } else {
                                f2[i2] = 1607;
                            }
                        } else if (i2 == length - 1) {
                            f2[i2] = 1749;
                        }
                    }
                    length = StemmerUtil.a(f2, i2, length);
                    i2--;
                } else if (i2 == 0) {
                    f2[i2] = 1685;
                }
                i2++;
            }
            this.G.setLength(length);
            return true;
        }
        throw null;
    }
}
