package org.apache.lucene.analysis.compound.hyphenation;

public class CharVector implements Cloneable {
    public int x;
    public char[] y;
    public int z;

    public CharVector() {
        this.x = 2048;
        this.y = new char[2048];
        this.z = 0;
    }

    @Override // java.lang.Object
    public Object clone() {
        CharVector charVector = new CharVector((char[]) this.y.clone(), this.x);
        charVector.z = this.z;
        return charVector;
    }

    public CharVector(char[] cArr, int i2) {
        if (i2 > 0) {
            this.x = i2;
        } else {
            this.x = 2048;
        }
        this.y = cArr;
        this.z = cArr.length;
    }
}
