package org.apache.lucene.analysis.cz;

import i.a.b.g.b1;
import i.a.b.g.x;
import java.io.IOException;
import java.io.Reader;
import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.analysis.core.LowerCaseFilter;
import org.apache.lucene.analysis.core.StopFilter;
import org.apache.lucene.analysis.standard.StandardFilter;
import org.apache.lucene.analysis.standard.StandardTokenizer;
import org.apache.lucene.analysis.util.CharArraySet;
import org.apache.lucene.analysis.util.StopwordAnalyzerBase;
import org.apache.lucene.analysis.util.WordlistLoader;
import org.apache.poi.ss.usermodel.DataFormatter;

public final class CzechAnalyzer extends StopwordAnalyzerBase {

    public static class DefaultSetHolder {
        static {
            try {
                WordlistLoader.a(x.a(CzechAnalyzer.class, "stopwords.txt", x.a), DataFormatter.defaultFractionWholePartFormat, new CharArraySet(b1.LUCENE_CURRENT, 16, false));
            } catch (IOException unused) {
                throw new RuntimeException("Unable to load default stopword set");
            }
        }
    }

    @Override // org.apache.lucene.analysis.Analyzer
    public Analyzer.TokenStreamComponents a(String str, Reader reader) {
        new StopFilter(null, new LowerCaseFilter(null, new StandardFilter(null, new StandardTokenizer(null, reader))), null);
        b1 b1Var = b1.LUCENE_31;
        throw null;
    }
}
