package org.apache.lucene.analysis.de;

import i.a.b.g.b1;
import i.a.b.g.x;
import java.io.IOException;
import java.io.Reader;
import java.util.Arrays;
import java.util.Collection;
import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.analysis.core.LowerCaseFilter;
import org.apache.lucene.analysis.core.StopFilter;
import org.apache.lucene.analysis.miscellaneous.SetKeywordMarkerFilter;
import org.apache.lucene.analysis.snowball.SnowballFilter;
import org.apache.lucene.analysis.standard.StandardFilter;
import org.apache.lucene.analysis.standard.StandardTokenizer;
import org.apache.lucene.analysis.util.CharArraySet;
import org.apache.lucene.analysis.util.StopwordAnalyzerBase;
import org.apache.lucene.analysis.util.WordlistLoader;

public final class GermanAnalyzer extends StopwordAnalyzerBase {
    @Deprecated
    public static final String[] C = {"einer", "eine", "eines", "einem", "einen", "der", "die", "das", "dass", "daß", "du", "er", "sie", "es", "was", "wer", "wie", "wir", "und", "oder", "ohne", "mit", "am", "im", "in", "aus", "auf", "ist", "sein", "war", "wird", "ihr", "ihre", "ihres", "als", "für", "von", "mit", "dich", "dir", "mich", "mir", "mein", "sein", "kein", "durch", "wegen", "wird"};

    public static class DefaultSetHolder {
        static {
            CharArraySet.a(new CharArraySet(b1.LUCENE_CURRENT, (Collection<?>) Arrays.asList(GermanAnalyzer.C), false));
            try {
                WordlistLoader.a(x.a(SnowballFilter.class, "german_stop.txt", x.a), b1.LUCENE_CURRENT);
            } catch (IOException unused) {
                throw new RuntimeException("Unable to load default stopword set");
            }
        }
    }

    @Override // org.apache.lucene.analysis.Analyzer
    public Analyzer.TokenStreamComponents a(String str, Reader reader) {
        new SetKeywordMarkerFilter(new StopFilter(null, new LowerCaseFilter(null, new StandardFilter(null, new StandardTokenizer(null, reader))), null), null);
        b1 b1Var = b1.LUCENE_36;
        throw null;
    }
}
