package org.apache.lucene.analysis.fr;

import org.apache.lucene.analysis.util.StemmerUtil;
import org.apache.poi.hssf.record.UnknownRecord;

public class FrenchLightStemmer {
    public final int a(char[] cArr, int i2) {
        if (i2 > 4) {
            for (int i3 = 0; i3 < i2; i3++) {
                char c = cArr[i3];
                if (c == 238) {
                    cArr[i3] = 'i';
                } else if (c == 244) {
                    cArr[i3] = 'o';
                } else if (c == 249 || c == 251) {
                    cArr[i3] = 'u';
                } else {
                    switch (c) {
                        case 224:
                        case 225:
                        case 226:
                            cArr[i3] = 'a';
                            continue;
                        default:
                            switch (c) {
                                case 231:
                                    cArr[i3] = 'c';
                                    continue;
                                case 232:
                                case UnknownRecord.BITMAP_00E9 /*{ENCODED_INT: 233}*/:
                                case 234:
                                    cArr[i3] = 'e';
                                    continue;
                                    continue;
                            }
                    }
                }
            }
            char c2 = cArr[0];
            int i4 = 1;
            while (i4 < i2) {
                if (cArr[i4] != c2 || !Character.isLetter(c2)) {
                    c2 = cArr[i4];
                } else {
                    i2 = StemmerUtil.a(cArr, i4, i2);
                    i4--;
                }
                i4++;
            }
        }
        if (i2 > 4 && StemmerUtil.a(cArr, i2, "ie")) {
            i2 -= 2;
        }
        if (i2 <= 4) {
            return i2;
        }
        if (cArr[i2 - 1] == 'r') {
            i2--;
        }
        if (cArr[i2 - 1] == 'e') {
            i2--;
        }
        if (cArr[i2 - 1] == 'e') {
            i2--;
        }
        int i5 = i2 - 1;
        return (cArr[i5] != cArr[i2 + -2] || !Character.isLetter(cArr[i5])) ? i2 : i2 - 1;
    }
}
