package org.apache.lucene.analysis.gl;

import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.KeywordAttribute;

public final class GalicianStemFilter extends TokenFilter {
    public final GalicianStemmer F;
    public final CharTermAttribute G;
    public final KeywordAttribute H;

    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        int a;
        if (!this.D.g()) {
            return false;
        }
        if (this.H.c()) {
            return true;
        }
        int length = this.G.length();
        GalicianStemmer galicianStemmer = this.F;
        char[] d2 = this.G.d(length + 1);
        if (galicianStemmer != null) {
            int a2 = GalicianStemmer.f1813g.a(d2, GalicianStemmer.f1812f.a(d2, GalicianStemmer.f1811e.a(d2, length)));
            while (true) {
                a = GalicianStemmer.f1814h.a(d2, a2);
                if (a == a2) {
                    break;
                }
                a2 = a;
            }
            int a3 = GalicianStemmer.f1815i.a(d2, a);
            if (a3 == a) {
                a3 = GalicianStemmer.j.a(d2, a3);
            }
            int a4 = GalicianStemmer.k.a(d2, a3);
            for (int i2 = 0; i2 < a4; i2++) {
                char c = d2[i2];
                if (c == 225) {
                    d2[i2] = 'a';
                } else if (c == 237) {
                    d2[i2] = 'i';
                } else if (c == 243) {
                    d2[i2] = 'o';
                } else if (c == 250) {
                    d2[i2] = 'u';
                } else if (c == 233 || c == 234) {
                    d2[i2] = 'e';
                }
            }
            this.G.setLength(a4);
            return true;
        }
        throw null;
    }
}
