package org.apache.lucene.analysis.nl;

import java.util.Map;
import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.KeywordAttribute;
import org.apache.lucene.codecs.lucene3x.Lucene3xNormsProducer;
import org.apache.poi.ss.formula.functions.Complex;

@Deprecated
public final class DutchStemFilter extends TokenFilter {
    public DutchStemmer F;
    public final CharTermAttribute G;
    public final KeywordAttribute H;

    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        boolean z;
        int length;
        int length2;
        int length3;
        int length4;
        int length5;
        int length6;
        int length7;
        if (!this.D.g()) {
            return false;
        }
        String obj = this.G.toString();
        if (!this.H.c()) {
            DutchStemmer dutchStemmer = this.F;
            String str = null;
            if (dutchStemmer != null) {
                String lowerCase = obj.toLowerCase(DutchStemmer.f1820f);
                int i2 = 0;
                while (true) {
                    if (i2 >= lowerCase.length()) {
                        z = true;
                        break;
                    } else if (!Character.isLetter(lowerCase.charAt(i2))) {
                        z = false;
                        break;
                    } else {
                        i2++;
                    }
                }
                if (!z) {
                    str = lowerCase;
                } else {
                    Map map = dutchStemmer.c;
                    if (map == null || !map.containsKey(lowerCase)) {
                        StringBuilder sb = dutchStemmer.a;
                        sb.delete(0, sb.length());
                        dutchStemmer.a.insert(0, lowerCase);
                        StringBuilder sb2 = dutchStemmer.a;
                        for (int i3 = 0; i3 < sb2.length(); i3++) {
                            char charAt = sb2.charAt(i3);
                            if (charAt != 'i') {
                                if (charAt == 225 || charAt == 228) {
                                    sb2.setCharAt(i3, 'a');
                                } else if (charAt == 233 || charAt == 235) {
                                    sb2.setCharAt(i3, 'e');
                                } else if (charAt != 239) {
                                    if (charAt == 243 || charAt == 246) {
                                        sb2.setCharAt(i3, 'o');
                                    } else if (charAt == 250 || charAt == 252) {
                                        sb2.setCharAt(i3, 'u');
                                    }
                                }
                            }
                            sb2.setCharAt(i3, 'i');
                        }
                        StringBuilder sb3 = dutchStemmer.a;
                        if (sb3.charAt(0) == 'y') {
                            sb3.setCharAt(0, 'Y');
                        }
                        int length8 = sb3.length() - 1;
                        for (int i4 = 1; i4 < length8; i4++) {
                            char charAt2 = sb3.charAt(i4);
                            if (charAt2 != 'i') {
                                if (charAt2 == 'y' && dutchStemmer.a(sb3.charAt(i4 - 1))) {
                                    sb3.setCharAt(i4, 'Y');
                                }
                            } else if (dutchStemmer.a(sb3.charAt(i4 - 1)) && dutchStemmer.a(sb3.charAt(i4 + 1))) {
                                sb3.setCharAt(i4, 'I');
                            }
                        }
                        if (length8 > 0 && sb3.charAt(length8) == 'y' && dutchStemmer.a(sb3.charAt(length8 - 1))) {
                            sb3.setCharAt(length8, 'Y');
                        }
                        int a = dutchStemmer.a(dutchStemmer.a, 0);
                        dutchStemmer.f1822d = a;
                        int max = Math.max(3, a);
                        dutchStemmer.f1822d = max;
                        StringBuilder sb4 = dutchStemmer.a;
                        if (max < sb4.length()) {
                            String sb5 = sb4.toString();
                            int length9 = sb4.length() - dutchStemmer.f1822d;
                            if (sb5.endsWith("heden")) {
                                int i5 = dutchStemmer.f1822d;
                                int i6 = length9 + i5;
                                sb4.replace(i5, i6, sb4.substring(i5, i6).replaceAll("heden", "heid"));
                            } else if (!dutchStemmer.a(sb4)) {
                                if (sb5.endsWith("se") && sb5.length() - 2 >= dutchStemmer.f1822d && dutchStemmer.b(sb4, length7 - 1)) {
                                    sb4.delete(length7, length7 + 2);
                                } else if (sb5.endsWith(Lucene3xNormsProducer.SEPARATE_NORMS_EXTENSION) && sb5.length() - 1 >= dutchStemmer.f1822d && dutchStemmer.b(sb4, length6 - 1)) {
                                    sb4.delete(length6, length6 + 1);
                                }
                            }
                        }
                        dutchStemmer.b(dutchStemmer.a);
                        int a2 = dutchStemmer.a(dutchStemmer.a, dutchStemmer.f1822d);
                        dutchStemmer.f1823e = a2;
                        StringBuilder sb6 = dutchStemmer.a;
                        if (a2 < sb6.length()) {
                            String sb7 = sb6.toString();
                            int length10 = sb7.length() - 4;
                            if (sb7.endsWith("heid") && length10 >= dutchStemmer.f1823e && sb6.charAt(length10 - 1) != 'c') {
                                sb6.delete(length10, length10 + 4);
                                dutchStemmer.a(sb6);
                            }
                        }
                        StringBuilder sb8 = dutchStemmer.a;
                        if (dutchStemmer.f1823e < sb8.length()) {
                            String sb9 = sb8.toString();
                            if ((sb9.endsWith("end") || sb9.endsWith("ing")) && sb9.length() - 3 >= dutchStemmer.f1823e) {
                                sb8.delete(length5, length5 + 3);
                                int i7 = length5 - 2;
                                if (sb8.charAt(i7) != 'i' || sb8.charAt(length5 - 1) != 'g') {
                                    dutchStemmer.c(sb8, length5);
                                } else if ((sb8.charAt(length5 + -3) != 'e') && (i7 >= dutchStemmer.f1823e)) {
                                    sb8.delete(i7, i7 + 2);
                                }
                            } else if (!sb9.endsWith("ig") || sb9.length() - 2 < dutchStemmer.f1823e) {
                                if (sb9.endsWith("lijk") && sb9.length() - 4 >= dutchStemmer.f1823e) {
                                    sb8.delete(length3, length3 + 4);
                                    dutchStemmer.b(sb8);
                                } else if (sb9.endsWith("baar") && sb9.length() - 4 >= dutchStemmer.f1823e) {
                                    sb8.delete(length2, length2 + 4);
                                } else if (sb9.endsWith("bar") && sb9.length() - 3 >= dutchStemmer.f1823e && dutchStemmer.f1821b) {
                                    sb8.delete(length, length + 3);
                                }
                            } else if (sb8.charAt(length4 - 1) != 'e') {
                                sb8.delete(length4, length4 + 2);
                            }
                        }
                        StringBuilder sb10 = dutchStemmer.a;
                        if (sb10.length() >= 4) {
                            String substring = sb10.substring(sb10.length() - 4, sb10.length());
                            char charAt3 = substring.charAt(0);
                            char charAt4 = substring.charAt(1);
                            char charAt5 = substring.charAt(2);
                            char charAt6 = substring.charAt(3);
                            if (charAt4 == charAt5 && charAt6 != 'I' && charAt4 != 'i' && dutchStemmer.a(charAt4) && !dutchStemmer.a(charAt6) && !dutchStemmer.a(charAt3)) {
                                sb10.delete(sb10.length() - 2, sb10.length() - 1);
                            }
                        }
                        StringBuilder sb11 = dutchStemmer.a;
                        String sb12 = sb11.toString();
                        sb11.delete(0, sb11.length());
                        sb11.insert(0, sb12.replaceAll("I", Complex.DEFAULT_SUFFIX).replaceAll("Y", "y"));
                        str = dutchStemmer.a.toString();
                    } else if (dutchStemmer.c.get(lowerCase) instanceof String) {
                        str = (String) dutchStemmer.c.get(lowerCase);
                    }
                }
                if (str != null && !str.equals(obj)) {
                    this.G.g().append(str);
                }
            } else {
                throw null;
            }
        }
        return true;
    }
}
