package org.apache.lucene.analysis.path;

import java.util.List;
import org.apache.lucene.analysis.Tokenizer;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.OffsetAttribute;
import org.apache.lucene.analysis.tokenattributes.PositionIncrementAttribute;

public class ReversePathHierarchyTokenizer extends Tokenizer {
    public final char H;
    public final char I;
    public final int J;
    public final CharTermAttribute K;
    public final OffsetAttribute M;
    public final PositionIncrementAttribute O;
    public int P;
    public int Q;
    public int U;
    public StringBuilder V;
    public List<Integer> W;
    public int Y;
    public char[] Z;

    @Override // org.apache.lucene.analysis.TokenStream
    public final void f() {
        super.f();
        OffsetAttribute offsetAttribute = this.M;
        int i2 = this.Q;
        offsetAttribute.a(i2, i2);
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public final boolean g() {
        b();
        if (this.Y == -1) {
            this.W.add(0);
            int i2 = 0;
            while (true) {
                int read = this.D.read();
                if (read < 0) {
                    break;
                }
                i2++;
                if (read == this.H) {
                    this.W.add(Integer.valueOf(i2));
                    this.V.append(this.I);
                } else {
                    this.V.append((char) read);
                }
            }
            int size = this.W.size();
            this.Y = size;
            if (this.W.get(size - 1).intValue() < i2) {
                this.W.add(Integer.valueOf(i2));
                this.Y++;
            }
            if (this.Z.length < this.V.length()) {
                this.Z = new char[this.V.length()];
            }
            StringBuilder sb = this.V;
            sb.getChars(0, sb.length(), this.Z, 0);
            this.V.setLength(0);
            int i3 = (this.Y - 1) - this.J;
            if (i3 >= 0) {
                this.P = this.W.get(i3).intValue();
            }
            this.Q = a(i2);
            this.O.b(1);
        } else {
            this.O.b(0);
        }
        int i4 = this.U;
        if (i4 >= (this.Y - this.J) - 1) {
            return false;
        }
        int intValue = this.W.get(i4).intValue();
        this.K.a(this.Z, intValue, this.P - intValue);
        this.M.a(a(intValue), a(this.P));
        this.U++;
        return true;
    }

    @Override // org.apache.lucene.analysis.Tokenizer, org.apache.lucene.analysis.TokenStream
    public void h() {
        super.h();
        this.V.setLength(0);
        this.Q = 0;
        this.P = 0;
        this.U = 0;
        this.Y = -1;
        this.W.clear();
    }
}
