package org.apache.lucene.analysis.standard;

import java.io.Reader;
import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.analysis.core.LowerCaseFilter;
import org.apache.lucene.analysis.core.StopAnalyzer;
import org.apache.lucene.analysis.core.StopFilter;
import org.apache.lucene.analysis.util.CharArraySet;
import org.apache.lucene.analysis.util.StopwordAnalyzerBase;

public final class StandardAnalyzer extends StopwordAnalyzerBase {
    public static final CharArraySet D = StopAnalyzer.C;
    public int C;

    @Override // org.apache.lucene.analysis.Analyzer
    public Analyzer.TokenStreamComponents a(String str, Reader reader) {
        final StandardTokenizer standardTokenizer = new StandardTokenizer(null, reader);
        standardTokenizer.J = 0;
        return new Analyzer.TokenStreamComponents(new StopFilter(null, new LowerCaseFilter(null, new StandardFilter(null, standardTokenizer)), null), standardTokenizer) {
            /* class org.apache.lucene.analysis.standard.StandardAnalyzer.AnonymousClass1 */

            @Override // org.apache.lucene.analysis.Analyzer.TokenStreamComponents
            public void a(Reader reader) {
                standardTokenizer.J = StandardAnalyzer.this.C;
                super.a(reader);
            }
        };
    }
}
