package org.apache.lucene.analysis.th;

import i.a.b.g.h;
import java.lang.Character;
import java.text.BreakIterator;
import java.util.Locale;
import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.OffsetAttribute;
import org.apache.lucene.analysis.tokenattributes.PositionIncrementAttribute;
import org.apache.lucene.analysis.util.CharArrayIterator;

public final class ThaiWordFilter extends TokenFilter {
    public static final boolean V = W.isBoundary(4);
    public static final BreakIterator W;
    public final BreakIterator F;
    public final CharArrayIterator G;
    public final boolean H;
    public final CharTermAttribute I;
    public final OffsetAttribute J;
    public final PositionIncrementAttribute K;
    public h M;
    public CharTermAttribute O;
    public OffsetAttribute P;
    public boolean Q;
    public boolean U;

    static {
        BreakIterator wordInstance = BreakIterator.getWordInstance(new Locale("th"));
        W = wordInstance;
        wordInstance.setText("ภาษาไทย");
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        if (this.Q) {
            int current = this.F.current();
            int next = this.F.next();
            if (next != -1) {
                this.M.a(this);
                this.I.a(this.O.f(), current, next - current);
                if (this.U) {
                    this.J.a(this.P.d(), this.P.i());
                } else {
                    this.J.a(this.P.d() + current, this.P.d() + next);
                }
                if (this.H) {
                    this.K.b(1);
                }
                return true;
            }
            this.Q = false;
        }
        if (!this.D.g()) {
            return false;
        }
        if (this.I.length() == 0 || Character.UnicodeBlock.of(this.I.charAt(0)) != Character.UnicodeBlock.THAI) {
            return true;
        }
        this.Q = true;
        this.U = this.J.i() - this.J.d() != this.I.length();
        h hVar = this.M;
        if (hVar == null) {
            h c = c();
            this.M = c;
            this.O = (CharTermAttribute) c.b(CharTermAttribute.class);
            this.P = (OffsetAttribute) this.M.b(OffsetAttribute.class);
        } else {
            a(hVar);
        }
        CharArrayIterator charArrayIterator = this.G;
        char[] f2 = this.O.f();
        int length = this.O.length();
        charArrayIterator.x = f2;
        charArrayIterator.y = 0;
        charArrayIterator.z = 0;
        charArrayIterator.A = length;
        charArrayIterator.C = length + 0;
        this.F.setText(this.G);
        int next2 = this.F.next();
        if (next2 == -1) {
            return false;
        }
        this.I.setLength(next2);
        if (this.U) {
            this.J.a(this.P.d(), this.P.i());
        } else {
            this.J.a(this.P.d(), this.P.d() + next2);
        }
        return true;
    }

    @Override // org.apache.lucene.analysis.TokenStream, org.apache.lucene.analysis.TokenFilter
    public void h() {
        super.h();
        this.Q = false;
        this.M = null;
        this.O = null;
        this.P = null;
    }
}
