package org.apache.lucene.analysis.util;

import i.a.b.g.b1;
import java.io.Reader;
import org.apache.lucene.analysis.Tokenizer;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.OffsetAttribute;
import org.apache.lucene.analysis.util.CharacterUtils;

public abstract class CharTokenizer extends Tokenizer {
    public int H = 0;
    public int I = 0;
    public int J = 0;
    public int K = 0;
    public final CharTermAttribute M = ((CharTermAttribute) a(CharTermAttribute.class));
    public final OffsetAttribute O = ((OffsetAttribute) a(OffsetAttribute.class));
    public final CharacterUtils P;
    public final CharacterUtils.CharacterBuffer Q = CharacterUtils.a(4096);

    public CharTokenizer(b1 b1Var, Reader reader) {
        super(reader);
        this.P = CharacterUtils.a(b1Var);
    }

    public abstract boolean b(int i2);

    public int c(int i2) {
        return i2;
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public final void f() {
        super.f();
        OffsetAttribute offsetAttribute = this.O;
        int i2 = this.K;
        offsetAttribute.a(i2, i2);
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public final boolean g() {
        b();
        char[] f2 = this.M.f();
        int i2 = -1;
        int i3 = -1;
        int i4 = 0;
        while (true) {
            int i5 = this.I;
            int i6 = this.J;
            if (i5 >= i6) {
                this.H += i6;
                CharacterUtils characterUtils = this.P;
                CharacterUtils.CharacterBuffer characterBuffer = this.Q;
                Reader reader = this.D;
                if (characterUtils != null) {
                    characterUtils.a(characterBuffer, reader, characterBuffer.a.length);
                    int i7 = this.Q.f1922b;
                    if (i7 == 0) {
                        this.J = 0;
                        if (i4 <= 0) {
                            this.K = a(this.H);
                            return false;
                        }
                    } else {
                        this.J = i7;
                        this.I = 0;
                    }
                } else {
                    throw null;
                }
            }
            CharacterUtils characterUtils2 = this.P;
            CharacterUtils.CharacterBuffer characterBuffer2 = this.Q;
            int a = characterUtils2.a(characterBuffer2.a, this.I, characterBuffer2.f1922b);
            int charCount = Character.charCount(a);
            this.I += charCount;
            if (b(a)) {
                if (i4 == 0) {
                    i2 = (this.H + this.I) - charCount;
                    i3 = i2;
                } else if (i4 >= f2.length - 1) {
                    f2 = this.M.d(i4 + 2);
                }
                i2 += charCount;
                i4 += Character.toChars(c(a), f2, i4);
                if (i4 >= 255) {
                    break;
                }
            } else if (i4 > 0) {
                break;
            }
        }
        this.M.setLength(i4);
        OffsetAttribute offsetAttribute = this.O;
        int a2 = a(i3);
        int a3 = a(i2);
        this.K = a3;
        offsetAttribute.a(a2, a3);
        return true;
    }

    @Override // org.apache.lucene.analysis.Tokenizer, org.apache.lucene.analysis.TokenStream
    public void h() {
        super.h();
        this.I = 0;
        this.H = 0;
        this.J = 0;
        this.K = 0;
        CharacterUtils.CharacterBuffer characterBuffer = this.Q;
        characterBuffer.f1922b = 0;
        characterBuffer.c = 0;
    }
}
