package org.apache.lucene.analysis.util;

import i.a.b.g.b1;
import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.TokenStream;
import org.apache.lucene.analysis.tokenattributes.PositionIncrementAttribute;

public abstract class FilteringTokenFilter extends TokenFilter {
    public final b1 F;
    public final PositionIncrementAttribute G = ((PositionIncrementAttribute) a(PositionIncrementAttribute.class));
    public boolean H;
    public boolean I = true;
    public int J;

    public FilteringTokenFilter(b1 b1Var, TokenStream tokenStream) {
        super(tokenStream);
        this.F = b1Var;
        this.H = true;
    }

    @Override // org.apache.lucene.analysis.TokenStream, org.apache.lucene.analysis.TokenFilter
    public void f() {
        super.f();
        if (this.H) {
            PositionIncrementAttribute positionIncrementAttribute = this.G;
            positionIncrementAttribute.b(positionIncrementAttribute.a() + this.J);
        }
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public final boolean g() {
        if (this.H) {
            this.J = 0;
            while (this.D.g()) {
                if (i()) {
                    if (this.J != 0) {
                        PositionIncrementAttribute positionIncrementAttribute = this.G;
                        positionIncrementAttribute.b(positionIncrementAttribute.a() + this.J);
                    }
                    return true;
                }
                this.J = this.G.a() + this.J;
            }
        } else {
            while (this.D.g()) {
                if (i()) {
                    if (this.I) {
                        if (this.G.a() == 0) {
                            this.G.b(1);
                        }
                        this.I = false;
                    }
                    return true;
                }
            }
        }
        return false;
    }

    @Override // org.apache.lucene.analysis.TokenStream, org.apache.lucene.analysis.TokenFilter
    public void h() {
        super.h();
        this.I = true;
        this.J = 0;
    }

    public abstract boolean i();
}
