package org.apache.lucene.codecs;

import b.b.a.a.a;
import i.a.b.c.b1;
import i.a.b.c.c1;
import i.a.b.c.q;
import i.a.b.f.l;
import i.a.b.f.m;
import i.a.b.g.a1;

public final class CodecUtil {
    public static final int CODEC_MAGIC = 1071082519;

    public static int checkHeader(l lVar, String str, int i2, int i3) {
        int readInt = lVar.readInt();
        if (readInt == 1071082519) {
            return checkHeaderNoMagic(lVar, str, i2, i3);
        }
        StringBuilder a = a.a("codec header mismatch: actual header=", readInt, " vs expected header=", (int) CODEC_MAGIC, " (resource: ");
        a.append(lVar);
        a.append(")");
        throw new q(a.toString());
    }

    public static int checkHeaderNoMagic(l lVar, String str, int i2, int i3) {
        String readString = lVar.readString();
        if (readString.equals(str)) {
            int readInt = lVar.readInt();
            if (readInt < i2) {
                throw new c1(lVar, readInt, i2, i3);
            } else if (readInt <= i3) {
                return readInt;
            } else {
                throw new b1(lVar, readInt, i2, i3);
            }
        } else {
            throw new q("codec mismatch: actual codec=" + readString + " vs expected codec=" + str + " (resource: " + lVar + ")");
        }
    }

    public static int headerLength(String str) {
        return str.length() + 9;
    }

    public static void writeHeader(m mVar, String str, int i2) {
        i.a.b.g.l lVar = new i.a.b.g.l(i.a.b.g.l.A);
        a1.a(str, 0, str.length(), lVar);
        if (lVar.z != str.length() || lVar.z >= 128) {
            throw new IllegalArgumentException(a.b("codec must be simple ASCII, less than 128 characters in length [got ", str, "]"));
        }
        mVar.a(CODEC_MAGIC);
        mVar.a(str);
        mVar.a(i2);
    }
}
