package org.apache.lucene.codecs;

import i.a.b.c.b3;
import i.a.b.c.e;
import i.a.b.c.e2;
import i.a.b.c.k0;
import i.a.b.c.y2;
import i.a.b.g.j;
import java.io.Closeable;

public abstract class DocValuesProducer implements Closeable {

    public static class SortedDocsWithField implements j {
        public final y2 in;
        public final int maxDoc;

        public SortedDocsWithField(y2 y2Var, int i2) {
            this.in = y2Var;
            this.maxDoc = i2;
        }

        @Override // i.a.b.g.j
        public boolean get(int i2) {
            return this.in.getOrd(i2) >= 0;
        }

        public int length() {
            return this.maxDoc;
        }
    }

    public static class SortedSetDocsWithField implements j {
        public final b3 in;
        public final int maxDoc;

        public SortedSetDocsWithField(b3 b3Var, int i2) {
            this.in = b3Var;
            this.maxDoc = i2;
        }

        @Override // i.a.b.g.j
        public boolean get(int i2) {
            this.in.setDocument(i2);
            return this.in.nextOrd() != -1;
        }

        public int length() {
            return this.maxDoc;
        }
    }

    public abstract e getBinary(k0 k0Var);

    public abstract j getDocsWithField(k0 k0Var);

    public abstract e2 getNumeric(k0 k0Var);

    public abstract y2 getSorted(k0 k0Var);

    public abstract b3 getSortedSet(k0 k0Var);

    public abstract long ramBytesUsed();
}
