package org.apache.lucene.codecs;

import i.a.b.c.b0;
import i.a.b.c.c0;
import i.a.b.c.k0;
import i.a.b.c.t1;
import i.a.b.g.l;
import i.a.b.g.v;

public abstract class PostingsConsumer {
    public static final /* synthetic */ boolean $assertionsDisabled = false;

    public abstract void addPosition(int i2, l lVar, int i3, int i4);

    public abstract void finishDoc();

    public TermStats merge(t1 t1Var, k0.b bVar, c0 c0Var, v vVar) {
        long j;
        int i2 = 0;
        if (bVar == k0.b.DOCS_ONLY) {
            while (true) {
                int nextDoc = c0Var.nextDoc();
                if (nextDoc == Integer.MAX_VALUE) {
                    break;
                }
                vVar.a(nextDoc);
                startDoc(nextDoc, -1);
                finishDoc();
                i2++;
            }
            j = -1;
        } else {
            j = 0;
            if (bVar == k0.b.DOCS_AND_FREQS) {
                while (true) {
                    int nextDoc2 = c0Var.nextDoc();
                    if (nextDoc2 == Integer.MAX_VALUE) {
                        break;
                    }
                    vVar.a(nextDoc2);
                    int freq = c0Var.freq();
                    startDoc(nextDoc2, freq);
                    finishDoc();
                    i2++;
                    j += (long) freq;
                }
            } else if (bVar == k0.b.DOCS_AND_FREQS_AND_POSITIONS) {
                b0 b0Var = (b0) c0Var;
                long j2 = 0;
                int i3 = 0;
                while (true) {
                    int nextDoc3 = b0Var.nextDoc();
                    if (nextDoc3 == Integer.MAX_VALUE) {
                        break;
                    }
                    vVar.a(nextDoc3);
                    int freq2 = b0Var.freq();
                    startDoc(nextDoc3, freq2);
                    j2 += (long) freq2;
                    for (int i4 = 0; i4 < freq2; i4++) {
                        addPosition(b0Var.nextPosition(), b0Var.getPayload(), -1, -1);
                    }
                    finishDoc();
                    i3++;
                }
                i2 = i3;
                j = j2;
            } else {
                b0 b0Var2 = (b0) c0Var;
                int i5 = 0;
                while (true) {
                    int nextDoc4 = b0Var2.nextDoc();
                    if (nextDoc4 == Integer.MAX_VALUE) {
                        break;
                    }
                    vVar.a(nextDoc4);
                    int freq3 = b0Var2.freq();
                    startDoc(nextDoc4, freq3);
                    j += (long) freq3;
                    for (int i6 = 0; i6 < freq3; i6++) {
                        addPosition(b0Var2.nextPosition(), b0Var2.getPayload(), b0Var2.startOffset(), b0Var2.endOffset());
                    }
                    finishDoc();
                    i5++;
                }
                i2 = i5;
            }
        }
        return new TermStats(i2, bVar == k0.b.DOCS_ONLY ? -1 : j);
    }

    public abstract void startDoc(int i2, int i3);
}
