package org.apache.lucene.codecs;

import i.a.b.b.d;
import i.a.b.c.a;
import i.a.b.c.i1;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.c.t1;
import i.a.b.g.j;
import java.io.Closeable;

public abstract class StoredFieldsWriter implements Closeable {
    public abstract void abort();

    public final void addDocument(Iterable<? extends i1> iterable, l0 l0Var) {
        int i2 = 0;
        for (i1 i1Var : iterable) {
            if (((d) i1Var.b()).f816b) {
                i2++;
            }
        }
        startDocument(i2);
        for (i1 i1Var2 : iterable) {
            if (((d) i1Var2.b()).f816b) {
                writeField(l0Var.a(i1Var2.c()), i1Var2);
            }
        }
        finishDocument();
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public abstract void close();

    public abstract void finish(l0 l0Var, int i2);

    public void finishDocument() {
    }

    public int merge(t1 t1Var) {
        int i2 = 0;
        for (a aVar : t1Var.c) {
            int e2 = aVar.e();
            j k = aVar.k();
            for (int i3 = 0; i3 < e2; i3++) {
                if (k == null || k.get(i3)) {
                    addDocument(aVar.a(i3), t1Var.f1043b);
                    i2++;
                    t1Var.f1046f.a(300.0d);
                }
            }
        }
        finish(t1Var.f1043b, i2);
        return i2;
    }

    public abstract void startDocument(int i2);

    public abstract void writeField(k0 k0Var, i1 i1Var);
}
