package org.apache.lucene.codecs.lucene3x;

import i.a.b.c.a1;
import i.a.b.c.b0;
import i.a.b.c.c0;
import i.a.b.c.i3;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.c.n3;
import i.a.b.c.o3;
import i.a.b.c.q2;
import i.a.b.f.n;
import i.a.b.f.t;
import i.a.b.f.u;
import i.a.b.g.j;
import i.a.b.g.l;
import i.a.b.g.x;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.TreeMap;
import org.apache.lucene.codecs.FieldsProducer;

@Deprecated
public class Lucene3xFields extends FieldsProducer {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final boolean DEBUG_SURROGATES = false;
    public n cfsReader;
    public final t context;
    public final n dir;
    public final l0 fieldInfos;
    public final TreeMap<String, k0> fields = new TreeMap<>();
    public final u freqStream;
    public final Map<String, n3> preTerms = new HashMap();
    public final u proxStream;
    public final q2 si;
    public TermInfosReader tis;
    public final TermInfosReader tisNoIndex;

    public final class PreDocsAndPositionsEnum extends b0 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public int docID = -1;
        public final SegmentTermPositions pos;

        public PreDocsAndPositionsEnum() {
            this.pos = new SegmentTermPositions(Lucene3xFields.this.freqStream, Lucene3xFields.this.proxStream, Lucene3xFields.this.getTermsDict(), Lucene3xFields.this.fieldInfos);
        }

        @Override // i.a.b.e.r
        public int advance(int i2) {
            if (this.pos.skipTo(i2)) {
                int doc = this.pos.doc();
                this.docID = doc;
                return doc;
            }
            this.docID = Integer.MAX_VALUE;
            return Integer.MAX_VALUE;
        }

        @Override // i.a.b.e.r
        public long cost() {
            return (long) this.pos.df;
        }

        @Override // i.a.b.e.r
        public int docID() {
            return this.docID;
        }

        @Override // i.a.b.c.b0
        public int endOffset() {
            return -1;
        }

        @Override // i.a.b.c.c0
        public int freq() {
            return this.pos.freq();
        }

        public u getFreqStream() {
            return Lucene3xFields.this.freqStream;
        }

        @Override // i.a.b.c.b0
        public l getPayload() {
            return this.pos.getPayload();
        }

        @Override // i.a.b.e.r
        public int nextDoc() {
            if (this.pos.next()) {
                int doc = this.pos.doc();
                this.docID = doc;
                return doc;
            }
            this.docID = Integer.MAX_VALUE;
            return Integer.MAX_VALUE;
        }

        @Override // i.a.b.c.b0
        public int nextPosition() {
            return this.pos.nextPosition();
        }

        public b0 reset(SegmentTermEnum segmentTermEnum, j jVar) {
            this.pos.setLiveDocs(jVar);
            this.pos.seek(segmentTermEnum);
            this.docID = -1;
            return this;
        }

        @Override // i.a.b.c.b0
        public int startOffset() {
            return -1;
        }
    }

    public final class PreDocsEnum extends c0 {
        public int docID = -1;
        public final SegmentTermDocs docs;

        public PreDocsEnum() {
            this.docs = new SegmentTermDocs(Lucene3xFields.this.freqStream, Lucene3xFields.this.getTermsDict(), Lucene3xFields.this.fieldInfos);
        }

        @Override // i.a.b.e.r
        public int advance(int i2) {
            if (this.docs.skipTo(i2)) {
                int doc = this.docs.doc();
                this.docID = doc;
                return doc;
            }
            this.docID = Integer.MAX_VALUE;
            return Integer.MAX_VALUE;
        }

        @Override // i.a.b.e.r
        public long cost() {
            return (long) this.docs.df;
        }

        @Override // i.a.b.e.r
        public int docID() {
            return this.docID;
        }

        @Override // i.a.b.c.c0
        public int freq() {
            return this.docs.freq();
        }

        public u getFreqStream() {
            return Lucene3xFields.this.freqStream;
        }

        @Override // i.a.b.e.r
        public int nextDoc() {
            if (this.docs.next()) {
                int doc = this.docs.doc();
                this.docID = doc;
                return doc;
            }
            this.docID = Integer.MAX_VALUE;
            return Integer.MAX_VALUE;
        }

        public PreDocsEnum reset(SegmentTermEnum segmentTermEnum, j jVar) {
            this.docs.setLiveDocs(jVar);
            this.docs.seek(segmentTermEnum);
            this.docs.freq = 1;
            this.docID = -1;
            return this;
        }
    }

    public class PreTerms extends n3 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public final k0 fieldInfo;

        public PreTerms(k0 k0Var) {
            this.fieldInfo = k0Var;
        }

        @Override // i.a.b.c.n3
        public Comparator<l> getComparator() {
            if (Lucene3xFields.this.sortTermsByUnicode()) {
                return l.C;
            }
            return l.D;
        }

        @Override // i.a.b.c.n3
        public int getDocCount() {
            return -1;
        }

        @Override // i.a.b.c.n3
        public long getSumDocFreq() {
            return -1;
        }

        @Override // i.a.b.c.n3
        public long getSumTotalTermFreq() {
            return -1;
        }

        @Override // i.a.b.c.n3
        public boolean hasFreqs() {
            return this.fieldInfo.f954h.compareTo(k0.b.DOCS_AND_FREQS) >= 0;
        }

        @Override // i.a.b.c.n3
        public boolean hasOffsets() {
            return false;
        }

        @Override // i.a.b.c.n3
        public boolean hasPayloads() {
            return this.fieldInfo.f955i;
        }

        @Override // i.a.b.c.n3
        public boolean hasPositions() {
            return this.fieldInfo.f954h.compareTo(k0.b.DOCS_AND_FREQS_AND_POSITIONS) >= 0;
        }

        @Override // i.a.b.c.n3
        public o3 iterator(o3 o3Var) {
            PreTermsEnum preTermsEnum = new PreTermsEnum();
            preTermsEnum.reset(this.fieldInfo);
            return preTermsEnum;
        }

        @Override // i.a.b.c.n3
        public long size() {
            return -1;
        }
    }

    public class PreTermsEnum extends o3 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public static final byte UTF8_HIGH_BMP_LEAD = -18;
        public static final byte UTF8_NON_BMP_LEAD = -16;
        public l current;
        public k0 fieldInfo;
        public String internedFieldName;
        public int newSuffixStart;
        public final l prevTerm;
        public final byte[] scratch;
        public final l scratchTerm;
        public SegmentTermEnum seekTermEnum;
        public boolean skipNext;
        public SegmentTermEnum termEnum;
        public boolean unicodeSortOrder;

        public PreTermsEnum() {
            this.scratch = new byte[4];
            this.prevTerm = new l(l.A);
            this.scratchTerm = new l(l.A);
        }

        private boolean doContinue() {
            int min = Math.min(this.newSuffixStart, this.scratchTerm.z - 1);
            for (int i2 = this.prevTerm.z - 1; i2 > min; i2--) {
                if (!isHighBMPChar(this.prevTerm.x, i2) || !seekToNonBMP(this.seekTermEnum, this.prevTerm, i2)) {
                    byte[] bArr = this.prevTerm.x;
                    if ((bArr[i2] & 192) == 192 || (bArr[i2] & 128) == 0) {
                        this.prevTerm.z = i2;
                    }
                } else {
                    Lucene3xFields.this.getTermsDict().seekEnum(this.termEnum, this.seekTermEnum.term(), true);
                    this.newSuffixStart = i2;
                    this.scratchTerm.c(this.termEnum.term().y);
                    return true;
                }
            }
            return false;
        }

        private boolean doPop() {
            l lVar = this.prevTerm;
            int i2 = lVar.z;
            int i3 = this.newSuffixStart;
            if (i2 > i3 && isNonBMPChar(lVar.x, i3) && isHighBMPChar(this.scratchTerm.x, this.newSuffixStart)) {
                l lVar2 = this.scratchTerm;
                byte[] bArr = lVar2.x;
                int i4 = this.newSuffixStart;
                bArr[i4] = -1;
                lVar2.z = i4 + 1;
                Lucene3xFields.this.getTermsDict().seekEnum(this.termEnum, new i3(this.fieldInfo.a, this.scratchTerm), true);
                i3 term = this.termEnum.term();
                if (term != null && term.x == this.internedFieldName) {
                    this.scratchTerm.c(term.y);
                    setNewSuffixStart(this.prevTerm, this.scratchTerm);
                    return true;
                } else if (!(this.newSuffixStart == 0 && this.scratchTerm.z == 0)) {
                    this.newSuffixStart = 0;
                    this.scratchTerm.z = 0;
                    return true;
                }
            }
            return false;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:12:0x002a, code lost:
            if (isHighBMPChar(r13.prevTerm.x, r0) != false) goto L_0x00d5;
         */
        private void doPushes() {
            int i2 = this.newSuffixStart;
            while (true) {
                l lVar = this.scratchTerm;
                if (i2 < lVar.z) {
                    if (isNonBMPChar(lVar.x, i2)) {
                        if (i2 <= this.newSuffixStart) {
                            l lVar2 = this.prevTerm;
                            if (i2 < lVar2.z) {
                                if (!isNonBMPChar(lVar2.x, i2)) {
                                }
                            }
                        }
                        l lVar3 = this.scratchTerm;
                        int i3 = lVar3.z;
                        byte[] bArr = this.scratch;
                        byte[] bArr2 = lVar3.x;
                        boolean z = false;
                        bArr[0] = bArr2[i2];
                        int i4 = i2 + 1;
                        bArr[1] = bArr2[i4];
                        int i5 = i2 + 2;
                        bArr[2] = bArr2[i5];
                        bArr2[i2] = UTF8_HIGH_BMP_LEAD;
                        bArr2[i4] = Byte.MIN_VALUE;
                        bArr2[i5] = Byte.MIN_VALUE;
                        int i6 = i2 + 3;
                        lVar3.z = i6;
                        Lucene3xFields.this.getTermsDict().seekEnum(this.seekTermEnum, new i3(this.fieldInfo.a, this.scratchTerm), true);
                        l lVar4 = this.scratchTerm;
                        byte[] bArr3 = lVar4.x;
                        byte[] bArr4 = this.scratch;
                        bArr3[i2] = bArr4[0];
                        bArr3[i4] = bArr4[1];
                        bArr3[i5] = bArr4[2];
                        lVar4.z = i3;
                        i3 term = this.seekTermEnum.term();
                        if (term != null && term.x == this.internedFieldName) {
                            l lVar5 = term.y;
                            if (lVar5.z >= i6 && isHighBMPChar(lVar5.x, i2)) {
                                int i7 = 0;
                                while (true) {
                                    if (i7 >= i2) {
                                        z = true;
                                        break;
                                    } else if (this.scratchTerm.x[i7] != lVar5.x[i7]) {
                                        break;
                                    } else {
                                        i7++;
                                    }
                                }
                            }
                        }
                        if (z) {
                            Lucene3xFields.this.getTermsDict().seekEnum(this.termEnum, this.seekTermEnum.term(), true);
                            this.scratchTerm.c(this.seekTermEnum.term().y);
                            i2 = i6;
                        } else {
                            i2 = i4;
                        }
                    }
                    i2++;
                } else {
                    return;
                }
            }
        }

        private final boolean isHighBMPChar(byte[] bArr, int i2) {
            return (bArr[i2] & UTF8_HIGH_BMP_LEAD) == -18;
        }

        private final boolean isNonBMPChar(byte[] bArr, int i2) {
            return (bArr[i2] & UTF8_NON_BMP_LEAD) == -16;
        }

        private boolean seekToNonBMP(SegmentTermEnum segmentTermEnum, l lVar, int i2) {
            boolean z;
            int i3 = lVar.z;
            int i4 = i2 + 4;
            if (lVar.x.length < i4) {
                lVar.a(i4);
            }
            byte[] bArr = this.scratch;
            byte[] bArr2 = lVar.x;
            bArr[0] = bArr2[i2];
            int i5 = i2 + 1;
            bArr[1] = bArr2[i5];
            int i6 = i2 + 2;
            bArr[2] = bArr2[i6];
            bArr2[i2] = UTF8_NON_BMP_LEAD;
            bArr2[i5] = -112;
            bArr2[i6] = Byte.MIN_VALUE;
            bArr2[i2 + 3] = Byte.MIN_VALUE;
            lVar.z = i4;
            Lucene3xFields.this.getTermsDict().seekEnum(segmentTermEnum, new i3(this.fieldInfo.a, lVar), true);
            i3 term = segmentTermEnum.term();
            if (term == null || term.x != this.internedFieldName) {
                return false;
            }
            l lVar2 = term.y;
            if (lVar2.z >= lVar.z && isNonBMPChar(lVar2.x, i2)) {
                int i7 = 0;
                while (true) {
                    if (i7 >= i2) {
                        z = true;
                        break;
                    } else if (lVar.x[i7] != lVar2.x[i7]) {
                        break;
                    } else {
                        i7++;
                    }
                }
            }
            z = false;
            lVar.z = i3;
            byte[] bArr3 = lVar.x;
            byte[] bArr4 = this.scratch;
            bArr3[i2] = bArr4[0];
            bArr3[i5] = bArr4[1];
            bArr3[i6] = bArr4[2];
            return z;
        }

        private void setNewSuffixStart(l lVar, l lVar2) {
            int min = Math.min(lVar.z, lVar2.z);
            int i2 = 0;
            for (int i3 = 0; i3 < min; i3++) {
                byte[] bArr = lVar.x;
                int i4 = lVar.y;
                if ((bArr[i4 + i3] & 192) == 192 || (bArr[i4 + i3] & 128) == 0) {
                    i2 = i3;
                }
                if (lVar.x[lVar.y + i3] != lVar2.x[lVar2.y + i3]) {
                    this.newSuffixStart = i2;
                    return;
                }
            }
            this.newSuffixStart = min;
        }

        /* JADX WARNING: Removed duplicated region for block: B:11:0x0034  */
        private void surrogateDance() {
            if (this.unicodeSortOrder) {
                if (this.termEnum.term() == null || this.termEnum.term().x != this.internedFieldName) {
                    this.scratchTerm.z = 0;
                } else {
                    this.scratchTerm.c(this.termEnum.term().y);
                }
                while (!doContinue() && doPop()) {
                    while (!doContinue()) {
                        while (!doContinue()) {
                        }
                    }
                }
                doPushes();
            }
        }

        @Override // i.a.b.c.o3
        public int docFreq() {
            return this.termEnum.docFreq();
        }

        @Override // i.a.b.c.o3
        public c0 docs(j jVar, c0 c0Var, int i2) {
            PreDocsEnum preDocsEnum;
            if (c0Var == null || !(c0Var instanceof PreDocsEnum)) {
                preDocsEnum = new PreDocsEnum();
            } else {
                preDocsEnum = (PreDocsEnum) c0Var;
                u freqStream = preDocsEnum.getFreqStream();
                Lucene3xFields lucene3xFields = Lucene3xFields.this;
                if (freqStream != lucene3xFields.freqStream) {
                    preDocsEnum = new PreDocsEnum();
                }
            }
            return preDocsEnum.reset(this.termEnum, jVar);
        }

        @Override // i.a.b.c.o3
        public b0 docsAndPositions(j jVar, b0 b0Var, int i2) {
            PreDocsAndPositionsEnum preDocsAndPositionsEnum;
            if (this.fieldInfo.f954h != k0.b.DOCS_AND_FREQS_AND_POSITIONS) {
                return null;
            }
            if (b0Var == null || !(b0Var instanceof PreDocsAndPositionsEnum)) {
                preDocsAndPositionsEnum = new PreDocsAndPositionsEnum();
            } else {
                preDocsAndPositionsEnum = (PreDocsAndPositionsEnum) b0Var;
                if (preDocsAndPositionsEnum.getFreqStream() != Lucene3xFields.this.freqStream) {
                    preDocsAndPositionsEnum = new PreDocsAndPositionsEnum();
                }
            }
            return preDocsAndPositionsEnum.reset(this.termEnum, jVar);
        }

        @Override // i.a.b.g.n
        public Comparator<l> getComparator() {
            if (this.unicodeSortOrder) {
                return l.C;
            }
            return l.D;
        }

        @Override // i.a.b.g.n
        public l next() {
            if (this.skipNext) {
                this.skipNext = false;
                if (this.termEnum.term() == null || this.termEnum.term().x != this.internedFieldName) {
                    return null;
                }
                l lVar = this.termEnum.term().y;
                this.current = lVar;
                return lVar;
            }
            this.prevTerm.c(this.termEnum.term().y);
            if (!this.termEnum.next() || this.termEnum.term().x != this.internedFieldName) {
                this.newSuffixStart = 0;
                surrogateDance();
                i3 term = this.termEnum.term();
                if (term == null || term.x != this.internedFieldName) {
                    return null;
                }
                l lVar2 = term.y;
                this.current = lVar2;
                return lVar2;
            }
            this.newSuffixStart = this.termEnum.newSuffixStart;
            surrogateDance();
            i3 term2 = this.termEnum.term();
            if (term2 == null || term2.x != this.internedFieldName) {
                this.current = null;
            } else {
                this.current = term2.y;
            }
            return this.current;
        }

        @Override // i.a.b.c.o3
        public long ord() {
            throw new UnsupportedOperationException();
        }

        public void reset(k0 k0Var) {
            this.fieldInfo = k0Var;
            String intern = k0Var.a.intern();
            this.internedFieldName = intern;
            i3 i3Var = new i3(intern);
            if (this.termEnum == null) {
                this.termEnum = Lucene3xFields.this.getTermsDict().terms(i3Var);
                this.seekTermEnum = Lucene3xFields.this.getTermsDict().terms(i3Var);
            } else {
                Lucene3xFields.this.getTermsDict().seekEnum(this.termEnum, i3Var, true);
            }
            this.skipNext = true;
            this.unicodeSortOrder = Lucene3xFields.this.sortTermsByUnicode();
            i3 term = this.termEnum.term();
            if (term != null && term.x == this.internedFieldName) {
                this.newSuffixStart = 0;
                this.prevTerm.z = 0;
                surrogateDance();
            }
        }

        @Override // i.a.b.c.o3
        public o3.c seekCeil(l lVar) {
            this.skipNext = false;
            Lucene3xFields.this.getTermsDict().seekEnum(this.termEnum, new i3(this.fieldInfo.a, lVar), false);
            i3 term = this.termEnum.term();
            if (term != null && term.x == this.internedFieldName && lVar.a(term.y)) {
                this.current = term.y;
                return o3.c.FOUND;
            } else if (term == null || term.x != this.internedFieldName) {
                this.scratchTerm.c(lVar);
                for (int i2 = this.scratchTerm.z - 1; i2 >= 0; i2--) {
                    if (isHighBMPChar(this.scratchTerm.x, i2) && seekToNonBMP(this.seekTermEnum, this.scratchTerm, i2)) {
                        this.scratchTerm.c(this.seekTermEnum.term().y);
                        Lucene3xFields.this.getTermsDict().seekEnum(this.termEnum, this.seekTermEnum.term(), false);
                        this.newSuffixStart = i2 + 1;
                        doPushes();
                        this.current = this.termEnum.term().y;
                        return o3.c.NOT_FOUND;
                    }
                }
                this.current = null;
                return o3.c.END;
            } else {
                this.prevTerm.c(lVar);
                setNewSuffixStart(lVar, term.y);
                surrogateDance();
                i3 term2 = this.termEnum.term();
                if (term2 == null || term2.x != this.internedFieldName) {
                    this.current = null;
                    return o3.c.END;
                }
                this.current = term2.y;
                return o3.c.NOT_FOUND;
            }
        }

        @Override // i.a.b.c.o3
        public void seekExact(long j) {
            throw new UnsupportedOperationException();
        }

        @Override // i.a.b.c.o3
        public l term() {
            return this.current;
        }

        @Override // i.a.b.c.o3
        public long totalTermFreq() {
            return -1;
        }
    }

    public Lucene3xFields(n nVar, l0 l0Var, q2 q2Var, t tVar, int i2) {
        this.si = q2Var;
        i2 = i2 < 0 ? -i2 : i2;
        try {
            TermInfosReader termInfosReader = new TermInfosReader(nVar, q2Var.a, l0Var, tVar, i2);
            if (i2 == -1) {
                this.tisNoIndex = termInfosReader;
            } else {
                this.tisNoIndex = null;
                this.tis = termInfosReader;
            }
            this.context = tVar;
            this.fieldInfos = l0Var;
            this.freqStream = nVar.c(a1.a(q2Var.a, "", "frq"), tVar);
            boolean z = false;
            Iterator<k0> it = l0Var.iterator();
            while (it.hasNext()) {
                k0 next = it.next();
                if (next.c) {
                    this.fields.put(next.a, next);
                    this.preTerms.put(next.a, new PreTerms(next));
                    if (next.f954h == k0.b.DOCS_AND_FREQS_AND_POSITIONS) {
                        z = true;
                    }
                }
            }
            if (z) {
                this.proxStream = nVar.c(a1.a(q2Var.a, "", "prx"), tVar);
            } else {
                this.proxStream = null;
            }
            this.dir = nVar;
        } catch (Throwable th) {
            close();
            throw th;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private synchronized TermInfosReader getTermsDict() {
        if (this.tis != null) {
            return this.tis;
        }
        return this.tisNoIndex;
    }

    @Override // org.apache.lucene.codecs.FieldsProducer, java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        x.a(this.tis, this.tisNoIndex, this.cfsReader, this.freqStream, this.proxStream);
    }

    @Override // i.a.b.c.n0
    public long getUniqueTermCount() {
        return getTermsDict().size();
    }

    @Override // i.a.b.c.n0, java.lang.Iterable
    public Iterator<String> iterator() {
        return Collections.unmodifiableSet(this.fields.keySet()).iterator();
    }

    @Override // org.apache.lucene.codecs.FieldsProducer
    public long ramBytesUsed() {
        TermInfosReader termInfosReader = this.tis;
        if (termInfosReader != null) {
            return termInfosReader.ramBytesUsed();
        }
        return 0;
    }

    @Override // i.a.b.c.n0
    public int size() {
        return this.fields.size();
    }

    public boolean sortTermsByUnicode() {
        return true;
    }

    @Override // i.a.b.c.n0
    public n3 terms(String str) {
        return this.preTerms.get(str);
    }
}
