package org.apache.lucene.codecs.lucene3x;

import i.a.b.c.a1;
import i.a.b.c.b3;
import i.a.b.c.e;
import i.a.b.c.e2;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.c.q2;
import i.a.b.c.y2;
import i.a.b.f.n;
import i.a.b.f.t;
import i.a.b.f.u;
import i.a.b.g.j;
import i.a.b.g.o0;
import i.a.b.g.w0;
import i.a.b.g.x;
import java.util.Collections;
import java.util.HashMap;
import java.util.IdentityHashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.atomic.AtomicLong;
import org.apache.lucene.codecs.DocValuesProducer;

@Deprecated
public class Lucene3xNormsProducer extends DocValuesProducer {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final String NORMS_EXTENSION = "nrm";
    public static final byte[] NORMS_HEADER = {78, 82, 77, -1};
    public static final String SEPARATE_NORMS_EXTENSION = "s";
    public final int maxdoc;
    public final Map<String, NormsDocValues> norms = new HashMap();
    public final Set<u> openFiles = Collections.newSetFromMap(new IdentityHashMap());
    public final AtomicLong ramBytesUsed;
    public u singleNormStream;

    public class NormsDocValues {
        public final u file;
        public e2 instance;
        public final long offset;

        public NormsDocValues(u uVar, long j) {
            this.file = uVar;
            this.offset = j;
        }

        public synchronized e2 getInstance() {
            if (this.instance == null) {
                int i2 = Lucene3xNormsProducer.this.maxdoc;
                final byte[] bArr = new byte[i2];
                synchronized (this.file) {
                    this.file.seek(this.offset);
                    this.file.readBytes(bArr, 0, i2, false);
                }
                if (this.file != Lucene3xNormsProducer.this.singleNormStream) {
                    Lucene3xNormsProducer.this.openFiles.remove(this.file);
                    this.file.close();
                }
                Lucene3xNormsProducer.this.ramBytesUsed.addAndGet(o0.a(bArr));
                this.instance = new e2() {
                    /* class org.apache.lucene.codecs.lucene3x.Lucene3xNormsProducer.NormsDocValues.AnonymousClass1 */

                    @Override // i.a.b.c.e2
                    public long get(int i2) {
                        return (long) bArr[i2];
                    }
                };
            }
            return this.instance;
        }
    }

    public Lucene3xNormsProducer(n nVar, q2 q2Var, l0 l0Var, t tVar) {
        long j;
        u uVar;
        n nVar2 = q2Var.c;
        this.maxdoc = q2Var.b();
        try {
            long length = (long) NORMS_HEADER.length;
            Iterator<k0> it = l0Var.iterator();
            while (it.hasNext()) {
                k0 next = it.next();
                if (next.b()) {
                    String normFilename = getNormFilename(q2Var, next.f949b);
                    n nVar3 = hasSeparateNorms(q2Var, next.f949b) ? nVar2 : nVar;
                    if (a1.a(normFilename, NORMS_EXTENSION)) {
                        if (this.singleNormStream == null) {
                            u c = nVar3.c(normFilename, tVar);
                            this.singleNormStream = c;
                            this.openFiles.add(c);
                        }
                        uVar = this.singleNormStream;
                        j = length;
                    } else {
                        uVar = nVar3.c(normFilename, tVar);
                        this.openFiles.add(uVar);
                        String str = q2Var.f1027h;
                        if ((str == null || w0.a.compare(str, "3.2") < 0) && uVar.length() == ((long) this.maxdoc)) {
                            j = 0;
                        } else {
                            j = (long) NORMS_HEADER.length;
                        }
                    }
                    this.norms.put(next.a, new NormsDocValues(uVar, j));
                    length += (long) this.maxdoc;
                }
            }
            this.ramBytesUsed = new AtomicLong();
        } catch (Throwable th) {
            x.b(this.openFiles);
            throw th;
        }
    }

    public static String getNormFilename(q2 q2Var, int i2) {
        if (!hasSeparateNorms(q2Var, i2)) {
            return a1.a(q2Var.a, "", NORMS_EXTENSION);
        }
        long parseLong = Long.parseLong(q2Var.b(Lucene3xSegmentInfoFormat.NORMGEN_PREFIX + i2));
        String str = q2Var.a;
        return a1.a(str, SEPARATE_NORMS_EXTENSION + i2, parseLong);
    }

    public static boolean hasSeparateNorms(q2 q2Var, int i2) {
        StringBuilder sb = new StringBuilder();
        sb.append(Lucene3xSegmentInfoFormat.NORMGEN_PREFIX);
        sb.append(i2);
        return q2Var.b(sb.toString()) != null;
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        try {
            x.a(this.openFiles);
        } finally {
            this.norms.clear();
            this.openFiles.clear();
        }
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public e getBinary(k0 k0Var) {
        throw new AssertionError();
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public j getDocsWithField(k0 k0Var) {
        throw new AssertionError();
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public e2 getNumeric(k0 k0Var) {
        return this.norms.get(k0Var.a).getInstance();
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public y2 getSorted(k0 k0Var) {
        throw new AssertionError();
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public b3 getSortedSet(k0 k0Var) {
        throw new AssertionError();
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public long ramBytesUsed() {
        return this.ramBytesUsed.get();
    }
}
