package org.apache.lucene.codecs.lucene3x;

import i.a.b.c.i3;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.f.u;
import i.a.b.g.j;

@Deprecated
public class SegmentTermDocs {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public int count;
    public boolean currentFieldStoresPayloads;
    public int df;
    public int doc = 0;
    public final l0 fieldInfos;
    public int freq;
    public long freqBasePointer;
    public u freqStream;
    public boolean haveSkipped;
    public k0.b indexOptions;
    public j liveDocs;
    public int maxSkipLevels;
    public long proxBasePointer;
    public int skipInterval;
    public Lucene3xSkipListReader skipListReader;
    public long skipPointer;
    public final TermInfosReader tis;

    public SegmentTermDocs(u uVar, TermInfosReader termInfosReader, l0 l0Var) {
        this.freqStream = uVar.clone();
        this.tis = termInfosReader;
        this.fieldInfos = l0Var;
        this.skipInterval = termInfosReader.getSkipInterval();
        this.maxSkipLevels = termInfosReader.getMaxSkipLevels();
    }

    private final int readNoTf(int[] iArr, int[] iArr2, int i2) {
        int i3 = 0;
        while (i3 < i2 && this.count < this.df) {
            int readVInt = this.freqStream.readVInt() + this.doc;
            this.doc = readVInt;
            this.count++;
            j jVar = this.liveDocs;
            if (jVar == null || jVar.get(readVInt)) {
                iArr[i3] = this.doc;
                iArr2[i3] = 1;
                i3++;
            }
        }
        return i3;
    }

    public void close() {
        this.freqStream.close();
        Lucene3xSkipListReader lucene3xSkipListReader = this.skipListReader;
        if (lucene3xSkipListReader != null) {
            lucene3xSkipListReader.close();
        }
    }

    public final int doc() {
        return this.doc;
    }

    public final int freq() {
        return this.freq;
    }

    public boolean next() {
        while (this.count != this.df) {
            int readVInt = this.freqStream.readVInt();
            if (this.indexOptions == k0.b.DOCS_ONLY) {
                this.doc += readVInt;
            } else {
                this.doc += readVInt >>> 1;
                if ((readVInt & 1) != 0) {
                    this.freq = 1;
                } else {
                    this.freq = this.freqStream.readVInt();
                }
            }
            this.count++;
            j jVar = this.liveDocs;
            if (jVar == null || jVar.get(this.doc)) {
                return true;
            }
            skippingDoc();
        }
        return false;
    }

    public int read(int[] iArr, int[] iArr2) {
        int length = iArr.length;
        if (this.indexOptions == k0.b.DOCS_ONLY) {
            return readNoTf(iArr, iArr2, length);
        }
        int i2 = 0;
        while (i2 < length && this.count < this.df) {
            int readVInt = this.freqStream.readVInt();
            this.doc += readVInt >>> 1;
            if ((readVInt & 1) != 0) {
                this.freq = 1;
            } else {
                this.freq = this.freqStream.readVInt();
            }
            this.count++;
            j jVar = this.liveDocs;
            if (jVar == null || jVar.get(this.doc)) {
                iArr[i2] = this.doc;
                iArr2[i2] = this.freq;
                i2++;
            }
        }
        return i2;
    }

    public void seek(i3 i3Var) {
        seek(this.tis.get(i3Var), i3Var);
    }

    public void setLiveDocs(j jVar) {
        this.liveDocs = jVar;
    }

    public void skipProx(long j, int i2) {
    }

    public boolean skipTo(int i2) {
        int i3 = this.skipInterval;
        if (i2 - i3 >= this.doc && this.df >= i3) {
            if (this.skipListReader == null) {
                this.skipListReader = new Lucene3xSkipListReader(this.freqStream.clone(), this.maxSkipLevels, this.skipInterval);
            }
            if (!this.haveSkipped) {
                this.skipListReader.init(this.skipPointer, this.freqBasePointer, this.proxBasePointer, this.df, this.currentFieldStoresPayloads);
                this.haveSkipped = true;
            }
            int skipTo = this.skipListReader.skipTo(i2);
            if (skipTo > this.count) {
                this.freqStream.seek(this.skipListReader.getFreqPointer());
                skipProx(this.skipListReader.getProxPointer(), this.skipListReader.getPayloadLength());
                this.doc = this.skipListReader.getDoc();
                this.count = skipTo;
            }
        }
        while (next()) {
            if (i2 <= this.doc) {
                return true;
            }
        }
        return false;
    }

    public void skippingDoc() {
    }

    public void seek(SegmentTermEnum segmentTermEnum) {
        TermInfo termInfo;
        i3 i3Var;
        if (segmentTermEnum.fieldInfos == this.fieldInfos) {
            i3Var = segmentTermEnum.term();
            termInfo = segmentTermEnum.termInfo();
        } else {
            i3Var = segmentTermEnum.term();
            termInfo = this.tis.get(i3Var);
        }
        seek(termInfo, i3Var);
    }

    public void seek(TermInfo termInfo, i3 i3Var) {
        k0.b bVar;
        this.count = 0;
        k0 a = this.fieldInfos.a(i3Var.x);
        if (a != null) {
            bVar = a.f954h;
        } else {
            bVar = k0.b.DOCS_AND_FREQS_AND_POSITIONS;
        }
        this.indexOptions = bVar;
        this.currentFieldStoresPayloads = a != null ? a.f955i : false;
        if (termInfo == null) {
            this.df = 0;
            return;
        }
        this.df = termInfo.docFreq;
        this.doc = 0;
        long j = termInfo.freqPointer;
        this.freqBasePointer = j;
        this.proxBasePointer = termInfo.proxPointer;
        this.skipPointer = ((long) termInfo.skipOffset) + j;
        this.freqStream.seek(j);
        this.haveSkipped = false;
    }
}
