package org.apache.lucene.codecs.lucene40;

import org.apache.lucene.codecs.Codec;
import org.apache.lucene.codecs.DocValuesFormat;
import org.apache.lucene.codecs.FieldInfosFormat;
import org.apache.lucene.codecs.LiveDocsFormat;
import org.apache.lucene.codecs.NormsFormat;
import org.apache.lucene.codecs.PostingsFormat;
import org.apache.lucene.codecs.SegmentInfoFormat;
import org.apache.lucene.codecs.StoredFieldsFormat;
import org.apache.lucene.codecs.TermVectorsFormat;
import org.apache.lucene.codecs.perfield.PerFieldPostingsFormat;

@Deprecated
public class Lucene40Codec extends Codec {
    public final DocValuesFormat defaultDVFormat = new Lucene40DocValuesFormat();
    public final PostingsFormat defaultFormat = PostingsFormat.forName("Lucene40");
    public final FieldInfosFormat fieldInfosFormat = new Lucene40FieldInfosFormat();
    public final StoredFieldsFormat fieldsFormat = new Lucene40StoredFieldsFormat();
    public final SegmentInfoFormat infosFormat = new Lucene40SegmentInfoFormat();
    public final LiveDocsFormat liveDocsFormat = new Lucene40LiveDocsFormat();
    public final NormsFormat normsFormat = new Lucene40NormsFormat();
    public final PostingsFormat postingsFormat = new PerFieldPostingsFormat() {
        /* class org.apache.lucene.codecs.lucene40.Lucene40Codec.AnonymousClass1 */

        @Override // org.apache.lucene.codecs.perfield.PerFieldPostingsFormat
        public PostingsFormat getPostingsFormatForField(String str) {
            return Lucene40Codec.this.getPostingsFormatForField(str);
        }
    };
    public final TermVectorsFormat vectorsFormat = new Lucene40TermVectorsFormat();

    public Lucene40Codec() {
        super("Lucene40");
    }

    @Override // org.apache.lucene.codecs.Codec
    public DocValuesFormat docValuesFormat() {
        return this.defaultDVFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public FieldInfosFormat fieldInfosFormat() {
        return this.fieldInfosFormat;
    }

    public PostingsFormat getPostingsFormatForField(String str) {
        return this.defaultFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public final LiveDocsFormat liveDocsFormat() {
        return this.liveDocsFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public NormsFormat normsFormat() {
        return this.normsFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public final PostingsFormat postingsFormat() {
        return this.postingsFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public SegmentInfoFormat segmentInfoFormat() {
        return this.infosFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public final StoredFieldsFormat storedFieldsFormat() {
        return this.fieldsFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public final TermVectorsFormat termVectorsFormat() {
        return this.vectorsFormat;
    }
}
