package org.apache.lucene.codecs.lucene40;

import i.a.b.c.a1;
import i.a.b.c.n2;
import i.a.b.f.n;
import i.a.b.f.t;
import i.a.b.g.h0;
import i.a.b.g.j;
import java.util.Collection;
import org.apache.lucene.codecs.LiveDocsFormat;

public class Lucene40LiveDocsFormat extends LiveDocsFormat {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final String DELETES_EXTENSION = "del";

    @Override // org.apache.lucene.codecs.LiveDocsFormat
    public void files(n2 n2Var, Collection<String> collection) {
        if (n2Var.c != -1) {
            collection.add(a1.a(n2Var.a.a, DELETES_EXTENSION, n2Var.c));
        }
    }

    @Override // org.apache.lucene.codecs.LiveDocsFormat
    public h0 newLiveDocs(int i2) {
        BitVector bitVector = new BitVector(i2);
        bitVector.invertAll();
        return bitVector;
    }

    @Override // org.apache.lucene.codecs.LiveDocsFormat
    public j readLiveDocs(n nVar, n2 n2Var, t tVar) {
        return new BitVector(nVar, a1.a(n2Var.a.a, DELETES_EXTENSION, n2Var.c), tVar);
    }

    @Override // org.apache.lucene.codecs.LiveDocsFormat
    public void writeLiveDocs(h0 h0Var, n nVar, n2 n2Var, int i2, t tVar) {
        ((BitVector) h0Var).write(nVar, a1.a(n2Var.a.a, DELETES_EXTENSION, n2Var.f994d), tVar);
    }

    @Override // org.apache.lucene.codecs.LiveDocsFormat
    public h0 newLiveDocs(j jVar) {
        return ((BitVector) jVar).clone();
    }
}
