package org.apache.lucene.codecs.lucene40;

import i.a.b.c.a1;
import i.a.b.c.b0;
import i.a.b.c.c0;
import i.a.b.c.k0;
import i.a.b.c.k3;
import i.a.b.c.l0;
import i.a.b.c.q2;
import i.a.b.f.n;
import i.a.b.f.t;
import i.a.b.f.u;
import i.a.b.g.j;
import i.a.b.g.l;
import i.a.b.g.x;
import java.io.Closeable;
import java.util.Arrays;
import org.apache.lucene.codecs.BlockTermState;
import org.apache.lucene.codecs.CodecUtil;
import org.apache.lucene.codecs.PostingsReaderBase;

@Deprecated
public class Lucene40PostingsReader extends PostingsReaderBase {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int BUFFERSIZE = 64;
    public static final String FRQ_CODEC = "Lucene40PostingsWriterFrq";
    public static final String PRX_CODEC = "Lucene40PostingsWriterPrx";
    public static final String TERMS_CODEC = "Lucene40PostingsWriterTerms";
    public static final int VERSION_CURRENT = 1;
    public static final int VERSION_LONG_SKIP = 1;
    public static final int VERSION_START = 0;
    public final u freqIn;
    public int maxSkipLevels;
    public final u proxIn;
    public int skipInterval;
    public int skipMinimum;

    public final class AllDocsSegmentDocsEnum extends SegmentDocsEnumBase {
        public static final /* synthetic */ boolean $assertionsDisabled = false;

        public AllDocsSegmentDocsEnum(u uVar) {
            super(uVar, null);
        }

        @Override // org.apache.lucene.codecs.lucene40.Lucene40PostingsReader.SegmentDocsEnumBase
        public final int linearScan(int i2) {
            int[] iArr = this.docs;
            int i3 = this.count;
            for (int i4 = this.start; i4 < i3; i4++) {
                if (i2 <= iArr[i4]) {
                    this.start = i4;
                    this.freq = this.freqs[i4];
                    int i5 = iArr[i4];
                    this.doc = i5;
                    return i5;
                }
            }
            int refill = refill();
            this.doc = refill;
            return refill;
        }

        @Override // i.a.b.e.r
        public final int nextDoc() {
            int i2 = this.start + 1;
            this.start = i2;
            if (i2 < this.count) {
                this.freq = this.freqs[i2];
                int i3 = this.docs[i2];
                this.doc = i3;
                return i3;
            }
            int refill = refill();
            this.doc = refill;
            return refill;
        }

        @Override // org.apache.lucene.codecs.lucene40.Lucene40PostingsReader.SegmentDocsEnumBase
        public final int nextUnreadDoc() {
            int i2 = this.ord;
            this.ord = i2 + 1;
            if (i2 >= this.limit) {
                return Integer.MAX_VALUE;
            }
            int readVInt = this.freqIn.readVInt();
            if (this.indexOmitsTF) {
                this.accum += readVInt;
            } else {
                this.accum += readVInt >>> 1;
                this.freq = readFreq(this.freqIn, readVInt);
            }
            return this.accum;
        }

        @Override // org.apache.lucene.codecs.lucene40.Lucene40PostingsReader.SegmentDocsEnumBase
        public int scanTo(int i2) {
            int i3 = this.accum;
            u uVar = this.freqIn;
            boolean z = this.indexOmitsTF;
            int i4 = this.limit;
            int i5 = 1;
            for (int i6 = this.ord; i6 < i4; i6++) {
                int readVInt = uVar.readVInt();
                if (z) {
                    i3 += readVInt;
                } else {
                    i3 += readVInt >>> 1;
                    i5 = readFreq(uVar, readVInt);
                }
                if (i3 >= i2) {
                    this.freq = i5;
                    this.ord = i6 + 1;
                    this.accum = i3;
                    return i3;
                }
            }
            this.ord = this.limit;
            this.freq = i5;
            this.accum = i3;
            return Integer.MAX_VALUE;
        }
    }

    public final class LiveDocsSegmentDocsEnum extends SegmentDocsEnumBase {
        public static final /* synthetic */ boolean $assertionsDisabled = false;

        public LiveDocsSegmentDocsEnum(u uVar, j jVar) {
            super(uVar, jVar);
        }

        @Override // org.apache.lucene.codecs.lucene40.Lucene40PostingsReader.SegmentDocsEnumBase
        public final int linearScan(int i2) {
            int[] iArr = this.docs;
            int i3 = this.count;
            j jVar = this.liveDocs;
            for (int i4 = this.start; i4 < i3; i4++) {
                int i5 = iArr[i4];
                if (i2 <= i5 && jVar.get(i5)) {
                    this.start = i4;
                    this.freq = this.freqs[i4];
                    int i6 = iArr[i4];
                    this.doc = i6;
                    return i6;
                }
            }
            int refill = refill();
            this.doc = refill;
            return refill;
        }

        @Override // i.a.b.e.r
        public final int nextDoc() {
            int i2;
            j jVar = this.liveDocs;
            int i3 = this.start;
            do {
                i3++;
                int i4 = this.count;
                if (i3 < i4) {
                    i2 = this.docs[i3];
                } else {
                    this.start = i4;
                    int refill = refill();
                    this.doc = refill;
                    return refill;
                }
            } while (!jVar.get(i2));
            this.start = i3;
            this.freq = this.freqs[i3];
            this.doc = i2;
            return i2;
        }

        @Override // org.apache.lucene.codecs.lucene40.Lucene40PostingsReader.SegmentDocsEnumBase
        public final int nextUnreadDoc() {
            int i2 = this.accum;
            u uVar = this.freqIn;
            boolean z = this.indexOmitsTF;
            int i3 = this.limit;
            j jVar = this.liveDocs;
            int i4 = 1;
            for (int i5 = this.ord; i5 < i3; i5++) {
                int readVInt = uVar.readVInt();
                if (z) {
                    i2 += readVInt;
                } else {
                    i2 += readVInt >>> 1;
                    i4 = readFreq(uVar, readVInt);
                }
                if (jVar.get(i2)) {
                    this.freq = i4;
                    this.ord = i5 + 1;
                    this.accum = i2;
                    return i2;
                }
            }
            this.ord = this.limit;
            this.freq = i4;
            this.accum = i2;
            return Integer.MAX_VALUE;
        }

        @Override // org.apache.lucene.codecs.lucene40.Lucene40PostingsReader.SegmentDocsEnumBase
        public int scanTo(int i2) {
            int i3 = this.accum;
            u uVar = this.freqIn;
            boolean z = this.indexOmitsTF;
            int i4 = this.limit;
            j jVar = this.liveDocs;
            int i5 = 1;
            for (int i6 = this.ord; i6 < i4; i6++) {
                int readVInt = uVar.readVInt();
                if (z) {
                    i3 += readVInt;
                } else {
                    i3 += readVInt >>> 1;
                    i5 = readFreq(uVar, readVInt);
                }
                if (i3 >= i2 && jVar.get(i3)) {
                    this.freq = i5;
                    this.ord = i6 + 1;
                    this.accum = i3;
                    return i3;
                }
            }
            this.ord = this.limit;
            this.freq = i5;
            this.accum = i3;
            return Integer.MAX_VALUE;
        }
    }

    public final class SegmentDocsAndPositionsEnum extends b0 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public int accum;
        public int doc = -1;
        public int freq;
        public final u freqIn;
        public long freqOffset;
        public long lazyProxPointer;
        public int limit;
        public j liveDocs;
        public int ord;
        public int posPendingCount;
        public int position;
        public final u proxIn;
        public long proxOffset;
        public long skipOffset;
        public boolean skipped;
        public Lucene40SkipListReader skipper;
        public final u startFreqIn;

        public SegmentDocsAndPositionsEnum(u uVar, u uVar2) {
            this.startFreqIn = uVar;
            this.freqIn = uVar.clone();
            this.proxIn = uVar2.clone();
        }

        @Override // i.a.b.e.r
        public int advance(int i2) {
            int i3;
            Lucene40PostingsReader lucene40PostingsReader = Lucene40PostingsReader.this;
            if (i2 - lucene40PostingsReader.skipInterval >= this.doc && this.limit >= lucene40PostingsReader.skipMinimum) {
                if (this.skipper == null) {
                    u clone = this.freqIn.clone();
                    Lucene40PostingsReader lucene40PostingsReader2 = Lucene40PostingsReader.this;
                    this.skipper = new Lucene40SkipListReader(clone, lucene40PostingsReader2.maxSkipLevels, lucene40PostingsReader2.skipInterval);
                }
                if (!this.skipped) {
                    Lucene40SkipListReader lucene40SkipListReader = this.skipper;
                    long j = this.freqOffset;
                    lucene40SkipListReader.init(this.skipOffset + j, j, this.proxOffset, this.limit, false, false);
                    this.skipped = true;
                }
                int skipTo = this.skipper.skipTo(i2);
                if (skipTo > this.ord) {
                    this.ord = skipTo;
                    int doc2 = this.skipper.getDoc();
                    this.accum = doc2;
                    this.doc = doc2;
                    this.freqIn.seek(this.skipper.getFreqPointer());
                    this.lazyProxPointer = this.skipper.getProxPointer();
                    this.posPendingCount = 0;
                    this.position = 0;
                }
            }
            do {
                nextDoc();
                i3 = this.doc;
            } while (i2 > i3);
            return i3;
        }

        @Override // i.a.b.e.r
        public long cost() {
            return (long) this.limit;
        }

        @Override // i.a.b.e.r
        public int docID() {
            return this.doc;
        }

        @Override // i.a.b.c.b0
        public int endOffset() {
            return -1;
        }

        @Override // i.a.b.c.c0
        public int freq() {
            return this.freq;
        }

        @Override // i.a.b.c.b0
        public l getPayload() {
            return null;
        }

        @Override // i.a.b.e.r
        public int nextDoc() {
            j jVar;
            do {
                int i2 = this.ord;
                if (i2 != this.limit) {
                    this.ord = i2 + 1;
                    int readVInt = this.freqIn.readVInt();
                    this.accum += readVInt >>> 1;
                    if ((readVInt & 1) != 0) {
                        this.freq = 1;
                    } else {
                        this.freq = this.freqIn.readVInt();
                    }
                    this.posPendingCount += this.freq;
                    jVar = this.liveDocs;
                    if (jVar == null) {
                        break;
                    }
                } else {
                    this.doc = Integer.MAX_VALUE;
                    return Integer.MAX_VALUE;
                }
            } while (!jVar.get(this.accum));
            this.position = 0;
            int i3 = this.accum;
            this.doc = i3;
            return i3;
        }

        @Override // i.a.b.c.b0
        public int nextPosition() {
            long j = this.lazyProxPointer;
            if (j != -1) {
                this.proxIn.seek(j);
                this.lazyProxPointer = -1;
            }
            if (this.posPendingCount > this.freq) {
                this.position = 0;
                while (this.posPendingCount != this.freq) {
                    if ((this.proxIn.readByte() & 128) == 0) {
                        this.posPendingCount--;
                    }
                }
            }
            int readVInt = this.proxIn.readVInt() + this.position;
            this.position = readVInt;
            this.posPendingCount--;
            return readVInt;
        }

        public SegmentDocsAndPositionsEnum reset(k0 k0Var, StandardTermState standardTermState, j jVar) {
            this.liveDocs = jVar;
            this.freqIn.seek(standardTermState.freqOffset);
            long j = standardTermState.proxOffset;
            this.lazyProxPointer = j;
            this.limit = standardTermState.docFreq;
            this.ord = 0;
            this.doc = -1;
            this.accum = 0;
            this.position = 0;
            this.skipped = false;
            this.posPendingCount = 0;
            this.freqOffset = standardTermState.freqOffset;
            this.proxOffset = j;
            this.skipOffset = standardTermState.skipOffset;
            return this;
        }

        @Override // i.a.b.c.b0
        public int startOffset() {
            return -1;
        }
    }

    public abstract class SegmentDocsEnumBase extends c0 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public int accum;
        public int count;
        public int doc;
        public final int[] docs = new int[64];
        public int freq;
        public final u freqIn;
        public long freqOffset;
        public final int[] freqs = new int[64];
        public boolean indexOmitsTF;
        public int limit;
        public final j liveDocs;
        public int maxBufferedDocId;
        public int ord;
        public long skipOffset;
        public boolean skipped;
        public Lucene40SkipListReader skipper;
        public int start;
        public final u startFreqIn;
        public boolean storeOffsets;
        public boolean storePayloads;

        public SegmentDocsEnumBase(u uVar, j jVar) {
            this.startFreqIn = uVar;
            this.freqIn = uVar.clone();
            this.liveDocs = jVar;
        }

        private final int binarySearch(int i2, int i3, int i4, int[] iArr) {
            while (true) {
                if (i3 <= i2) {
                    int i5 = (i2 + i3) >>> 1;
                    int i6 = iArr[i5];
                    if (i6 >= i4) {
                        if (i6 <= i4) {
                            i3 = i5;
                            break;
                        }
                        i2 = i5 - 1;
                    } else {
                        i3 = i5 + 1;
                    }
                } else {
                    break;
                }
            }
            return i3 - 1;
        }

        private final int fillDocs(int i2) {
            u uVar = this.freqIn;
            int[] iArr = this.docs;
            int i3 = this.accum;
            for (int i4 = 0; i4 < i2; i4++) {
                i3 += uVar.readVInt();
                iArr[i4] = i3;
            }
            this.accum = i3;
            return i2;
        }

        private final int fillDocsAndFreqs(int i2) {
            u uVar = this.freqIn;
            int[] iArr = this.docs;
            int[] iArr2 = this.freqs;
            int i3 = this.accum;
            for (int i4 = 0; i4 < i2; i4++) {
                int readVInt = uVar.readVInt();
                i3 += readVInt >>> 1;
                iArr2[i4] = readFreq(uVar, readVInt);
                iArr[i4] = i3;
            }
            this.accum = i3;
            return i2;
        }

        private final int skipTo(int i2) {
            Lucene40PostingsReader lucene40PostingsReader = Lucene40PostingsReader.this;
            if (i2 - lucene40PostingsReader.skipInterval >= this.accum && this.limit >= lucene40PostingsReader.skipMinimum) {
                if (this.skipper == null) {
                    u clone = this.freqIn.clone();
                    Lucene40PostingsReader lucene40PostingsReader2 = Lucene40PostingsReader.this;
                    this.skipper = new Lucene40SkipListReader(clone, lucene40PostingsReader2.maxSkipLevels, lucene40PostingsReader2.skipInterval);
                }
                if (!this.skipped) {
                    Lucene40SkipListReader lucene40SkipListReader = this.skipper;
                    long j = this.freqOffset;
                    lucene40SkipListReader.init(this.skipOffset + j, j, 0, this.limit, this.storePayloads, this.storeOffsets);
                    this.skipped = true;
                }
                int skipTo = this.skipper.skipTo(i2);
                if (skipTo > this.ord) {
                    this.ord = skipTo;
                    this.accum = this.skipper.getDoc();
                    this.freqIn.seek(this.skipper.getFreqPointer());
                }
            }
            return scanTo(i2);
        }

        @Override // i.a.b.e.r
        public final int advance(int i2) {
            int i3 = this.start + 1;
            this.start = i3;
            int i4 = this.count;
            if (i3 >= i4 || this.maxBufferedDocId < i2) {
                this.start = this.count;
                int skipTo = skipTo(i2);
                this.doc = skipTo;
                return skipTo;
            } else if (i4 - i3 <= 32) {
                return linearScan(i2);
            } else {
                this.start = binarySearch(i4 - 1, i3, i2, this.docs);
                return nextDoc();
            }
        }

        @Override // i.a.b.e.r
        public long cost() {
            return (long) this.limit;
        }

        @Override // i.a.b.e.r
        public final int docID() {
            return this.doc;
        }

        @Override // i.a.b.c.c0
        public final int freq() {
            return this.freq;
        }

        public abstract int linearScan(int i2);

        public abstract int nextUnreadDoc();

        public final int readFreq(u uVar, int i2) {
            if ((i2 & 1) != 0) {
                return 1;
            }
            return uVar.readVInt();
        }

        public final int refill() {
            int nextUnreadDoc = nextUnreadDoc();
            this.count = 0;
            this.start = -1;
            int i2 = Integer.MAX_VALUE;
            if (nextUnreadDoc == Integer.MAX_VALUE) {
                return Integer.MAX_VALUE;
            }
            int min = Math.min(this.docs.length, this.limit - this.ord);
            this.ord += min;
            if (this.indexOmitsTF) {
                this.count = fillDocs(min);
            } else {
                this.count = fillDocsAndFreqs(min);
            }
            int i3 = this.count;
            if (i3 > 0) {
                i2 = this.docs[i3 - 1];
            }
            this.maxBufferedDocId = i2;
            return nextUnreadDoc;
        }

        public c0 reset(k0 k0Var, StandardTermState standardTermState) {
            this.indexOmitsTF = k0Var.f954h == k0.b.DOCS_ONLY;
            this.storePayloads = k0Var.f955i;
            this.storeOffsets = k0Var.f954h.compareTo(k0.b.DOCS_AND_FREQS_AND_POSITIONS_AND_OFFSETS) >= 0;
            long j = standardTermState.freqOffset;
            this.freqOffset = j;
            this.skipOffset = standardTermState.skipOffset;
            this.freqIn.seek(j);
            this.limit = standardTermState.docFreq;
            this.ord = 0;
            this.doc = -1;
            this.accum = 0;
            this.skipped = false;
            this.start = -1;
            this.count = 0;
            this.freq = 1;
            if (this.indexOmitsTF) {
                Arrays.fill(this.freqs, 1);
            }
            this.maxBufferedDocId = -1;
            return this;
        }

        public abstract int scanTo(int i2);
    }

    public class SegmentFullPositionsEnum extends b0 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public int accum;
        public int doc = -1;
        public int freq;
        public final u freqIn;
        public long freqOffset;
        public long lazyProxPointer;
        public int limit;
        public j liveDocs;
        public int offsetLength;
        public int ord;
        public l payload;
        public int payloadLength;
        public boolean payloadPending;
        public int posPendingCount;
        public int position;
        public final u proxIn;
        public long proxOffset;
        public long skipOffset;
        public boolean skipped;
        public Lucene40SkipListReader skipper;
        public final u startFreqIn;
        public int startOffset;
        public boolean storeOffsets;
        public boolean storePayloads;

        public SegmentFullPositionsEnum(u uVar, u uVar2) {
            this.startFreqIn = uVar;
            this.freqIn = uVar.clone();
            this.proxIn = uVar2.clone();
        }

        @Override // i.a.b.e.r
        public int advance(int i2) {
            int i3;
            Lucene40PostingsReader lucene40PostingsReader = Lucene40PostingsReader.this;
            if (i2 - lucene40PostingsReader.skipInterval >= this.doc && this.limit >= lucene40PostingsReader.skipMinimum) {
                if (this.skipper == null) {
                    u clone = this.freqIn.clone();
                    Lucene40PostingsReader lucene40PostingsReader2 = Lucene40PostingsReader.this;
                    this.skipper = new Lucene40SkipListReader(clone, lucene40PostingsReader2.maxSkipLevels, lucene40PostingsReader2.skipInterval);
                }
                if (!this.skipped) {
                    Lucene40SkipListReader lucene40SkipListReader = this.skipper;
                    long j = this.freqOffset;
                    lucene40SkipListReader.init(this.skipOffset + j, j, this.proxOffset, this.limit, this.storePayloads, this.storeOffsets);
                    this.skipped = true;
                }
                int skipTo = this.skipper.skipTo(i2);
                if (skipTo > this.ord) {
                    this.ord = skipTo;
                    int doc2 = this.skipper.getDoc();
                    this.accum = doc2;
                    this.doc = doc2;
                    this.freqIn.seek(this.skipper.getFreqPointer());
                    this.lazyProxPointer = this.skipper.getProxPointer();
                    this.posPendingCount = 0;
                    this.position = 0;
                    this.startOffset = 0;
                    this.payloadPending = false;
                    this.payloadLength = this.skipper.getPayloadLength();
                    this.offsetLength = this.skipper.getOffsetLength();
                }
            }
            do {
                nextDoc();
                i3 = this.doc;
            } while (i2 > i3);
            return i3;
        }

        @Override // i.a.b.e.r
        public long cost() {
            return (long) this.limit;
        }

        @Override // i.a.b.e.r
        public int docID() {
            return this.doc;
        }

        @Override // i.a.b.c.b0
        public int endOffset() {
            if (this.storeOffsets) {
                return this.startOffset + this.offsetLength;
            }
            return -1;
        }

        @Override // i.a.b.c.c0
        public int freq() {
            return this.freq;
        }

        @Override // i.a.b.c.b0
        public l getPayload() {
            int i2;
            if (!this.storePayloads || (i2 = this.payloadLength) <= 0) {
                return null;
            }
            if (this.payloadPending) {
                l lVar = this.payload;
                if (i2 > lVar.x.length) {
                    lVar.a(i2);
                }
                this.proxIn.readBytes(this.payload.x, 0, this.payloadLength);
                this.payload.z = this.payloadLength;
                this.payloadPending = false;
            }
            return this.payload;
        }

        @Override // i.a.b.e.r
        public int nextDoc() {
            j jVar;
            do {
                int i2 = this.ord;
                if (i2 != this.limit) {
                    this.ord = i2 + 1;
                    int readVInt = this.freqIn.readVInt();
                    this.accum += readVInt >>> 1;
                    if ((readVInt & 1) != 0) {
                        this.freq = 1;
                    } else {
                        this.freq = this.freqIn.readVInt();
                    }
                    this.posPendingCount += this.freq;
                    jVar = this.liveDocs;
                    if (jVar == null) {
                        break;
                    }
                } else {
                    this.doc = Integer.MAX_VALUE;
                    return Integer.MAX_VALUE;
                }
            } while (!jVar.get(this.accum));
            this.position = 0;
            this.startOffset = 0;
            int i3 = this.accum;
            this.doc = i3;
            return i3;
        }

        @Override // i.a.b.c.b0
        public int nextPosition() {
            long j = this.lazyProxPointer;
            if (j != -1) {
                this.proxIn.seek(j);
                this.lazyProxPointer = -1;
            }
            if (this.payloadPending && this.payloadLength > 0) {
                u uVar = this.proxIn;
                uVar.seek(uVar.getFilePointer() + ((long) this.payloadLength));
                this.payloadPending = false;
            }
            while (this.posPendingCount > this.freq) {
                int readVInt = this.proxIn.readVInt();
                if (this.storePayloads && (readVInt & 1) != 0) {
                    this.payloadLength = this.proxIn.readVInt();
                }
                if (this.storeOffsets && (this.proxIn.readVInt() & 1) != 0) {
                    this.offsetLength = this.proxIn.readVInt();
                }
                if (this.storePayloads) {
                    u uVar2 = this.proxIn;
                    uVar2.seek(uVar2.getFilePointer() + ((long) this.payloadLength));
                }
                this.posPendingCount--;
                this.position = 0;
                this.startOffset = 0;
                this.payloadPending = false;
            }
            if (this.payloadPending && this.payloadLength > 0) {
                u uVar3 = this.proxIn;
                uVar3.seek(uVar3.getFilePointer() + ((long) this.payloadLength));
            }
            int readVInt2 = this.proxIn.readVInt();
            if (this.storePayloads) {
                if ((readVInt2 & 1) != 0) {
                    this.payloadLength = this.proxIn.readVInt();
                }
                this.payloadPending = true;
                readVInt2 >>>= 1;
            }
            this.position += readVInt2;
            if (this.storeOffsets) {
                int readVInt3 = this.proxIn.readVInt();
                if ((readVInt3 & 1) != 0) {
                    this.offsetLength = this.proxIn.readVInt();
                }
                this.startOffset += readVInt3 >>> 1;
            }
            this.posPendingCount--;
            return this.position;
        }

        public SegmentFullPositionsEnum reset(k0 k0Var, StandardTermState standardTermState, j jVar) {
            this.storeOffsets = k0Var.f954h.compareTo(k0.b.DOCS_AND_FREQS_AND_POSITIONS_AND_OFFSETS) >= 0;
            this.storePayloads = k0Var.f955i;
            if (this.payload == null) {
                l lVar = new l(l.A);
                this.payload = lVar;
                lVar.x = new byte[1];
            }
            this.liveDocs = jVar;
            this.freqIn.seek(standardTermState.freqOffset);
            long j = standardTermState.proxOffset;
            this.lazyProxPointer = j;
            this.limit = standardTermState.docFreq;
            this.ord = 0;
            this.doc = -1;
            this.accum = 0;
            this.position = 0;
            this.startOffset = 0;
            this.skipped = false;
            this.posPendingCount = 0;
            this.payloadPending = false;
            this.freqOffset = standardTermState.freqOffset;
            this.proxOffset = j;
            this.skipOffset = standardTermState.skipOffset;
            return this;
        }

        @Override // i.a.b.c.b0
        public int startOffset() {
            if (this.storeOffsets) {
                return this.startOffset;
            }
            return -1;
        }
    }

    public Lucene40PostingsReader(n nVar, l0 l0Var, q2 q2Var, t tVar, String str) {
        Closeable closeable;
        Throwable th;
        u uVar = null;
        try {
            u c = nVar.c(a1.a(q2Var.a, str, "frq"), tVar);
            try {
                CodecUtil.checkHeader(c, FRQ_CODEC, 0, 1);
                if (l0Var.y) {
                    uVar = nVar.c(a1.a(q2Var.a, str, "prx"), tVar);
                    CodecUtil.checkHeader(uVar, PRX_CODEC, 0, 1);
                }
                this.freqIn = c;
                this.proxIn = uVar;
            } catch (Throwable th2) {
                th = th2;
                closeable = null;
                uVar = c;
                x.b(uVar, closeable);
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            closeable = null;
            x.b(uVar, closeable);
            throw th;
        }
    }

    private boolean canReuse(c0 c0Var, j jVar) {
        if (c0Var == null || !(c0Var instanceof SegmentDocsEnumBase)) {
            return false;
        }
        SegmentDocsEnumBase segmentDocsEnumBase = (SegmentDocsEnumBase) c0Var;
        if (segmentDocsEnumBase.startFreqIn == this.freqIn && jVar == segmentDocsEnumBase.liveDocs) {
            return true;
        }
        return false;
    }

    private c0 newDocsEnum(j jVar, k0 k0Var, StandardTermState standardTermState) {
        if (jVar == null) {
            return new AllDocsSegmentDocsEnum(this.freqIn).reset(k0Var, standardTermState);
        }
        return new LiveDocsSegmentDocsEnum(this.freqIn, jVar).reset(k0Var, standardTermState);
    }

    @Override // org.apache.lucene.codecs.PostingsReaderBase, java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        try {
            if (this.freqIn != null) {
                this.freqIn.close();
            }
        } finally {
            u uVar = this.proxIn;
            if (uVar != null) {
                uVar.close();
            }
        }
    }

    @Override // org.apache.lucene.codecs.PostingsReaderBase
    public void decodeTerm(long[] jArr, i.a.b.f.l lVar, k0 k0Var, BlockTermState blockTermState, boolean z) {
        StandardTermState standardTermState = (StandardTermState) blockTermState;
        int i2 = standardTermState.termBlockOrd;
        if (z) {
            standardTermState.freqOffset = 0;
            standardTermState.proxOffset = 0;
        }
        standardTermState.freqOffset = lVar.readVLong() + standardTermState.freqOffset;
        if (standardTermState.docFreq >= this.skipMinimum) {
            standardTermState.skipOffset = lVar.readVLong();
        }
        if (k0Var.f954h.compareTo((Enum) k0.b.DOCS_AND_FREQS_AND_POSITIONS) >= 0) {
            standardTermState.proxOffset = lVar.readVLong() + standardTermState.proxOffset;
        }
    }

    @Override // org.apache.lucene.codecs.PostingsReaderBase
    public c0 docs(k0 k0Var, BlockTermState blockTermState, j jVar, c0 c0Var, int i2) {
        if (canReuse(c0Var, jVar)) {
            return ((SegmentDocsEnumBase) c0Var).reset(k0Var, (StandardTermState) blockTermState);
        }
        return newDocsEnum(jVar, k0Var, (StandardTermState) blockTermState);
    }

    @Override // org.apache.lucene.codecs.PostingsReaderBase
    public b0 docsAndPositions(k0 k0Var, BlockTermState blockTermState, j jVar, b0 b0Var, int i2) {
        SegmentFullPositionsEnum segmentFullPositionsEnum;
        SegmentDocsAndPositionsEnum segmentDocsAndPositionsEnum;
        boolean z = k0Var.f954h.compareTo(k0.b.DOCS_AND_FREQS_AND_POSITIONS_AND_OFFSETS) >= 0;
        if (k0Var.f955i || z) {
            if (b0Var == null || !(b0Var instanceof SegmentFullPositionsEnum)) {
                segmentFullPositionsEnum = new SegmentFullPositionsEnum(this.freqIn, this.proxIn);
            } else {
                segmentFullPositionsEnum = (SegmentFullPositionsEnum) b0Var;
                if (segmentFullPositionsEnum.startFreqIn != this.freqIn) {
                    segmentFullPositionsEnum = new SegmentFullPositionsEnum(this.freqIn, this.proxIn);
                }
            }
            return segmentFullPositionsEnum.reset(k0Var, (StandardTermState) blockTermState, jVar);
        }
        if (b0Var == null || !(b0Var instanceof SegmentDocsAndPositionsEnum)) {
            segmentDocsAndPositionsEnum = new SegmentDocsAndPositionsEnum(this.freqIn, this.proxIn);
        } else {
            segmentDocsAndPositionsEnum = (SegmentDocsAndPositionsEnum) b0Var;
            if (segmentDocsAndPositionsEnum.startFreqIn != this.freqIn) {
                segmentDocsAndPositionsEnum = new SegmentDocsAndPositionsEnum(this.freqIn, this.proxIn);
            }
        }
        return segmentDocsAndPositionsEnum.reset(k0Var, (StandardTermState) blockTermState, jVar);
    }

    @Override // org.apache.lucene.codecs.PostingsReaderBase
    public void init(u uVar) {
        CodecUtil.checkHeader(uVar, TERMS_CODEC, 0, 1);
        this.skipInterval = uVar.readInt();
        this.maxSkipLevels = uVar.readInt();
        this.skipMinimum = uVar.readInt();
    }

    @Override // org.apache.lucene.codecs.PostingsReaderBase
    public BlockTermState newTermState() {
        return new StandardTermState();
    }

    @Override // org.apache.lucene.codecs.PostingsReaderBase
    public long ramBytesUsed() {
        return 0;
    }

    public static final class StandardTermState extends BlockTermState {
        public long freqOffset;
        public long proxOffset;
        public long skipOffset;

        public StandardTermState() {
        }

        @Override // org.apache.lucene.codecs.BlockTermState, i.a.b.c.k3, i.a.b.c.i2
        public void copyFrom(k3 k3Var) {
            super.copyFrom(k3Var);
            StandardTermState standardTermState = (StandardTermState) k3Var;
            this.freqOffset = standardTermState.freqOffset;
            this.proxOffset = standardTermState.proxOffset;
            this.skipOffset = standardTermState.skipOffset;
        }

        @Override // org.apache.lucene.codecs.BlockTermState, i.a.b.c.k3, i.a.b.c.i2
        public String toString() {
            return super.toString() + " freqFP=" + this.freqOffset + " proxFP=" + this.proxOffset + " skipOffset=" + this.skipOffset;
        }

        @Override // java.lang.Object, i.a.b.c.k3, i.a.b.c.k3
        public StandardTermState clone() {
            StandardTermState standardTermState = new StandardTermState();
            standardTermState.copyFrom(this);
            return standardTermState;
        }
    }
}
