package org.apache.lucene.codecs.lucene41;

import i.a.b.f.l;
import i.a.b.f.m;
import i.a.b.f.u;
import i.a.b.f.v;
import i.a.b.g.g1.x0;
import java.util.Arrays;

public final class ForUtil {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int ALL_VALUES_EQUAL = 0;
    public static final int MAX_DATA_SIZE;
    public static final int MAX_ENCODED_SIZE = 512;
    public final x0.b[] decoders;
    public final int[] encodedSizes;
    public final x0.c[] encoders;
    public final int[] iterations;

    static {
        int i2 = 0;
        for (int i3 = 0; i3 <= 1; i3++) {
            x0.d[] values = x0.d.values();
            for (x0.d dVar : values) {
                for (int i4 = 1; i4 <= 32; i4++) {
                    if (dVar.a(i4)) {
                        x0.b a = x0.a(dVar, i3, i4);
                        i2 = Math.max(i2, a.b() * computeIterations(a));
                    }
                }
            }
        }
        MAX_DATA_SIZE = i2;
    }

    public ForUtil(float f2, m mVar) {
        mVar.b(1);
        this.encodedSizes = new int[33];
        this.encoders = new x0.c[33];
        this.decoders = new x0.b[33];
        this.iterations = new int[33];
        for (int i2 = 1; i2 <= 32; i2++) {
            x0.e a = x0.a(128, i2, f2);
            this.encodedSizes[i2] = encodedSize(a.a, 1, a.f1511b);
            this.encoders[i2] = x0.b(a.a, 1, a.f1511b);
            this.decoders[i2] = x0.a(a.a, 1, a.f1511b);
            this.iterations[i2] = computeIterations(this.decoders[i2]);
            mVar.b((a.f1511b - 1) | (a.a.x << 5));
        }
    }

    public static int bitsRequired(int[] iArr) {
        long j = 0;
        for (int i2 = 0; i2 < 128; i2++) {
            j |= (long) iArr[i2];
        }
        return x0.a(j);
    }

    public static int computeIterations(x0.b bVar) {
        return (int) Math.ceil((double) (128.0f / ((float) bVar.b())));
    }

    public static int encodedSize(x0.d dVar, int i2, int i3) {
        return (int) dVar.a(i2, 128, i3);
    }

    public static boolean isAllEqual(int[] iArr) {
        int i2 = iArr[0];
        for (int i3 = 1; i3 < 128; i3++) {
            if (iArr[i3] != i2) {
                return false;
            }
        }
        return true;
    }

    public void readBlock(u uVar, byte[] bArr, int[] iArr) {
        byte readByte = uVar.readByte();
        if (readByte == 0) {
            Arrays.fill(iArr, 0, 128, uVar.readVInt());
            return;
        }
        uVar.readBytes(bArr, 0, this.encodedSizes[readByte]);
        this.decoders[readByte].a(bArr, 0, iArr, 0, this.iterations[readByte]);
    }

    public void skipBlock(u uVar) {
        byte readByte = uVar.readByte();
        if (readByte == 0) {
            uVar.readVInt();
            return;
        }
        uVar.seek(uVar.getFilePointer() + ((long) this.encodedSizes[readByte]));
    }

    public void writeBlock(int[] iArr, byte[] bArr, v vVar) {
        if (isAllEqual(iArr)) {
            vVar.a((byte) 0);
            vVar.b(iArr[0]);
            return;
        }
        int bitsRequired = bitsRequired(iArr);
        x0.c cVar = this.encoders[bitsRequired];
        int i2 = this.iterations[bitsRequired];
        int i3 = this.encodedSizes[bitsRequired];
        vVar.a((byte) bitsRequired);
        cVar.a(iArr, 0, bArr, 0, i2);
        vVar.a(bArr, 0, i3);
    }

    public ForUtil(l lVar) {
        int readVInt = lVar.readVInt();
        x0.a(readVInt);
        this.encodedSizes = new int[33];
        this.encoders = new x0.c[33];
        this.decoders = new x0.b[33];
        this.iterations = new int[33];
        for (int i2 = 1; i2 <= 32; i2++) {
            int readVInt2 = lVar.readVInt();
            int i3 = readVInt2 >>> 5;
            int i4 = (readVInt2 & 31) + 1;
            x0.d c = x0.d.c(i3);
            this.encodedSizes[i2] = encodedSize(c, readVInt, i4);
            this.encoders[i2] = x0.b(c, readVInt, i4);
            this.decoders[i2] = x0.a(c, readVInt, i4);
            this.iterations[i2] = computeIterations(this.decoders[i2]);
        }
    }
}
