package org.apache.lucene.codecs.lucene41;

import i.a.b.c.q2;
import i.a.b.f.n;
import i.a.b.f.t;
import org.apache.lucene.codecs.Codec;
import org.apache.lucene.codecs.DocValuesFormat;
import org.apache.lucene.codecs.FieldInfosFormat;
import org.apache.lucene.codecs.LiveDocsFormat;
import org.apache.lucene.codecs.NormsFormat;
import org.apache.lucene.codecs.PostingsFormat;
import org.apache.lucene.codecs.SegmentInfoFormat;
import org.apache.lucene.codecs.StoredFieldsFormat;
import org.apache.lucene.codecs.StoredFieldsWriter;
import org.apache.lucene.codecs.TermVectorsFormat;
import org.apache.lucene.codecs.compressing.CompressingStoredFieldsFormat;
import org.apache.lucene.codecs.compressing.CompressionMode;
import org.apache.lucene.codecs.lucene40.Lucene40DocValuesFormat;
import org.apache.lucene.codecs.lucene40.Lucene40FieldInfosFormat;
import org.apache.lucene.codecs.lucene40.Lucene40LiveDocsFormat;
import org.apache.lucene.codecs.lucene40.Lucene40NormsFormat;
import org.apache.lucene.codecs.lucene40.Lucene40SegmentInfoFormat;
import org.apache.lucene.codecs.lucene40.Lucene40TermVectorsFormat;
import org.apache.lucene.codecs.perfield.PerFieldPostingsFormat;

@Deprecated
public class Lucene41Codec extends Codec {
    public final PostingsFormat defaultFormat = PostingsFormat.forName("Lucene41");
    public final DocValuesFormat dvFormat = new Lucene40DocValuesFormat();
    public final FieldInfosFormat fieldInfosFormat = new Lucene40FieldInfosFormat();
    public final StoredFieldsFormat fieldsFormat = new CompressingStoredFieldsFormat("Lucene41StoredFields", CompressionMode.FAST, 16384) {
        /* class org.apache.lucene.codecs.lucene41.Lucene41Codec.AnonymousClass1 */

        @Override // org.apache.lucene.codecs.StoredFieldsFormat, org.apache.lucene.codecs.compressing.CompressingStoredFieldsFormat
        public StoredFieldsWriter fieldsWriter(n nVar, q2 q2Var, t tVar) {
            throw new UnsupportedOperationException("this codec can only be used for reading");
        }
    };
    public final SegmentInfoFormat infosFormat = new Lucene40SegmentInfoFormat();
    public final LiveDocsFormat liveDocsFormat = new Lucene40LiveDocsFormat();
    public final NormsFormat normsFormat = new Lucene40NormsFormat();
    public final PostingsFormat postingsFormat = new PerFieldPostingsFormat() {
        /* class org.apache.lucene.codecs.lucene41.Lucene41Codec.AnonymousClass2 */

        @Override // org.apache.lucene.codecs.perfield.PerFieldPostingsFormat
        public PostingsFormat getPostingsFormatForField(String str) {
            return Lucene41Codec.this.getPostingsFormatForField(str);
        }
    };
    public final TermVectorsFormat vectorsFormat = new Lucene40TermVectorsFormat();

    public Lucene41Codec() {
        super("Lucene41");
    }

    @Override // org.apache.lucene.codecs.Codec
    public DocValuesFormat docValuesFormat() {
        return this.dvFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public FieldInfosFormat fieldInfosFormat() {
        return this.fieldInfosFormat;
    }

    public PostingsFormat getPostingsFormatForField(String str) {
        return this.defaultFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public final LiveDocsFormat liveDocsFormat() {
        return this.liveDocsFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public NormsFormat normsFormat() {
        return this.normsFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public final PostingsFormat postingsFormat() {
        return this.postingsFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public SegmentInfoFormat segmentInfoFormat() {
        return this.infosFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public StoredFieldsFormat storedFieldsFormat() {
        return this.fieldsFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public final TermVectorsFormat termVectorsFormat() {
        return this.vectorsFormat;
    }
}
