package org.apache.lucene.codecs.lucene41;

import b.b.a.a.a;
import i.a.b.c.a1;
import i.a.b.c.k0;
import i.a.b.c.k3;
import i.a.b.c.q;
import i.a.b.c.w2;
import i.a.b.f.m;
import i.a.b.f.v;
import i.a.b.g.c;
import i.a.b.g.l;
import i.a.b.g.x;
import org.apache.lucene.codecs.BlockTermState;
import org.apache.lucene.codecs.CodecUtil;
import org.apache.lucene.codecs.PostingsWriterBase;

public final class Lucene41PostingsWriter extends PostingsWriterBase {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final String DOC_CODEC = "Lucene41PostingsWriterDoc";
    public static final String PAY_CODEC = "Lucene41PostingsWriterPay";
    public static final String POS_CODEC = "Lucene41PostingsWriterPos";
    public static final String TERMS_CODEC = "Lucene41PostingsWriterTerms";
    public static final int VERSION_CURRENT = 1;
    public static final int VERSION_META_ARRAY = 1;
    public static final int VERSION_START = 0;
    public static final IntBlockTermState emptyState = new IntBlockTermState();
    public static final int maxSkipLevels = 10;
    public int docBufferUpto;
    public int docCount;
    public final int[] docDeltaBuffer;
    public final v docOut;
    public long docStartFP;
    public final byte[] encoded;
    public boolean fieldHasFreqs;
    public boolean fieldHasOffsets;
    public boolean fieldHasPayloads;
    public boolean fieldHasPositions;
    public final ForUtil forUtil;
    public final int[] freqBuffer;
    public int lastBlockDocID;
    public long lastBlockPayFP;
    public int lastBlockPayloadByteUpto;
    public int lastBlockPosBufferUpto;
    public long lastBlockPosFP;
    public int lastDocID;
    public int lastPosition;
    public int lastStartOffset;
    public IntBlockTermState lastState;
    public final int[] offsetLengthBuffer;
    public final int[] offsetStartDeltaBuffer;
    public final v payOut;
    public long payStartFP;
    public int payloadByteUpto;
    public byte[] payloadBytes;
    public final int[] payloadLengthBuffer;
    public int posBufferUpto;
    public final int[] posDeltaBuffer;
    public final v posOut;
    public long posStartFP;
    public final Lucene41SkipWriter skipWriter;

    public Lucene41PostingsWriter(w2 w2Var, float f2) {
        Throwable th;
        v vVar;
        v vVar2;
        v a = w2Var.f1083b.a(a1.a(w2Var.c.a, w2Var.f1088h, Lucene41PostingsFormat.DOC_EXTENSION), w2Var.j);
        this.docOut = a;
        v vVar3 = null;
        try {
            CodecUtil.writeHeader(a, DOC_CODEC, 1);
            this.forUtil = new ForUtil(f2, this.docOut);
            if (w2Var.f1084d.y) {
                this.posDeltaBuffer = new int[ForUtil.MAX_DATA_SIZE];
                v a2 = w2Var.f1083b.a(a1.a(w2Var.c.a, w2Var.f1088h, Lucene41PostingsFormat.POS_EXTENSION), w2Var.j);
                try {
                    CodecUtil.writeHeader(a2, POS_CODEC, 1);
                    if (w2Var.f1084d.z) {
                        this.payloadBytes = new byte[128];
                        this.payloadLengthBuffer = new int[ForUtil.MAX_DATA_SIZE];
                    } else {
                        this.payloadBytes = null;
                        this.payloadLengthBuffer = null;
                    }
                    if (w2Var.f1084d.A) {
                        this.offsetStartDeltaBuffer = new int[ForUtil.MAX_DATA_SIZE];
                        this.offsetLengthBuffer = new int[ForUtil.MAX_DATA_SIZE];
                    } else {
                        this.offsetStartDeltaBuffer = null;
                        this.offsetLengthBuffer = null;
                    }
                    if (!w2Var.f1084d.z) {
                        if (w2Var.f1084d.A) {
                        }
                        vVar2 = a2;
                        vVar = vVar3;
                    }
                    vVar3 = w2Var.f1083b.a(a1.a(w2Var.c.a, w2Var.f1088h, Lucene41PostingsFormat.PAY_EXTENSION), w2Var.j);
                    CodecUtil.writeHeader(vVar3, PAY_CODEC, 1);
                    vVar2 = a2;
                    vVar = vVar3;
                } catch (Throwable th2) {
                    th = th2;
                    vVar = null;
                    vVar3 = a2;
                    x.b(this.docOut, vVar3, vVar);
                    throw th;
                }
            } else {
                this.posDeltaBuffer = null;
                this.payloadLengthBuffer = null;
                this.offsetStartDeltaBuffer = null;
                this.offsetLengthBuffer = null;
                this.payloadBytes = null;
                vVar2 = null;
                vVar = null;
            }
            try {
                this.payOut = vVar;
                this.posOut = vVar2;
                int i2 = ForUtil.MAX_DATA_SIZE;
                this.docDeltaBuffer = new int[i2];
                this.freqBuffer = new int[i2];
                this.skipWriter = new Lucene41SkipWriter(10, 128, w2Var.c.b(), this.docOut, vVar2, vVar);
                this.encoded = new byte[512];
            } catch (Throwable th3) {
                th = th3;
                vVar3 = vVar2;
                x.b(this.docOut, vVar3, vVar);
                throw th;
            }
        } catch (Throwable th4) {
            th = th4;
            vVar = null;
            x.b(this.docOut, vVar3, vVar);
            throw th;
        }
    }

    @Override // org.apache.lucene.codecs.PostingsConsumer
    public void addPosition(int i2, l lVar, int i3, int i4) {
        int i5;
        int[] iArr = this.posDeltaBuffer;
        int i6 = this.posBufferUpto;
        iArr[i6] = i2 - this.lastPosition;
        if (this.fieldHasPayloads) {
            if (lVar == null || (i5 = lVar.z) == 0) {
                this.payloadLengthBuffer[this.posBufferUpto] = 0;
            } else {
                this.payloadLengthBuffer[i6] = i5;
                int i7 = this.payloadByteUpto;
                int i8 = i7 + i5;
                byte[] bArr = this.payloadBytes;
                if (i8 > bArr.length) {
                    this.payloadBytes = c.a(bArr, i7 + i5);
                }
                System.arraycopy(lVar.x, lVar.y, this.payloadBytes, this.payloadByteUpto, lVar.z);
                this.payloadByteUpto += lVar.z;
            }
        }
        if (this.fieldHasOffsets) {
            int[] iArr2 = this.offsetStartDeltaBuffer;
            int i9 = this.posBufferUpto;
            iArr2[i9] = i3 - this.lastStartOffset;
            this.offsetLengthBuffer[i9] = i4 - i3;
            this.lastStartOffset = i3;
        }
        int i10 = this.posBufferUpto + 1;
        this.posBufferUpto = i10;
        this.lastPosition = i2;
        if (i10 == 128) {
            this.forUtil.writeBlock(this.posDeltaBuffer, this.encoded, this.posOut);
            if (this.fieldHasPayloads) {
                this.forUtil.writeBlock(this.payloadLengthBuffer, this.encoded, this.payOut);
                this.payOut.b(this.payloadByteUpto);
                this.payOut.a(this.payloadBytes, 0, this.payloadByteUpto);
                this.payloadByteUpto = 0;
            }
            if (this.fieldHasOffsets) {
                this.forUtil.writeBlock(this.offsetStartDeltaBuffer, this.encoded, this.payOut);
                this.forUtil.writeBlock(this.offsetLengthBuffer, this.encoded, this.payOut);
            }
            this.posBufferUpto = 0;
        }
    }

    @Override // java.io.Closeable, org.apache.lucene.codecs.PostingsWriterBase, java.lang.AutoCloseable
    public void close() {
        x.a(this.docOut, this.posOut, this.payOut);
    }

    @Override // org.apache.lucene.codecs.PostingsWriterBase
    public void encodeTerm(long[] jArr, m mVar, k0 k0Var, BlockTermState blockTermState, boolean z) {
        IntBlockTermState intBlockTermState = (IntBlockTermState) blockTermState;
        if (z) {
            this.lastState = emptyState;
        }
        long j = intBlockTermState.docStartFP;
        IntBlockTermState intBlockTermState2 = this.lastState;
        jArr[0] = j - intBlockTermState2.docStartFP;
        if (this.fieldHasPositions) {
            jArr[1] = intBlockTermState.posStartFP - intBlockTermState2.posStartFP;
            if (this.fieldHasPayloads || this.fieldHasOffsets) {
                jArr[2] = intBlockTermState.payStartFP - this.lastState.payStartFP;
            }
        }
        int i2 = intBlockTermState.singletonDocID;
        if (i2 != -1) {
            mVar.b(i2);
        }
        if (this.fieldHasPositions) {
            long j2 = intBlockTermState.lastPosBlockOffset;
            if (j2 != -1) {
                mVar.b(j2);
            }
        }
        long j3 = intBlockTermState.skipOffset;
        if (j3 != -1) {
            mVar.b(j3);
        }
        this.lastState = intBlockTermState;
    }

    @Override // org.apache.lucene.codecs.PostingsConsumer
    public void finishDoc() {
        if (this.docBufferUpto == 128) {
            this.lastBlockDocID = this.lastDocID;
            if (this.posOut != null) {
                v vVar = this.payOut;
                if (vVar != null) {
                    this.lastBlockPayFP = vVar.a();
                }
                this.lastBlockPosFP = this.posOut.a();
                this.lastBlockPosBufferUpto = this.posBufferUpto;
                this.lastBlockPayloadByteUpto = this.payloadByteUpto;
            }
            this.docBufferUpto = 0;
        }
    }

    @Override // org.apache.lucene.codecs.PostingsWriterBase
    public void finishTerm(BlockTermState blockTermState) {
        int i2;
        long j;
        IntBlockTermState intBlockTermState = (IntBlockTermState) blockTermState;
        int i3 = -1;
        if (intBlockTermState.docFreq == 1) {
            i2 = this.docDeltaBuffer[0];
        } else {
            for (int i4 = 0; i4 < this.docBufferUpto; i4++) {
                int i5 = this.docDeltaBuffer[i4];
                int[] iArr = this.freqBuffer;
                int i6 = iArr[i4];
                if (!this.fieldHasFreqs) {
                    this.docOut.b(i5);
                } else if (iArr[i4] == 1) {
                    this.docOut.b((i5 << 1) | 1);
                } else {
                    this.docOut.b(i5 << 1);
                    this.docOut.b(i6);
                }
            }
            i2 = -1;
        }
        long j2 = -1;
        if (this.fieldHasPositions) {
            j = intBlockTermState.totalTermFreq > 128 ? this.posOut.a() - this.posStartFP : -1;
            if (this.posBufferUpto > 0) {
                int i7 = -1;
                int i8 = 0;
                for (int i9 = 0; i9 < this.posBufferUpto; i9++) {
                    int i10 = this.posDeltaBuffer[i9];
                    if (this.fieldHasPayloads) {
                        int i11 = this.payloadLengthBuffer[i9];
                        if (i11 != i3) {
                            this.posOut.b((i10 << 1) | 1);
                            this.posOut.b(i11);
                            i3 = i11;
                        } else {
                            this.posOut.b(i10 << 1);
                        }
                        if (i11 != 0) {
                            this.posOut.a(this.payloadBytes, i8, i11);
                            i8 += i11;
                        }
                    } else {
                        this.posOut.b(i10);
                    }
                    if (this.fieldHasOffsets) {
                        int i12 = this.offsetStartDeltaBuffer[i9];
                        int i13 = this.offsetLengthBuffer[i9];
                        if (i13 == i7) {
                            this.posOut.b(i12 << 1);
                        } else {
                            this.posOut.b((i12 << 1) | 1);
                            this.posOut.b(i13);
                            i7 = i13;
                        }
                    }
                }
                if (this.fieldHasPayloads) {
                    this.payloadByteUpto = 0;
                }
            }
        } else {
            j = -1;
        }
        if (this.docCount > 128) {
            j2 = this.skipWriter.writeSkip(this.docOut) - this.docStartFP;
        }
        intBlockTermState.docStartFP = this.docStartFP;
        intBlockTermState.posStartFP = this.posStartFP;
        intBlockTermState.payStartFP = this.payStartFP;
        intBlockTermState.singletonDocID = i2;
        intBlockTermState.skipOffset = j2;
        intBlockTermState.lastPosBlockOffset = j;
        this.docBufferUpto = 0;
        this.posBufferUpto = 0;
        this.lastDocID = 0;
        this.docCount = 0;
    }

    @Override // org.apache.lucene.codecs.PostingsWriterBase
    public void init(v vVar) {
        CodecUtil.writeHeader(vVar, TERMS_CODEC, 1);
        vVar.b(128);
    }

    @Override // org.apache.lucene.codecs.PostingsWriterBase
    public int setField(k0 k0Var) {
        k0.b bVar = k0Var.f954h;
        boolean z = false;
        this.fieldHasFreqs = bVar.compareTo(k0.b.DOCS_AND_FREQS) >= 0;
        this.fieldHasPositions = bVar.compareTo(k0.b.DOCS_AND_FREQS_AND_POSITIONS) >= 0;
        if (bVar.compareTo((Enum) k0.b.DOCS_AND_FREQS_AND_POSITIONS_AND_OFFSETS) >= 0) {
            z = true;
        }
        this.fieldHasOffsets = z;
        boolean z2 = k0Var.f955i;
        this.fieldHasPayloads = z2;
        this.skipWriter.setField(this.fieldHasPositions, z, z2);
        this.lastState = emptyState;
        if (this.fieldHasPositions) {
            return (this.fieldHasPayloads || this.fieldHasOffsets) ? 3 : 2;
        }
        return 1;
    }

    @Override // org.apache.lucene.codecs.PostingsConsumer
    public void startDoc(int i2, int i3) {
        int i4 = this.lastBlockDocID;
        if (i4 != -1 && this.docBufferUpto == 0) {
            this.skipWriter.bufferSkip(i4, this.docCount, this.lastBlockPosFP, this.lastBlockPayFP, this.lastBlockPosBufferUpto, this.lastBlockPayloadByteUpto);
        }
        int i5 = i2 - this.lastDocID;
        if (i2 < 0 || (this.docCount > 0 && i5 <= 0)) {
            StringBuilder a = a.a("docs out of order (", i2, " <= ");
            a.append(this.lastDocID);
            a.append(" ) (docOut: ");
            a.append(this.docOut);
            a.append(")");
            throw new q(a.toString());
        }
        int[] iArr = this.docDeltaBuffer;
        int i6 = this.docBufferUpto;
        iArr[i6] = i5;
        if (this.fieldHasFreqs) {
            this.freqBuffer[i6] = i3;
        }
        int i7 = this.docBufferUpto + 1;
        this.docBufferUpto = i7;
        this.docCount++;
        if (i7 == 128) {
            this.forUtil.writeBlock(this.docDeltaBuffer, this.encoded, this.docOut);
            if (this.fieldHasFreqs) {
                this.forUtil.writeBlock(this.freqBuffer, this.encoded, this.docOut);
            }
        }
        this.lastDocID = i2;
        this.lastPosition = 0;
        this.lastStartOffset = 0;
    }

    @Override // org.apache.lucene.codecs.PostingsWriterBase
    public void startTerm() {
        this.docStartFP = this.docOut.a();
        if (this.fieldHasPositions) {
            this.posStartFP = this.posOut.a();
            if (this.fieldHasPayloads || this.fieldHasOffsets) {
                this.payStartFP = this.payOut.a();
            }
        }
        this.lastDocID = 0;
        this.lastBlockDocID = -1;
        this.skipWriter.resetSkip();
    }

    public static final class IntBlockTermState extends BlockTermState {
        public long docStartFP = 0;
        public long lastPosBlockOffset = -1;
        public long payStartFP = 0;
        public long posStartFP = 0;
        public int singletonDocID = -1;
        public long skipOffset = -1;

        @Override // org.apache.lucene.codecs.BlockTermState, i.a.b.c.k3, i.a.b.c.i2
        public void copyFrom(k3 k3Var) {
            super.copyFrom(k3Var);
            IntBlockTermState intBlockTermState = (IntBlockTermState) k3Var;
            this.docStartFP = intBlockTermState.docStartFP;
            this.posStartFP = intBlockTermState.posStartFP;
            this.payStartFP = intBlockTermState.payStartFP;
            this.lastPosBlockOffset = intBlockTermState.lastPosBlockOffset;
            this.skipOffset = intBlockTermState.skipOffset;
            this.singletonDocID = intBlockTermState.singletonDocID;
        }

        @Override // org.apache.lucene.codecs.BlockTermState, i.a.b.c.k3, i.a.b.c.i2
        public String toString() {
            return super.toString() + " docStartFP=" + this.docStartFP + " posStartFP=" + this.posStartFP + " payStartFP=" + this.payStartFP + " lastPosBlockOffset=" + this.lastPosBlockOffset + " singletonDocID=" + this.singletonDocID;
        }

        @Override // java.lang.Object, i.a.b.c.k3, i.a.b.c.k3
        public IntBlockTermState clone() {
            IntBlockTermState intBlockTermState = new IntBlockTermState();
            intBlockTermState.copyFrom(this);
            return intBlockTermState;
        }
    }

    @Override // org.apache.lucene.codecs.PostingsWriterBase
    public IntBlockTermState newTermState() {
        return new IntBlockTermState();
    }

    public Lucene41PostingsWriter(w2 w2Var) {
        this(w2Var, 0.0f);
    }
}
