package org.apache.poi.hpbf.model.qcbits;

import org.apache.poi.util.StringUtil;

public final class QCTextBit extends QCBit {
    public QCTextBit(String str, String str2, byte[] bArr) {
        super(str, str2, bArr);
    }

    public String getText() {
        return StringUtil.getFromUnicodeLE(getData());
    }

    public void setText(String str) {
        byte[] bArr = new byte[(str.length() * 2)];
        StringUtil.putUnicodeLE(str, bArr, 0);
        setData(bArr);
    }
}
