package org.apache.poi.hpsf;

public class HPSFRuntimeException extends RuntimeException {
    public static final long serialVersionUID = -7804271670232727159L;
    public Throwable reason;

    public HPSFRuntimeException() {
    }

    public Throwable getReason() {
        return this.reason;
    }

    public HPSFRuntimeException(String str) {
        super(str);
    }

    public HPSFRuntimeException(Throwable th) {
        this.reason = th;
    }

    public HPSFRuntimeException(String str, Throwable th) {
        super(str);
        this.reason = th;
    }
}
