package org.apache.poi.hslf.extractor;

import b.b.a.a.a;
import java.io.FileOutputStream;
import org.apache.poi.hslf.usermodel.HSLFPictureData;
import org.apache.poi.hslf.usermodel.HSLFSlideShow;
import org.apache.poi.hslf.usermodel.HSLFSlideShowImpl;
import org.apache.poi.sl.usermodel.PictureData;

public final class ImageExtractor {
    public static void main(String[] strArr) {
        if (strArr.length < 1) {
            System.err.println("Usage:");
            System.err.println("\tImageExtractor <file>");
            return;
        }
        int i2 = 0;
        HSLFSlideShow hSLFSlideShow = new HSLFSlideShow(new HSLFSlideShowImpl(strArr[0]));
        for (HSLFPictureData hSLFPictureData : hSLFSlideShow.getPictureData()) {
            byte[] data = hSLFPictureData.getData();
            PictureData.PictureType type = hSLFPictureData.getType();
            StringBuilder b2 = a.b("pict_");
            b2.append(i2);
            b2.append(type.extension);
            FileOutputStream fileOutputStream = new FileOutputStream(b2.toString());
            fileOutputStream.write(data);
            fileOutputStream.close();
            i2++;
        }
        hSLFSlideShow.close();
    }
}
