package org.apache.poi.hslf.record;

public final class ExControl extends ExEmbed {
    public ExControl(byte[] bArr, int i2, int i3) {
        super(bArr, i2, i3);
    }

    public ExControlAtom getExControlAtom() {
        return (ExControlAtom) this._children[0];
    }

    @Override // org.apache.poi.hslf.record.Record, org.apache.poi.hslf.record.ExEmbed
    public long getRecordType() {
        return (long) RecordTypes.ExControl.typeID;
    }

    public ExControl() {
        super(new ExControlAtom());
    }
}
