package org.apache.poi.hsmf.datatypes;

import java.io.InputStream;
import java.io.OutputStream;
import org.apache.poi.util.LittleEndian;

public class StoragePropertiesChunk extends PropertiesChunk {
    public StoragePropertiesChunk(ChunkGroup chunkGroup) {
        super(chunkGroup);
    }

    @Override // org.apache.poi.hsmf.datatypes.Chunk
    public void readValue(InputStream inputStream) {
        LittleEndian.readLong(inputStream);
        readProperties(inputStream);
    }

    @Override // org.apache.poi.hsmf.datatypes.Chunk
    public void writeValue(OutputStream outputStream) {
        outputStream.write(new byte[8]);
        writeProperties(outputStream);
    }
}
