package org.apache.poi.hssf.record;

import b.b.a.a.a;

public final class HeaderRecord extends HeaderFooterBase implements Cloneable {
    public static final short sid = 20;

    public HeaderRecord(String str) {
        super(str);
    }

    @Override // org.apache.poi.hssf.record.Record
    public short getSid() {
        return 20;
    }

    @Override // org.apache.poi.hssf.record.Record
    public String toString() {
        StringBuffer c = a.c("[HEADER]\n", "    .header = ");
        c.append(getText());
        c.append("\n");
        c.append("[/HEADER]\n");
        return c.toString();
    }

    public HeaderRecord(RecordInputStream recordInputStream) {
        super(recordInputStream);
    }

    @Override // org.apache.poi.hssf.record.Record, java.lang.Object
    public HeaderRecord clone() {
        return new HeaderRecord(getText());
    }
}
