package org.apache.poi.hwpf.model;

import java.nio.charset.Charset;
import org.apache.poi.util.Internal;

@Internal
public final class OldComplexFileTable extends ComplexFileTable {
    public OldComplexFileTable(byte[] bArr, byte[] bArr2, int i2, int i3, Charset charset) {
        super(bArr, bArr2, i2, i3, charset);
    }

    @Override // org.apache.poi.hwpf.model.ComplexFileTable
    public TextPieceTable newTextPieceTable(byte[] bArr, byte[] bArr2, int i2, int i3, int i4, Charset charset) {
        return new OldTextPieceTable(bArr, bArr2, i2, i3, i4, charset);
    }
}
