package org.apache.poi.hwpf.model;

import b.b.a.a.a;
import java.util.Arrays;
import org.apache.poi.util.Internal;

@Internal
public final class UnhandledDataStructure {
    public final byte[] _buf;

    public UnhandledDataStructure(byte[] bArr, int i2, int i3) {
        int i4 = i2 + i3;
        if (i4 > bArr.length || i4 < 0) {
            StringBuilder b2 = a.b("Buffer Length is ");
            b2.append(bArr.length);
            b2.append(" ");
            b2.append("but code is tried to read ");
            b2.append(i3);
            b2.append(" ");
            b2.append("from offset ");
            b2.append(i2);
            b2.append(" to ");
            b2.append(i4);
            throw new IndexOutOfBoundsException(b2.toString());
        } else if (i2 < 0 || i3 < 0) {
            throw new IndexOutOfBoundsException(a.a("Offset and Length must both be >= 0, negative indicies are not permitted - code is tried to read ", i3, " from offset ", i2));
        } else {
            this._buf = Arrays.copyOfRange(bArr, i2, i4);
        }
    }

    public byte[] getBuf() {
        return this._buf;
    }
}
