package org.apache.poi.hwpf.model.types;

import b.b.a.a.a;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

@Internal
public abstract class FRDAbstractType {
    public short field_1_nAuto;

    public static int getSize() {
        return 2;
    }

    public void fillFields(byte[] bArr, int i2) {
        this.field_1_nAuto = LittleEndian.getShort(bArr, i2 + 0);
    }

    public short getNAuto() {
        return this.field_1_nAuto;
    }

    public void serialize(byte[] bArr, int i2) {
        LittleEndian.putShort(bArr, i2 + 0, this.field_1_nAuto);
    }

    public void setNAuto(short s) {
        this.field_1_nAuto = s;
    }

    public String toString() {
        StringBuilder d2 = a.d("[FRD]\n", "    .nAuto                = ", " (");
        d2.append((int) getNAuto());
        d2.append(" )\n");
        d2.append("[/FRD]\n");
        return d2.toString();
    }
}
