package org.apache.poi.hwpf.model.types;

import b.b.a.a.a;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

@Internal
public abstract class FibRgW97AbstractType {
    @Deprecated
    public short field_10_reserved10;
    @Deprecated
    public short field_11_reserved11;
    @Deprecated
    public short field_12_reserved12;
    @Deprecated
    public short field_13_reserved13;
    public short field_14_lidFE;
    @Deprecated
    public short field_1_reserved1;
    @Deprecated
    public short field_2_reserved2;
    @Deprecated
    public short field_3_reserved3;
    @Deprecated
    public short field_4_reserved4;
    @Deprecated
    public short field_5_reserved5;
    @Deprecated
    public short field_6_reserved6;
    @Deprecated
    public short field_7_reserved7;
    @Deprecated
    public short field_8_reserved8;
    @Deprecated
    public short field_9_reserved9;

    public static int getSize() {
        return 28;
    }

    public void fillFields(byte[] bArr, int i2) {
        this.field_1_reserved1 = LittleEndian.getShort(bArr, i2 + 0);
        this.field_2_reserved2 = LittleEndian.getShort(bArr, i2 + 2);
        this.field_3_reserved3 = LittleEndian.getShort(bArr, i2 + 4);
        this.field_4_reserved4 = LittleEndian.getShort(bArr, i2 + 6);
        this.field_5_reserved5 = LittleEndian.getShort(bArr, i2 + 8);
        this.field_6_reserved6 = LittleEndian.getShort(bArr, i2 + 10);
        this.field_7_reserved7 = LittleEndian.getShort(bArr, i2 + 12);
        this.field_8_reserved8 = LittleEndian.getShort(bArr, i2 + 14);
        this.field_9_reserved9 = LittleEndian.getShort(bArr, i2 + 16);
        this.field_10_reserved10 = LittleEndian.getShort(bArr, i2 + 18);
        this.field_11_reserved11 = LittleEndian.getShort(bArr, i2 + 20);
        this.field_12_reserved12 = LittleEndian.getShort(bArr, i2 + 22);
        this.field_13_reserved13 = LittleEndian.getShort(bArr, i2 + 24);
        this.field_14_lidFE = LittleEndian.getShort(bArr, i2 + 26);
    }

    @Internal
    public short getLidFE() {
        return this.field_14_lidFE;
    }

    @Internal
    public short getReserved1() {
        return this.field_1_reserved1;
    }

    @Internal
    public short getReserved10() {
        return this.field_10_reserved10;
    }

    @Internal
    public short getReserved11() {
        return this.field_11_reserved11;
    }

    @Internal
    public short getReserved12() {
        return this.field_12_reserved12;
    }

    @Internal
    public short getReserved13() {
        return this.field_13_reserved13;
    }

    @Internal
    public short getReserved2() {
        return this.field_2_reserved2;
    }

    @Internal
    public short getReserved3() {
        return this.field_3_reserved3;
    }

    @Internal
    public short getReserved4() {
        return this.field_4_reserved4;
    }

    @Internal
    public short getReserved5() {
        return this.field_5_reserved5;
    }

    @Internal
    public short getReserved6() {
        return this.field_6_reserved6;
    }

    @Internal
    public short getReserved7() {
        return this.field_7_reserved7;
    }

    @Internal
    public short getReserved8() {
        return this.field_8_reserved8;
    }

    @Internal
    public short getReserved9() {
        return this.field_9_reserved9;
    }

    public void serialize(byte[] bArr, int i2) {
        LittleEndian.putShort(bArr, i2 + 0, this.field_1_reserved1);
        LittleEndian.putShort(bArr, i2 + 2, this.field_2_reserved2);
        LittleEndian.putShort(bArr, i2 + 4, this.field_3_reserved3);
        LittleEndian.putShort(bArr, i2 + 6, this.field_4_reserved4);
        LittleEndian.putShort(bArr, i2 + 8, this.field_5_reserved5);
        LittleEndian.putShort(bArr, i2 + 10, this.field_6_reserved6);
        LittleEndian.putShort(bArr, i2 + 12, this.field_7_reserved7);
        LittleEndian.putShort(bArr, i2 + 14, this.field_8_reserved8);
        LittleEndian.putShort(bArr, i2 + 16, this.field_9_reserved9);
        LittleEndian.putShort(bArr, i2 + 18, this.field_10_reserved10);
        LittleEndian.putShort(bArr, i2 + 20, this.field_11_reserved11);
        LittleEndian.putShort(bArr, i2 + 22, this.field_12_reserved12);
        LittleEndian.putShort(bArr, i2 + 24, this.field_13_reserved13);
        LittleEndian.putShort(bArr, i2 + 26, this.field_14_lidFE);
    }

    @Internal
    public void setLidFE(short s) {
        this.field_14_lidFE = s;
    }

    @Internal
    public void setReserved1(short s) {
        this.field_1_reserved1 = s;
    }

    @Internal
    public void setReserved10(short s) {
        this.field_10_reserved10 = s;
    }

    @Internal
    public void setReserved11(short s) {
        this.field_11_reserved11 = s;
    }

    @Internal
    public void setReserved12(short s) {
        this.field_12_reserved12 = s;
    }

    @Internal
    public void setReserved13(short s) {
        this.field_13_reserved13 = s;
    }

    @Internal
    public void setReserved2(short s) {
        this.field_2_reserved2 = s;
    }

    @Internal
    public void setReserved3(short s) {
        this.field_3_reserved3 = s;
    }

    @Internal
    public void setReserved4(short s) {
        this.field_4_reserved4 = s;
    }

    @Internal
    public void setReserved5(short s) {
        this.field_5_reserved5 = s;
    }

    @Internal
    public void setReserved6(short s) {
        this.field_6_reserved6 = s;
    }

    @Internal
    public void setReserved7(short s) {
        this.field_7_reserved7 = s;
    }

    @Internal
    public void setReserved8(short s) {
        this.field_8_reserved8 = s;
    }

    @Internal
    public void setReserved9(short s) {
        this.field_9_reserved9 = s;
    }

    public String toString() {
        StringBuilder d2 = a.d("[FibRgW97]\n", "    .reserved1            = ", " (");
        d2.append((int) getReserved1());
        d2.append(" )\n");
        d2.append("    .reserved2            = ");
        d2.append(" (");
        d2.append((int) getReserved2());
        d2.append(" )\n");
        d2.append("    .reserved3            = ");
        d2.append(" (");
        d2.append((int) getReserved3());
        d2.append(" )\n");
        d2.append("    .reserved4            = ");
        d2.append(" (");
        d2.append((int) getReserved4());
        d2.append(" )\n");
        d2.append("    .reserved5            = ");
        d2.append(" (");
        d2.append((int) getReserved5());
        d2.append(" )\n");
        d2.append("    .reserved6            = ");
        d2.append(" (");
        d2.append((int) getReserved6());
        d2.append(" )\n");
        d2.append("    .reserved7            = ");
        d2.append(" (");
        d2.append((int) getReserved7());
        d2.append(" )\n");
        d2.append("    .reserved8            = ");
        d2.append(" (");
        d2.append((int) getReserved8());
        d2.append(" )\n");
        d2.append("    .reserved9            = ");
        d2.append(" (");
        d2.append((int) getReserved9());
        d2.append(" )\n");
        d2.append("    .reserved10           = ");
        d2.append(" (");
        d2.append((int) getReserved10());
        d2.append(" )\n");
        d2.append("    .reserved11           = ");
        d2.append(" (");
        d2.append((int) getReserved11());
        d2.append(" )\n");
        d2.append("    .reserved12           = ");
        d2.append(" (");
        d2.append((int) getReserved12());
        d2.append(" )\n");
        d2.append("    .reserved13           = ");
        d2.append(" (");
        d2.append((int) getReserved13());
        d2.append(" )\n");
        d2.append("    .lidFE                = ");
        d2.append(" (");
        d2.append((int) getLidFE());
        return a.a(d2, " )\n", "[/FibRgW97]\n");
    }

    public byte[] serialize() {
        byte[] bArr = new byte[getSize()];
        serialize(bArr, 0);
        return bArr;
    }
}
