package org.apache.poi.javax.xml.stream;

import java.util.Iterator;
import org.apache.poi.javax.xml.stream.events.XMLEvent;

public interface XMLEventReader extends Iterator {
    void close();

    String getElementText();

    Object getProperty(String str);

    boolean hasNext();

    XMLEvent nextEvent();

    XMLEvent nextTag();

    XMLEvent peek();
}
