package org.apache.poi.poifs.property;

import org.apache.poi.poifs.filesystem.OPOIFSDocument;

public class DocumentProperty extends Property {
    public OPOIFSDocument _document = null;

    public DocumentProperty(String str, int i2) {
        setName(str);
        setSize(i2);
        setNodeColor((byte) 1);
        setPropertyType((byte) 2);
    }

    public OPOIFSDocument getDocument() {
        return this._document;
    }

    @Override // org.apache.poi.poifs.property.Property
    public boolean isDirectory() {
        return false;
    }

    @Override // org.apache.poi.poifs.property.Property
    public void preWrite() {
    }

    public void setDocument(OPOIFSDocument oPOIFSDocument) {
        this._document = oPOIFSDocument;
    }

    @Override // org.apache.poi.poifs.property.Property
    public boolean shouldUseSmallBlocks() {
        return super.shouldUseSmallBlocks();
    }

    public void updateSize(int i2) {
        setSize(i2);
    }

    public DocumentProperty(int i2, byte[] bArr, int i3) {
        super(i2, bArr, i3);
    }
}
