package org.apache.poi.sl.draw.binding;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.apache.lucene.codecs.lucene41.Lucene41PostingsFormat;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CT_ConnectionSite", namespace = "http://schemas.openxmlformats.org/drawingml/2006/main", propOrder = {Lucene41PostingsFormat.POS_EXTENSION})
public class CTConnectionSite {
    @XmlAttribute(required = true)
    public String ang;
    @XmlElement(namespace = "http://schemas.openxmlformats.org/drawingml/2006/main", required = true)
    public CTAdjPoint2D pos;

    public String getAng() {
        return this.ang;
    }

    public CTAdjPoint2D getPos() {
        return this.pos;
    }

    public boolean isSetAng() {
        return this.ang != null;
    }

    public boolean isSetPos() {
        return this.pos != null;
    }

    public void setAng(String str) {
        this.ang = str;
    }

    public void setPos(CTAdjPoint2D cTAdjPoint2D) {
        this.pos = cTAdjPoint2D;
    }
}
