package org.apache.poi.sl.draw.binding;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CT_GeomGuide", namespace = "http://schemas.openxmlformats.org/drawingml/2006/main")
public class CTGeomGuide {
    @XmlAttribute(required = true)
    public String fmla;
    @XmlAttribute(required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public String name;

    public String getFmla() {
        return this.fmla;
    }

    public String getName() {
        return this.name;
    }

    public boolean isSetFmla() {
        return this.fmla != null;
    }

    public boolean isSetName() {
        return this.name != null;
    }

    public void setFmla(String str) {
        this.fmla = str;
    }

    public void setName(String str) {
        this.name = str;
    }
}
