package org.apache.poi.sl.draw.binding;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CT_Vector3D", namespace = "http://schemas.openxmlformats.org/drawingml/2006/main")
public class CTVector3D {
    @XmlAttribute(required = true)
    public long dx;
    @XmlAttribute(required = true)
    public long dy;
    @XmlAttribute(required = true)
    public long dz;

    public long getDx() {
        return this.dx;
    }

    public long getDy() {
        return this.dy;
    }

    public long getDz() {
        return this.dz;
    }

    public boolean isSetDx() {
        return true;
    }

    public boolean isSetDy() {
        return true;
    }

    public boolean isSetDz() {
        return true;
    }

    public void setDx(long j) {
        this.dx = j;
    }

    public void setDy(long j) {
        this.dy = j;
    }

    public void setDz(long j) {
        this.dz = j;
    }
}
