package org.apache.poi.sl.draw.geom;

import java.awt.geom.Path2D;
import org.apache.poi.sl.draw.binding.CTAdjPoint2D;

public class CurveToCommand implements PathCommand {
    public String arg1;
    public String arg2;
    public String arg3;
    public String arg4;
    public String arg5;
    public String arg6;

    public CurveToCommand(CTAdjPoint2D cTAdjPoint2D, CTAdjPoint2D cTAdjPoint2D2, CTAdjPoint2D cTAdjPoint2D3) {
        this.arg1 = cTAdjPoint2D.getX();
        this.arg2 = cTAdjPoint2D.getY();
        this.arg3 = cTAdjPoint2D2.getX();
        this.arg4 = cTAdjPoint2D2.getY();
        this.arg5 = cTAdjPoint2D3.getX();
        this.arg6 = cTAdjPoint2D3.getY();
    }

    @Override // org.apache.poi.sl.draw.geom.PathCommand
    public void execute(Path2D.Double r17, Context context) {
        r17.curveTo(context.getValue(this.arg1), context.getValue(this.arg2), context.getValue(this.arg3), context.getValue(this.arg4), context.getValue(this.arg5), context.getValue(this.arg6));
    }
}
