package org.apache.poi.ss.formula;

import b.b.a.a.a;
import org.apache.poi.util.Internal;

@Internal
public enum FormulaType {
    CELL(true),
    SHARED(true),
    ARRAY(false),
    CONDFORMAT(true),
    NAMEDRANGE(false),
    DATAVALIDATION_LIST(false);
    
    public final boolean isSingleValue;

    /* access modifiers changed from: public */
    FormulaType(boolean z) {
        this.isSingleValue = z;
    }

    public static FormulaType forInt(int i2) {
        if (i2 >= 0 && i2 < values().length) {
            return values()[i2];
        }
        throw new IllegalArgumentException(a.c("Invalid FormulaType code: ", i2));
    }

    public boolean isSingleValue() {
        return this.isSingleValue;
    }
}
