package org.apache.poi.ss.formula.eval;

public final class NotImplementedFunctionException extends NotImplementedException {
    public static final long serialVersionUID = 1208119411557559057L;
    public String functionName;

    public NotImplementedFunctionException(String str) {
        super(str);
        this.functionName = str;
    }

    public String getFunctionName() {
        return this.functionName;
    }

    public NotImplementedFunctionException(String str, NotImplementedException notImplementedException) {
        super(str, notImplementedException);
        this.functionName = str;
    }
}
