package org.apache.poi.ss.formula.function;

import b.b.a.a.a;

public final class FunctionMetadata {
    public static final short FUNCTION_MAX_PARAMS = 30;
    public final int _index;
    public final int _maxParams;
    public final int _minParams;
    public final String _name;
    public final byte[] _parameterClassCodes;
    public final byte _returnClassCode;

    public FunctionMetadata(int i2, String str, int i3, int i4, byte b2, byte[] bArr) {
        byte[] bArr2;
        this._index = i2;
        this._name = str;
        this._minParams = i3;
        this._maxParams = i4;
        this._returnClassCode = b2;
        if (bArr == null) {
            bArr2 = null;
        } else {
            bArr2 = (byte[]) bArr.clone();
        }
        this._parameterClassCodes = bArr2;
    }

    public int getIndex() {
        return this._index;
    }

    public int getMaxParams() {
        return this._maxParams;
    }

    public int getMinParams() {
        return this._minParams;
    }

    public String getName() {
        return this._name;
    }

    public byte[] getParameterClassCodes() {
        return (byte[]) this._parameterClassCodes.clone();
    }

    public byte getReturnClassCode() {
        return this._returnClassCode;
    }

    public boolean hasFixedArgsLength() {
        return this._minParams == this._maxParams;
    }

    public boolean hasUnlimitedVarags() {
        return 30 == this._maxParams;
    }

    public String toString() {
        StringBuffer stringBuffer = new StringBuffer(64);
        a.a(FunctionMetadata.class, stringBuffer, " [");
        stringBuffer.append(this._index);
        stringBuffer.append(" ");
        return a.a(stringBuffer, this._name, "]");
    }
}
