package org.apache.poi.ss.formula.ptg;

import b.b.a.a.a;
import org.apache.poi.util.LittleEndianOutput;

public final class ParenthesisPtg extends ControlPtg {
    public static final int SIZE = 1;
    public static final ControlPtg instance = new ParenthesisPtg();
    public static final byte sid = 21;

    @Override // org.apache.poi.ss.formula.ptg.Ptg
    public int getSize() {
        return 1;
    }

    @Override // org.apache.poi.ss.formula.ptg.Ptg
    public String toFormulaString() {
        return "()";
    }

    public String toFormulaString(String[] strArr) {
        return a.a(a.b("("), strArr[0], ")");
    }

    @Override // org.apache.poi.ss.formula.ptg.Ptg
    public void write(LittleEndianOutput littleEndianOutput) {
        littleEndianOutput.writeByte(getPtgClass() + 21);
    }
}
