package org.apache.poi.ss.usermodel;

import b.b.a.a.a;

public enum CellType {
    _NONE(-1),
    NUMERIC(0),
    STRING(1),
    FORMULA(2),
    BLANK(3),
    BOOLEAN(4),
    ERROR(5);
    
    public final int code;

    /* access modifiers changed from: public */
    CellType(int i2) {
        this.code = i2;
    }

    public static CellType forInt(int i2) {
        CellType[] values = values();
        for (CellType cellType : values) {
            if (cellType.code == i2) {
                return cellType;
            }
        }
        throw new IllegalArgumentException(a.c("Invalid CellType code: ", i2));
    }

    public int getCode() {
        return this.code;
    }
}
