package org.apache.poi.ss.usermodel;

import org.apache.poi.ss.util.CellRangeAddress;

public interface ConditionalFormatting {
    void addRule(ConditionalFormattingRule conditionalFormattingRule);

    CellRangeAddress[] getFormattingRanges();

    int getNumberOfRules();

    ConditionalFormattingRule getRule(int i2);

    void setFormattingRanges(CellRangeAddress[] cellRangeAddressArr);

    void setRule(int i2, ConditionalFormattingRule conditionalFormattingRule);
}
