package org.apache.poi.ss.usermodel;

import org.apache.poi.ss.usermodel.Shape;

public interface Drawing<T extends Shape> extends ShapeContainer<T> {
    ClientAnchor createAnchor(int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9);

    Comment createCellComment(ClientAnchor clientAnchor);

    Chart createChart(ClientAnchor clientAnchor);

    ObjectData createObjectData(ClientAnchor clientAnchor, int i2, int i3);

    Picture createPicture(ClientAnchor clientAnchor, int i2);
}
