package org.apache.poi.ss.usermodel;

import b.b.a.a.a;

public enum FillPatternType {
    NO_FILL(0),
    SOLID_FOREGROUND(1),
    FINE_DOTS(2),
    ALT_BARS(3),
    SPARSE_DOTS(4),
    THICK_HORZ_BANDS(5),
    THICK_VERT_BANDS(6),
    THICK_BACKWARD_DIAG(7),
    THICK_FORWARD_DIAG(8),
    BIG_SPOTS(9),
    BRICKS(10),
    THIN_HORZ_BANDS(11),
    THIN_VERT_BANDS(12),
    THIN_BACKWARD_DIAG(13),
    THIN_FORWARD_DIAG(14),
    SQUARES(15),
    DIAMONDS(16),
    LESS_DOTS(17),
    LEAST_DOTS(18);
    
    public static final int length = values().length;
    public final short code;

    /* access modifiers changed from: public */
    FillPatternType(int i2) {
        this.code = (short) i2;
    }

    public static FillPatternType forInt(int i2) {
        if (i2 >= 0 && i2 <= length) {
            return values()[i2];
        }
        throw new IllegalArgumentException(a.c("Invalid FillPatternType code: ", i2));
    }

    public short getCode() {
        return this.code;
    }
}
