package org.apache.poi.ss.usermodel;

import java.awt.Dimension;

public interface Picture extends Shape {
    ClientAnchor getClientAnchor();

    Dimension getImageDimension();

    PictureData getPictureData();

    ClientAnchor getPreferredSize();

    ClientAnchor getPreferredSize(double d2, double d3);

    Sheet getSheet();

    void resize();

    void resize(double d2);

    void resize(double d2, double d3);
}
