package org.apache.poi.ss.usermodel;

public enum PrintOrientation {
    DEFAULT(1),
    PORTRAIT(2),
    LANDSCAPE(3);
    
    public static PrintOrientation[] _table = new PrintOrientation[4];
    public int orientation;

    /* access modifiers changed from: public */
    static {
        PrintOrientation[] values = values();
        for (PrintOrientation printOrientation : values) {
            _table[printOrientation.getValue()] = printOrientation;
        }
    }

    /* access modifiers changed from: public */
    PrintOrientation(int i2) {
        this.orientation = i2;
    }

    public int getValue() {
        return this.orientation;
    }

    public static PrintOrientation valueOf(int i2) {
        return _table[i2];
    }
}
