package org.apache.poi.util;

import b.b.a.a.a;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;

public class HexRead {
    public static byte[] readData(String str) {
        FileInputStream fileInputStream = new FileInputStream(new File(str));
        try {
            return readData(fileInputStream, -1);
        } finally {
            fileInputStream.close();
        }
    }

    public static byte[] readFromString(String str) {
        try {
            return readData(new ByteArrayInputStream(str.getBytes(StringUtil.UTF8)), -1);
        } catch (IOException e2) {
            throw new RuntimeException(e2);
        }
    }

    public static void readToEOL(InputStream inputStream) {
        int read = inputStream.read();
        while (read != -1 && read != 10 && read != 13) {
            read = inputStream.read();
        }
    }

    public static byte[] readData(InputStream inputStream, String str) {
        try {
            StringBuffer stringBuffer = new StringBuffer();
            int read = inputStream.read();
            boolean z = false;
            while (read != -1) {
                if (read == 10 || read == 13) {
                    stringBuffer = new StringBuffer();
                } else {
                    if (read == 91) {
                        z = true;
                    } else if (read != 93) {
                        if (z) {
                            stringBuffer.append((char) read);
                        }
                    } else if (stringBuffer.toString().equals(str)) {
                        return readData(inputStream, 91);
                    } else {
                        stringBuffer = new StringBuffer();
                    }
                    read = inputStream.read();
                }
                z = false;
                read = inputStream.read();
            }
            inputStream.close();
            throw new IOException(a.b("Section '", str, "' not found"));
        } finally {
            inputStream.close();
        }
    }

    public static byte[] readData(String str, String str2) {
        return readData(new FileInputStream(str), str2);
    }

    public static byte[] readData(InputStream inputStream, int i2) {
        int i3;
        ArrayList arrayList = new ArrayList();
        loop0:
        while (true) {
            int i4 = 0;
            byte b2 = 0;
            while (true) {
                int read = inputStream.read();
                if (48 <= read && read <= 57) {
                    i3 = read - 48;
                } else if (65 <= read && read <= 70) {
                    i3 = read - 55;
                } else if (97 > read || read > 102) {
                    if (35 == read) {
                        readToEOL(inputStream);
                    } else if (-1 == read || i2 == read) {
                        Byte[] bArr = (Byte[]) arrayList.toArray(new Byte[arrayList.size()]);
                        byte[] bArr2 = new byte[bArr.length];
                    }
                    i3 = -1;
                } else {
                    i3 = read - 87;
                }
                if (i3 != -1) {
                    b2 = (byte) (((byte) (b2 << 4)) + ((byte) i3));
                    i4++;
                    if (i4 == 2) {
                        break;
                    }
                }
            }
            arrayList.add(Byte.valueOf(b2));
        }
        Byte[] bArr3 = (Byte[]) arrayList.toArray(new Byte[arrayList.size()]);
        byte[] bArr22 = new byte[bArr3.length];
        for (int i5 = 0; i5 < bArr3.length; i5++) {
            bArr22[i5] = bArr3[i5].byteValue();
        }
        return bArr22;
    }
}
