package org.apache.poi.util;

import org.apache.poi.hwpf.model.types.CHPAbstractType;

public final class PngUtils {
    public static final byte[] PNG_FILE_HEADER = {-119, 80, 78, 71, 13, 10, CHPAbstractType.KUL_DOT_DOT_DASH_HEAVY, 10};

    public static boolean matchesPngHeader(byte[] bArr, int i2) {
        if (bArr == null || bArr.length - i2 < PNG_FILE_HEADER.length) {
            return false;
        }
        int i3 = 0;
        while (true) {
            byte[] bArr2 = PNG_FILE_HEADER;
            if (i3 >= bArr2.length) {
                return true;
            }
            if (bArr2[i3] != bArr[i3 + i2]) {
                return false;
            }
            i3++;
        }
    }
}
