package org.apache.poi.xwpf.usermodel;

import b.b.a.a.a;
import java.util.HashMap;
import java.util.Map;

public enum LineSpacingRule {
    AUTO(1),
    EXACT(2),
    AT_LEAST(3);
    
    public static Map<Integer, LineSpacingRule> imap = new HashMap();
    public final int value;

    /* access modifiers changed from: public */
    static {
        LineSpacingRule[] values = values();
        for (LineSpacingRule lineSpacingRule : values) {
            imap.put(Integer.valueOf(lineSpacingRule.getValue()), lineSpacingRule);
        }
    }

    /* access modifiers changed from: public */
    LineSpacingRule(int i2) {
        this.value = i2;
    }

    public int getValue() {
        return this.value;
    }

    public static LineSpacingRule valueOf(int i2) {
        LineSpacingRule lineSpacingRule = imap.get(Integer.valueOf(i2));
        if (lineSpacingRule != null) {
            return lineSpacingRule;
        }
        throw new IllegalArgumentException(a.c("Unknown line type: ", i2));
    }
}
