package org.apache.poi.xwpf.usermodel;

import b.b.a.a.a;
import java.util.HashMap;
import java.util.Map;

public enum VerticalAlign {
    BASELINE(1),
    SUPERSCRIPT(2),
    SUBSCRIPT(3);
    
    public static Map<Integer, VerticalAlign> imap = new HashMap();
    public final int value;

    /* access modifiers changed from: public */
    static {
        VerticalAlign[] values = values();
        for (VerticalAlign verticalAlign : values) {
            imap.put(Integer.valueOf(verticalAlign.getValue()), verticalAlign);
        }
    }

    /* access modifiers changed from: public */
    VerticalAlign(int i2) {
        this.value = i2;
    }

    public int getValue() {
        return this.value;
    }

    public static VerticalAlign valueOf(int i2) {
        VerticalAlign verticalAlign = imap.get(Integer.valueOf(i2));
        if (verticalAlign != null) {
            return verticalAlign;
        }
        throw new IllegalArgumentException(a.c("Unknown vertical alignment: ", i2));
    }
}
