package org.apache.xerces.dom.events;

import org.w3c.dom.events.EventTarget;
import org.w3c.dom.events.MouseEvent;
import org.w3c.dom.views.AbstractView;

public class MouseEventImpl extends UIEventImpl implements MouseEvent {
    public boolean fAltKey;
    public short fButton;
    public int fClientX;
    public int fClientY;
    public boolean fCtrlKey;
    public boolean fMetaKey;
    public EventTarget fRelatedTarget;
    public int fScreenX;
    public int fScreenY;
    public boolean fShiftKey;

    @Override // org.w3c.dom.events.MouseEvent
    public boolean getAltKey() {
        return this.fAltKey;
    }

    @Override // org.w3c.dom.events.MouseEvent
    public short getButton() {
        return this.fButton;
    }

    @Override // org.w3c.dom.events.MouseEvent
    public int getClientX() {
        return this.fClientX;
    }

    @Override // org.w3c.dom.events.MouseEvent
    public int getClientY() {
        return this.fClientY;
    }

    @Override // org.w3c.dom.events.MouseEvent
    public boolean getCtrlKey() {
        return this.fCtrlKey;
    }

    @Override // org.w3c.dom.events.MouseEvent
    public boolean getMetaKey() {
        return this.fMetaKey;
    }

    @Override // org.w3c.dom.events.MouseEvent
    public EventTarget getRelatedTarget() {
        return this.fRelatedTarget;
    }

    @Override // org.w3c.dom.events.MouseEvent
    public int getScreenX() {
        return this.fScreenX;
    }

    @Override // org.w3c.dom.events.MouseEvent
    public int getScreenY() {
        return this.fScreenY;
    }

    @Override // org.w3c.dom.events.MouseEvent
    public boolean getShiftKey() {
        return this.fShiftKey;
    }

    @Override // org.w3c.dom.events.MouseEvent
    public void initMouseEvent(String str, boolean z, boolean z2, AbstractView abstractView, int i2, int i3, int i4, int i5, int i6, boolean z3, boolean z4, boolean z5, boolean z6, short s, EventTarget eventTarget) {
        this.fScreenX = i3;
        this.fScreenY = i4;
        this.fClientX = i5;
        this.fClientY = i6;
        this.fCtrlKey = z3;
        this.fAltKey = z4;
        this.fShiftKey = z5;
        this.fMetaKey = z6;
        this.fButton = s;
        this.fRelatedTarget = eventTarget;
        super.initUIEvent(str, z, z2, abstractView, i2);
    }
}
