package org.apache.xerces.impl.dv;

import b.b.a.a.a;
import java.util.Hashtable;

public abstract class DTDDVFactory {
    public static final String DEFAULT_FACTORY_CLASS = "org.apache.xerces.impl.dv.dtd.DTDDVFactoryImpl";

    public static final DTDDVFactory getInstance() {
        return getInstance(DEFAULT_FACTORY_CLASS);
    }

    public static final DTDDVFactory getInstance(String str) {
        try {
            return (DTDDVFactory) ObjectFactory.newInstance(str, ObjectFactory.findClassLoader(), true);
        } catch (ClassCastException unused) {
            throw new DVFactoryException(a.a("DTD factory class ", str, " does not extend from DTDDVFactory."));
        }
    }

    public abstract DatatypeValidator getBuiltInDV(String str);

    public abstract Hashtable getBuiltInTypes();
}
