package org.apache.xerces.impl.dv.xs;

import org.apache.xerces.impl.dv.InvalidDatatypeValueException;
import org.apache.xerces.impl.dv.ValidationContext;
import org.apache.xerces.impl.dv.xs.DecimalDV;

public class IntegerDV extends DecimalDV {
    @Override // org.apache.xerces.impl.dv.xs.TypeValidator, org.apache.xerces.impl.dv.xs.DecimalDV
    public Object getActualValue(String str, ValidationContext validationContext) {
        try {
            return new DecimalDV.XDecimal(str, true);
        } catch (NumberFormatException unused) {
            throw new InvalidDatatypeValueException("cvc-datatype-valid.1.2.1", new Object[]{str, "integer"});
        }
    }
}
