package org.apache.xerces.jaxp.datatype;

import java.io.Serializable;

public final class SerializedXMLGregorianCalendar implements Serializable {
    public static final long serialVersionUID = -7752272381890705397L;
    public final String lexicalValue;

    public SerializedXMLGregorianCalendar(String str) {
        this.lexicalValue = str;
    }

    private Object readResolve() {
        return new DatatypeFactoryImpl().newXMLGregorianCalendar(this.lexicalValue);
    }
}
