package org.apache.xerces.util;

public final class SecurityManager {
    public static final int DEFAULT_ENTITY_EXPANSION_LIMIT = 100000;
    public static final int DEFAULT_MAX_OCCUR_NODE_LIMIT = 3000;
    public int entityExpansionLimit = DEFAULT_ENTITY_EXPANSION_LIMIT;
    public int maxOccurLimit = 3000;

    public int getEntityExpansionLimit() {
        return this.entityExpansionLimit;
    }

    public int getMaxOccurNodeLimit() {
        return this.maxOccurLimit;
    }

    public void setEntityExpansionLimit(int i2) {
        this.entityExpansionLimit = i2;
    }

    public void setMaxOccurNodeLimit(int i2) {
        this.maxOccurLimit = i2;
    }
}
