package org.apache.xerces.xni.parser;

import org.apache.xerces.xni.XNIException;

public class XMLConfigurationException extends XNIException {
    public static final short NOT_RECOGNIZED = 0;
    public static final short NOT_SUPPORTED = 1;
    public static final long serialVersionUID = -5437427404547669188L;
    public String fIdentifier;
    public short fType;

    public XMLConfigurationException(short s, String str) {
        super(str);
        this.fType = s;
        this.fIdentifier = str;
    }

    public XMLConfigurationException(short s, String str, String str2) {
        super(str2);
        this.fType = s;
        this.fIdentifier = str;
    }

    public String getIdentifier() {
        return this.fIdentifier;
    }

    public short getType() {
        return this.fType;
    }
}
