package org.apache.xmlbeans.impl.inst2xsd.util;

import b.b.a.a.a;
import org.apache.poi.javax.xml.namespace.QName;

public class Attribute {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$inst2xsd$util$Attribute;
    public boolean _isGlobal = false;
    public boolean _isOptional = false;
    public QName _name;
    public Attribute _ref = null;
    public Type _type;

    static {
        Class cls = class$org$apache$xmlbeans$impl$inst2xsd$util$Attribute;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.inst2xsd.util.Attribute");
            class$org$apache$xmlbeans$impl$inst2xsd$util$Attribute = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public QName getName() {
        return this._name;
    }

    public Attribute getRef() {
        return this._ref;
    }

    public Type getType() {
        return isRef() ? getRef().getType() : this._type;
    }

    public boolean isGlobal() {
        return this._isGlobal;
    }

    public boolean isOptional() {
        return this._isOptional;
    }

    public boolean isRef() {
        return this._ref != null;
    }

    public void setGlobal(boolean z) {
        this._isGlobal = z;
    }

    public void setName(QName qName) {
        this._name = qName;
    }

    public void setOptional(boolean z) {
        if ($assertionsDisabled || (z && !isGlobal())) {
            this._isOptional = z;
            return;
        }
        throw new AssertionError("Global attributes cannot be optional.");
    }

    public void setRef(Attribute attribute) {
        if ($assertionsDisabled || !isGlobal()) {
            this._ref = attribute;
            this._type = null;
            return;
        }
        throw new AssertionError();
    }

    public void setType(Type type) {
        if ($assertionsDisabled || !isRef()) {
            this._type = type;
            return;
        }
        throw new AssertionError();
    }

    public String toString() {
        StringBuffer a = a.a("\n    Attribute{_name=");
        a.append(this._name);
        a.append(", _type=");
        a.append(this._type);
        a.append(", _ref=");
        a.append(this._ref != null);
        a.append(", _isGlobal=");
        a.append(this._isGlobal);
        a.append(", _isOptional=");
        a.append(this._isOptional);
        a.append("}");
        return a.toString();
    }
}
