package org.apache.xmlbeans.impl.inst2xsd.util;

import b.b.a.a.a;
import org.apache.poi.javax.xml.namespace.QName;

public class Element {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final int UNBOUNDED = -1;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$inst2xsd$util$Element;
    public String _comment = null;
    public boolean _isGlobal = false;
    public boolean _isNillable = false;
    public int _maxOccurs = 1;
    public int _minOccurs = 1;
    public QName _name = null;
    public Element _ref = null;
    public Type _type = null;

    static {
        Class cls = class$org$apache$xmlbeans$impl$inst2xsd$util$Element;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.inst2xsd.util.Element");
            class$org$apache$xmlbeans$impl$inst2xsd$util$Element = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public String getComment() {
        return this._comment;
    }

    public int getMaxOccurs() {
        return this._maxOccurs;
    }

    public int getMinOccurs() {
        return this._minOccurs;
    }

    public QName getName() {
        return this._name;
    }

    public Element getRef() {
        return this._ref;
    }

    public Type getType() {
        return isRef() ? getRef().getType() : this._type;
    }

    public boolean isGlobal() {
        return this._isGlobal;
    }

    public boolean isNillable() {
        return this._isNillable;
    }

    public boolean isRef() {
        return this._ref != null;
    }

    public void setComment(String str) {
        this._comment = str;
    }

    public void setGlobal(boolean z) {
        this._isGlobal = z;
        this._minOccurs = 1;
        this._maxOccurs = 1;
    }

    public void setMaxOccurs(int i2) {
        this._maxOccurs = i2;
    }

    public void setMinOccurs(int i2) {
        this._minOccurs = i2;
    }

    public void setName(QName qName) {
        this._name = qName;
    }

    public void setNillable(boolean z) {
        this._isNillable = z;
    }

    public void setRef(Element element) {
        if ($assertionsDisabled || !this._isGlobal) {
            this._ref = element;
            this._type = null;
            return;
        }
        throw new AssertionError();
    }

    public void setType(Type type) {
        if ($assertionsDisabled || !isRef()) {
            this._type = type;
            return;
        }
        throw new AssertionError();
    }

    public String toString() {
        StringBuffer a = a.a("\n  Element{ _name = ");
        a.append(this._name);
        a.append(", _ref = ");
        a.append(this._ref != null);
        a.append(", _isGlobal = ");
        a.append(this._isGlobal);
        a.append(", _minOccurs = ");
        a.append(this._minOccurs);
        a.append(", _maxOccurs = ");
        a.append(this._maxOccurs);
        a.append(", _isNillable = ");
        a.append(this._isNillable);
        a.append(", _comment = ");
        a.append(this._comment);
        a.append(",\n    _type = ");
        Type type = this._type;
        return a.a(a, type == null ? "null" : type.isGlobal() ? this._type.getName().toString() : this._type.toString(), "\n  }");
    }
}
