package org.apache.xmlbeans.impl.jam.provider;

import java.io.File;
import org.apache.xmlbeans.impl.jam.annotation.JavadocTagParser;
import org.apache.xmlbeans.impl.jam.visitor.MVisitor;

public interface JamServiceContext extends JamLogger {
    String[] getAllClassnames();

    JamClassBuilder getBaseBuilder();

    MVisitor getInitializer();

    ResourcePath getInputClasspath();

    ResourcePath getInputSourcepath();

    JamLogger getLogger();

    String getProperty(String str);

    ClassLoader[] getReflectionClassLoaders();

    File[] getSourceFiles();

    JavadocTagParser getTagParser();

    ResourcePath getToolClasspath();

    boolean is14WarningsEnabled();
}
