package org.apache.xmlbeans.impl.soap;

import b.b.a.a.a;

public class SOAPElementFactory {
    public SOAPFactory sf;

    public SOAPElementFactory(SOAPFactory sOAPFactory) {
        this.sf = sOAPFactory;
    }

    public static SOAPElementFactory newInstance() {
        try {
            return new SOAPElementFactory(SOAPFactory.newInstance());
        } catch (Exception e2) {
            StringBuffer a = a.a("Unable to create SOAP Element Factory: ");
            a.append(e2.getMessage());
            throw new SOAPException(a.toString());
        }
    }

    public SOAPElement create(Name name) {
        return this.sf.createElement(name);
    }

    public SOAPElement create(String str) {
        return this.sf.createElement(str);
    }

    public SOAPElement create(String str, String str2, String str3) {
        return this.sf.createElement(str, str2, str3);
    }
}
