package org.apache.xmlbeans.impl.soap;

import b.b.a.a.a;

public abstract class SOAPFactory {
    public static final String DEFAULT_SF = "org.apache.axis.soap.SOAPFactoryImpl";
    public static final String SF_PROPERTY = "javax.xml.soap.SOAPFactory";

    public static SOAPFactory newInstance() {
        try {
            return (SOAPFactory) FactoryFinder.find(SF_PROPERTY, DEFAULT_SF);
        } catch (Exception e2) {
            StringBuffer a = a.a("Unable to create SOAP Factory: ");
            a.append(e2.getMessage());
            throw new SOAPException(a.toString());
        }
    }

    public abstract Detail createDetail();

    public abstract SOAPElement createElement(String str);

    public abstract SOAPElement createElement(String str, String str2, String str3);

    public abstract SOAPElement createElement(Name name);

    public abstract Name createName(String str);

    public abstract Name createName(String str, String str2, String str3);
}
