package org.apache.xmlbeans.xml.stream;

public interface XMLInputStream {
    void close();

    ReferenceResolver getReferenceResolver();

    XMLInputStream getSubStream();

    boolean hasNext();

    XMLEvent next();

    XMLEvent peek();

    void setReferenceResolver(ReferenceResolver referenceResolver);

    void skip();

    boolean skip(int i2);

    boolean skip(XMLName xMLName);

    boolean skip(XMLName xMLName, int i2);

    void skipElement();
}
