package org.openxmlformats.schemas.drawingml.x2006.chart;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTScatterChart extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTScatterChart.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctscatterchart2bfctype"));

    public static final class Factory {
        public static CTScatterChart newInstance() {
            return (CTScatterChart) POIXMLTypeLoader.newInstance(CTScatterChart.type, null);
        }

        public static CTScatterChart newInstance(XmlOptions xmlOptions) {
            return (CTScatterChart) POIXMLTypeLoader.newInstance(CTScatterChart.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTScatterChart.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTScatterChart.type, xmlOptions);
        }

        public static CTScatterChart parse(File file) {
            return (CTScatterChart) POIXMLTypeLoader.parse(file, CTScatterChart.type, (XmlOptions) null);
        }

        public static CTScatterChart parse(File file, XmlOptions xmlOptions) {
            return (CTScatterChart) POIXMLTypeLoader.parse(file, CTScatterChart.type, xmlOptions);
        }

        public static CTScatterChart parse(InputStream inputStream) {
            return (CTScatterChart) POIXMLTypeLoader.parse(inputStream, CTScatterChart.type, (XmlOptions) null);
        }

        public static CTScatterChart parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTScatterChart) POIXMLTypeLoader.parse(inputStream, CTScatterChart.type, xmlOptions);
        }

        public static CTScatterChart parse(Reader reader) {
            return (CTScatterChart) POIXMLTypeLoader.parse(reader, CTScatterChart.type, (XmlOptions) null);
        }

        public static CTScatterChart parse(Reader reader, XmlOptions xmlOptions) {
            return (CTScatterChart) POIXMLTypeLoader.parse(reader, CTScatterChart.type, xmlOptions);
        }

        public static CTScatterChart parse(String str) {
            return (CTScatterChart) POIXMLTypeLoader.parse(str, CTScatterChart.type, (XmlOptions) null);
        }

        public static CTScatterChart parse(String str, XmlOptions xmlOptions) {
            return (CTScatterChart) POIXMLTypeLoader.parse(str, CTScatterChart.type, xmlOptions);
        }

        public static CTScatterChart parse(URL url) {
            return (CTScatterChart) POIXMLTypeLoader.parse(url, CTScatterChart.type, (XmlOptions) null);
        }

        public static CTScatterChart parse(URL url, XmlOptions xmlOptions) {
            return (CTScatterChart) POIXMLTypeLoader.parse(url, CTScatterChart.type, xmlOptions);
        }

        public static CTScatterChart parse(XMLStreamReader xMLStreamReader) {
            return (CTScatterChart) POIXMLTypeLoader.parse(xMLStreamReader, CTScatterChart.type, (XmlOptions) null);
        }

        public static CTScatterChart parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTScatterChart) POIXMLTypeLoader.parse(xMLStreamReader, CTScatterChart.type, xmlOptions);
        }

        public static CTScatterChart parse(XMLInputStream xMLInputStream) {
            return (CTScatterChart) POIXMLTypeLoader.parse(xMLInputStream, CTScatterChart.type, (XmlOptions) null);
        }

        public static CTScatterChart parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTScatterChart) POIXMLTypeLoader.parse(xMLInputStream, CTScatterChart.type, xmlOptions);
        }

        public static CTScatterChart parse(Node node) {
            return (CTScatterChart) POIXMLTypeLoader.parse(node, CTScatterChart.type, (XmlOptions) null);
        }

        public static CTScatterChart parse(Node node, XmlOptions xmlOptions) {
            return (CTScatterChart) POIXMLTypeLoader.parse(node, CTScatterChart.type, xmlOptions);
        }
    }

    CTUnsignedInt addNewAxId();

    CTDLbls addNewDLbls();

    CTExtensionList addNewExtLst();

    CTScatterStyle addNewScatterStyle();

    CTScatterSer addNewSer();

    CTBoolean addNewVaryColors();

    CTUnsignedInt getAxIdArray(int i2);

    CTUnsignedInt[] getAxIdArray();

    List<CTUnsignedInt> getAxIdList();

    CTDLbls getDLbls();

    CTExtensionList getExtLst();

    CTScatterStyle getScatterStyle();

    CTScatterSer getSerArray(int i2);

    CTScatterSer[] getSerArray();

    List<CTScatterSer> getSerList();

    CTBoolean getVaryColors();

    CTUnsignedInt insertNewAxId(int i2);

    CTScatterSer insertNewSer(int i2);

    boolean isSetDLbls();

    boolean isSetExtLst();

    boolean isSetVaryColors();

    void removeAxId(int i2);

    void removeSer(int i2);

    void setAxIdArray(int i2, CTUnsignedInt cTUnsignedInt);

    void setAxIdArray(CTUnsignedInt[] cTUnsignedIntArr);

    void setDLbls(CTDLbls cTDLbls);

    void setExtLst(CTExtensionList cTExtensionList);

    void setScatterStyle(CTScatterStyle cTScatterStyle);

    void setSerArray(int i2, CTScatterSer cTScatterSer);

    void setSerArray(CTScatterSer[] cTScatterSerArr);

    void setVaryColors(CTBoolean cTBoolean);

    int sizeOfAxIdArray();

    int sizeOfSerArray();

    void unsetDLbls();

    void unsetExtLst();

    void unsetVaryColors();
}
