package org.openxmlformats.schemas.drawingml.x2006.chart;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface ChartSpaceDocument extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(ChartSpaceDocument.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "chartspace36e0doctype"));

    public static final class Factory {
        public static ChartSpaceDocument newInstance() {
            return (ChartSpaceDocument) POIXMLTypeLoader.newInstance(ChartSpaceDocument.type, null);
        }

        public static ChartSpaceDocument newInstance(XmlOptions xmlOptions) {
            return (ChartSpaceDocument) POIXMLTypeLoader.newInstance(ChartSpaceDocument.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, ChartSpaceDocument.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, ChartSpaceDocument.type, xmlOptions);
        }

        public static ChartSpaceDocument parse(File file) {
            return (ChartSpaceDocument) POIXMLTypeLoader.parse(file, ChartSpaceDocument.type, (XmlOptions) null);
        }

        public static ChartSpaceDocument parse(File file, XmlOptions xmlOptions) {
            return (ChartSpaceDocument) POIXMLTypeLoader.parse(file, ChartSpaceDocument.type, xmlOptions);
        }

        public static ChartSpaceDocument parse(InputStream inputStream) {
            return (ChartSpaceDocument) POIXMLTypeLoader.parse(inputStream, ChartSpaceDocument.type, (XmlOptions) null);
        }

        public static ChartSpaceDocument parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (ChartSpaceDocument) POIXMLTypeLoader.parse(inputStream, ChartSpaceDocument.type, xmlOptions);
        }

        public static ChartSpaceDocument parse(Reader reader) {
            return (ChartSpaceDocument) POIXMLTypeLoader.parse(reader, ChartSpaceDocument.type, (XmlOptions) null);
        }

        public static ChartSpaceDocument parse(Reader reader, XmlOptions xmlOptions) {
            return (ChartSpaceDocument) POIXMLTypeLoader.parse(reader, ChartSpaceDocument.type, xmlOptions);
        }

        public static ChartSpaceDocument parse(String str) {
            return (ChartSpaceDocument) POIXMLTypeLoader.parse(str, ChartSpaceDocument.type, (XmlOptions) null);
        }

        public static ChartSpaceDocument parse(String str, XmlOptions xmlOptions) {
            return (ChartSpaceDocument) POIXMLTypeLoader.parse(str, ChartSpaceDocument.type, xmlOptions);
        }

        public static ChartSpaceDocument parse(URL url) {
            return (ChartSpaceDocument) POIXMLTypeLoader.parse(url, ChartSpaceDocument.type, (XmlOptions) null);
        }

        public static ChartSpaceDocument parse(URL url, XmlOptions xmlOptions) {
            return (ChartSpaceDocument) POIXMLTypeLoader.parse(url, ChartSpaceDocument.type, xmlOptions);
        }

        public static ChartSpaceDocument parse(XMLStreamReader xMLStreamReader) {
            return (ChartSpaceDocument) POIXMLTypeLoader.parse(xMLStreamReader, ChartSpaceDocument.type, (XmlOptions) null);
        }

        public static ChartSpaceDocument parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (ChartSpaceDocument) POIXMLTypeLoader.parse(xMLStreamReader, ChartSpaceDocument.type, xmlOptions);
        }

        public static ChartSpaceDocument parse(XMLInputStream xMLInputStream) {
            return (ChartSpaceDocument) POIXMLTypeLoader.parse(xMLInputStream, ChartSpaceDocument.type, (XmlOptions) null);
        }

        public static ChartSpaceDocument parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (ChartSpaceDocument) POIXMLTypeLoader.parse(xMLInputStream, ChartSpaceDocument.type, xmlOptions);
        }

        public static ChartSpaceDocument parse(Node node) {
            return (ChartSpaceDocument) POIXMLTypeLoader.parse(node, ChartSpaceDocument.type, (XmlOptions) null);
        }

        public static ChartSpaceDocument parse(Node node, XmlOptions xmlOptions) {
            return (ChartSpaceDocument) POIXMLTypeLoader.parse(node, ChartSpaceDocument.type, xmlOptions);
        }
    }

    CTChartSpace addNewChartSpace();

    CTChartSpace getChartSpace();

    void setChartSpace(CTChartSpace cTChartSpace);
}
