package org.openxmlformats.schemas.drawingml.x2006.chart;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STCrossBetween extends XmlString {
    public static final Enum BETWEEN = Enum.forString("between");
    public static final int INT_BETWEEN = 1;
    public static final int INT_MID_CAT = 2;
    public static final Enum MID_CAT = Enum.forString("midCat");
    public static final SchemaType type = ((SchemaType) a.a(STCrossBetween.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stcrossbetweenf504type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_BETWEEN = 1;
        public static final int INT_MID_CAT = 2;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("between", 1), new Enum("midCat", 2)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STCrossBetween newInstance() {
            return (STCrossBetween) POIXMLTypeLoader.newInstance(STCrossBetween.type, null);
        }

        public static STCrossBetween newInstance(XmlOptions xmlOptions) {
            return (STCrossBetween) POIXMLTypeLoader.newInstance(STCrossBetween.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STCrossBetween.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STCrossBetween.type, xmlOptions);
        }

        public static STCrossBetween newValue(Object obj) {
            return (STCrossBetween) STCrossBetween.type.newValue(obj);
        }

        public static STCrossBetween parse(File file) {
            return (STCrossBetween) POIXMLTypeLoader.parse(file, STCrossBetween.type, (XmlOptions) null);
        }

        public static STCrossBetween parse(File file, XmlOptions xmlOptions) {
            return (STCrossBetween) POIXMLTypeLoader.parse(file, STCrossBetween.type, xmlOptions);
        }

        public static STCrossBetween parse(InputStream inputStream) {
            return (STCrossBetween) POIXMLTypeLoader.parse(inputStream, STCrossBetween.type, (XmlOptions) null);
        }

        public static STCrossBetween parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STCrossBetween) POIXMLTypeLoader.parse(inputStream, STCrossBetween.type, xmlOptions);
        }

        public static STCrossBetween parse(Reader reader) {
            return (STCrossBetween) POIXMLTypeLoader.parse(reader, STCrossBetween.type, (XmlOptions) null);
        }

        public static STCrossBetween parse(Reader reader, XmlOptions xmlOptions) {
            return (STCrossBetween) POIXMLTypeLoader.parse(reader, STCrossBetween.type, xmlOptions);
        }

        public static STCrossBetween parse(String str) {
            return (STCrossBetween) POIXMLTypeLoader.parse(str, STCrossBetween.type, (XmlOptions) null);
        }

        public static STCrossBetween parse(String str, XmlOptions xmlOptions) {
            return (STCrossBetween) POIXMLTypeLoader.parse(str, STCrossBetween.type, xmlOptions);
        }

        public static STCrossBetween parse(URL url) {
            return (STCrossBetween) POIXMLTypeLoader.parse(url, STCrossBetween.type, (XmlOptions) null);
        }

        public static STCrossBetween parse(URL url, XmlOptions xmlOptions) {
            return (STCrossBetween) POIXMLTypeLoader.parse(url, STCrossBetween.type, xmlOptions);
        }

        public static STCrossBetween parse(XMLStreamReader xMLStreamReader) {
            return (STCrossBetween) POIXMLTypeLoader.parse(xMLStreamReader, STCrossBetween.type, (XmlOptions) null);
        }

        public static STCrossBetween parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STCrossBetween) POIXMLTypeLoader.parse(xMLStreamReader, STCrossBetween.type, xmlOptions);
        }

        public static STCrossBetween parse(XMLInputStream xMLInputStream) {
            return (STCrossBetween) POIXMLTypeLoader.parse(xMLInputStream, STCrossBetween.type, (XmlOptions) null);
        }

        public static STCrossBetween parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STCrossBetween) POIXMLTypeLoader.parse(xMLInputStream, STCrossBetween.type, xmlOptions);
        }

        public static STCrossBetween parse(Node node) {
            return (STCrossBetween) POIXMLTypeLoader.parse(node, STCrossBetween.type, (XmlOptions) null);
        }

        public static STCrossBetween parse(Node node, XmlOptions xmlOptions) {
            return (STCrossBetween) POIXMLTypeLoader.parse(node, STCrossBetween.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
