package org.openxmlformats.schemas.drawingml.x2006.chart;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STLayoutTarget extends XmlString {
    public static final Enum INNER = Enum.forString("inner");
    public static final int INT_INNER = 1;
    public static final int INT_OUTER = 2;
    public static final Enum OUTER = Enum.forString("outer");
    public static final SchemaType type = ((SchemaType) a.a(STLayoutTarget.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stlayouttarget19f1type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_INNER = 1;
        public static final int INT_OUTER = 2;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("inner", 1), new Enum("outer", 2)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STLayoutTarget newInstance() {
            return (STLayoutTarget) POIXMLTypeLoader.newInstance(STLayoutTarget.type, null);
        }

        public static STLayoutTarget newInstance(XmlOptions xmlOptions) {
            return (STLayoutTarget) POIXMLTypeLoader.newInstance(STLayoutTarget.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STLayoutTarget.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STLayoutTarget.type, xmlOptions);
        }

        public static STLayoutTarget newValue(Object obj) {
            return (STLayoutTarget) STLayoutTarget.type.newValue(obj);
        }

        public static STLayoutTarget parse(File file) {
            return (STLayoutTarget) POIXMLTypeLoader.parse(file, STLayoutTarget.type, (XmlOptions) null);
        }

        public static STLayoutTarget parse(File file, XmlOptions xmlOptions) {
            return (STLayoutTarget) POIXMLTypeLoader.parse(file, STLayoutTarget.type, xmlOptions);
        }

        public static STLayoutTarget parse(InputStream inputStream) {
            return (STLayoutTarget) POIXMLTypeLoader.parse(inputStream, STLayoutTarget.type, (XmlOptions) null);
        }

        public static STLayoutTarget parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STLayoutTarget) POIXMLTypeLoader.parse(inputStream, STLayoutTarget.type, xmlOptions);
        }

        public static STLayoutTarget parse(Reader reader) {
            return (STLayoutTarget) POIXMLTypeLoader.parse(reader, STLayoutTarget.type, (XmlOptions) null);
        }

        public static STLayoutTarget parse(Reader reader, XmlOptions xmlOptions) {
            return (STLayoutTarget) POIXMLTypeLoader.parse(reader, STLayoutTarget.type, xmlOptions);
        }

        public static STLayoutTarget parse(String str) {
            return (STLayoutTarget) POIXMLTypeLoader.parse(str, STLayoutTarget.type, (XmlOptions) null);
        }

        public static STLayoutTarget parse(String str, XmlOptions xmlOptions) {
            return (STLayoutTarget) POIXMLTypeLoader.parse(str, STLayoutTarget.type, xmlOptions);
        }

        public static STLayoutTarget parse(URL url) {
            return (STLayoutTarget) POIXMLTypeLoader.parse(url, STLayoutTarget.type, (XmlOptions) null);
        }

        public static STLayoutTarget parse(URL url, XmlOptions xmlOptions) {
            return (STLayoutTarget) POIXMLTypeLoader.parse(url, STLayoutTarget.type, xmlOptions);
        }

        public static STLayoutTarget parse(XMLStreamReader xMLStreamReader) {
            return (STLayoutTarget) POIXMLTypeLoader.parse(xMLStreamReader, STLayoutTarget.type, (XmlOptions) null);
        }

        public static STLayoutTarget parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STLayoutTarget) POIXMLTypeLoader.parse(xMLStreamReader, STLayoutTarget.type, xmlOptions);
        }

        public static STLayoutTarget parse(XMLInputStream xMLInputStream) {
            return (STLayoutTarget) POIXMLTypeLoader.parse(xMLInputStream, STLayoutTarget.type, (XmlOptions) null);
        }

        public static STLayoutTarget parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STLayoutTarget) POIXMLTypeLoader.parse(xMLInputStream, STLayoutTarget.type, xmlOptions);
        }

        public static STLayoutTarget parse(Node node) {
            return (STLayoutTarget) POIXMLTypeLoader.parse(node, STLayoutTarget.type, (XmlOptions) null);
        }

        public static STLayoutTarget parse(Node node, XmlOptions xmlOptions) {
            return (STLayoutTarget) POIXMLTypeLoader.parse(node, STLayoutTarget.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
