package org.openxmlformats.schemas.drawingml.x2006.chart;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.impl.jam.xml.JamXmlElements;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STScatterStyle extends XmlString {
    public static final int INT_LINE = 2;
    public static final int INT_LINE_MARKER = 3;
    public static final int INT_MARKER = 4;
    public static final int INT_NONE = 1;
    public static final int INT_SMOOTH = 5;
    public static final int INT_SMOOTH_MARKER = 6;
    public static final Enum LINE = Enum.forString(JamXmlElements.LINE);
    public static final Enum LINE_MARKER = Enum.forString("lineMarker");
    public static final Enum MARKER = Enum.forString("marker");
    public static final Enum NONE = Enum.forString("none");
    public static final Enum SMOOTH = Enum.forString("smooth");
    public static final Enum SMOOTH_MARKER = Enum.forString("smoothMarker");
    public static final SchemaType type = ((SchemaType) a.a(STScatterStyle.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stscatterstyle9eb9type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_LINE = 2;
        public static final int INT_LINE_MARKER = 3;
        public static final int INT_MARKER = 4;
        public static final int INT_NONE = 1;
        public static final int INT_SMOOTH = 5;
        public static final int INT_SMOOTH_MARKER = 6;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("none", 1), new Enum(JamXmlElements.LINE, 2), new Enum("lineMarker", 3), new Enum("marker", 4), new Enum("smooth", 5), new Enum("smoothMarker", 6)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STScatterStyle newInstance() {
            return (STScatterStyle) POIXMLTypeLoader.newInstance(STScatterStyle.type, null);
        }

        public static STScatterStyle newInstance(XmlOptions xmlOptions) {
            return (STScatterStyle) POIXMLTypeLoader.newInstance(STScatterStyle.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STScatterStyle.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STScatterStyle.type, xmlOptions);
        }

        public static STScatterStyle newValue(Object obj) {
            return (STScatterStyle) STScatterStyle.type.newValue(obj);
        }

        public static STScatterStyle parse(File file) {
            return (STScatterStyle) POIXMLTypeLoader.parse(file, STScatterStyle.type, (XmlOptions) null);
        }

        public static STScatterStyle parse(File file, XmlOptions xmlOptions) {
            return (STScatterStyle) POIXMLTypeLoader.parse(file, STScatterStyle.type, xmlOptions);
        }

        public static STScatterStyle parse(InputStream inputStream) {
            return (STScatterStyle) POIXMLTypeLoader.parse(inputStream, STScatterStyle.type, (XmlOptions) null);
        }

        public static STScatterStyle parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STScatterStyle) POIXMLTypeLoader.parse(inputStream, STScatterStyle.type, xmlOptions);
        }

        public static STScatterStyle parse(Reader reader) {
            return (STScatterStyle) POIXMLTypeLoader.parse(reader, STScatterStyle.type, (XmlOptions) null);
        }

        public static STScatterStyle parse(Reader reader, XmlOptions xmlOptions) {
            return (STScatterStyle) POIXMLTypeLoader.parse(reader, STScatterStyle.type, xmlOptions);
        }

        public static STScatterStyle parse(String str) {
            return (STScatterStyle) POIXMLTypeLoader.parse(str, STScatterStyle.type, (XmlOptions) null);
        }

        public static STScatterStyle parse(String str, XmlOptions xmlOptions) {
            return (STScatterStyle) POIXMLTypeLoader.parse(str, STScatterStyle.type, xmlOptions);
        }

        public static STScatterStyle parse(URL url) {
            return (STScatterStyle) POIXMLTypeLoader.parse(url, STScatterStyle.type, (XmlOptions) null);
        }

        public static STScatterStyle parse(URL url, XmlOptions xmlOptions) {
            return (STScatterStyle) POIXMLTypeLoader.parse(url, STScatterStyle.type, xmlOptions);
        }

        public static STScatterStyle parse(XMLStreamReader xMLStreamReader) {
            return (STScatterStyle) POIXMLTypeLoader.parse(xMLStreamReader, STScatterStyle.type, (XmlOptions) null);
        }

        public static STScatterStyle parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STScatterStyle) POIXMLTypeLoader.parse(xMLStreamReader, STScatterStyle.type, xmlOptions);
        }

        public static STScatterStyle parse(XMLInputStream xMLInputStream) {
            return (STScatterStyle) POIXMLTypeLoader.parse(xMLInputStream, STScatterStyle.type, (XmlOptions) null);
        }

        public static STScatterStyle parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STScatterStyle) POIXMLTypeLoader.parse(xMLInputStream, STScatterStyle.type, xmlOptions);
        }

        public static STScatterStyle parse(Node node) {
            return (STScatterStyle) POIXMLTypeLoader.parse(node, STScatterStyle.type, (XmlOptions) null);
        }

        public static STScatterStyle parse(Node node, XmlOptions xmlOptions) {
            return (STScatterStyle) POIXMLTypeLoader.parse(node, STScatterStyle.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
