package org.openxmlformats.schemas.drawingml.x2006.chart;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STTickLblPos extends XmlString {
    public static final Enum HIGH = Enum.forString("high");
    public static final int INT_HIGH = 1;
    public static final int INT_LOW = 2;
    public static final int INT_NEXT_TO = 3;
    public static final int INT_NONE = 4;
    public static final Enum LOW = Enum.forString("low");
    public static final Enum NEXT_TO = Enum.forString("nextTo");
    public static final Enum NONE = Enum.forString("none");
    public static final SchemaType type = ((SchemaType) a.a(STTickLblPos.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stticklblposc551type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_HIGH = 1;
        public static final int INT_LOW = 2;
        public static final int INT_NEXT_TO = 3;
        public static final int INT_NONE = 4;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("high", 1), new Enum("low", 2), new Enum("nextTo", 3), new Enum("none", 4)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STTickLblPos newInstance() {
            return (STTickLblPos) POIXMLTypeLoader.newInstance(STTickLblPos.type, null);
        }

        public static STTickLblPos newInstance(XmlOptions xmlOptions) {
            return (STTickLblPos) POIXMLTypeLoader.newInstance(STTickLblPos.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STTickLblPos.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STTickLblPos.type, xmlOptions);
        }

        public static STTickLblPos newValue(Object obj) {
            return (STTickLblPos) STTickLblPos.type.newValue(obj);
        }

        public static STTickLblPos parse(File file) {
            return (STTickLblPos) POIXMLTypeLoader.parse(file, STTickLblPos.type, (XmlOptions) null);
        }

        public static STTickLblPos parse(File file, XmlOptions xmlOptions) {
            return (STTickLblPos) POIXMLTypeLoader.parse(file, STTickLblPos.type, xmlOptions);
        }

        public static STTickLblPos parse(InputStream inputStream) {
            return (STTickLblPos) POIXMLTypeLoader.parse(inputStream, STTickLblPos.type, (XmlOptions) null);
        }

        public static STTickLblPos parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STTickLblPos) POIXMLTypeLoader.parse(inputStream, STTickLblPos.type, xmlOptions);
        }

        public static STTickLblPos parse(Reader reader) {
            return (STTickLblPos) POIXMLTypeLoader.parse(reader, STTickLblPos.type, (XmlOptions) null);
        }

        public static STTickLblPos parse(Reader reader, XmlOptions xmlOptions) {
            return (STTickLblPos) POIXMLTypeLoader.parse(reader, STTickLblPos.type, xmlOptions);
        }

        public static STTickLblPos parse(String str) {
            return (STTickLblPos) POIXMLTypeLoader.parse(str, STTickLblPos.type, (XmlOptions) null);
        }

        public static STTickLblPos parse(String str, XmlOptions xmlOptions) {
            return (STTickLblPos) POIXMLTypeLoader.parse(str, STTickLblPos.type, xmlOptions);
        }

        public static STTickLblPos parse(URL url) {
            return (STTickLblPos) POIXMLTypeLoader.parse(url, STTickLblPos.type, (XmlOptions) null);
        }

        public static STTickLblPos parse(URL url, XmlOptions xmlOptions) {
            return (STTickLblPos) POIXMLTypeLoader.parse(url, STTickLblPos.type, xmlOptions);
        }

        public static STTickLblPos parse(XMLStreamReader xMLStreamReader) {
            return (STTickLblPos) POIXMLTypeLoader.parse(xMLStreamReader, STTickLblPos.type, (XmlOptions) null);
        }

        public static STTickLblPos parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STTickLblPos) POIXMLTypeLoader.parse(xMLStreamReader, STTickLblPos.type, xmlOptions);
        }

        public static STTickLblPos parse(XMLInputStream xMLInputStream) {
            return (STTickLblPos) POIXMLTypeLoader.parse(xMLInputStream, STTickLblPos.type, (XmlOptions) null);
        }

        public static STTickLblPos parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STTickLblPos) POIXMLTypeLoader.parse(xMLInputStream, STTickLblPos.type, xmlOptions);
        }

        public static STTickLblPos parse(Node node) {
            return (STTickLblPos) POIXMLTypeLoader.parse(node, STTickLblPos.type, (XmlOptions) null);
        }

        public static STTickLblPos parse(Node node, XmlOptions xmlOptions) {
            return (STTickLblPos) POIXMLTypeLoader.parse(node, STTickLblPos.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
