package org.openxmlformats.schemas.drawingml.x2006.chart;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STTickMark extends XmlString {
    public static final Enum CROSS = Enum.forString("cross");
    public static final Enum IN = Enum.forString("in");
    public static final int INT_CROSS = 1;
    public static final int INT_IN = 2;
    public static final int INT_NONE = 3;
    public static final int INT_OUT = 4;
    public static final Enum NONE = Enum.forString("none");
    public static final Enum OUT = Enum.forString("out");
    public static final SchemaType type = ((SchemaType) a.a(STTickMark.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "sttickmark69e2type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_CROSS = 1;
        public static final int INT_IN = 2;
        public static final int INT_NONE = 3;
        public static final int INT_OUT = 4;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("cross", 1), new Enum("in", 2), new Enum("none", 3), new Enum("out", 4)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STTickMark newInstance() {
            return (STTickMark) POIXMLTypeLoader.newInstance(STTickMark.type, null);
        }

        public static STTickMark newInstance(XmlOptions xmlOptions) {
            return (STTickMark) POIXMLTypeLoader.newInstance(STTickMark.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STTickMark.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STTickMark.type, xmlOptions);
        }

        public static STTickMark newValue(Object obj) {
            return (STTickMark) STTickMark.type.newValue(obj);
        }

        public static STTickMark parse(File file) {
            return (STTickMark) POIXMLTypeLoader.parse(file, STTickMark.type, (XmlOptions) null);
        }

        public static STTickMark parse(File file, XmlOptions xmlOptions) {
            return (STTickMark) POIXMLTypeLoader.parse(file, STTickMark.type, xmlOptions);
        }

        public static STTickMark parse(InputStream inputStream) {
            return (STTickMark) POIXMLTypeLoader.parse(inputStream, STTickMark.type, (XmlOptions) null);
        }

        public static STTickMark parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STTickMark) POIXMLTypeLoader.parse(inputStream, STTickMark.type, xmlOptions);
        }

        public static STTickMark parse(Reader reader) {
            return (STTickMark) POIXMLTypeLoader.parse(reader, STTickMark.type, (XmlOptions) null);
        }

        public static STTickMark parse(Reader reader, XmlOptions xmlOptions) {
            return (STTickMark) POIXMLTypeLoader.parse(reader, STTickMark.type, xmlOptions);
        }

        public static STTickMark parse(String str) {
            return (STTickMark) POIXMLTypeLoader.parse(str, STTickMark.type, (XmlOptions) null);
        }

        public static STTickMark parse(String str, XmlOptions xmlOptions) {
            return (STTickMark) POIXMLTypeLoader.parse(str, STTickMark.type, xmlOptions);
        }

        public static STTickMark parse(URL url) {
            return (STTickMark) POIXMLTypeLoader.parse(url, STTickMark.type, (XmlOptions) null);
        }

        public static STTickMark parse(URL url, XmlOptions xmlOptions) {
            return (STTickMark) POIXMLTypeLoader.parse(url, STTickMark.type, xmlOptions);
        }

        public static STTickMark parse(XMLStreamReader xMLStreamReader) {
            return (STTickMark) POIXMLTypeLoader.parse(xMLStreamReader, STTickMark.type, (XmlOptions) null);
        }

        public static STTickMark parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STTickMark) POIXMLTypeLoader.parse(xMLStreamReader, STTickMark.type, xmlOptions);
        }

        public static STTickMark parse(XMLInputStream xMLInputStream) {
            return (STTickMark) POIXMLTypeLoader.parse(xMLInputStream, STTickMark.type, (XmlOptions) null);
        }

        public static STTickMark parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STTickMark) POIXMLTypeLoader.parse(xMLInputStream, STTickMark.type, xmlOptions);
        }

        public static STTickMark parse(Node node) {
            return (STTickMark) POIXMLTypeLoader.parse(node, STTickMark.type, (XmlOptions) null);
        }

        public static STTickMark parse(Node node, XmlOptions xmlOptions) {
            return (STTickMark) POIXMLTypeLoader.parse(node, STTickMark.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
