package org.openxmlformats.schemas.drawingml.x2006.picture;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties;
import org.w3c.dom.Node;

public interface CTPicture extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTPicture.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctpicture1d48type"));

    public static final class Factory {
        public static CTPicture newInstance() {
            return (CTPicture) POIXMLTypeLoader.newInstance(CTPicture.type, null);
        }

        public static CTPicture newInstance(XmlOptions xmlOptions) {
            return (CTPicture) POIXMLTypeLoader.newInstance(CTPicture.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTPicture.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTPicture.type, xmlOptions);
        }

        public static CTPicture parse(File file) {
            return (CTPicture) POIXMLTypeLoader.parse(file, CTPicture.type, (XmlOptions) null);
        }

        public static CTPicture parse(File file, XmlOptions xmlOptions) {
            return (CTPicture) POIXMLTypeLoader.parse(file, CTPicture.type, xmlOptions);
        }

        public static CTPicture parse(InputStream inputStream) {
            return (CTPicture) POIXMLTypeLoader.parse(inputStream, CTPicture.type, (XmlOptions) null);
        }

        public static CTPicture parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTPicture) POIXMLTypeLoader.parse(inputStream, CTPicture.type, xmlOptions);
        }

        public static CTPicture parse(Reader reader) {
            return (CTPicture) POIXMLTypeLoader.parse(reader, CTPicture.type, (XmlOptions) null);
        }

        public static CTPicture parse(Reader reader, XmlOptions xmlOptions) {
            return (CTPicture) POIXMLTypeLoader.parse(reader, CTPicture.type, xmlOptions);
        }

        public static CTPicture parse(String str) {
            return (CTPicture) POIXMLTypeLoader.parse(str, CTPicture.type, (XmlOptions) null);
        }

        public static CTPicture parse(String str, XmlOptions xmlOptions) {
            return (CTPicture) POIXMLTypeLoader.parse(str, CTPicture.type, xmlOptions);
        }

        public static CTPicture parse(URL url) {
            return (CTPicture) POIXMLTypeLoader.parse(url, CTPicture.type, (XmlOptions) null);
        }

        public static CTPicture parse(URL url, XmlOptions xmlOptions) {
            return (CTPicture) POIXMLTypeLoader.parse(url, CTPicture.type, xmlOptions);
        }

        public static CTPicture parse(XMLStreamReader xMLStreamReader) {
            return (CTPicture) POIXMLTypeLoader.parse(xMLStreamReader, CTPicture.type, (XmlOptions) null);
        }

        public static CTPicture parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTPicture) POIXMLTypeLoader.parse(xMLStreamReader, CTPicture.type, xmlOptions);
        }

        public static CTPicture parse(XMLInputStream xMLInputStream) {
            return (CTPicture) POIXMLTypeLoader.parse(xMLInputStream, CTPicture.type, (XmlOptions) null);
        }

        public static CTPicture parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTPicture) POIXMLTypeLoader.parse(xMLInputStream, CTPicture.type, xmlOptions);
        }

        public static CTPicture parse(Node node) {
            return (CTPicture) POIXMLTypeLoader.parse(node, CTPicture.type, (XmlOptions) null);
        }

        public static CTPicture parse(Node node, XmlOptions xmlOptions) {
            return (CTPicture) POIXMLTypeLoader.parse(node, CTPicture.type, xmlOptions);
        }
    }

    CTBlipFillProperties addNewBlipFill();

    CTPictureNonVisual addNewNvPicPr();

    CTShapeProperties addNewSpPr();

    CTBlipFillProperties getBlipFill();

    CTPictureNonVisual getNvPicPr();

    CTShapeProperties getSpPr();

    void setBlipFill(CTBlipFillProperties cTBlipFillProperties);

    void setNvPicPr(CTPictureNonVisual cTPictureNonVisual);

    void setSpPr(CTShapeProperties cTShapeProperties);
}
