package org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlBoolean;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTShapeStyle;
import org.w3c.dom.Node;

public interface CTConnector extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTConnector.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctconnector3d37type"));

    public static final class Factory {
        public static CTConnector newInstance() {
            return (CTConnector) POIXMLTypeLoader.newInstance(CTConnector.type, null);
        }

        public static CTConnector newInstance(XmlOptions xmlOptions) {
            return (CTConnector) POIXMLTypeLoader.newInstance(CTConnector.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTConnector.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTConnector.type, xmlOptions);
        }

        public static CTConnector parse(File file) {
            return (CTConnector) POIXMLTypeLoader.parse(file, CTConnector.type, (XmlOptions) null);
        }

        public static CTConnector parse(File file, XmlOptions xmlOptions) {
            return (CTConnector) POIXMLTypeLoader.parse(file, CTConnector.type, xmlOptions);
        }

        public static CTConnector parse(InputStream inputStream) {
            return (CTConnector) POIXMLTypeLoader.parse(inputStream, CTConnector.type, (XmlOptions) null);
        }

        public static CTConnector parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTConnector) POIXMLTypeLoader.parse(inputStream, CTConnector.type, xmlOptions);
        }

        public static CTConnector parse(Reader reader) {
            return (CTConnector) POIXMLTypeLoader.parse(reader, CTConnector.type, (XmlOptions) null);
        }

        public static CTConnector parse(Reader reader, XmlOptions xmlOptions) {
            return (CTConnector) POIXMLTypeLoader.parse(reader, CTConnector.type, xmlOptions);
        }

        public static CTConnector parse(String str) {
            return (CTConnector) POIXMLTypeLoader.parse(str, CTConnector.type, (XmlOptions) null);
        }

        public static CTConnector parse(String str, XmlOptions xmlOptions) {
            return (CTConnector) POIXMLTypeLoader.parse(str, CTConnector.type, xmlOptions);
        }

        public static CTConnector parse(URL url) {
            return (CTConnector) POIXMLTypeLoader.parse(url, CTConnector.type, (XmlOptions) null);
        }

        public static CTConnector parse(URL url, XmlOptions xmlOptions) {
            return (CTConnector) POIXMLTypeLoader.parse(url, CTConnector.type, xmlOptions);
        }

        public static CTConnector parse(XMLStreamReader xMLStreamReader) {
            return (CTConnector) POIXMLTypeLoader.parse(xMLStreamReader, CTConnector.type, (XmlOptions) null);
        }

        public static CTConnector parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTConnector) POIXMLTypeLoader.parse(xMLStreamReader, CTConnector.type, xmlOptions);
        }

        public static CTConnector parse(XMLInputStream xMLInputStream) {
            return (CTConnector) POIXMLTypeLoader.parse(xMLInputStream, CTConnector.type, (XmlOptions) null);
        }

        public static CTConnector parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTConnector) POIXMLTypeLoader.parse(xMLInputStream, CTConnector.type, xmlOptions);
        }

        public static CTConnector parse(Node node) {
            return (CTConnector) POIXMLTypeLoader.parse(node, CTConnector.type, (XmlOptions) null);
        }

        public static CTConnector parse(Node node, XmlOptions xmlOptions) {
            return (CTConnector) POIXMLTypeLoader.parse(node, CTConnector.type, xmlOptions);
        }
    }

    CTConnectorNonVisual addNewNvCxnSpPr();

    CTShapeProperties addNewSpPr();

    CTShapeStyle addNewStyle();

    boolean getFPublished();

    String getMacro();

    CTConnectorNonVisual getNvCxnSpPr();

    CTShapeProperties getSpPr();

    CTShapeStyle getStyle();

    boolean isSetFPublished();

    boolean isSetMacro();

    boolean isSetStyle();

    void setFPublished(boolean z);

    void setMacro(String str);

    void setNvCxnSpPr(CTConnectorNonVisual cTConnectorNonVisual);

    void setSpPr(CTShapeProperties cTShapeProperties);

    void setStyle(CTShapeStyle cTShapeStyle);

    void unsetFPublished();

    void unsetMacro();

    void unsetStyle();

    XmlBoolean xgetFPublished();

    XmlString xgetMacro();

    void xsetFPublished(XmlBoolean xmlBoolean);

    void xsetMacro(XmlString xmlString);
}
