package org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlToken;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STEditAs extends XmlToken {
    public static final Enum ABSOLUTE = Enum.forString("absolute");
    public static final int INT_ABSOLUTE = 3;
    public static final int INT_ONE_CELL = 2;
    public static final int INT_TWO_CELL = 1;
    public static final Enum ONE_CELL = Enum.forString("oneCell");
    public static final Enum TWO_CELL = Enum.forString("twoCell");
    public static final SchemaType type = ((SchemaType) a.a(STEditAs.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "steditasad40type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_ABSOLUTE = 3;
        public static final int INT_ONE_CELL = 2;
        public static final int INT_TWO_CELL = 1;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("twoCell", 1), new Enum("oneCell", 2), new Enum("absolute", 3)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STEditAs newInstance() {
            return (STEditAs) POIXMLTypeLoader.newInstance(STEditAs.type, null);
        }

        public static STEditAs newInstance(XmlOptions xmlOptions) {
            return (STEditAs) POIXMLTypeLoader.newInstance(STEditAs.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STEditAs.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STEditAs.type, xmlOptions);
        }

        public static STEditAs newValue(Object obj) {
            return (STEditAs) STEditAs.type.newValue(obj);
        }

        public static STEditAs parse(File file) {
            return (STEditAs) POIXMLTypeLoader.parse(file, STEditAs.type, (XmlOptions) null);
        }

        public static STEditAs parse(File file, XmlOptions xmlOptions) {
            return (STEditAs) POIXMLTypeLoader.parse(file, STEditAs.type, xmlOptions);
        }

        public static STEditAs parse(InputStream inputStream) {
            return (STEditAs) POIXMLTypeLoader.parse(inputStream, STEditAs.type, (XmlOptions) null);
        }

        public static STEditAs parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STEditAs) POIXMLTypeLoader.parse(inputStream, STEditAs.type, xmlOptions);
        }

        public static STEditAs parse(Reader reader) {
            return (STEditAs) POIXMLTypeLoader.parse(reader, STEditAs.type, (XmlOptions) null);
        }

        public static STEditAs parse(Reader reader, XmlOptions xmlOptions) {
            return (STEditAs) POIXMLTypeLoader.parse(reader, STEditAs.type, xmlOptions);
        }

        public static STEditAs parse(String str) {
            return (STEditAs) POIXMLTypeLoader.parse(str, STEditAs.type, (XmlOptions) null);
        }

        public static STEditAs parse(String str, XmlOptions xmlOptions) {
            return (STEditAs) POIXMLTypeLoader.parse(str, STEditAs.type, xmlOptions);
        }

        public static STEditAs parse(URL url) {
            return (STEditAs) POIXMLTypeLoader.parse(url, STEditAs.type, (XmlOptions) null);
        }

        public static STEditAs parse(URL url, XmlOptions xmlOptions) {
            return (STEditAs) POIXMLTypeLoader.parse(url, STEditAs.type, xmlOptions);
        }

        public static STEditAs parse(XMLStreamReader xMLStreamReader) {
            return (STEditAs) POIXMLTypeLoader.parse(xMLStreamReader, STEditAs.type, (XmlOptions) null);
        }

        public static STEditAs parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STEditAs) POIXMLTypeLoader.parse(xMLStreamReader, STEditAs.type, xmlOptions);
        }

        public static STEditAs parse(XMLInputStream xMLInputStream) {
            return (STEditAs) POIXMLTypeLoader.parse(xMLInputStream, STEditAs.type, (XmlOptions) null);
        }

        public static STEditAs parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STEditAs) POIXMLTypeLoader.parse(xMLInputStream, STEditAs.type, xmlOptions);
        }

        public static STEditAs parse(Node node) {
            return (STEditAs) POIXMLTypeLoader.parse(node, STEditAs.type, (XmlOptions) null);
        }

        public static STEditAs parse(Node node, XmlOptions xmlOptions) {
            return (STEditAs) POIXMLTypeLoader.parse(node, STEditAs.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
