package org.openxmlformats.schemas.presentationml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.drawingml.x2006.main.CTColorMapping;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextListStyle;
import org.w3c.dom.Node;

public interface CTNotesMaster extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTNotesMaster.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctnotesmaster69ectype"));

    public static final class Factory {
        public static CTNotesMaster newInstance() {
            return (CTNotesMaster) POIXMLTypeLoader.newInstance(CTNotesMaster.type, null);
        }

        public static CTNotesMaster newInstance(XmlOptions xmlOptions) {
            return (CTNotesMaster) POIXMLTypeLoader.newInstance(CTNotesMaster.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTNotesMaster.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTNotesMaster.type, xmlOptions);
        }

        public static CTNotesMaster parse(File file) {
            return (CTNotesMaster) POIXMLTypeLoader.parse(file, CTNotesMaster.type, (XmlOptions) null);
        }

        public static CTNotesMaster parse(File file, XmlOptions xmlOptions) {
            return (CTNotesMaster) POIXMLTypeLoader.parse(file, CTNotesMaster.type, xmlOptions);
        }

        public static CTNotesMaster parse(InputStream inputStream) {
            return (CTNotesMaster) POIXMLTypeLoader.parse(inputStream, CTNotesMaster.type, (XmlOptions) null);
        }

        public static CTNotesMaster parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTNotesMaster) POIXMLTypeLoader.parse(inputStream, CTNotesMaster.type, xmlOptions);
        }

        public static CTNotesMaster parse(Reader reader) {
            return (CTNotesMaster) POIXMLTypeLoader.parse(reader, CTNotesMaster.type, (XmlOptions) null);
        }

        public static CTNotesMaster parse(Reader reader, XmlOptions xmlOptions) {
            return (CTNotesMaster) POIXMLTypeLoader.parse(reader, CTNotesMaster.type, xmlOptions);
        }

        public static CTNotesMaster parse(String str) {
            return (CTNotesMaster) POIXMLTypeLoader.parse(str, CTNotesMaster.type, (XmlOptions) null);
        }

        public static CTNotesMaster parse(String str, XmlOptions xmlOptions) {
            return (CTNotesMaster) POIXMLTypeLoader.parse(str, CTNotesMaster.type, xmlOptions);
        }

        public static CTNotesMaster parse(URL url) {
            return (CTNotesMaster) POIXMLTypeLoader.parse(url, CTNotesMaster.type, (XmlOptions) null);
        }

        public static CTNotesMaster parse(URL url, XmlOptions xmlOptions) {
            return (CTNotesMaster) POIXMLTypeLoader.parse(url, CTNotesMaster.type, xmlOptions);
        }

        public static CTNotesMaster parse(XMLStreamReader xMLStreamReader) {
            return (CTNotesMaster) POIXMLTypeLoader.parse(xMLStreamReader, CTNotesMaster.type, (XmlOptions) null);
        }

        public static CTNotesMaster parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTNotesMaster) POIXMLTypeLoader.parse(xMLStreamReader, CTNotesMaster.type, xmlOptions);
        }

        public static CTNotesMaster parse(XMLInputStream xMLInputStream) {
            return (CTNotesMaster) POIXMLTypeLoader.parse(xMLInputStream, CTNotesMaster.type, (XmlOptions) null);
        }

        public static CTNotesMaster parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTNotesMaster) POIXMLTypeLoader.parse(xMLInputStream, CTNotesMaster.type, xmlOptions);
        }

        public static CTNotesMaster parse(Node node) {
            return (CTNotesMaster) POIXMLTypeLoader.parse(node, CTNotesMaster.type, (XmlOptions) null);
        }

        public static CTNotesMaster parse(Node node, XmlOptions xmlOptions) {
            return (CTNotesMaster) POIXMLTypeLoader.parse(node, CTNotesMaster.type, xmlOptions);
        }
    }

    CTCommonSlideData addNewCSld();

    CTColorMapping addNewClrMap();

    CTExtensionListModify addNewExtLst();

    CTHeaderFooter addNewHf();

    CTTextListStyle addNewNotesStyle();

    CTCommonSlideData getCSld();

    CTColorMapping getClrMap();

    CTExtensionListModify getExtLst();

    CTHeaderFooter getHf();

    CTTextListStyle getNotesStyle();

    boolean isSetExtLst();

    boolean isSetHf();

    boolean isSetNotesStyle();

    void setCSld(CTCommonSlideData cTCommonSlideData);

    void setClrMap(CTColorMapping cTColorMapping);

    void setExtLst(CTExtensionListModify cTExtensionListModify);

    void setHf(CTHeaderFooter cTHeaderFooter);

    void setNotesStyle(CTTextListStyle cTTextListStyle);

    void unsetExtLst();

    void unsetHf();

    void unsetNotesStyle();
}
