package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlUnsignedInt;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTCacheFields extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTCacheFields.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctcachefieldsf5fatype"));

    public static final class Factory {
        public static CTCacheFields newInstance() {
            return (CTCacheFields) POIXMLTypeLoader.newInstance(CTCacheFields.type, null);
        }

        public static CTCacheFields newInstance(XmlOptions xmlOptions) {
            return (CTCacheFields) POIXMLTypeLoader.newInstance(CTCacheFields.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTCacheFields.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTCacheFields.type, xmlOptions);
        }

        public static CTCacheFields parse(File file) {
            return (CTCacheFields) POIXMLTypeLoader.parse(file, CTCacheFields.type, (XmlOptions) null);
        }

        public static CTCacheFields parse(File file, XmlOptions xmlOptions) {
            return (CTCacheFields) POIXMLTypeLoader.parse(file, CTCacheFields.type, xmlOptions);
        }

        public static CTCacheFields parse(InputStream inputStream) {
            return (CTCacheFields) POIXMLTypeLoader.parse(inputStream, CTCacheFields.type, (XmlOptions) null);
        }

        public static CTCacheFields parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTCacheFields) POIXMLTypeLoader.parse(inputStream, CTCacheFields.type, xmlOptions);
        }

        public static CTCacheFields parse(Reader reader) {
            return (CTCacheFields) POIXMLTypeLoader.parse(reader, CTCacheFields.type, (XmlOptions) null);
        }

        public static CTCacheFields parse(Reader reader, XmlOptions xmlOptions) {
            return (CTCacheFields) POIXMLTypeLoader.parse(reader, CTCacheFields.type, xmlOptions);
        }

        public static CTCacheFields parse(String str) {
            return (CTCacheFields) POIXMLTypeLoader.parse(str, CTCacheFields.type, (XmlOptions) null);
        }

        public static CTCacheFields parse(String str, XmlOptions xmlOptions) {
            return (CTCacheFields) POIXMLTypeLoader.parse(str, CTCacheFields.type, xmlOptions);
        }

        public static CTCacheFields parse(URL url) {
            return (CTCacheFields) POIXMLTypeLoader.parse(url, CTCacheFields.type, (XmlOptions) null);
        }

        public static CTCacheFields parse(URL url, XmlOptions xmlOptions) {
            return (CTCacheFields) POIXMLTypeLoader.parse(url, CTCacheFields.type, xmlOptions);
        }

        public static CTCacheFields parse(XMLStreamReader xMLStreamReader) {
            return (CTCacheFields) POIXMLTypeLoader.parse(xMLStreamReader, CTCacheFields.type, (XmlOptions) null);
        }

        public static CTCacheFields parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTCacheFields) POIXMLTypeLoader.parse(xMLStreamReader, CTCacheFields.type, xmlOptions);
        }

        public static CTCacheFields parse(XMLInputStream xMLInputStream) {
            return (CTCacheFields) POIXMLTypeLoader.parse(xMLInputStream, CTCacheFields.type, (XmlOptions) null);
        }

        public static CTCacheFields parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTCacheFields) POIXMLTypeLoader.parse(xMLInputStream, CTCacheFields.type, xmlOptions);
        }

        public static CTCacheFields parse(Node node) {
            return (CTCacheFields) POIXMLTypeLoader.parse(node, CTCacheFields.type, (XmlOptions) null);
        }

        public static CTCacheFields parse(Node node, XmlOptions xmlOptions) {
            return (CTCacheFields) POIXMLTypeLoader.parse(node, CTCacheFields.type, xmlOptions);
        }
    }

    CTCacheField addNewCacheField();

    CTCacheField getCacheFieldArray(int i2);

    CTCacheField[] getCacheFieldArray();

    List<CTCacheField> getCacheFieldList();

    long getCount();

    CTCacheField insertNewCacheField(int i2);

    boolean isSetCount();

    void removeCacheField(int i2);

    void setCacheFieldArray(int i2, CTCacheField cTCacheField);

    void setCacheFieldArray(CTCacheField[] cTCacheFieldArr);

    void setCount(long j);

    int sizeOfCacheFieldArray();

    void unsetCount();

    XmlUnsignedInt xgetCount();

    void xsetCount(XmlUnsignedInt xmlUnsignedInt);
}
