package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTDefinedNames extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTDefinedNames.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctdefinednamesce48type"));

    public static final class Factory {
        public static CTDefinedNames newInstance() {
            return (CTDefinedNames) POIXMLTypeLoader.newInstance(CTDefinedNames.type, null);
        }

        public static CTDefinedNames newInstance(XmlOptions xmlOptions) {
            return (CTDefinedNames) POIXMLTypeLoader.newInstance(CTDefinedNames.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTDefinedNames.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTDefinedNames.type, xmlOptions);
        }

        public static CTDefinedNames parse(File file) {
            return (CTDefinedNames) POIXMLTypeLoader.parse(file, CTDefinedNames.type, (XmlOptions) null);
        }

        public static CTDefinedNames parse(File file, XmlOptions xmlOptions) {
            return (CTDefinedNames) POIXMLTypeLoader.parse(file, CTDefinedNames.type, xmlOptions);
        }

        public static CTDefinedNames parse(InputStream inputStream) {
            return (CTDefinedNames) POIXMLTypeLoader.parse(inputStream, CTDefinedNames.type, (XmlOptions) null);
        }

        public static CTDefinedNames parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTDefinedNames) POIXMLTypeLoader.parse(inputStream, CTDefinedNames.type, xmlOptions);
        }

        public static CTDefinedNames parse(Reader reader) {
            return (CTDefinedNames) POIXMLTypeLoader.parse(reader, CTDefinedNames.type, (XmlOptions) null);
        }

        public static CTDefinedNames parse(Reader reader, XmlOptions xmlOptions) {
            return (CTDefinedNames) POIXMLTypeLoader.parse(reader, CTDefinedNames.type, xmlOptions);
        }

        public static CTDefinedNames parse(String str) {
            return (CTDefinedNames) POIXMLTypeLoader.parse(str, CTDefinedNames.type, (XmlOptions) null);
        }

        public static CTDefinedNames parse(String str, XmlOptions xmlOptions) {
            return (CTDefinedNames) POIXMLTypeLoader.parse(str, CTDefinedNames.type, xmlOptions);
        }

        public static CTDefinedNames parse(URL url) {
            return (CTDefinedNames) POIXMLTypeLoader.parse(url, CTDefinedNames.type, (XmlOptions) null);
        }

        public static CTDefinedNames parse(URL url, XmlOptions xmlOptions) {
            return (CTDefinedNames) POIXMLTypeLoader.parse(url, CTDefinedNames.type, xmlOptions);
        }

        public static CTDefinedNames parse(XMLStreamReader xMLStreamReader) {
            return (CTDefinedNames) POIXMLTypeLoader.parse(xMLStreamReader, CTDefinedNames.type, (XmlOptions) null);
        }

        public static CTDefinedNames parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTDefinedNames) POIXMLTypeLoader.parse(xMLStreamReader, CTDefinedNames.type, xmlOptions);
        }

        public static CTDefinedNames parse(XMLInputStream xMLInputStream) {
            return (CTDefinedNames) POIXMLTypeLoader.parse(xMLInputStream, CTDefinedNames.type, (XmlOptions) null);
        }

        public static CTDefinedNames parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTDefinedNames) POIXMLTypeLoader.parse(xMLInputStream, CTDefinedNames.type, xmlOptions);
        }

        public static CTDefinedNames parse(Node node) {
            return (CTDefinedNames) POIXMLTypeLoader.parse(node, CTDefinedNames.type, (XmlOptions) null);
        }

        public static CTDefinedNames parse(Node node, XmlOptions xmlOptions) {
            return (CTDefinedNames) POIXMLTypeLoader.parse(node, CTDefinedNames.type, xmlOptions);
        }
    }

    CTDefinedName addNewDefinedName();

    CTDefinedName getDefinedNameArray(int i2);

    CTDefinedName[] getDefinedNameArray();

    List<CTDefinedName> getDefinedNameList();

    CTDefinedName insertNewDefinedName(int i2);

    void removeDefinedName(int i2);

    void setDefinedNameArray(int i2, CTDefinedName cTDefinedName);

    void setDefinedNameArray(CTDefinedName[] cTDefinedNameArr);

    int sizeOfDefinedNameArray();
}
