package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlUnsignedInt;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTLocation extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTLocation.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctlocationc23etype"));

    public static final class Factory {
        public static CTLocation newInstance() {
            return (CTLocation) POIXMLTypeLoader.newInstance(CTLocation.type, null);
        }

        public static CTLocation newInstance(XmlOptions xmlOptions) {
            return (CTLocation) POIXMLTypeLoader.newInstance(CTLocation.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTLocation.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTLocation.type, xmlOptions);
        }

        public static CTLocation parse(File file) {
            return (CTLocation) POIXMLTypeLoader.parse(file, CTLocation.type, (XmlOptions) null);
        }

        public static CTLocation parse(File file, XmlOptions xmlOptions) {
            return (CTLocation) POIXMLTypeLoader.parse(file, CTLocation.type, xmlOptions);
        }

        public static CTLocation parse(InputStream inputStream) {
            return (CTLocation) POIXMLTypeLoader.parse(inputStream, CTLocation.type, (XmlOptions) null);
        }

        public static CTLocation parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTLocation) POIXMLTypeLoader.parse(inputStream, CTLocation.type, xmlOptions);
        }

        public static CTLocation parse(Reader reader) {
            return (CTLocation) POIXMLTypeLoader.parse(reader, CTLocation.type, (XmlOptions) null);
        }

        public static CTLocation parse(Reader reader, XmlOptions xmlOptions) {
            return (CTLocation) POIXMLTypeLoader.parse(reader, CTLocation.type, xmlOptions);
        }

        public static CTLocation parse(String str) {
            return (CTLocation) POIXMLTypeLoader.parse(str, CTLocation.type, (XmlOptions) null);
        }

        public static CTLocation parse(String str, XmlOptions xmlOptions) {
            return (CTLocation) POIXMLTypeLoader.parse(str, CTLocation.type, xmlOptions);
        }

        public static CTLocation parse(URL url) {
            return (CTLocation) POIXMLTypeLoader.parse(url, CTLocation.type, (XmlOptions) null);
        }

        public static CTLocation parse(URL url, XmlOptions xmlOptions) {
            return (CTLocation) POIXMLTypeLoader.parse(url, CTLocation.type, xmlOptions);
        }

        public static CTLocation parse(XMLStreamReader xMLStreamReader) {
            return (CTLocation) POIXMLTypeLoader.parse(xMLStreamReader, CTLocation.type, (XmlOptions) null);
        }

        public static CTLocation parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTLocation) POIXMLTypeLoader.parse(xMLStreamReader, CTLocation.type, xmlOptions);
        }

        public static CTLocation parse(XMLInputStream xMLInputStream) {
            return (CTLocation) POIXMLTypeLoader.parse(xMLInputStream, CTLocation.type, (XmlOptions) null);
        }

        public static CTLocation parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTLocation) POIXMLTypeLoader.parse(xMLInputStream, CTLocation.type, xmlOptions);
        }

        public static CTLocation parse(Node node) {
            return (CTLocation) POIXMLTypeLoader.parse(node, CTLocation.type, (XmlOptions) null);
        }

        public static CTLocation parse(Node node, XmlOptions xmlOptions) {
            return (CTLocation) POIXMLTypeLoader.parse(node, CTLocation.type, xmlOptions);
        }
    }

    long getColPageCount();

    long getFirstDataCol();

    long getFirstDataRow();

    long getFirstHeaderRow();

    String getRef();

    long getRowPageCount();

    boolean isSetColPageCount();

    boolean isSetRowPageCount();

    void setColPageCount(long j);

    void setFirstDataCol(long j);

    void setFirstDataRow(long j);

    void setFirstHeaderRow(long j);

    void setRef(String str);

    void setRowPageCount(long j);

    void unsetColPageCount();

    void unsetRowPageCount();

    XmlUnsignedInt xgetColPageCount();

    XmlUnsignedInt xgetFirstDataCol();

    XmlUnsignedInt xgetFirstDataRow();

    XmlUnsignedInt xgetFirstHeaderRow();

    STRef xgetRef();

    XmlUnsignedInt xgetRowPageCount();

    void xsetColPageCount(XmlUnsignedInt xmlUnsignedInt);

    void xsetFirstDataCol(XmlUnsignedInt xmlUnsignedInt);

    void xsetFirstDataRow(XmlUnsignedInt xmlUnsignedInt);

    void xsetFirstHeaderRow(XmlUnsignedInt xmlUnsignedInt);

    void xsetRef(STRef sTRef);

    void xsetRowPageCount(XmlUnsignedInt xmlUnsignedInt);
}
