package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlDouble;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTPageMargins extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTPageMargins.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctpagemargins5455type"));

    public static final class Factory {
        public static CTPageMargins newInstance() {
            return (CTPageMargins) POIXMLTypeLoader.newInstance(CTPageMargins.type, null);
        }

        public static CTPageMargins newInstance(XmlOptions xmlOptions) {
            return (CTPageMargins) POIXMLTypeLoader.newInstance(CTPageMargins.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTPageMargins.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTPageMargins.type, xmlOptions);
        }

        public static CTPageMargins parse(File file) {
            return (CTPageMargins) POIXMLTypeLoader.parse(file, CTPageMargins.type, (XmlOptions) null);
        }

        public static CTPageMargins parse(File file, XmlOptions xmlOptions) {
            return (CTPageMargins) POIXMLTypeLoader.parse(file, CTPageMargins.type, xmlOptions);
        }

        public static CTPageMargins parse(InputStream inputStream) {
            return (CTPageMargins) POIXMLTypeLoader.parse(inputStream, CTPageMargins.type, (XmlOptions) null);
        }

        public static CTPageMargins parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTPageMargins) POIXMLTypeLoader.parse(inputStream, CTPageMargins.type, xmlOptions);
        }

        public static CTPageMargins parse(Reader reader) {
            return (CTPageMargins) POIXMLTypeLoader.parse(reader, CTPageMargins.type, (XmlOptions) null);
        }

        public static CTPageMargins parse(Reader reader, XmlOptions xmlOptions) {
            return (CTPageMargins) POIXMLTypeLoader.parse(reader, CTPageMargins.type, xmlOptions);
        }

        public static CTPageMargins parse(String str) {
            return (CTPageMargins) POIXMLTypeLoader.parse(str, CTPageMargins.type, (XmlOptions) null);
        }

        public static CTPageMargins parse(String str, XmlOptions xmlOptions) {
            return (CTPageMargins) POIXMLTypeLoader.parse(str, CTPageMargins.type, xmlOptions);
        }

        public static CTPageMargins parse(URL url) {
            return (CTPageMargins) POIXMLTypeLoader.parse(url, CTPageMargins.type, (XmlOptions) null);
        }

        public static CTPageMargins parse(URL url, XmlOptions xmlOptions) {
            return (CTPageMargins) POIXMLTypeLoader.parse(url, CTPageMargins.type, xmlOptions);
        }

        public static CTPageMargins parse(XMLStreamReader xMLStreamReader) {
            return (CTPageMargins) POIXMLTypeLoader.parse(xMLStreamReader, CTPageMargins.type, (XmlOptions) null);
        }

        public static CTPageMargins parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTPageMargins) POIXMLTypeLoader.parse(xMLStreamReader, CTPageMargins.type, xmlOptions);
        }

        public static CTPageMargins parse(XMLInputStream xMLInputStream) {
            return (CTPageMargins) POIXMLTypeLoader.parse(xMLInputStream, CTPageMargins.type, (XmlOptions) null);
        }

        public static CTPageMargins parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTPageMargins) POIXMLTypeLoader.parse(xMLInputStream, CTPageMargins.type, xmlOptions);
        }

        public static CTPageMargins parse(Node node) {
            return (CTPageMargins) POIXMLTypeLoader.parse(node, CTPageMargins.type, (XmlOptions) null);
        }

        public static CTPageMargins parse(Node node, XmlOptions xmlOptions) {
            return (CTPageMargins) POIXMLTypeLoader.parse(node, CTPageMargins.type, xmlOptions);
        }
    }

    double getBottom();

    double getFooter();

    double getHeader();

    double getLeft();

    double getRight();

    double getTop();

    void setBottom(double d2);

    void setFooter(double d2);

    void setHeader(double d2);

    void setLeft(double d2);

    void setRight(double d2);

    void setTop(double d2);

    XmlDouble xgetBottom();

    XmlDouble xgetFooter();

    XmlDouble xgetHeader();

    XmlDouble xgetLeft();

    XmlDouble xgetRight();

    XmlDouble xgetTop();

    void xsetBottom(XmlDouble xmlDouble);

    void xsetFooter(XmlDouble xmlDouble);

    void xsetHeader(XmlDouble xmlDouble);

    void xsetLeft(XmlDouble xmlDouble);

    void xsetRight(XmlDouble xmlDouble);

    void xsetTop(XmlDouble xmlDouble);
}
