package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlDouble;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.STPane;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.STPaneState;
import org.w3c.dom.Node;

public interface CTPane extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTPane.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctpaneaab1type"));

    public static final class Factory {
        public static CTPane newInstance() {
            return (CTPane) POIXMLTypeLoader.newInstance(CTPane.type, null);
        }

        public static CTPane newInstance(XmlOptions xmlOptions) {
            return (CTPane) POIXMLTypeLoader.newInstance(CTPane.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTPane.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTPane.type, xmlOptions);
        }

        public static CTPane parse(File file) {
            return (CTPane) POIXMLTypeLoader.parse(file, CTPane.type, (XmlOptions) null);
        }

        public static CTPane parse(File file, XmlOptions xmlOptions) {
            return (CTPane) POIXMLTypeLoader.parse(file, CTPane.type, xmlOptions);
        }

        public static CTPane parse(InputStream inputStream) {
            return (CTPane) POIXMLTypeLoader.parse(inputStream, CTPane.type, (XmlOptions) null);
        }

        public static CTPane parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTPane) POIXMLTypeLoader.parse(inputStream, CTPane.type, xmlOptions);
        }

        public static CTPane parse(Reader reader) {
            return (CTPane) POIXMLTypeLoader.parse(reader, CTPane.type, (XmlOptions) null);
        }

        public static CTPane parse(Reader reader, XmlOptions xmlOptions) {
            return (CTPane) POIXMLTypeLoader.parse(reader, CTPane.type, xmlOptions);
        }

        public static CTPane parse(String str) {
            return (CTPane) POIXMLTypeLoader.parse(str, CTPane.type, (XmlOptions) null);
        }

        public static CTPane parse(String str, XmlOptions xmlOptions) {
            return (CTPane) POIXMLTypeLoader.parse(str, CTPane.type, xmlOptions);
        }

        public static CTPane parse(URL url) {
            return (CTPane) POIXMLTypeLoader.parse(url, CTPane.type, (XmlOptions) null);
        }

        public static CTPane parse(URL url, XmlOptions xmlOptions) {
            return (CTPane) POIXMLTypeLoader.parse(url, CTPane.type, xmlOptions);
        }

        public static CTPane parse(XMLStreamReader xMLStreamReader) {
            return (CTPane) POIXMLTypeLoader.parse(xMLStreamReader, CTPane.type, (XmlOptions) null);
        }

        public static CTPane parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTPane) POIXMLTypeLoader.parse(xMLStreamReader, CTPane.type, xmlOptions);
        }

        public static CTPane parse(XMLInputStream xMLInputStream) {
            return (CTPane) POIXMLTypeLoader.parse(xMLInputStream, CTPane.type, (XmlOptions) null);
        }

        public static CTPane parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTPane) POIXMLTypeLoader.parse(xMLInputStream, CTPane.type, xmlOptions);
        }

        public static CTPane parse(Node node) {
            return (CTPane) POIXMLTypeLoader.parse(node, CTPane.type, (XmlOptions) null);
        }

        public static CTPane parse(Node node, XmlOptions xmlOptions) {
            return (CTPane) POIXMLTypeLoader.parse(node, CTPane.type, xmlOptions);
        }
    }

    STPane.Enum getActivePane();

    STPaneState.Enum getState();

    String getTopLeftCell();

    double getXSplit();

    double getYSplit();

    boolean isSetActivePane();

    boolean isSetState();

    boolean isSetTopLeftCell();

    boolean isSetXSplit();

    boolean isSetYSplit();

    void setActivePane(STPane.Enum v);

    void setState(STPaneState.Enum v);

    void setTopLeftCell(String str);

    void setXSplit(double d2);

    void setYSplit(double d2);

    void unsetActivePane();

    void unsetState();

    void unsetTopLeftCell();

    void unsetXSplit();

    void unsetYSplit();

    STPane xgetActivePane();

    STPaneState xgetState();

    STCellRef xgetTopLeftCell();

    XmlDouble xgetXSplit();

    XmlDouble xgetYSplit();

    void xsetActivePane(STPane sTPane);

    void xsetState(STPaneState sTPaneState);

    void xsetTopLeftCell(STCellRef sTCellRef);

    void xsetXSplit(XmlDouble xmlDouble);

    void xsetYSplit(XmlDouble xmlDouble);
}
