package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlUnsignedInt;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.STPane;
import org.w3c.dom.Node;

public interface CTSelection extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTSelection.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctselectionca2btype"));

    public static final class Factory {
        public static CTSelection newInstance() {
            return (CTSelection) POIXMLTypeLoader.newInstance(CTSelection.type, null);
        }

        public static CTSelection newInstance(XmlOptions xmlOptions) {
            return (CTSelection) POIXMLTypeLoader.newInstance(CTSelection.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTSelection.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTSelection.type, xmlOptions);
        }

        public static CTSelection parse(File file) {
            return (CTSelection) POIXMLTypeLoader.parse(file, CTSelection.type, (XmlOptions) null);
        }

        public static CTSelection parse(File file, XmlOptions xmlOptions) {
            return (CTSelection) POIXMLTypeLoader.parse(file, CTSelection.type, xmlOptions);
        }

        public static CTSelection parse(InputStream inputStream) {
            return (CTSelection) POIXMLTypeLoader.parse(inputStream, CTSelection.type, (XmlOptions) null);
        }

        public static CTSelection parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTSelection) POIXMLTypeLoader.parse(inputStream, CTSelection.type, xmlOptions);
        }

        public static CTSelection parse(Reader reader) {
            return (CTSelection) POIXMLTypeLoader.parse(reader, CTSelection.type, (XmlOptions) null);
        }

        public static CTSelection parse(Reader reader, XmlOptions xmlOptions) {
            return (CTSelection) POIXMLTypeLoader.parse(reader, CTSelection.type, xmlOptions);
        }

        public static CTSelection parse(String str) {
            return (CTSelection) POIXMLTypeLoader.parse(str, CTSelection.type, (XmlOptions) null);
        }

        public static CTSelection parse(String str, XmlOptions xmlOptions) {
            return (CTSelection) POIXMLTypeLoader.parse(str, CTSelection.type, xmlOptions);
        }

        public static CTSelection parse(URL url) {
            return (CTSelection) POIXMLTypeLoader.parse(url, CTSelection.type, (XmlOptions) null);
        }

        public static CTSelection parse(URL url, XmlOptions xmlOptions) {
            return (CTSelection) POIXMLTypeLoader.parse(url, CTSelection.type, xmlOptions);
        }

        public static CTSelection parse(XMLStreamReader xMLStreamReader) {
            return (CTSelection) POIXMLTypeLoader.parse(xMLStreamReader, CTSelection.type, (XmlOptions) null);
        }

        public static CTSelection parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTSelection) POIXMLTypeLoader.parse(xMLStreamReader, CTSelection.type, xmlOptions);
        }

        public static CTSelection parse(XMLInputStream xMLInputStream) {
            return (CTSelection) POIXMLTypeLoader.parse(xMLInputStream, CTSelection.type, (XmlOptions) null);
        }

        public static CTSelection parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTSelection) POIXMLTypeLoader.parse(xMLInputStream, CTSelection.type, xmlOptions);
        }

        public static CTSelection parse(Node node) {
            return (CTSelection) POIXMLTypeLoader.parse(node, CTSelection.type, (XmlOptions) null);
        }

        public static CTSelection parse(Node node, XmlOptions xmlOptions) {
            return (CTSelection) POIXMLTypeLoader.parse(node, CTSelection.type, xmlOptions);
        }
    }

    String getActiveCell();

    long getActiveCellId();

    STPane.Enum getPane();

    List getSqref();

    boolean isSetActiveCell();

    boolean isSetActiveCellId();

    boolean isSetPane();

    boolean isSetSqref();

    void setActiveCell(String str);

    void setActiveCellId(long j);

    void setPane(STPane.Enum v);

    void setSqref(List list);

    void unsetActiveCell();

    void unsetActiveCellId();

    void unsetPane();

    void unsetSqref();

    STCellRef xgetActiveCell();

    XmlUnsignedInt xgetActiveCellId();

    STPane xgetPane();

    STSqref xgetSqref();

    void xsetActiveCell(STCellRef sTCellRef);

    void xsetActiveCellId(XmlUnsignedInt xmlUnsignedInt);

    void xsetPane(STPane sTPane);

    void xsetSqref(STSqref sTSqref);
}
