package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlUnsignedInt;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.openxmlformats.schemas.officeDocument.x2006.relationships.STRelationshipId;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.STSheetState;
import org.w3c.dom.Node;

public interface CTSheet extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTSheet.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctsheet4dbetype"));

    public static final class Factory {
        public static CTSheet newInstance() {
            return (CTSheet) POIXMLTypeLoader.newInstance(CTSheet.type, null);
        }

        public static CTSheet newInstance(XmlOptions xmlOptions) {
            return (CTSheet) POIXMLTypeLoader.newInstance(CTSheet.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTSheet.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTSheet.type, xmlOptions);
        }

        public static CTSheet parse(File file) {
            return (CTSheet) POIXMLTypeLoader.parse(file, CTSheet.type, (XmlOptions) null);
        }

        public static CTSheet parse(File file, XmlOptions xmlOptions) {
            return (CTSheet) POIXMLTypeLoader.parse(file, CTSheet.type, xmlOptions);
        }

        public static CTSheet parse(InputStream inputStream) {
            return (CTSheet) POIXMLTypeLoader.parse(inputStream, CTSheet.type, (XmlOptions) null);
        }

        public static CTSheet parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTSheet) POIXMLTypeLoader.parse(inputStream, CTSheet.type, xmlOptions);
        }

        public static CTSheet parse(Reader reader) {
            return (CTSheet) POIXMLTypeLoader.parse(reader, CTSheet.type, (XmlOptions) null);
        }

        public static CTSheet parse(Reader reader, XmlOptions xmlOptions) {
            return (CTSheet) POIXMLTypeLoader.parse(reader, CTSheet.type, xmlOptions);
        }

        public static CTSheet parse(String str) {
            return (CTSheet) POIXMLTypeLoader.parse(str, CTSheet.type, (XmlOptions) null);
        }

        public static CTSheet parse(String str, XmlOptions xmlOptions) {
            return (CTSheet) POIXMLTypeLoader.parse(str, CTSheet.type, xmlOptions);
        }

        public static CTSheet parse(URL url) {
            return (CTSheet) POIXMLTypeLoader.parse(url, CTSheet.type, (XmlOptions) null);
        }

        public static CTSheet parse(URL url, XmlOptions xmlOptions) {
            return (CTSheet) POIXMLTypeLoader.parse(url, CTSheet.type, xmlOptions);
        }

        public static CTSheet parse(XMLStreamReader xMLStreamReader) {
            return (CTSheet) POIXMLTypeLoader.parse(xMLStreamReader, CTSheet.type, (XmlOptions) null);
        }

        public static CTSheet parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTSheet) POIXMLTypeLoader.parse(xMLStreamReader, CTSheet.type, xmlOptions);
        }

        public static CTSheet parse(XMLInputStream xMLInputStream) {
            return (CTSheet) POIXMLTypeLoader.parse(xMLInputStream, CTSheet.type, (XmlOptions) null);
        }

        public static CTSheet parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTSheet) POIXMLTypeLoader.parse(xMLInputStream, CTSheet.type, xmlOptions);
        }

        public static CTSheet parse(Node node) {
            return (CTSheet) POIXMLTypeLoader.parse(node, CTSheet.type, (XmlOptions) null);
        }

        public static CTSheet parse(Node node, XmlOptions xmlOptions) {
            return (CTSheet) POIXMLTypeLoader.parse(node, CTSheet.type, xmlOptions);
        }
    }

    String getId();

    String getName();

    long getSheetId();

    STSheetState.Enum getState();

    boolean isSetState();

    void setId(String str);

    void setName(String str);

    void setSheetId(long j);

    void setState(STSheetState.Enum v);

    void unsetState();

    STRelationshipId xgetId();

    STXstring xgetName();

    XmlUnsignedInt xgetSheetId();

    STSheetState xgetState();

    void xsetId(STRelationshipId sTRelationshipId);

    void xsetName(STXstring sTXstring);

    void xsetSheetId(XmlUnsignedInt xmlUnsignedInt);

    void xsetState(STSheetState sTSheetState);
}
