package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.util.List;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.XmlUnsignedInt;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTTableStyles extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTTableStyles.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "cttablestyles872ftype"));

    public static final class Factory {
        public static CTTableStyles newInstance() {
            return (CTTableStyles) POIXMLTypeLoader.newInstance(CTTableStyles.type, null);
        }

        public static CTTableStyles newInstance(XmlOptions xmlOptions) {
            return (CTTableStyles) POIXMLTypeLoader.newInstance(CTTableStyles.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTTableStyles.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTTableStyles.type, xmlOptions);
        }

        public static CTTableStyles parse(File file) {
            return (CTTableStyles) POIXMLTypeLoader.parse(file, CTTableStyles.type, (XmlOptions) null);
        }

        public static CTTableStyles parse(File file, XmlOptions xmlOptions) {
            return (CTTableStyles) POIXMLTypeLoader.parse(file, CTTableStyles.type, xmlOptions);
        }

        public static CTTableStyles parse(InputStream inputStream) {
            return (CTTableStyles) POIXMLTypeLoader.parse(inputStream, CTTableStyles.type, (XmlOptions) null);
        }

        public static CTTableStyles parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTTableStyles) POIXMLTypeLoader.parse(inputStream, CTTableStyles.type, xmlOptions);
        }

        public static CTTableStyles parse(Reader reader) {
            return (CTTableStyles) POIXMLTypeLoader.parse(reader, CTTableStyles.type, (XmlOptions) null);
        }

        public static CTTableStyles parse(Reader reader, XmlOptions xmlOptions) {
            return (CTTableStyles) POIXMLTypeLoader.parse(reader, CTTableStyles.type, xmlOptions);
        }

        public static CTTableStyles parse(String str) {
            return (CTTableStyles) POIXMLTypeLoader.parse(str, CTTableStyles.type, (XmlOptions) null);
        }

        public static CTTableStyles parse(String str, XmlOptions xmlOptions) {
            return (CTTableStyles) POIXMLTypeLoader.parse(str, CTTableStyles.type, xmlOptions);
        }

        public static CTTableStyles parse(URL url) {
            return (CTTableStyles) POIXMLTypeLoader.parse(url, CTTableStyles.type, (XmlOptions) null);
        }

        public static CTTableStyles parse(URL url, XmlOptions xmlOptions) {
            return (CTTableStyles) POIXMLTypeLoader.parse(url, CTTableStyles.type, xmlOptions);
        }

        public static CTTableStyles parse(XMLStreamReader xMLStreamReader) {
            return (CTTableStyles) POIXMLTypeLoader.parse(xMLStreamReader, CTTableStyles.type, (XmlOptions) null);
        }

        public static CTTableStyles parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTTableStyles) POIXMLTypeLoader.parse(xMLStreamReader, CTTableStyles.type, xmlOptions);
        }

        public static CTTableStyles parse(XMLInputStream xMLInputStream) {
            return (CTTableStyles) POIXMLTypeLoader.parse(xMLInputStream, CTTableStyles.type, (XmlOptions) null);
        }

        public static CTTableStyles parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTTableStyles) POIXMLTypeLoader.parse(xMLInputStream, CTTableStyles.type, xmlOptions);
        }

        public static CTTableStyles parse(Node node) {
            return (CTTableStyles) POIXMLTypeLoader.parse(node, CTTableStyles.type, (XmlOptions) null);
        }

        public static CTTableStyles parse(Node node, XmlOptions xmlOptions) {
            return (CTTableStyles) POIXMLTypeLoader.parse(node, CTTableStyles.type, xmlOptions);
        }
    }

    CTTableStyle addNewTableStyle();

    long getCount();

    String getDefaultPivotStyle();

    String getDefaultTableStyle();

    CTTableStyle getTableStyleArray(int i2);

    CTTableStyle[] getTableStyleArray();

    List<CTTableStyle> getTableStyleList();

    CTTableStyle insertNewTableStyle(int i2);

    boolean isSetCount();

    boolean isSetDefaultPivotStyle();

    boolean isSetDefaultTableStyle();

    void removeTableStyle(int i2);

    void setCount(long j);

    void setDefaultPivotStyle(String str);

    void setDefaultTableStyle(String str);

    void setTableStyleArray(int i2, CTTableStyle cTTableStyle);

    void setTableStyleArray(CTTableStyle[] cTTableStyleArr);

    int sizeOfTableStyleArray();

    void unsetCount();

    void unsetDefaultPivotStyle();

    void unsetDefaultTableStyle();

    XmlUnsignedInt xgetCount();

    XmlString xgetDefaultPivotStyle();

    XmlString xgetDefaultTableStyle();

    void xsetCount(XmlUnsignedInt xmlUnsignedInt);

    void xsetDefaultPivotStyle(XmlString xmlString);

    void xsetDefaultTableStyle(XmlString xmlString);
}
