package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlBoolean;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface CTWorkbookProtection extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(CTWorkbookProtection.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "ctworkbookprotection56bctype"));

    public static final class Factory {
        public static CTWorkbookProtection newInstance() {
            return (CTWorkbookProtection) POIXMLTypeLoader.newInstance(CTWorkbookProtection.type, null);
        }

        public static CTWorkbookProtection newInstance(XmlOptions xmlOptions) {
            return (CTWorkbookProtection) POIXMLTypeLoader.newInstance(CTWorkbookProtection.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTWorkbookProtection.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, CTWorkbookProtection.type, xmlOptions);
        }

        public static CTWorkbookProtection parse(File file) {
            return (CTWorkbookProtection) POIXMLTypeLoader.parse(file, CTWorkbookProtection.type, (XmlOptions) null);
        }

        public static CTWorkbookProtection parse(File file, XmlOptions xmlOptions) {
            return (CTWorkbookProtection) POIXMLTypeLoader.parse(file, CTWorkbookProtection.type, xmlOptions);
        }

        public static CTWorkbookProtection parse(InputStream inputStream) {
            return (CTWorkbookProtection) POIXMLTypeLoader.parse(inputStream, CTWorkbookProtection.type, (XmlOptions) null);
        }

        public static CTWorkbookProtection parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (CTWorkbookProtection) POIXMLTypeLoader.parse(inputStream, CTWorkbookProtection.type, xmlOptions);
        }

        public static CTWorkbookProtection parse(Reader reader) {
            return (CTWorkbookProtection) POIXMLTypeLoader.parse(reader, CTWorkbookProtection.type, (XmlOptions) null);
        }

        public static CTWorkbookProtection parse(Reader reader, XmlOptions xmlOptions) {
            return (CTWorkbookProtection) POIXMLTypeLoader.parse(reader, CTWorkbookProtection.type, xmlOptions);
        }

        public static CTWorkbookProtection parse(String str) {
            return (CTWorkbookProtection) POIXMLTypeLoader.parse(str, CTWorkbookProtection.type, (XmlOptions) null);
        }

        public static CTWorkbookProtection parse(String str, XmlOptions xmlOptions) {
            return (CTWorkbookProtection) POIXMLTypeLoader.parse(str, CTWorkbookProtection.type, xmlOptions);
        }

        public static CTWorkbookProtection parse(URL url) {
            return (CTWorkbookProtection) POIXMLTypeLoader.parse(url, CTWorkbookProtection.type, (XmlOptions) null);
        }

        public static CTWorkbookProtection parse(URL url, XmlOptions xmlOptions) {
            return (CTWorkbookProtection) POIXMLTypeLoader.parse(url, CTWorkbookProtection.type, xmlOptions);
        }

        public static CTWorkbookProtection parse(XMLStreamReader xMLStreamReader) {
            return (CTWorkbookProtection) POIXMLTypeLoader.parse(xMLStreamReader, CTWorkbookProtection.type, (XmlOptions) null);
        }

        public static CTWorkbookProtection parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (CTWorkbookProtection) POIXMLTypeLoader.parse(xMLStreamReader, CTWorkbookProtection.type, xmlOptions);
        }

        public static CTWorkbookProtection parse(XMLInputStream xMLInputStream) {
            return (CTWorkbookProtection) POIXMLTypeLoader.parse(xMLInputStream, CTWorkbookProtection.type, (XmlOptions) null);
        }

        public static CTWorkbookProtection parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (CTWorkbookProtection) POIXMLTypeLoader.parse(xMLInputStream, CTWorkbookProtection.type, xmlOptions);
        }

        public static CTWorkbookProtection parse(Node node) {
            return (CTWorkbookProtection) POIXMLTypeLoader.parse(node, CTWorkbookProtection.type, (XmlOptions) null);
        }

        public static CTWorkbookProtection parse(Node node, XmlOptions xmlOptions) {
            return (CTWorkbookProtection) POIXMLTypeLoader.parse(node, CTWorkbookProtection.type, xmlOptions);
        }
    }

    boolean getLockRevision();

    boolean getLockStructure();

    boolean getLockWindows();

    byte[] getRevisionsPassword();

    byte[] getWorkbookPassword();

    boolean isSetLockRevision();

    boolean isSetLockStructure();

    boolean isSetLockWindows();

    boolean isSetRevisionsPassword();

    boolean isSetWorkbookPassword();

    void setLockRevision(boolean z);

    void setLockStructure(boolean z);

    void setLockWindows(boolean z);

    void setRevisionsPassword(byte[] bArr);

    void setWorkbookPassword(byte[] bArr);

    void unsetLockRevision();

    void unsetLockStructure();

    void unsetLockWindows();

    void unsetRevisionsPassword();

    void unsetWorkbookPassword();

    XmlBoolean xgetLockRevision();

    XmlBoolean xgetLockStructure();

    XmlBoolean xgetLockWindows();

    STUnsignedShortHex xgetRevisionsPassword();

    STUnsignedShortHex xgetWorkbookPassword();

    void xsetLockRevision(XmlBoolean xmlBoolean);

    void xsetLockStructure(XmlBoolean xmlBoolean);

    void xsetLockWindows(XmlBoolean xmlBoolean);

    void xsetRevisionsPassword(STUnsignedShortHex sTUnsignedShortHex);

    void xsetWorkbookPassword(STUnsignedShortHex sTUnsignedShortHex);
}
