package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STCalcMode extends XmlString {
    public static final Enum AUTO = Enum.forString("auto");
    public static final Enum AUTO_NO_TABLE = Enum.forString("autoNoTable");
    public static final int INT_AUTO = 2;
    public static final int INT_AUTO_NO_TABLE = 3;
    public static final int INT_MANUAL = 1;
    public static final Enum MANUAL = Enum.forString("manual");
    public static final SchemaType type = ((SchemaType) a.a(STCalcMode.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stcalcmode5e71type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_AUTO = 2;
        public static final int INT_AUTO_NO_TABLE = 3;
        public static final int INT_MANUAL = 1;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("manual", 1), new Enum("auto", 2), new Enum("autoNoTable", 3)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STCalcMode newInstance() {
            return (STCalcMode) POIXMLTypeLoader.newInstance(STCalcMode.type, null);
        }

        public static STCalcMode newInstance(XmlOptions xmlOptions) {
            return (STCalcMode) POIXMLTypeLoader.newInstance(STCalcMode.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STCalcMode.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STCalcMode.type, xmlOptions);
        }

        public static STCalcMode newValue(Object obj) {
            return (STCalcMode) STCalcMode.type.newValue(obj);
        }

        public static STCalcMode parse(File file) {
            return (STCalcMode) POIXMLTypeLoader.parse(file, STCalcMode.type, (XmlOptions) null);
        }

        public static STCalcMode parse(File file, XmlOptions xmlOptions) {
            return (STCalcMode) POIXMLTypeLoader.parse(file, STCalcMode.type, xmlOptions);
        }

        public static STCalcMode parse(InputStream inputStream) {
            return (STCalcMode) POIXMLTypeLoader.parse(inputStream, STCalcMode.type, (XmlOptions) null);
        }

        public static STCalcMode parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STCalcMode) POIXMLTypeLoader.parse(inputStream, STCalcMode.type, xmlOptions);
        }

        public static STCalcMode parse(Reader reader) {
            return (STCalcMode) POIXMLTypeLoader.parse(reader, STCalcMode.type, (XmlOptions) null);
        }

        public static STCalcMode parse(Reader reader, XmlOptions xmlOptions) {
            return (STCalcMode) POIXMLTypeLoader.parse(reader, STCalcMode.type, xmlOptions);
        }

        public static STCalcMode parse(String str) {
            return (STCalcMode) POIXMLTypeLoader.parse(str, STCalcMode.type, (XmlOptions) null);
        }

        public static STCalcMode parse(String str, XmlOptions xmlOptions) {
            return (STCalcMode) POIXMLTypeLoader.parse(str, STCalcMode.type, xmlOptions);
        }

        public static STCalcMode parse(URL url) {
            return (STCalcMode) POIXMLTypeLoader.parse(url, STCalcMode.type, (XmlOptions) null);
        }

        public static STCalcMode parse(URL url, XmlOptions xmlOptions) {
            return (STCalcMode) POIXMLTypeLoader.parse(url, STCalcMode.type, xmlOptions);
        }

        public static STCalcMode parse(XMLStreamReader xMLStreamReader) {
            return (STCalcMode) POIXMLTypeLoader.parse(xMLStreamReader, STCalcMode.type, (XmlOptions) null);
        }

        public static STCalcMode parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STCalcMode) POIXMLTypeLoader.parse(xMLStreamReader, STCalcMode.type, xmlOptions);
        }

        public static STCalcMode parse(XMLInputStream xMLInputStream) {
            return (STCalcMode) POIXMLTypeLoader.parse(xMLInputStream, STCalcMode.type, (XmlOptions) null);
        }

        public static STCalcMode parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STCalcMode) POIXMLTypeLoader.parse(xMLInputStream, STCalcMode.type, xmlOptions);
        }

        public static STCalcMode parse(Node node) {
            return (STCalcMode) POIXMLTypeLoader.parse(node, STCalcMode.type, (XmlOptions) null);
        }

        public static STCalcMode parse(Node node, XmlOptions xmlOptions) {
            return (STCalcMode) POIXMLTypeLoader.parse(node, STCalcMode.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
