package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.lucene.codecs.lucene3x.Lucene3xNormsProducer;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STCellType extends XmlString {
    public static final Enum B = Enum.forString("b");
    public static final Enum E = Enum.forString("e");
    public static final Enum INLINE_STR = Enum.forString("inlineStr");
    public static final int INT_B = 1;
    public static final int INT_E = 3;
    public static final int INT_INLINE_STR = 6;
    public static final int INT_N = 2;
    public static final int INT_S = 4;
    public static final int INT_STR = 5;
    public static final Enum N = Enum.forString("n");
    public static final Enum S = Enum.forString(Lucene3xNormsProducer.SEPARATE_NORMS_EXTENSION);
    public static final Enum STR = Enum.forString("str");
    public static final SchemaType type = ((SchemaType) a.a(STCellType.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stcelltypebf95type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_B = 1;
        public static final int INT_E = 3;
        public static final int INT_INLINE_STR = 6;
        public static final int INT_N = 2;
        public static final int INT_S = 4;
        public static final int INT_STR = 5;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("b", 1), new Enum("n", 2), new Enum("e", 3), new Enum(Lucene3xNormsProducer.SEPARATE_NORMS_EXTENSION, 4), new Enum("str", 5), new Enum("inlineStr", 6)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STCellType newInstance() {
            return (STCellType) POIXMLTypeLoader.newInstance(STCellType.type, null);
        }

        public static STCellType newInstance(XmlOptions xmlOptions) {
            return (STCellType) POIXMLTypeLoader.newInstance(STCellType.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STCellType.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STCellType.type, xmlOptions);
        }

        public static STCellType newValue(Object obj) {
            return (STCellType) STCellType.type.newValue(obj);
        }

        public static STCellType parse(File file) {
            return (STCellType) POIXMLTypeLoader.parse(file, STCellType.type, (XmlOptions) null);
        }

        public static STCellType parse(File file, XmlOptions xmlOptions) {
            return (STCellType) POIXMLTypeLoader.parse(file, STCellType.type, xmlOptions);
        }

        public static STCellType parse(InputStream inputStream) {
            return (STCellType) POIXMLTypeLoader.parse(inputStream, STCellType.type, (XmlOptions) null);
        }

        public static STCellType parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STCellType) POIXMLTypeLoader.parse(inputStream, STCellType.type, xmlOptions);
        }

        public static STCellType parse(Reader reader) {
            return (STCellType) POIXMLTypeLoader.parse(reader, STCellType.type, (XmlOptions) null);
        }

        public static STCellType parse(Reader reader, XmlOptions xmlOptions) {
            return (STCellType) POIXMLTypeLoader.parse(reader, STCellType.type, xmlOptions);
        }

        public static STCellType parse(String str) {
            return (STCellType) POIXMLTypeLoader.parse(str, STCellType.type, (XmlOptions) null);
        }

        public static STCellType parse(String str, XmlOptions xmlOptions) {
            return (STCellType) POIXMLTypeLoader.parse(str, STCellType.type, xmlOptions);
        }

        public static STCellType parse(URL url) {
            return (STCellType) POIXMLTypeLoader.parse(url, STCellType.type, (XmlOptions) null);
        }

        public static STCellType parse(URL url, XmlOptions xmlOptions) {
            return (STCellType) POIXMLTypeLoader.parse(url, STCellType.type, xmlOptions);
        }

        public static STCellType parse(XMLStreamReader xMLStreamReader) {
            return (STCellType) POIXMLTypeLoader.parse(xMLStreamReader, STCellType.type, (XmlOptions) null);
        }

        public static STCellType parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STCellType) POIXMLTypeLoader.parse(xMLStreamReader, STCellType.type, xmlOptions);
        }

        public static STCellType parse(XMLInputStream xMLInputStream) {
            return (STCellType) POIXMLTypeLoader.parse(xMLInputStream, STCellType.type, (XmlOptions) null);
        }

        public static STCellType parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STCellType) POIXMLTypeLoader.parse(xMLInputStream, STCellType.type, xmlOptions);
        }

        public static STCellType parse(Node node) {
            return (STCellType) POIXMLTypeLoader.parse(node, STCellType.type, (XmlOptions) null);
        }

        public static STCellType parse(Node node, XmlOptions xmlOptions) {
            return (STCellType) POIXMLTypeLoader.parse(node, STCellType.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
