package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STCfvoType extends XmlString {
    public static final Enum FORMULA = Enum.forString("formula");
    public static final int INT_FORMULA = 5;
    public static final int INT_MAX = 3;
    public static final int INT_MIN = 4;
    public static final int INT_NUM = 1;
    public static final int INT_PERCENT = 2;
    public static final int INT_PERCENTILE = 6;
    public static final Enum MAX = Enum.forString("max");
    public static final Enum MIN = Enum.forString("min");
    public static final Enum NUM = Enum.forString("num");
    public static final Enum PERCENT = Enum.forString("percent");
    public static final Enum PERCENTILE = Enum.forString("percentile");
    public static final SchemaType type = ((SchemaType) a.a(STCfvoType.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stcfvotypeeb0ftype"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_FORMULA = 5;
        public static final int INT_MAX = 3;
        public static final int INT_MIN = 4;
        public static final int INT_NUM = 1;
        public static final int INT_PERCENT = 2;
        public static final int INT_PERCENTILE = 6;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("num", 1), new Enum("percent", 2), new Enum("max", 3), new Enum("min", 4), new Enum("formula", 5), new Enum("percentile", 6)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STCfvoType newInstance() {
            return (STCfvoType) POIXMLTypeLoader.newInstance(STCfvoType.type, null);
        }

        public static STCfvoType newInstance(XmlOptions xmlOptions) {
            return (STCfvoType) POIXMLTypeLoader.newInstance(STCfvoType.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STCfvoType.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STCfvoType.type, xmlOptions);
        }

        public static STCfvoType newValue(Object obj) {
            return (STCfvoType) STCfvoType.type.newValue(obj);
        }

        public static STCfvoType parse(File file) {
            return (STCfvoType) POIXMLTypeLoader.parse(file, STCfvoType.type, (XmlOptions) null);
        }

        public static STCfvoType parse(File file, XmlOptions xmlOptions) {
            return (STCfvoType) POIXMLTypeLoader.parse(file, STCfvoType.type, xmlOptions);
        }

        public static STCfvoType parse(InputStream inputStream) {
            return (STCfvoType) POIXMLTypeLoader.parse(inputStream, STCfvoType.type, (XmlOptions) null);
        }

        public static STCfvoType parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STCfvoType) POIXMLTypeLoader.parse(inputStream, STCfvoType.type, xmlOptions);
        }

        public static STCfvoType parse(Reader reader) {
            return (STCfvoType) POIXMLTypeLoader.parse(reader, STCfvoType.type, (XmlOptions) null);
        }

        public static STCfvoType parse(Reader reader, XmlOptions xmlOptions) {
            return (STCfvoType) POIXMLTypeLoader.parse(reader, STCfvoType.type, xmlOptions);
        }

        public static STCfvoType parse(String str) {
            return (STCfvoType) POIXMLTypeLoader.parse(str, STCfvoType.type, (XmlOptions) null);
        }

        public static STCfvoType parse(String str, XmlOptions xmlOptions) {
            return (STCfvoType) POIXMLTypeLoader.parse(str, STCfvoType.type, xmlOptions);
        }

        public static STCfvoType parse(URL url) {
            return (STCfvoType) POIXMLTypeLoader.parse(url, STCfvoType.type, (XmlOptions) null);
        }

        public static STCfvoType parse(URL url, XmlOptions xmlOptions) {
            return (STCfvoType) POIXMLTypeLoader.parse(url, STCfvoType.type, xmlOptions);
        }

        public static STCfvoType parse(XMLStreamReader xMLStreamReader) {
            return (STCfvoType) POIXMLTypeLoader.parse(xMLStreamReader, STCfvoType.type, (XmlOptions) null);
        }

        public static STCfvoType parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STCfvoType) POIXMLTypeLoader.parse(xMLStreamReader, STCfvoType.type, xmlOptions);
        }

        public static STCfvoType parse(XMLInputStream xMLInputStream) {
            return (STCfvoType) POIXMLTypeLoader.parse(xMLInputStream, STCfvoType.type, (XmlOptions) null);
        }

        public static STCfvoType parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STCfvoType) POIXMLTypeLoader.parse(xMLInputStream, STCfvoType.type, xmlOptions);
        }

        public static STCfvoType parse(Node node) {
            return (STCfvoType) POIXMLTypeLoader.parse(node, STCfvoType.type, (XmlOptions) null);
        }

        public static STCfvoType parse(Node node, XmlOptions xmlOptions) {
            return (STCfvoType) POIXMLTypeLoader.parse(node, STCfvoType.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
