package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STItemType extends XmlString {
    public static final Enum AVG = Enum.forString("avg");
    public static final Enum BLANK = Enum.forString("blank");
    public static final Enum COUNT = Enum.forString("count");
    public static final Enum COUNT_A = Enum.forString("countA");
    public static final Enum DATA = Enum.forString("data");
    public static final Enum DEFAULT = Enum.forString("default");
    public static final Enum GRAND = Enum.forString("grand");
    public static final int INT_AVG = 5;
    public static final int INT_BLANK = 15;
    public static final int INT_COUNT = 9;
    public static final int INT_COUNT_A = 4;
    public static final int INT_DATA = 1;
    public static final int INT_DEFAULT = 2;
    public static final int INT_GRAND = 14;
    public static final int INT_MAX = 6;
    public static final int INT_MIN = 7;
    public static final int INT_PRODUCT = 8;
    public static final int INT_STD_DEV = 10;
    public static final int INT_STD_DEV_P = 11;
    public static final int INT_SUM = 3;
    public static final int INT_VAR = 12;
    public static final int INT_VAR_P = 13;
    public static final Enum MAX = Enum.forString("max");
    public static final Enum MIN = Enum.forString("min");
    public static final Enum PRODUCT = Enum.forString("product");
    public static final Enum STD_DEV = Enum.forString("stdDev");
    public static final Enum STD_DEV_P = Enum.forString("stdDevP");
    public static final Enum SUM = Enum.forString("sum");
    public static final Enum VAR = Enum.forString("var");
    public static final Enum VAR_P = Enum.forString("varP");
    public static final SchemaType type = ((SchemaType) a.a(STItemType.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stitemtype6186type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_AVG = 5;
        public static final int INT_BLANK = 15;
        public static final int INT_COUNT = 9;
        public static final int INT_COUNT_A = 4;
        public static final int INT_DATA = 1;
        public static final int INT_DEFAULT = 2;
        public static final int INT_GRAND = 14;
        public static final int INT_MAX = 6;
        public static final int INT_MIN = 7;
        public static final int INT_PRODUCT = 8;
        public static final int INT_STD_DEV = 10;
        public static final int INT_STD_DEV_P = 11;
        public static final int INT_SUM = 3;
        public static final int INT_VAR = 12;
        public static final int INT_VAR_P = 13;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("data", 1), new Enum("default", 2), new Enum("sum", 3), new Enum("countA", 4), new Enum("avg", 5), new Enum("max", 6), new Enum("min", 7), new Enum("product", 8), new Enum("count", 9), new Enum("stdDev", 10), new Enum("stdDevP", 11), new Enum("var", 12), new Enum("varP", 13), new Enum("grand", 14), new Enum("blank", 15)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STItemType newInstance() {
            return (STItemType) POIXMLTypeLoader.newInstance(STItemType.type, null);
        }

        public static STItemType newInstance(XmlOptions xmlOptions) {
            return (STItemType) POIXMLTypeLoader.newInstance(STItemType.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STItemType.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STItemType.type, xmlOptions);
        }

        public static STItemType newValue(Object obj) {
            return (STItemType) STItemType.type.newValue(obj);
        }

        public static STItemType parse(File file) {
            return (STItemType) POIXMLTypeLoader.parse(file, STItemType.type, (XmlOptions) null);
        }

        public static STItemType parse(File file, XmlOptions xmlOptions) {
            return (STItemType) POIXMLTypeLoader.parse(file, STItemType.type, xmlOptions);
        }

        public static STItemType parse(InputStream inputStream) {
            return (STItemType) POIXMLTypeLoader.parse(inputStream, STItemType.type, (XmlOptions) null);
        }

        public static STItemType parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STItemType) POIXMLTypeLoader.parse(inputStream, STItemType.type, xmlOptions);
        }

        public static STItemType parse(Reader reader) {
            return (STItemType) POIXMLTypeLoader.parse(reader, STItemType.type, (XmlOptions) null);
        }

        public static STItemType parse(Reader reader, XmlOptions xmlOptions) {
            return (STItemType) POIXMLTypeLoader.parse(reader, STItemType.type, xmlOptions);
        }

        public static STItemType parse(String str) {
            return (STItemType) POIXMLTypeLoader.parse(str, STItemType.type, (XmlOptions) null);
        }

        public static STItemType parse(String str, XmlOptions xmlOptions) {
            return (STItemType) POIXMLTypeLoader.parse(str, STItemType.type, xmlOptions);
        }

        public static STItemType parse(URL url) {
            return (STItemType) POIXMLTypeLoader.parse(url, STItemType.type, (XmlOptions) null);
        }

        public static STItemType parse(URL url, XmlOptions xmlOptions) {
            return (STItemType) POIXMLTypeLoader.parse(url, STItemType.type, xmlOptions);
        }

        public static STItemType parse(XMLStreamReader xMLStreamReader) {
            return (STItemType) POIXMLTypeLoader.parse(xMLStreamReader, STItemType.type, (XmlOptions) null);
        }

        public static STItemType parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STItemType) POIXMLTypeLoader.parse(xMLStreamReader, STItemType.type, xmlOptions);
        }

        public static STItemType parse(XMLInputStream xMLInputStream) {
            return (STItemType) POIXMLTypeLoader.parse(xMLInputStream, STItemType.type, (XmlOptions) null);
        }

        public static STItemType parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STItemType) POIXMLTypeLoader.parse(xMLInputStream, STItemType.type, xmlOptions);
        }

        public static STItemType parse(Node node) {
            return (STItemType) POIXMLTypeLoader.parse(node, STItemType.type, (XmlOptions) null);
        }

        public static STItemType parse(Node node, XmlOptions xmlOptions) {
            return (STItemType) POIXMLTypeLoader.parse(node, STItemType.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
