package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STXmlDataType extends XmlString {
    public static final Enum ANY_TYPE = Enum.forString("anyType");
    public static final Enum ANY_URI = Enum.forString("anyURI");
    public static final Enum BASE_64_BINARY = Enum.forString("base64Binary");
    public static final Enum BOOLEAN = Enum.forString("boolean");
    public static final Enum BYTE = Enum.forString(SchemaSymbols.ATTVAL_BYTE);
    public static final Enum DATE = Enum.forString("date");
    public static final Enum DATE_TIME = Enum.forString(SchemaSymbols.ATTVAL_DATETIME);
    public static final Enum DECIMAL = Enum.forString("decimal");
    public static final Enum DOUBLE = Enum.forString("double");
    public static final Enum DURATION = Enum.forString("duration");
    public static final Enum ENTITIES = Enum.forString(SchemaSymbols.ATTVAL_ENTITIES);
    public static final Enum ENTITY = Enum.forString(SchemaSymbols.ATTVAL_ENTITY);
    public static final Enum FLOAT = Enum.forString("float");
    public static final Enum G_DAY = Enum.forString(SchemaSymbols.ATTVAL_DAY);
    public static final Enum G_MONTH = Enum.forString(SchemaSymbols.ATTVAL_MONTH);
    public static final Enum G_MONTH_DAY = Enum.forString(SchemaSymbols.ATTVAL_MONTHDAY);
    public static final Enum G_YEAR = Enum.forString(SchemaSymbols.ATTVAL_YEAR);
    public static final Enum G_YEAR_MONTH = Enum.forString(SchemaSymbols.ATTVAL_YEARMONTH);
    public static final Enum HEX_BINARY = Enum.forString("hexBinary");
    public static final Enum ID = Enum.forString(SchemaSymbols.ATTVAL_ID);
    public static final Enum IDREF = Enum.forString(SchemaSymbols.ATTVAL_IDREF);
    public static final Enum IDREFS = Enum.forString(SchemaSymbols.ATTVAL_IDREFS);
    public static final Enum INT = Enum.forString("int");
    public static final Enum INTEGER = Enum.forString("integer");
    public static final int INT_ANY_TYPE = 45;
    public static final int INT_ANY_URI = 35;
    public static final int INT_BASE_64_BINARY = 6;
    public static final int INT_BOOLEAN = 22;
    public static final int INT_BYTE = 4;
    public static final int INT_DATE = 26;
    public static final int INT_DATE_TIME = 24;
    public static final int INT_DECIMAL = 19;
    public static final int INT_DOUBLE = 21;
    public static final int INT_DURATION = 25;
    public static final int INT_ENTITIES = 41;
    public static final int INT_ENTITY = 40;
    public static final int INT_FLOAT = 20;
    public static final int INT_G_DAY = 30;
    public static final int INT_G_MONTH = 27;
    public static final int INT_G_MONTH_DAY = 31;
    public static final int INT_G_YEAR = 28;
    public static final int INT_G_YEAR_MONTH = 29;
    public static final int INT_HEX_BINARY = 7;
    public static final int INT_ID = 37;
    public static final int INT_IDREF = 38;
    public static final int INT_IDREFS = 39;
    public static final int INT_INT = 13;
    public static final int INT_INTEGER = 8;
    public static final int INT_LANGUAGE = 36;
    public static final int INT_LONG = 15;
    public static final int INT_NAME = 32;
    public static final int INT_NC_NAME = 34;
    public static final int INT_NEGATIVE_INTEGER = 10;
    public static final int INT_NMTOKEN = 43;
    public static final int INT_NMTOKENS = 44;
    public static final int INT_NON_NEGATIVE_INTEGER = 12;
    public static final int INT_NON_POSITIVE_INTEGER = 11;
    public static final int INT_NORMALIZED_STRING = 2;
    public static final int INT_NOTATION = 42;
    public static final int INT_POSITIVE_INTEGER = 9;
    public static final int INT_Q_NAME = 33;
    public static final int INT_SHORT = 17;
    public static final int INT_STRING = 1;
    public static final int INT_TIME = 23;
    public static final int INT_TOKEN = 3;
    public static final int INT_UNSIGNED_BYTE = 5;
    public static final int INT_UNSIGNED_INT = 14;
    public static final int INT_UNSIGNED_LONG = 16;
    public static final int INT_UNSIGNED_SHORT = 18;
    public static final Enum LANGUAGE = Enum.forString("language");
    public static final Enum LONG = Enum.forString("long");
    public static final Enum NAME = Enum.forString(SchemaSymbols.ATTVAL_NAME);
    public static final Enum NC_NAME = Enum.forString("NCName");
    public static final Enum NEGATIVE_INTEGER = Enum.forString(SchemaSymbols.ATTVAL_NEGATIVEINTEGER);
    public static final Enum NMTOKEN = Enum.forString("NMTOKEN");
    public static final Enum NMTOKENS = Enum.forString(SchemaSymbols.ATTVAL_NMTOKENS);
    public static final Enum NON_NEGATIVE_INTEGER = Enum.forString(SchemaSymbols.ATTVAL_NONNEGATIVEINTEGER);
    public static final Enum NON_POSITIVE_INTEGER = Enum.forString(SchemaSymbols.ATTVAL_NONPOSITIVEINTEGER);
    public static final Enum NORMALIZED_STRING = Enum.forString(SchemaSymbols.ATTVAL_NORMALIZEDSTRING);
    public static final Enum NOTATION = Enum.forString(SchemaSymbols.ATTVAL_NOTATION);
    public static final Enum POSITIVE_INTEGER = Enum.forString(SchemaSymbols.ATTVAL_POSITIVEINTEGER);
    public static final Enum Q_NAME = Enum.forString("QName");
    public static final Enum SHORT = Enum.forString(SchemaSymbols.ATTVAL_SHORT);
    public static final Enum STRING = Enum.forString(SchemaSymbols.ATTVAL_STRING);
    public static final Enum TIME = Enum.forString(SchemaSymbols.ATTVAL_TIME);
    public static final Enum TOKEN = Enum.forString(SchemaSymbols.ATTVAL_TOKEN);
    public static final Enum UNSIGNED_BYTE = Enum.forString(SchemaSymbols.ATTVAL_UNSIGNEDBYTE);
    public static final Enum UNSIGNED_INT = Enum.forString(SchemaSymbols.ATTVAL_UNSIGNEDINT);
    public static final Enum UNSIGNED_LONG = Enum.forString(SchemaSymbols.ATTVAL_UNSIGNEDLONG);
    public static final Enum UNSIGNED_SHORT = Enum.forString(SchemaSymbols.ATTVAL_UNSIGNEDSHORT);
    public static final SchemaType type = ((SchemaType) a.a(STXmlDataType.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stxmldatatyped64atype"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_ANY_TYPE = 45;
        public static final int INT_ANY_URI = 35;
        public static final int INT_BASE_64_BINARY = 6;
        public static final int INT_BOOLEAN = 22;
        public static final int INT_BYTE = 4;
        public static final int INT_DATE = 26;
        public static final int INT_DATE_TIME = 24;
        public static final int INT_DECIMAL = 19;
        public static final int INT_DOUBLE = 21;
        public static final int INT_DURATION = 25;
        public static final int INT_ENTITIES = 41;
        public static final int INT_ENTITY = 40;
        public static final int INT_FLOAT = 20;
        public static final int INT_G_DAY = 30;
        public static final int INT_G_MONTH = 27;
        public static final int INT_G_MONTH_DAY = 31;
        public static final int INT_G_YEAR = 28;
        public static final int INT_G_YEAR_MONTH = 29;
        public static final int INT_HEX_BINARY = 7;
        public static final int INT_ID = 37;
        public static final int INT_IDREF = 38;
        public static final int INT_IDREFS = 39;
        public static final int INT_INT = 13;
        public static final int INT_INTEGER = 8;
        public static final int INT_LANGUAGE = 36;
        public static final int INT_LONG = 15;
        public static final int INT_NAME = 32;
        public static final int INT_NC_NAME = 34;
        public static final int INT_NEGATIVE_INTEGER = 10;
        public static final int INT_NMTOKEN = 43;
        public static final int INT_NMTOKENS = 44;
        public static final int INT_NON_NEGATIVE_INTEGER = 12;
        public static final int INT_NON_POSITIVE_INTEGER = 11;
        public static final int INT_NORMALIZED_STRING = 2;
        public static final int INT_NOTATION = 42;
        public static final int INT_POSITIVE_INTEGER = 9;
        public static final int INT_Q_NAME = 33;
        public static final int INT_SHORT = 17;
        public static final int INT_STRING = 1;
        public static final int INT_TIME = 23;
        public static final int INT_TOKEN = 3;
        public static final int INT_UNSIGNED_BYTE = 5;
        public static final int INT_UNSIGNED_INT = 14;
        public static final int INT_UNSIGNED_LONG = 16;
        public static final int INT_UNSIGNED_SHORT = 18;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum(SchemaSymbols.ATTVAL_STRING, 1), new Enum(SchemaSymbols.ATTVAL_NORMALIZEDSTRING, 2), new Enum(SchemaSymbols.ATTVAL_TOKEN, 3), new Enum(SchemaSymbols.ATTVAL_BYTE, 4), new Enum(SchemaSymbols.ATTVAL_UNSIGNEDBYTE, 5), new Enum("base64Binary", 6), new Enum("hexBinary", 7), new Enum("integer", 8), new Enum(SchemaSymbols.ATTVAL_POSITIVEINTEGER, 9), new Enum(SchemaSymbols.ATTVAL_NEGATIVEINTEGER, 10), new Enum(SchemaSymbols.ATTVAL_NONPOSITIVEINTEGER, 11), new Enum(SchemaSymbols.ATTVAL_NONNEGATIVEINTEGER, 12), new Enum("int", 13), new Enum(SchemaSymbols.ATTVAL_UNSIGNEDINT, 14), new Enum("long", 15), new Enum(SchemaSymbols.ATTVAL_UNSIGNEDLONG, 16), new Enum(SchemaSymbols.ATTVAL_SHORT, 17), new Enum(SchemaSymbols.ATTVAL_UNSIGNEDSHORT, 18), new Enum("decimal", 19), new Enum("float", 20), new Enum("double", 21), new Enum("boolean", 22), new Enum(SchemaSymbols.ATTVAL_TIME, 23), new Enum(SchemaSymbols.ATTVAL_DATETIME, 24), new Enum("duration", 25), new Enum("date", 26), new Enum(SchemaSymbols.ATTVAL_MONTH, 27), new Enum(SchemaSymbols.ATTVAL_YEAR, 28), new Enum(SchemaSymbols.ATTVAL_YEARMONTH, 29), new Enum(SchemaSymbols.ATTVAL_DAY, 30), new Enum(SchemaSymbols.ATTVAL_MONTHDAY, 31), new Enum(SchemaSymbols.ATTVAL_NAME, 32), new Enum("QName", 33), new Enum("NCName", 34), new Enum("anyURI", 35), new Enum("language", 36), new Enum(SchemaSymbols.ATTVAL_ID, 37), new Enum(SchemaSymbols.ATTVAL_IDREF, 38), new Enum(SchemaSymbols.ATTVAL_IDREFS, 39), new Enum(SchemaSymbols.ATTVAL_ENTITY, 40), new Enum(SchemaSymbols.ATTVAL_ENTITIES, 41), new Enum(SchemaSymbols.ATTVAL_NOTATION, 42), new Enum("NMTOKEN", 43), new Enum(SchemaSymbols.ATTVAL_NMTOKENS, 44), new Enum("anyType", 45)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STXmlDataType newInstance() {
            return (STXmlDataType) POIXMLTypeLoader.newInstance(STXmlDataType.type, null);
        }

        public static STXmlDataType newInstance(XmlOptions xmlOptions) {
            return (STXmlDataType) POIXMLTypeLoader.newInstance(STXmlDataType.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STXmlDataType.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STXmlDataType.type, xmlOptions);
        }

        public static STXmlDataType newValue(Object obj) {
            return (STXmlDataType) STXmlDataType.type.newValue(obj);
        }

        public static STXmlDataType parse(File file) {
            return (STXmlDataType) POIXMLTypeLoader.parse(file, STXmlDataType.type, (XmlOptions) null);
        }

        public static STXmlDataType parse(File file, XmlOptions xmlOptions) {
            return (STXmlDataType) POIXMLTypeLoader.parse(file, STXmlDataType.type, xmlOptions);
        }

        public static STXmlDataType parse(InputStream inputStream) {
            return (STXmlDataType) POIXMLTypeLoader.parse(inputStream, STXmlDataType.type, (XmlOptions) null);
        }

        public static STXmlDataType parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STXmlDataType) POIXMLTypeLoader.parse(inputStream, STXmlDataType.type, xmlOptions);
        }

        public static STXmlDataType parse(Reader reader) {
            return (STXmlDataType) POIXMLTypeLoader.parse(reader, STXmlDataType.type, (XmlOptions) null);
        }

        public static STXmlDataType parse(Reader reader, XmlOptions xmlOptions) {
            return (STXmlDataType) POIXMLTypeLoader.parse(reader, STXmlDataType.type, xmlOptions);
        }

        public static STXmlDataType parse(String str) {
            return (STXmlDataType) POIXMLTypeLoader.parse(str, STXmlDataType.type, (XmlOptions) null);
        }

        public static STXmlDataType parse(String str, XmlOptions xmlOptions) {
            return (STXmlDataType) POIXMLTypeLoader.parse(str, STXmlDataType.type, xmlOptions);
        }

        public static STXmlDataType parse(URL url) {
            return (STXmlDataType) POIXMLTypeLoader.parse(url, STXmlDataType.type, (XmlOptions) null);
        }

        public static STXmlDataType parse(URL url, XmlOptions xmlOptions) {
            return (STXmlDataType) POIXMLTypeLoader.parse(url, STXmlDataType.type, xmlOptions);
        }

        public static STXmlDataType parse(XMLStreamReader xMLStreamReader) {
            return (STXmlDataType) POIXMLTypeLoader.parse(xMLStreamReader, STXmlDataType.type, (XmlOptions) null);
        }

        public static STXmlDataType parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STXmlDataType) POIXMLTypeLoader.parse(xMLStreamReader, STXmlDataType.type, xmlOptions);
        }

        public static STXmlDataType parse(XMLInputStream xMLInputStream) {
            return (STXmlDataType) POIXMLTypeLoader.parse(xMLInputStream, STXmlDataType.type, (XmlOptions) null);
        }

        public static STXmlDataType parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STXmlDataType) POIXMLTypeLoader.parse(xMLInputStream, STXmlDataType.type, xmlOptions);
        }

        public static STXmlDataType parse(Node node) {
            return (STXmlDataType) POIXMLTypeLoader.parse(node, STXmlDataType.type, (XmlOptions) null);
        }

        public static STXmlDataType parse(Node node, XmlOptions xmlOptions) {
            return (STXmlDataType) POIXMLTypeLoader.parse(node, STXmlDataType.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
