package org.openxmlformats.schemas.spreadsheetml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface WorkbookDocument extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(WorkbookDocument.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "workbookec17doctype"));

    public static final class Factory {
        public static WorkbookDocument newInstance() {
            return (WorkbookDocument) POIXMLTypeLoader.newInstance(WorkbookDocument.type, null);
        }

        public static WorkbookDocument newInstance(XmlOptions xmlOptions) {
            return (WorkbookDocument) POIXMLTypeLoader.newInstance(WorkbookDocument.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, WorkbookDocument.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, WorkbookDocument.type, xmlOptions);
        }

        public static WorkbookDocument parse(File file) {
            return (WorkbookDocument) POIXMLTypeLoader.parse(file, WorkbookDocument.type, (XmlOptions) null);
        }

        public static WorkbookDocument parse(File file, XmlOptions xmlOptions) {
            return (WorkbookDocument) POIXMLTypeLoader.parse(file, WorkbookDocument.type, xmlOptions);
        }

        public static WorkbookDocument parse(InputStream inputStream) {
            return (WorkbookDocument) POIXMLTypeLoader.parse(inputStream, WorkbookDocument.type, (XmlOptions) null);
        }

        public static WorkbookDocument parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (WorkbookDocument) POIXMLTypeLoader.parse(inputStream, WorkbookDocument.type, xmlOptions);
        }

        public static WorkbookDocument parse(Reader reader) {
            return (WorkbookDocument) POIXMLTypeLoader.parse(reader, WorkbookDocument.type, (XmlOptions) null);
        }

        public static WorkbookDocument parse(Reader reader, XmlOptions xmlOptions) {
            return (WorkbookDocument) POIXMLTypeLoader.parse(reader, WorkbookDocument.type, xmlOptions);
        }

        public static WorkbookDocument parse(String str) {
            return (WorkbookDocument) POIXMLTypeLoader.parse(str, WorkbookDocument.type, (XmlOptions) null);
        }

        public static WorkbookDocument parse(String str, XmlOptions xmlOptions) {
            return (WorkbookDocument) POIXMLTypeLoader.parse(str, WorkbookDocument.type, xmlOptions);
        }

        public static WorkbookDocument parse(URL url) {
            return (WorkbookDocument) POIXMLTypeLoader.parse(url, WorkbookDocument.type, (XmlOptions) null);
        }

        public static WorkbookDocument parse(URL url, XmlOptions xmlOptions) {
            return (WorkbookDocument) POIXMLTypeLoader.parse(url, WorkbookDocument.type, xmlOptions);
        }

        public static WorkbookDocument parse(XMLStreamReader xMLStreamReader) {
            return (WorkbookDocument) POIXMLTypeLoader.parse(xMLStreamReader, WorkbookDocument.type, (XmlOptions) null);
        }

        public static WorkbookDocument parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (WorkbookDocument) POIXMLTypeLoader.parse(xMLStreamReader, WorkbookDocument.type, xmlOptions);
        }

        public static WorkbookDocument parse(XMLInputStream xMLInputStream) {
            return (WorkbookDocument) POIXMLTypeLoader.parse(xMLInputStream, WorkbookDocument.type, (XmlOptions) null);
        }

        public static WorkbookDocument parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (WorkbookDocument) POIXMLTypeLoader.parse(xMLInputStream, WorkbookDocument.type, xmlOptions);
        }

        public static WorkbookDocument parse(Node node) {
            return (WorkbookDocument) POIXMLTypeLoader.parse(node, WorkbookDocument.type, (XmlOptions) null);
        }

        public static WorkbookDocument parse(Node node, XmlOptions xmlOptions) {
            return (WorkbookDocument) POIXMLTypeLoader.parse(node, WorkbookDocument.type, xmlOptions);
        }
    }

    CTWorkbook addNewWorkbook();

    CTWorkbook getWorkbook();

    void setWorkbook(CTWorkbook cTWorkbook);
}
