package org.openxmlformats.schemas.wordprocessingml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xerces.impl.Constants;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STDocProtect extends XmlString {
    public static final Enum COMMENTS = Enum.forString(Constants.DOM_COMMENTS);
    public static final Enum FORMS = Enum.forString("forms");
    public static final int INT_COMMENTS = 3;
    public static final int INT_FORMS = 5;
    public static final int INT_NONE = 1;
    public static final int INT_READ_ONLY = 2;
    public static final int INT_TRACKED_CHANGES = 4;
    public static final Enum NONE = Enum.forString("none");
    public static final Enum READ_ONLY = Enum.forString("readOnly");
    public static final Enum TRACKED_CHANGES = Enum.forString("trackedChanges");
    public static final SchemaType type = ((SchemaType) a.a(STDocProtect.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stdocprotect5801type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_COMMENTS = 3;
        public static final int INT_FORMS = 5;
        public static final int INT_NONE = 1;
        public static final int INT_READ_ONLY = 2;
        public static final int INT_TRACKED_CHANGES = 4;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("none", 1), new Enum("readOnly", 2), new Enum(Constants.DOM_COMMENTS, 3), new Enum("trackedChanges", 4), new Enum("forms", 5)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STDocProtect newInstance() {
            return (STDocProtect) POIXMLTypeLoader.newInstance(STDocProtect.type, null);
        }

        public static STDocProtect newInstance(XmlOptions xmlOptions) {
            return (STDocProtect) POIXMLTypeLoader.newInstance(STDocProtect.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STDocProtect.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STDocProtect.type, xmlOptions);
        }

        public static STDocProtect newValue(Object obj) {
            return (STDocProtect) STDocProtect.type.newValue(obj);
        }

        public static STDocProtect parse(File file) {
            return (STDocProtect) POIXMLTypeLoader.parse(file, STDocProtect.type, (XmlOptions) null);
        }

        public static STDocProtect parse(File file, XmlOptions xmlOptions) {
            return (STDocProtect) POIXMLTypeLoader.parse(file, STDocProtect.type, xmlOptions);
        }

        public static STDocProtect parse(InputStream inputStream) {
            return (STDocProtect) POIXMLTypeLoader.parse(inputStream, STDocProtect.type, (XmlOptions) null);
        }

        public static STDocProtect parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STDocProtect) POIXMLTypeLoader.parse(inputStream, STDocProtect.type, xmlOptions);
        }

        public static STDocProtect parse(Reader reader) {
            return (STDocProtect) POIXMLTypeLoader.parse(reader, STDocProtect.type, (XmlOptions) null);
        }

        public static STDocProtect parse(Reader reader, XmlOptions xmlOptions) {
            return (STDocProtect) POIXMLTypeLoader.parse(reader, STDocProtect.type, xmlOptions);
        }

        public static STDocProtect parse(String str) {
            return (STDocProtect) POIXMLTypeLoader.parse(str, STDocProtect.type, (XmlOptions) null);
        }

        public static STDocProtect parse(String str, XmlOptions xmlOptions) {
            return (STDocProtect) POIXMLTypeLoader.parse(str, STDocProtect.type, xmlOptions);
        }

        public static STDocProtect parse(URL url) {
            return (STDocProtect) POIXMLTypeLoader.parse(url, STDocProtect.type, (XmlOptions) null);
        }

        public static STDocProtect parse(URL url, XmlOptions xmlOptions) {
            return (STDocProtect) POIXMLTypeLoader.parse(url, STDocProtect.type, xmlOptions);
        }

        public static STDocProtect parse(XMLStreamReader xMLStreamReader) {
            return (STDocProtect) POIXMLTypeLoader.parse(xMLStreamReader, STDocProtect.type, (XmlOptions) null);
        }

        public static STDocProtect parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STDocProtect) POIXMLTypeLoader.parse(xMLStreamReader, STDocProtect.type, xmlOptions);
        }

        public static STDocProtect parse(XMLInputStream xMLInputStream) {
            return (STDocProtect) POIXMLTypeLoader.parse(xMLInputStream, STDocProtect.type, (XmlOptions) null);
        }

        public static STDocProtect parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STDocProtect) POIXMLTypeLoader.parse(xMLInputStream, STDocProtect.type, xmlOptions);
        }

        public static STDocProtect parse(Node node) {
            return (STDocProtect) POIXMLTypeLoader.parse(node, STDocProtect.type, (XmlOptions) null);
        }

        public static STDocProtect parse(Node node, XmlOptions xmlOptions) {
            return (STDocProtect) POIXMLTypeLoader.parse(node, STDocProtect.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
