package org.openxmlformats.schemas.wordprocessingml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STTabTlc extends XmlString {
    public static final Enum DOT = Enum.forString("dot");
    public static final Enum HEAVY = Enum.forString("heavy");
    public static final Enum HYPHEN = Enum.forString("hyphen");
    public static final int INT_DOT = 2;
    public static final int INT_HEAVY = 5;
    public static final int INT_HYPHEN = 3;
    public static final int INT_MIDDLE_DOT = 6;
    public static final int INT_NONE = 1;
    public static final int INT_UNDERSCORE = 4;
    public static final Enum MIDDLE_DOT = Enum.forString("middleDot");
    public static final Enum NONE = Enum.forString("none");
    public static final Enum UNDERSCORE = Enum.forString("underscore");
    public static final SchemaType type = ((SchemaType) a.a(STTabTlc.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "sttabtlc6f42type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_DOT = 2;
        public static final int INT_HEAVY = 5;
        public static final int INT_HYPHEN = 3;
        public static final int INT_MIDDLE_DOT = 6;
        public static final int INT_NONE = 1;
        public static final int INT_UNDERSCORE = 4;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("none", 1), new Enum("dot", 2), new Enum("hyphen", 3), new Enum("underscore", 4), new Enum("heavy", 5), new Enum("middleDot", 6)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STTabTlc newInstance() {
            return (STTabTlc) POIXMLTypeLoader.newInstance(STTabTlc.type, null);
        }

        public static STTabTlc newInstance(XmlOptions xmlOptions) {
            return (STTabTlc) POIXMLTypeLoader.newInstance(STTabTlc.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STTabTlc.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STTabTlc.type, xmlOptions);
        }

        public static STTabTlc newValue(Object obj) {
            return (STTabTlc) STTabTlc.type.newValue(obj);
        }

        public static STTabTlc parse(File file) {
            return (STTabTlc) POIXMLTypeLoader.parse(file, STTabTlc.type, (XmlOptions) null);
        }

        public static STTabTlc parse(File file, XmlOptions xmlOptions) {
            return (STTabTlc) POIXMLTypeLoader.parse(file, STTabTlc.type, xmlOptions);
        }

        public static STTabTlc parse(InputStream inputStream) {
            return (STTabTlc) POIXMLTypeLoader.parse(inputStream, STTabTlc.type, (XmlOptions) null);
        }

        public static STTabTlc parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STTabTlc) POIXMLTypeLoader.parse(inputStream, STTabTlc.type, xmlOptions);
        }

        public static STTabTlc parse(Reader reader) {
            return (STTabTlc) POIXMLTypeLoader.parse(reader, STTabTlc.type, (XmlOptions) null);
        }

        public static STTabTlc parse(Reader reader, XmlOptions xmlOptions) {
            return (STTabTlc) POIXMLTypeLoader.parse(reader, STTabTlc.type, xmlOptions);
        }

        public static STTabTlc parse(String str) {
            return (STTabTlc) POIXMLTypeLoader.parse(str, STTabTlc.type, (XmlOptions) null);
        }

        public static STTabTlc parse(String str, XmlOptions xmlOptions) {
            return (STTabTlc) POIXMLTypeLoader.parse(str, STTabTlc.type, xmlOptions);
        }

        public static STTabTlc parse(URL url) {
            return (STTabTlc) POIXMLTypeLoader.parse(url, STTabTlc.type, (XmlOptions) null);
        }

        public static STTabTlc parse(URL url, XmlOptions xmlOptions) {
            return (STTabTlc) POIXMLTypeLoader.parse(url, STTabTlc.type, xmlOptions);
        }

        public static STTabTlc parse(XMLStreamReader xMLStreamReader) {
            return (STTabTlc) POIXMLTypeLoader.parse(xMLStreamReader, STTabTlc.type, (XmlOptions) null);
        }

        public static STTabTlc parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STTabTlc) POIXMLTypeLoader.parse(xMLStreamReader, STTabTlc.type, xmlOptions);
        }

        public static STTabTlc parse(XMLInputStream xMLInputStream) {
            return (STTabTlc) POIXMLTypeLoader.parse(xMLInputStream, STTabTlc.type, (XmlOptions) null);
        }

        public static STTabTlc parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STTabTlc) POIXMLTypeLoader.parse(xMLInputStream, STTabTlc.type, xmlOptions);
        }

        public static STTabTlc parse(Node node) {
            return (STTabTlc) POIXMLTypeLoader.parse(node, STTabTlc.type, (XmlOptions) null);
        }

        public static STTabTlc parse(Node node, XmlOptions xmlOptions) {
            return (STTabTlc) POIXMLTypeLoader.parse(node, STTabTlc.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
