package org.openxmlformats.schemas.wordprocessingml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STTextAlignment extends XmlString {
    public static final Enum AUTO = Enum.forString("auto");
    public static final Enum BASELINE = Enum.forString("baseline");
    public static final Enum BOTTOM = Enum.forString("bottom");
    public static final Enum CENTER = Enum.forString("center");
    public static final int INT_AUTO = 5;
    public static final int INT_BASELINE = 3;
    public static final int INT_BOTTOM = 4;
    public static final int INT_CENTER = 2;
    public static final int INT_TOP = 1;
    public static final Enum TOP = Enum.forString("top");
    public static final SchemaType type = ((SchemaType) a.a(STTextAlignment.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "sttextalignment316ctype"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_AUTO = 5;
        public static final int INT_BASELINE = 3;
        public static final int INT_BOTTOM = 4;
        public static final int INT_CENTER = 2;
        public static final int INT_TOP = 1;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("top", 1), new Enum("center", 2), new Enum("baseline", 3), new Enum("bottom", 4), new Enum("auto", 5)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STTextAlignment newInstance() {
            return (STTextAlignment) POIXMLTypeLoader.newInstance(STTextAlignment.type, null);
        }

        public static STTextAlignment newInstance(XmlOptions xmlOptions) {
            return (STTextAlignment) POIXMLTypeLoader.newInstance(STTextAlignment.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STTextAlignment.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STTextAlignment.type, xmlOptions);
        }

        public static STTextAlignment newValue(Object obj) {
            return (STTextAlignment) STTextAlignment.type.newValue(obj);
        }

        public static STTextAlignment parse(File file) {
            return (STTextAlignment) POIXMLTypeLoader.parse(file, STTextAlignment.type, (XmlOptions) null);
        }

        public static STTextAlignment parse(File file, XmlOptions xmlOptions) {
            return (STTextAlignment) POIXMLTypeLoader.parse(file, STTextAlignment.type, xmlOptions);
        }

        public static STTextAlignment parse(InputStream inputStream) {
            return (STTextAlignment) POIXMLTypeLoader.parse(inputStream, STTextAlignment.type, (XmlOptions) null);
        }

        public static STTextAlignment parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STTextAlignment) POIXMLTypeLoader.parse(inputStream, STTextAlignment.type, xmlOptions);
        }

        public static STTextAlignment parse(Reader reader) {
            return (STTextAlignment) POIXMLTypeLoader.parse(reader, STTextAlignment.type, (XmlOptions) null);
        }

        public static STTextAlignment parse(Reader reader, XmlOptions xmlOptions) {
            return (STTextAlignment) POIXMLTypeLoader.parse(reader, STTextAlignment.type, xmlOptions);
        }

        public static STTextAlignment parse(String str) {
            return (STTextAlignment) POIXMLTypeLoader.parse(str, STTextAlignment.type, (XmlOptions) null);
        }

        public static STTextAlignment parse(String str, XmlOptions xmlOptions) {
            return (STTextAlignment) POIXMLTypeLoader.parse(str, STTextAlignment.type, xmlOptions);
        }

        public static STTextAlignment parse(URL url) {
            return (STTextAlignment) POIXMLTypeLoader.parse(url, STTextAlignment.type, (XmlOptions) null);
        }

        public static STTextAlignment parse(URL url, XmlOptions xmlOptions) {
            return (STTextAlignment) POIXMLTypeLoader.parse(url, STTextAlignment.type, xmlOptions);
        }

        public static STTextAlignment parse(XMLStreamReader xMLStreamReader) {
            return (STTextAlignment) POIXMLTypeLoader.parse(xMLStreamReader, STTextAlignment.type, (XmlOptions) null);
        }

        public static STTextAlignment parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STTextAlignment) POIXMLTypeLoader.parse(xMLStreamReader, STTextAlignment.type, xmlOptions);
        }

        public static STTextAlignment parse(XMLInputStream xMLInputStream) {
            return (STTextAlignment) POIXMLTypeLoader.parse(xMLInputStream, STTextAlignment.type, (XmlOptions) null);
        }

        public static STTextAlignment parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STTextAlignment) POIXMLTypeLoader.parse(xMLInputStream, STTextAlignment.type, xmlOptions);
        }

        public static STTextAlignment parse(Node node) {
            return (STTextAlignment) POIXMLTypeLoader.parse(node, STTextAlignment.type, (XmlOptions) null);
        }

        public static STTextAlignment parse(Node node, XmlOptions xmlOptions) {
            return (STTextAlignment) POIXMLTypeLoader.parse(node, STTextAlignment.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
