package org.openxmlformats.schemas.wordprocessingml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface STUnderline extends XmlString {
    public static final Enum DASH = Enum.forString("dash");
    public static final Enum DASHED_HEAVY = Enum.forString("dashedHeavy");
    public static final Enum DASH_DOT_DOT_HEAVY = Enum.forString("dashDotDotHeavy");
    public static final Enum DASH_DOT_HEAVY = Enum.forString("dashDotHeavy");
    public static final Enum DASH_LONG = Enum.forString("dashLong");
    public static final Enum DASH_LONG_HEAVY = Enum.forString("dashLongHeavy");
    public static final Enum DOTTED = Enum.forString("dotted");
    public static final Enum DOTTED_HEAVY = Enum.forString("dottedHeavy");
    public static final Enum DOT_DASH = Enum.forString("dotDash");
    public static final Enum DOT_DOT_DASH = Enum.forString("dotDotDash");
    public static final Enum DOUBLE = Enum.forString("double");
    public static final int INT_DASH = 7;
    public static final int INT_DASHED_HEAVY = 8;
    public static final int INT_DASH_DOT_DOT_HEAVY = 14;
    public static final int INT_DASH_DOT_HEAVY = 12;
    public static final int INT_DASH_LONG = 9;
    public static final int INT_DASH_LONG_HEAVY = 10;
    public static final int INT_DOTTED = 5;
    public static final int INT_DOTTED_HEAVY = 6;
    public static final int INT_DOT_DASH = 11;
    public static final int INT_DOT_DOT_DASH = 13;
    public static final int INT_DOUBLE = 3;
    public static final int INT_NONE = 18;
    public static final int INT_SINGLE = 1;
    public static final int INT_THICK = 4;
    public static final int INT_WAVE = 15;
    public static final int INT_WAVY_DOUBLE = 17;
    public static final int INT_WAVY_HEAVY = 16;
    public static final int INT_WORDS = 2;
    public static final Enum NONE = Enum.forString("none");
    public static final Enum SINGLE = Enum.forString("single");
    public static final Enum THICK = Enum.forString("thick");
    public static final Enum WAVE = Enum.forString("wave");
    public static final Enum WAVY_DOUBLE = Enum.forString("wavyDouble");
    public static final Enum WAVY_HEAVY = Enum.forString("wavyHeavy");
    public static final Enum WORDS = Enum.forString("words");
    public static final SchemaType type = ((SchemaType) a.a(STUnderline.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "stunderlinef416type"));

    public static final class Enum extends StringEnumAbstractBase {
        public static final int INT_DASH = 7;
        public static final int INT_DASHED_HEAVY = 8;
        public static final int INT_DASH_DOT_DOT_HEAVY = 14;
        public static final int INT_DASH_DOT_HEAVY = 12;
        public static final int INT_DASH_LONG = 9;
        public static final int INT_DASH_LONG_HEAVY = 10;
        public static final int INT_DOTTED = 5;
        public static final int INT_DOTTED_HEAVY = 6;
        public static final int INT_DOT_DASH = 11;
        public static final int INT_DOT_DOT_DASH = 13;
        public static final int INT_DOUBLE = 3;
        public static final int INT_NONE = 18;
        public static final int INT_SINGLE = 1;
        public static final int INT_THICK = 4;
        public static final int INT_WAVE = 15;
        public static final int INT_WAVY_DOUBLE = 17;
        public static final int INT_WAVY_HEAVY = 16;
        public static final int INT_WORDS = 2;
        public static final long serialVersionUID = 1;
        public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(new Enum[]{new Enum("single", 1), new Enum("words", 2), new Enum("double", 3), new Enum("thick", 4), new Enum("dotted", 5), new Enum("dottedHeavy", 6), new Enum("dash", 7), new Enum("dashedHeavy", 8), new Enum("dashLong", 9), new Enum("dashLongHeavy", 10), new Enum("dotDash", 11), new Enum("dashDotHeavy", 12), new Enum("dotDotDash", 13), new Enum("dashDotDotHeavy", 14), new Enum("wave", 15), new Enum("wavyHeavy", 16), new Enum("wavyDouble", 17), new Enum("none", 18)});

        public Enum(String str, int i2) {
            super(str, i2);
        }

        public static Enum forInt(int i2) {
            return (Enum) table.forInt(i2);
        }

        public static Enum forString(String str) {
            return (Enum) table.forString(str);
        }

        private Object readResolve() {
            return forInt(intValue());
        }
    }

    public static final class Factory {
        public static STUnderline newInstance() {
            return (STUnderline) POIXMLTypeLoader.newInstance(STUnderline.type, null);
        }

        public static STUnderline newInstance(XmlOptions xmlOptions) {
            return (STUnderline) POIXMLTypeLoader.newInstance(STUnderline.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STUnderline.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, STUnderline.type, xmlOptions);
        }

        public static STUnderline newValue(Object obj) {
            return (STUnderline) STUnderline.type.newValue(obj);
        }

        public static STUnderline parse(File file) {
            return (STUnderline) POIXMLTypeLoader.parse(file, STUnderline.type, (XmlOptions) null);
        }

        public static STUnderline parse(File file, XmlOptions xmlOptions) {
            return (STUnderline) POIXMLTypeLoader.parse(file, STUnderline.type, xmlOptions);
        }

        public static STUnderline parse(InputStream inputStream) {
            return (STUnderline) POIXMLTypeLoader.parse(inputStream, STUnderline.type, (XmlOptions) null);
        }

        public static STUnderline parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (STUnderline) POIXMLTypeLoader.parse(inputStream, STUnderline.type, xmlOptions);
        }

        public static STUnderline parse(Reader reader) {
            return (STUnderline) POIXMLTypeLoader.parse(reader, STUnderline.type, (XmlOptions) null);
        }

        public static STUnderline parse(Reader reader, XmlOptions xmlOptions) {
            return (STUnderline) POIXMLTypeLoader.parse(reader, STUnderline.type, xmlOptions);
        }

        public static STUnderline parse(String str) {
            return (STUnderline) POIXMLTypeLoader.parse(str, STUnderline.type, (XmlOptions) null);
        }

        public static STUnderline parse(String str, XmlOptions xmlOptions) {
            return (STUnderline) POIXMLTypeLoader.parse(str, STUnderline.type, xmlOptions);
        }

        public static STUnderline parse(URL url) {
            return (STUnderline) POIXMLTypeLoader.parse(url, STUnderline.type, (XmlOptions) null);
        }

        public static STUnderline parse(URL url, XmlOptions xmlOptions) {
            return (STUnderline) POIXMLTypeLoader.parse(url, STUnderline.type, xmlOptions);
        }

        public static STUnderline parse(XMLStreamReader xMLStreamReader) {
            return (STUnderline) POIXMLTypeLoader.parse(xMLStreamReader, STUnderline.type, (XmlOptions) null);
        }

        public static STUnderline parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (STUnderline) POIXMLTypeLoader.parse(xMLStreamReader, STUnderline.type, xmlOptions);
        }

        public static STUnderline parse(XMLInputStream xMLInputStream) {
            return (STUnderline) POIXMLTypeLoader.parse(xMLInputStream, STUnderline.type, (XmlOptions) null);
        }

        public static STUnderline parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (STUnderline) POIXMLTypeLoader.parse(xMLInputStream, STUnderline.type, xmlOptions);
        }

        public static STUnderline parse(Node node) {
            return (STUnderline) POIXMLTypeLoader.parse(node, STUnderline.type, (XmlOptions) null);
        }

        public static STUnderline parse(Node node, XmlOptions xmlOptions) {
            return (STUnderline) POIXMLTypeLoader.parse(node, STUnderline.type, xmlOptions);
        }
    }

    StringEnumAbstractBase enumValue();

    void set(StringEnumAbstractBase stringEnumAbstractBase);
}
