package org.openxmlformats.schemas.wordprocessingml.x2006.main;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface StylesDocument extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(StylesDocument.class, "schemaorg_apache_xmlbeans.system.sF1327CCA741569E70F9CA8C9AF9B44B2", "styles2732doctype"));

    public static final class Factory {
        public static StylesDocument newInstance() {
            return (StylesDocument) POIXMLTypeLoader.newInstance(StylesDocument.type, null);
        }

        public static StylesDocument newInstance(XmlOptions xmlOptions) {
            return (StylesDocument) POIXMLTypeLoader.newInstance(StylesDocument.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, StylesDocument.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, StylesDocument.type, xmlOptions);
        }

        public static StylesDocument parse(File file) {
            return (StylesDocument) POIXMLTypeLoader.parse(file, StylesDocument.type, (XmlOptions) null);
        }

        public static StylesDocument parse(File file, XmlOptions xmlOptions) {
            return (StylesDocument) POIXMLTypeLoader.parse(file, StylesDocument.type, xmlOptions);
        }

        public static StylesDocument parse(InputStream inputStream) {
            return (StylesDocument) POIXMLTypeLoader.parse(inputStream, StylesDocument.type, (XmlOptions) null);
        }

        public static StylesDocument parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (StylesDocument) POIXMLTypeLoader.parse(inputStream, StylesDocument.type, xmlOptions);
        }

        public static StylesDocument parse(Reader reader) {
            return (StylesDocument) POIXMLTypeLoader.parse(reader, StylesDocument.type, (XmlOptions) null);
        }

        public static StylesDocument parse(Reader reader, XmlOptions xmlOptions) {
            return (StylesDocument) POIXMLTypeLoader.parse(reader, StylesDocument.type, xmlOptions);
        }

        public static StylesDocument parse(String str) {
            return (StylesDocument) POIXMLTypeLoader.parse(str, StylesDocument.type, (XmlOptions) null);
        }

        public static StylesDocument parse(String str, XmlOptions xmlOptions) {
            return (StylesDocument) POIXMLTypeLoader.parse(str, StylesDocument.type, xmlOptions);
        }

        public static StylesDocument parse(URL url) {
            return (StylesDocument) POIXMLTypeLoader.parse(url, StylesDocument.type, (XmlOptions) null);
        }

        public static StylesDocument parse(URL url, XmlOptions xmlOptions) {
            return (StylesDocument) POIXMLTypeLoader.parse(url, StylesDocument.type, xmlOptions);
        }

        public static StylesDocument parse(XMLStreamReader xMLStreamReader) {
            return (StylesDocument) POIXMLTypeLoader.parse(xMLStreamReader, StylesDocument.type, (XmlOptions) null);
        }

        public static StylesDocument parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (StylesDocument) POIXMLTypeLoader.parse(xMLStreamReader, StylesDocument.type, xmlOptions);
        }

        public static StylesDocument parse(XMLInputStream xMLInputStream) {
            return (StylesDocument) POIXMLTypeLoader.parse(xMLInputStream, StylesDocument.type, (XmlOptions) null);
        }

        public static StylesDocument parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (StylesDocument) POIXMLTypeLoader.parse(xMLInputStream, StylesDocument.type, xmlOptions);
        }

        public static StylesDocument parse(Node node) {
            return (StylesDocument) POIXMLTypeLoader.parse(node, StylesDocument.type, (XmlOptions) null);
        }

        public static StylesDocument parse(Node node, XmlOptions xmlOptions) {
            return (StylesDocument) POIXMLTypeLoader.parse(node, StylesDocument.type, xmlOptions);
        }
    }

    CTStyles addNewStyles();

    CTStyles getStyles();

    void setStyles(CTStyles cTStyles);
}
