package org.openxmlformats.schemas.xpackage.x2006.relationships;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface RelationshipsDocument extends XmlObject {
    public static final SchemaType type = ((SchemaType) a.a(RelationshipsDocument.class, "schemaorg_apache_xmlbeans.system.s8C3F193EE11A2F798ACF65489B9E6078", "relationships93b3doctype"));

    public static final class Factory {
        public static RelationshipsDocument newInstance() {
            return (RelationshipsDocument) POIXMLTypeLoader.newInstance(RelationshipsDocument.type, null);
        }

        public static RelationshipsDocument newInstance(XmlOptions xmlOptions) {
            return (RelationshipsDocument) POIXMLTypeLoader.newInstance(RelationshipsDocument.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, RelationshipsDocument.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return POIXMLTypeLoader.newValidatingXMLInputStream(xMLInputStream, RelationshipsDocument.type, xmlOptions);
        }

        public static RelationshipsDocument parse(File file) {
            return (RelationshipsDocument) POIXMLTypeLoader.parse(file, RelationshipsDocument.type, (XmlOptions) null);
        }

        public static RelationshipsDocument parse(File file, XmlOptions xmlOptions) {
            return (RelationshipsDocument) POIXMLTypeLoader.parse(file, RelationshipsDocument.type, xmlOptions);
        }

        public static RelationshipsDocument parse(InputStream inputStream) {
            return (RelationshipsDocument) POIXMLTypeLoader.parse(inputStream, RelationshipsDocument.type, (XmlOptions) null);
        }

        public static RelationshipsDocument parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (RelationshipsDocument) POIXMLTypeLoader.parse(inputStream, RelationshipsDocument.type, xmlOptions);
        }

        public static RelationshipsDocument parse(Reader reader) {
            return (RelationshipsDocument) POIXMLTypeLoader.parse(reader, RelationshipsDocument.type, (XmlOptions) null);
        }

        public static RelationshipsDocument parse(Reader reader, XmlOptions xmlOptions) {
            return (RelationshipsDocument) POIXMLTypeLoader.parse(reader, RelationshipsDocument.type, xmlOptions);
        }

        public static RelationshipsDocument parse(String str) {
            return (RelationshipsDocument) POIXMLTypeLoader.parse(str, RelationshipsDocument.type, (XmlOptions) null);
        }

        public static RelationshipsDocument parse(String str, XmlOptions xmlOptions) {
            return (RelationshipsDocument) POIXMLTypeLoader.parse(str, RelationshipsDocument.type, xmlOptions);
        }

        public static RelationshipsDocument parse(URL url) {
            return (RelationshipsDocument) POIXMLTypeLoader.parse(url, RelationshipsDocument.type, (XmlOptions) null);
        }

        public static RelationshipsDocument parse(URL url, XmlOptions xmlOptions) {
            return (RelationshipsDocument) POIXMLTypeLoader.parse(url, RelationshipsDocument.type, xmlOptions);
        }

        public static RelationshipsDocument parse(XMLStreamReader xMLStreamReader) {
            return (RelationshipsDocument) POIXMLTypeLoader.parse(xMLStreamReader, RelationshipsDocument.type, (XmlOptions) null);
        }

        public static RelationshipsDocument parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (RelationshipsDocument) POIXMLTypeLoader.parse(xMLStreamReader, RelationshipsDocument.type, xmlOptions);
        }

        public static RelationshipsDocument parse(XMLInputStream xMLInputStream) {
            return (RelationshipsDocument) POIXMLTypeLoader.parse(xMLInputStream, RelationshipsDocument.type, (XmlOptions) null);
        }

        public static RelationshipsDocument parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (RelationshipsDocument) POIXMLTypeLoader.parse(xMLInputStream, RelationshipsDocument.type, xmlOptions);
        }

        public static RelationshipsDocument parse(Node node) {
            return (RelationshipsDocument) POIXMLTypeLoader.parse(node, RelationshipsDocument.type, (XmlOptions) null);
        }

        public static RelationshipsDocument parse(Node node, XmlOptions xmlOptions) {
            return (RelationshipsDocument) POIXMLTypeLoader.parse(node, RelationshipsDocument.type, xmlOptions);
        }
    }

    CTRelationships addNewRelationships();

    CTRelationships getRelationships();

    void setRelationships(CTRelationships cTRelationships);
}
